Objecten van Microsoft Office

AnswerWizard
AnswerWizardFiles
Assistant
Balloon
BalloonCheckboxes
BalloonCheckbox
BalloonLabels
BalloonLabel
COMAddIns
COMAddIn
CommandBarButton
CommandBarControl
CommandBarComboBox
CommandBarControl
CommandBarPopup
CommandBarControl
DocumentProperties
DocumentProperty
FileDialog
FileDialogFilters
FileDialogFilter
FileDialogSelectedItems
FileSearch
FileTypes
FoundFiles
PropertyTests
PropertyTest
SearchFolders
ScopeFolder
ScopeFolders
SearchScopes
SearchScope
ScopeFolder
ScopeFolders
HTMLProject
HTMLProjectItems
HTMLProjectItem
LanguageSettings
MsoEnvelope
CommandBars
NewFile
OfficeDataSourceObject
ODSOColumns
ODSOColumn
ODSOFilters
ODSOFilter
Scripts
Script
SignatureSet
Signature
WebPageFonts
WebPageFont

Legenda

Object en collectie
Alleen object


Nieuw voor Microsoft Office-ontwikkelaars

In het Visual Basic-objectmodel van Microsoft Office zijn grote veranderingen aangebracht ter ondersteuning van nieuwe en verbeterde voorzieningen in gedeelde onderdelen. Er zijn veel objecten, eigenschappen, methoden en gebeurtenissen toegevoegd.

Bezoek het Office Developer Center van MSDN Online voor de meest recente informatie voor Microsoft Office-ontwikkelaars, waaronder nieuwe technische artikelen, voorbeelden, productnieuws, bestanden die u kunt downloaden en meer.

Nieuwe taalelementen

Klik op een van de volgende onderwerpen voor een lijst met nieuwe taalelementen in Office:

Nieuwe objecten

Nieuwe eigenschappen (per object)

Nieuwe eigenschappen (alfabetische lijst)

Nieuwe methoden

Nieuwe gebeurtenissen


Nieuwe objecten

U kunt het Office Developer Center van MSDN Online bezoeken voor de meest recente informatie voor Microsoft Office-ontwikkelaars, waaronder nieuwe technische artikelen, downloads, voorbeelden, productinformatie en meer.

De volgende tabel bevat de objecten die in Microsoft Office zijn toegevoegd aan Visual Basic.

Objecten
FileDialog
FileDialogFilter
FileDialogFilters
FileDialogSelectedItems
FileTypes
MsoEnvelope
NewFile
ODSOColumn
ODSOColumns
ODSOFilter
ODSOFilters
OfficeDataSourceObject
ScopeFolder
ScopeFolders
SearchFolders
SearchScope
SearchScopes
Signature
SignatureSet


Nieuwe gebeurtenissen

In de volgende tabel worden de nieuwe gebeurtenissen in Microsoft Office weergegeven.

Gebeurtenissen
EnvelopeHide
EnvelopeShow


Nieuwe methoden

De volgende tabel bevat de methoden die zijn toegevoegd aan bestaande objecten in Microsoft Office. Deze methoden zijn gesorteerd op object.

Objecten Methoden
Assistant
 DoAlert
FileSearch
 RefreshScopes
OfficeDataSourceObject
 ApplyFilter

SetSortOrder


Nieuwe eigenschappen (alfabetische lijst)

In de volgende tabel worden de eigenschappen die aan bestaande objecten in Microsoft Office zijn toegevoegd, in alfabetische volgorde weergegeven.

Eigenschappen
AllowMultiSelect
AttachCertificate
ButtonName
Column
Columns
CommandBars
CompareTo
Comparison
Conjunction
ConnectString
DataSource
DialogType
DisableAskAQuestionDropdown
DisableCustomize
ExpireDate
Extensions
FileTypes
FilterIndex
Filters
InitialFileName
InitialView
Introduction
IsCertificateExpired
IsCertificateRevoked
Issuer
IsValid
Mask
Path
Picture
RowCount
ScopeFolder
ScopeFolders
SearchFolders
SearchScopes
SelectedItems
SignDate
Signer
Table


Nieuwe eigenschappen (per object)

De volgende tabel bevat de eigenschappen die aan bestaande objecten in Microsoft Office zijn toegevoegd. Deze worden per object weergegeven.

Objecten | Eigenschappen
CommandBarButton | Mask Picture
CommandBars | DisableAskAQuestionDropdown DisableCustomize
FileDialog | AllowMultiSelect ButtonName DialogType FilterIndex Filters InitialFileName InitialView SelectedItems
FileDialogFilter | Extensions
FileSearch | FileTypes SearchFolders SearchScopes
MsoEnvelope | CommandBars Introduction
ODSOFilter | Column CompareTo Comparison Conjunction
OfficeDataSourceObject | Columns ConnectString DataSource Filters RowCount Table
ScopeFolder | Path ScopeFolders
SearchScope | ScopeFolder
Signature | AttachCertificate ExpireDate IsCertificateExpired IsCertificateRevoked Issuer IsValid SignDate Signer


Office-assistent: overzicht

Mogelijk is een deel van dit onderwerp niet van toepassing op bepaalde talen.

De Office-assistent, de ballon van de Office-assistent en alle elementen in deze ballon worden via de objecten, eigenschappen en methoden van het Assistant-object bestuurd.

De Office-assistent, de ballon van de Office-assistent en alle programmeerbare objecten in de ballon zijn weergegeven in de volgende afbeelding.

De Office-assistent, een ballon en de programmeerbare elementen binnen de ballon

Raadpleeg de volgende onderwerpen voor meer informatie over het wijzigen van de Office-assistent, zowel in de ontwerpfase als tijdens runtime:

Werken met de Office-assistent

Ballonnen maken en wijzigen

Ballonnen wijzigen tijdens runtime


Opdrachtbalken: overzicht

Mogelijk is een deel van dit onderwerp niet van toepassing op bepaalde talen.

In Microsoft Office worden menubalken, werkbalken en snelmenu's binnen Visual Basic for Applications bestuurd als één type object: opdrachtbalken. Alle volgende elementen worden vertegenwoordigd door CommandBar-objecten:

  • Menubalken, werkbalken en snelmenu's
  • Menu's in menubalken en werkbalken
  • Vervolgmenu's in menu's, vervolgmenu's en snelmenu's

Elke ingebouwde menu- of werkbalk kan worden gewijzigd. Ook kunt u aangepaste menubalken, werkbalken of snelmenu's maken of wijzigen voor uw Visual Basic-toepassing. U kunt de voorzieningen van uw toepassing presenteren in de vorm van afzonderlijke knoppen op werkbalken of in de vorm van groepen opdrachtnamen in menu's. Aangezien menu's en werkbalken beide opdrachtbalken zijn, maken zij gebruik van dezelfde besturingselementen. De werkbalk hieronder, die in een dok is geplaatst, bevat bijvoorbeeld drie knoppen.

Een werkbalk die in een dok is geplaatst en drie knoppen bevat

Het menu in de volgende afbeelding bevat dezelfde drie opdrachten als de bovenstaande werkbalk. Alleen zijn de opdrachten nu weergegeven als menuopdrachten.

Een menu met drie menuopdrachten

In Microsoft Office kunnen zowel menubalken als werkbalken menu's bevatten. De zwevende werkbalk in de volgende afbeelding bevat drie knoppen en een menu waarin dezelfde drie opdrachten als menuopdrachten zijn weergegeven.

Een zwevende werkbalk met drie knoppen en een menu met drie menuopdrachten

In Visual Basic worden knoppen en menuopdrachten vertegenwoordigd door CommandBarButton-objecten. De pop-up besturingselementen, die menu's of vervolgmenu's weergeven, worden vertegenwoordigd door CommandBarPopup-objecten. De volgende afbeelding bevat twee pop-up besturingselementen, 'Menu' en 'Submenu' genaamd, die respectievelijk een menu en een vervolgmenu weergeven. Zowel het menu als het vervolgmenu is een uniek CommandBar-object met een eigen set besturingselementen.

Pop-up besturingselementen die menu's en vervolgmenu's weergeven

In Microsoft Office kunt u alle opdrachtbalken ook voorzien van tekstvakken, keuzelijsten en keuzelijsten met invoervak. Deze drie besturingselementtypen worden in Visual Basic vertegenwoordigd door CommandBarComboBox-objecten.

Opmerking Opdrachtbalk-besturingselementen en ActiveX-besturingselementen hebben uiterlijke kenmerken en functies gemeen, maar zijn niet gelijk. ActiveX-besturingselementen kunnen niet worden toegevoegd aan opdrachtbalken en opdrachtbalk-besturingselementen kunnen niet worden toegevoegd aan documenten of formulieren.

De ingebouwde opdrachtbalk-besturingselementen in containertoepassingen worden in Visual Basic eveneens vertegenwoordigd door CommandBarButton-, CommandBarPopup- en CommandBarComboBox-objecten. Qua uiterlijk en functies kunnen deze besturingselementen echter complexer zijn dan de besturingselementen die u zelf kunt toevoegen. De locatie en het uiterlijk van ingebouwde besturingselementen kunnen worden gewijzigd, maar u kunt hun ingebouwde gedrag niet veranderen. Wel kunt u een eigen macro aan een ingebouwd besturingselement toewijzen om het ingebouwde gedrag volledig te vervangen.


Werken met opdrachtbalken

Als u voor uw Visual Basic-toepassing menubalken, werkbalken en snelmenu's wilt maken of wijzigen, moet u over het algemeen de voorzieningen van de containertoepassing gebruiken. Wijzigingen in menubalken, werkbalken en snelmenu's die met de voorzieningen van de containertoepassing zijn gemaakt, worden wijzigingen tijdens 'ontwerptijd' genoemd. Zie de on line Help van de containertoepassing voor meer informatie over de manier waarop u met die toepassing wijzigingen tijdens ontwerptijd tot stand brengt.

U kunt menubalken, werkbalken en snelmenu's (en de onderdelen daarvan) toevoegen of wijzigen door het CommandBars-gedeelte van het Microsoft Office-objectmodel in Visual Basic-programmacode te gebruiken. U kunt werkbalken en menubalken maken door code te schrijven die eenmalig wordt uitgevoerd. In feite simuleert deze code wijzigingen die tijdens ontwerptijd worden aangebracht. In sommige containertoepassingen moet u wellicht een combinatie gebruiken van dergelijke Visual Basic-code en de interface van de toepassing om uw Visual Basic-toepassing te ontwerpen. Hieronder worden enkele veelvoorkomende situaties aangegeven waarin u genoodzaakt bent zowel de Visual basic-code als de interface van de containertoepassing te gebruiken:

  • Als uw containertoepassing geen interface bevat voor het toevoegen of wijzigen van invoervakken, keuzelijsten of keuzelijsten met invoervak in werkbalken, moet u Visual Basic-code gebruiken om een van deze besturingselementen toe te voegen of te ontwerpen.
  • Als uw containertoepassing wel een interface voor het maken van werkbalken bevat, maar niet is uitgerust met een interface voor het maken van menubalken, moet u Visual Basic gebruiken om een nieuwe menubalk te maken. Nadat u de menubalk in Visual Basic hebt gemaakt, kunt u de menu's voor de nieuwe menubalk ontwerpen met de interface van de containertoepassing.
  • Als uw containertoepassing geen voorziening bevat om tijdens de weergave van de aanpassingsinterface aangepaste snelmenu's weer te geven, moet u Visual Basic-code gebruiken om deze snelmenu's te wijzigen.

U kunt ook code schrijven waardoor menubalken en werkbalken in uw Visual Basic-toepassing kunnen worden gewijzigd terwijl de toepassing actief is (u kunt bijvoorbeeld code schrijven om een opdracht in een menubalk onder bepaalde omstandigheden niet-beschikbaar te maken of om knoppen toe te voegen aan een werkbalk als reactie op de acties van een gebruiker). Wijzigingen die via dergelijke code worden aangebracht terwijl uw Visual Basic-toepassing actief is, worden wijzigingen tijdens 'runtime' genoemd.

De volgende onderwerpen bieden informatie over de manier waarop u tijdens runtime en ontwerptijd wijzigingen in werkbalken en menubalken kunt aanbrengen vanuit Visual Basic-code.

Werkbalken toevoegen en wijzigen

Menubalken en menuopdrachten toevoegen en beheren

Snelmenu's toevoegen en weergeven

Opmerking Het taakvenster is een type CommandBar-object waarnaar als volgt kan worden verwezen:

Dim cbTaskPane As CommandBar
Set cbTaskPane = Application.CommandBars("Task Pane")
MsgBox "The current task pane's title is """ & cbTaskPane.Controls(1).Caption & """"
Verscheidene methoden en eigenschappen van opdrachtbalken toegepast op het taakvenster, vertonen echter niet hetzelfde gedrag als een gewoon CommandBar-object. De methoden Delete en ShowPopup hebben bijvoorbeeld geen invloed evenals het wijzigen van de waarde van de eigenschappen AdaptiveMenu, Context, Name, NameLocal of Protection.


Werkbalken toevoegen en wijzigen

Alle containertoepassingen bezitten een uitgebreide interface voor het toevoegen en ontwerpen van aangepaste werkbalken. U kunt bijvoorbeeld ingebouwde knoppen toevoegen, macro's als knoppen toevoegen en zelfs pop-up besturingselementen toevoegen. De wijzigingen die u tijdens de ontwerptijd via de Visual Basic-code aanbrengt, zullen vaak wijzigingen zijn die betrekking hebben op keuzelijsten met invoervak. In de meeste gevallen zult u werkbalken echter tijdens runtime wijzigen. Zo kunt u tijdens runtime bijvoorbeeld de status, het uiterlijk en de actie van knoppen wijzigen.

Werkbalken wijzigen tijdens runtime

U kunt tijdens runtime verschillende wijzigingen in werkbalken aanbrengen. Zo kunt u bijvoorbeeld de status van een opdrachtbalkknop op een werkbalk wijzigen. Elke knop kan de status ingedrukt (True) of de status niet-ingedrukt (False) hebben. Als u de status van een knop wilt wijzigen, moet u de juiste constante voor de eigenschap State gebruiken. Zie de tabel verderop in dit onderwerp voor meer informatie.

Een andere mogelijke wijziging tijdens runtime betreft het uiterlijk of de actie van een knop. Als u het uiterlijk van een knop wilt wijzigen zonder de bijbehorende actie te veranderen, gebruikt u de methoden CopyFace en PasteFace. Deze methoden zijn handig als u het vlak van een bepaalde knop naar het Klembord wilt kopiëren of dit vlak in een andere toepassing wilt importeren om kenmerken ervan te wijzigen. Met de methode PasteFace kunt u het knopvlak vanaf het Klembord op een andere knop plakken.

Als u de actie van een knop wilt veranderen in een door u ontwikkelde functie, wijst u de naam van de aangepaste procedure toe aan de eigenschap OnAction van de knop.

De volgende tabel bevat veelgebruikte eigenschappen en methoden waarmee de status, het uiterlijk of de actie van knoppen kan worden gewijzigd.

Eigenschap of methode | beschrijving
CopyFace, PasteFace | Hiermee kopieert of plakt u de afbeelding op een knopvlak. Met de methode CopyFace kopieert u het vlak van de opgegeven knop naar het Klembord. Met de methode PasteFace plakt u de inhoud van het Klembord op het vlak van de opgegeven knop. De methode PasteFace levert geen resultaat op als het Klembord leeg is. Als de afbeelding op het Klembord te groot is voor het knopvlak, wordt het formaat van de afbeelding niet aangepast. Hoewel het meestal handiger is om een knopvlak tijdens ontwerptijd te kopiëren en te plakken, kunt u een knopvlak ook tijdens runtime wijzigen. Bovendien kan er met de eigenschap FaceId een ander ingebouwd knopvlak worden toegewezen aan een knop.
Id | Hiermee geeft u de waarde op die de ingebouwde functionaliteit van de knop vertegenwoordigt. Een knop waarmee u geselecteerde tekst naar het Klembord kunt kopiëren heeft bijvoorbeeld de Id-waarde 19.
State | Met deze eigenschap bepaalt u het uiterlijk of de status van de knop. De waarde van deze eigenschap kan een van de volgende MsoButtonState-constanten zijn: msoButtonDown, msoButtonMixed of msoButtonUp.
Style | Met deze eigenschap bepaalt u of op het knopvlak een pictogram, een bijschrift of een combinatie van die twee wordt weergegeven. De waarde van deze eigenschap kan een van de volgende MsoButtonStyle-constanten zijn: msoButtonAutomatic, msoButtonIcon, msoButtonCaption, msoButtonIconAndCaption, msoButtonIconAndCaptionBelow, msoButtonIconAndWrapCaption, msoButtonIconAndWrapCaptionBelow of msoButtonWrapCaption.
OnAction | Hiermee bepaalt u welke procedure moet worden uitgevoerd wanneer de gebruiker op een knop klikt, een menu weergeeft of de inhoud van een keuzelijst met invoervak wijzigt.
Visible | Hiermee bepaalt u of het besturingselement voor de gebruiker zichtbaar of verborgen is.
Enabled | Hiermee schakelt u een opdrachtbalk in of uit. De naam van een uitgeschakelde opdrachtbalk maakt geen deel uit van de lijst beschikbare opdrachtbalken.

In het volgende voorbeeld wordt een nieuwe opdrachtbalk gemaakt die een enkele knop bevat. Door gebruik te maken van de eigenschap OnAction van het CommandBarButton-object kunt u de methode CopyFace gebruiken om het knopvlak van de ingebouwde knop Openen naar het Klembord te kopiëren. Vervolgens kunt u met de methode PasteFace het knopvlak op de bestaande knop plakken. Op deze manier kan het uiterlijk van de opdrachtbalkknop tijdens runtime worden gewijzigd.

Sub testAddModifyToolbars1()
Set myBar = CommandBars _
    .Add(Name:="ChangingButton", Position:=msoBarTop, _
    Temporary:=True)
myBar.Visible = True
Set oldControl = myBar.Controls _
    .Add(Type:=msoControlButton, _
    ID:=CommandBars("Standard").Controls("Copy").Id)
oldControl.OnAction = "changeFaces"
End Sub

Sub changeFaces()
Set newControl = CommandBars.FindControl _
    (Type:=msoControlButton, _
    ID:=CommandBars("Standard").Controls("Paste").Id)
newControl.CopyFace
Set oldControl = _
CommandBars("ChangingButton").Controls(1)
oldControl.PasteFace
End Sub

Keuzelijsten met invoervak toevoegen en wijzigen

Invoervakken, keuzelijsten en keuzelijsten met invoervak zijn krachtige besturingselementen die u kunt toevoegen aan werkbalken in uw Visual Basic-toepassing. Het ontwerp van deze besturingselementen vereist bij de meeste containertoepassingen echter het gebruik van Visual Basic-code. U moet in dat geval gebruikmaken van de eigenschappen en methoden in de volgende tabel.

Eigenschap of methode | beschrijving
Add | Hiermee voegt u een invoervak, keuzelijst of keuzelijst met invoervak toe aan een opdrachtbalk door voor het argument Type een van de volgende MsoControlType-constanten op te geven: msoControlEdit, msoControlDropdown of msoControlComboBox.
AddItem | Hiermee voegt u een item toe aan de vervolgkeuzelijst in een keuzelijst of keuzelijst met invoervak. U kunt het indexnummer van het nieuwe item opgeven in de bestaande lijst. Als dit nummer een hoger getal is dan het aantal items in de lijst, geeft de methode AddItem geen resultaat.
Caption | Hiermee geeft u een label op voor een invoervak, keuzelijst of keuzelijst met invoervak. Als u de eigenschap Style instelt op msoComboLabel, wordt de label weergegeven naast het besturingselement.
Style | Met deze eigenschap bepaalt u of het bijschrift voor het opgegeven besturingselement wordt weergegeven naast het besturingselement. De waarde van deze eigenschap kan een van de volgende MsoComboStyle-constanten zijn: msoComboLabel (de label wordt weergegeven) of msoComboNormal (de label wordt niet weergegeven).
OnAction | Hiermee bepaalt u welke procedure moet worden uitgevoerd wanneer de gebruiker de inhoud van een invoervak, keuzelijst of keuzelijst met invoervak wijzigt.

In het volgende voorbeeld wordt een keuzelijst met invoervak toegevoegd aan een aangepaste werkbalk. Vervolgens wordt de macro 'ScrollToQuarter' aan de keuzelijst met invoervak toegewezen.

Set myBar = CommandBars _
    .Add(Name:="Custom", Position:=msoBarTop, _
    Temporary:=True)
myBar.Visible = True
Set newCombo = myBar.Controls _
    .Add(Type:=msoControlComboBox)
With newCombo
    .AddItem "Q1"
    .AddItem "Q2"
    .AddItem "Q3"
    .AddItem "Q4"
    .Style = msoComboNormal
    .OnAction = "ScrollToQuarter"
End With

Als uw toepassing actief is, wordt de aan de eigenschap OnAction toegewezen procedure aangeroepen wanneer de gebruiker het besturingselement wijzigt. In de procedure kunt u met de eigenschap ActionControl van het CommandBar-object nagaan welk besturingselement werd gewijzigd, en de gewijzigde waarde als resultaat geven. De eigenschap ListIndex geeft het item als resultaat dat in de keuzelijst met invoervak wordt getypt of geselecteerd.


Menubalken en menuopdrachten toevoegen en beheren

Sommige containertoepassingen bevatten geen voorziening waarmee u nieuwe menubalken kunt maken. In dat geval moet u Visual Basic gebruiken om menubalken te maken. Nadat u de nieuwe menubalk hebt gemaakt, kunt u deze vervolgens aanpassen met de interface van de containertoepassing of met Visual Basic.

Menubalken toevoegen tijdens runtime

Als u tijdens runtime een menubalk aan een toepassing wilt toevoegen, gebruikt u de methode Add voor de CommandBars-collectie en geeft u de waarde True op voor het argument MenuBar. In het volgende voorbeeld wordt een menubalk toegevoegd die niet kan worden verplaatst. De menubalk wordt in een dok aan de rechterzijde van het toepassingsvenster geplaatst.

Set menubar = CommandBars.Add _
    (Name:="mBar", Position:=msoBarRight, MenuBar:=True)
With menubar
    .Protection = msoBarNoMove
    .Visible = True
End With

Menubalken wijzigen tijdens runtime

Tijdens runtime kunt u zowel menubalken als besturingselementen in menubalken wijzigen. U kunt het uiterlijk of de positie van menubalken wijzigen. Welke wijzigingen u kunt aanbrengen in de besturingselementen is afhankelijk van het type besturingselement. De volgende tabel bevat de eigenschappen en methoden die bij het wijzigen van menubalken tijdens runtime het meest worden gebruikt.

Eigenschap of methode | beschrijving
Add | Hiermee voegt u een menubalk toe door de methode Add van de CommandBars-collectie te gebruiken en True op te geven als waarde voor het argument MenuBar.
Enabled | Als u voor deze eigenschap de waarde True instelt, kan de gebruiker de opgegeven menubalk zichtbaar maken via Visual Basic-code. Als deze eigenschap op False is ingesteld, kan de gebruiker de menubalk niet zichtbaar maken. De menubalk maakt in dat geval wel deel uit van de lijst met beschikbare opdrachtbalken.
Protection | Met behulp van deze eigenschap kunt u de menubalk beveiligen tegen bepaalde acties van gebruikers. De waarde van deze eigenschap kan één of een combinatie van de volgende MsoBarProtection-constanten zijn: msoBarNoChangeDock, msoBarNoChangeVisible, msoBarNoCustomize, msoBarNoHorizontalDock, msoBarNoMove, msoBarNoProtection, msoBarNoResize en msoBarNoVerticalDock.
Position | Met deze eigenschap bepaalt u de positie van de nieuwe menubalk ten opzichte van het toepassingsvenster. De waarde van deze eigenschap kan een van de volgende MsoBarPosition-constanten zijn: msoBarLeft, msoBarTop, msoBarRight, msoBarBottom, msoBarFloating, msoBarPopup (gebruikt bij het maken van snelmenu's) of msoBarMenuBar (alleen voor Macintosh).
Visible | Met deze eigenschap bepaalt u of het besturingselement voor de gebruiker zichtbaar of verborgen is. Als het besturingselement verborgen is, maakt de naam van de menubalk wel deel uit van de lijst beschikbare opdrachtbalken.

In het volgende voorbeeld wordt de actieve menubalk verborgen en vervangen door een tijdelijke menubalk die aan de rechterzijde van het toepassingsvenster in een dok wordt geplaatst en die wordt beveiligd tegen acties van de gebruiker.

Set oldMbar = CommandBars.ActiveMenuBar
Set newMbar = CommandBars.Add _
(Name:="newMenubar", Position:=msoBarRight, _
MenuBar:=True, temporary:=True)
With newMbar
    .Visible = True
    .Protection = msoBarNoMove
End With

Menubalken samenvoegen tijdens runtime

Als u aangepaste menubalken hebt toegevoegd aan een toepassing die als invoegtoepassing zal worden gebruikt, kunt u bepalen hoe de besturingselementen in de containertoepassing moeten worden weergegeven. U kunt met de eigenschap OLEMenuGroup van het object CommandBarPopup opgeven op welke manier de menubalken moeten worden samengevoegd.

Menuopdrachten wijzigen tijdens runtime

Welke wijzigingen u kunt aanbrengen in menuopdrachten is afhankelijk van het type besturingselement. Knoppen kunt u over het algemeen inschakelen of uitschakelen en weergeven of verbergen. Invoervakken, keuzelijsten en keuzelijsten met invoervak bieden meer mogelijkheden: u kunt opdrachten toevoegen aan of verwijderen uit de lijst en u kunt op basis van de geselecteerde waarde de uitgevoerde actie bepalen. De actie van ieder besturingselement kan worden gewijzigd in een ingebouwde of aangepaste functie.

In de volgende tabel wordt de eigenschappen en methoden weergegeven die het meest worden gebruikt voor het wijzigen van de status, actie of inhoud van een besturingselement.

Eigenschap of methode | Doel
Add | Hiermee voegt u een menuopdracht aan een opdrachtbalk toe. De waarde voor het argument Type van een ingebouwd besturingselement kan een van de volgende MsoControlType-constanten zijn: msoControlButton, msoControlEdit, msoControlDropdown of msoControlComboBox.
AddItem | Hiermee voegt u een item toe aan de vervolgkeuzelijst in een keuzelijst of keuzelijst met invoervak. U kunt het indexnummer van het nieuwe item opgeven in de bestaande lijst. Als dit nummer een hoger getal is dan het aantal items in de lijst, geeft de methode AddItem geen resultaat.
Style | Hiermee bepaalt u of (en hoe) op het knopvlak het pictogram, het bijschrift of de combinatie van pictogram en bijschrift wordt weergegeven. De waarde van deze eigenschap kan een van de volgende MsoButtonStyle-constanten zijn: msoButtonAutomatic, msoButtonIcon, msoButtonCaption, msoButtonIconAndCaption, msoButtonIconAndCaptionBelow, msoButtonIconAndWrapCaption, msoButtonIconAndWrapCaptionBelow of msoButtonWrapCaption.
OnAction | Hiermee bepaalt u welke procedure moet worden uitgevoerd wanneer de gebruiker de waarde van het opgegeven besturingselement wijzigt.
Visible | Hiermee bepaalt u of het besturingselement voor de gebruiker zichtbaar of verborgen is.

In het volgende voorbeeld wordt een tijdelijk pop-up besturingselement met de naam Custom toegevoegd aan het einde van de actieve menubalk. Vervolgens wordt een knop met de naam Import aan de opdrachtbalk Custom toegevoegd.

Set myMenuBar = CommandBars.ActiveMenuBar
Set newMenu = myMenuBar.Controls.Add(Type:=msoControlPopup, _
    Temporary:=True)
newMenu.Caption = "Custom"
Set ctrl1 = newMenu.Controls _
    .Add(Type:=msoControlButton, Id:=1)
ctrl1.Caption = "Import"
ctrl1.TooltipText = "Import"
ctrl1.Style = msoButtonCaption


Snelmenu's toevoegen en weergeven

Snelmenu's zijn zwevende opdrachtbalken die de gebruiker kan weergeven door met de rechtermuisknop te klikken. Snelmenu's kunnen dezelfde typen besturingselement bevatten als opdrachtbalken. Die besturingselementen gedragen zich ook als besturingselementen van opdrachtbalken. De meeste toepassingen zijn echter niet uitgerust met een interface waarmee u snelmenu's kunt maken of wijzigen. Daarom moet u uw snelmenu's maken en wijzigen tijdens runtime.

Snelmenu's toevoegen tijdens runtime

Het enige verschil tussen snelmenu's en andere werkbalken is dat u msoBarPopUp moet opgeven als waarde voor Position wanneer u de methode Add gebruikt om een snelmenu te maken. In het volgende voorbeeld wordt een nieuw snelmenu gemaakt waaraan twee besturingselementen (met bijschrift) worden toegevoegd. Vervolgens wordt het nieuwe menu weergegeven met de methode ShowPopup.

Set copyAndPasteMenu = CommandBars.Add( _
    Name:="Custom", Position:=msoBarPopup, _
    Temporary:=True)
Set copy = copyAndPasteMenu.Controls.Add
With copy
    .FaceId = CommandBars("Standard").Controls("Copy").Id
    .Caption = "Copy the selection"
End With
Set paste = copyAndPasteMenu.Controls.Add
With paste
    .FaceId = CommandBars("Standard").Controls("Paste").Id
    .Caption = "Paste from the Clipboard"
End With
copyAndPasteMenu.ShowPopup 200, 200

Snelmenu's weergeven

Snelmenu's worden weergegeven met de methode ShowPopup, zoals u in het voorbeeld hierboven kunt zien.

Als de containertoepassing het toewijzen van gebeurtenisprocedures aan acties van de gebruiker ondersteunt, kunt u een snelmenu weergeven als reactie op een gebeurtenis, zoals klikken met de rechtermuisknop. Gebeurtenisprocedures worden echter niet door alle toepassingen ondersteund. Stel aan de hand van de documentatie bij de containertoepassing vast of deze toepassing gebeurtenisprocedures ondersteunt.

Snelmenu's wijzigen tijdens runtime

Wijzigingen in snelmenu's moeten tijdens runtime tot stand worden gebracht. Over het algemeen beperken deze wijzigingen zich tot het uiterlijk of de actie van de besturingselementen in het menu. Zie Menubalken en menuopdrachten toevoegen en beheren voor meer informatie over het toevoegen en beheren van menuopdrachten.


OLE-programma-id's

Mogelijk is een deel van dit onderwerp niet van toepassing op bepaalde talen.

U kunt een OLE-programma-id (ook wel prog-id genoemd) gebruiken om een automatiseringsobject te maken. In de volgende tabel worden de OLE-programma-id's weergegeven voor ActiveX-besturingselementen, Microsoft Office-toepassingen en Microsoft Office Web Components.

ActiveX-besturingselementen

Microsoft Access

Microsoft Excel

Microsoft Graph

Microsoft Office Web Components

Microsoft Outlook

Microsoft PowerPoint

Microsoft Word

ActiveX-besturingselementen

Als u een ActiveX-besturingselement wilt maken dat in de volgende tabel is weergegeven, moet u de corresponderende OLE-programma-id gebruiken.

Als u dit besturingselement wilt maken | Gebruikt u deze programma-id
CheckBox | Forms.CheckBox.1
ComboBox | Forms.ComboBox.1
CommandButton | Forms.CommandButton.1
Frame | Forms.Frame.1
Image | Forms.Image.1
Label | Forms.Label.1
ListBox | Forms.ListBox.1
MultiPage | Forms.MultiPage.1
OptionButton | Forms.OptionButton.1
ScrollBar | Forms.ScrollBar.1
SpinButton | Forms.SpinButton.1
TabStrip | Forms.TabStrip.1
TextBox | Forms.TextBox.1
ToggleButton | Forms.ToggleButton.1

Microsoft Access

Als u een Microsoft Access-object wilt maken dat in de volgende tabel is weergegeven, moet u een van de corresponderende OLE-programma-id's gebruiken. Als u een id gebruikt zonder versienummer als achtervoegsel, maakt u een object in de meest recente versie van Access die beschikbaar is op de computer waarop de macro wordt uitgevoerd.

Als u dit object wilt maken | Gebruikt u een van deze id's
Application | Access.Application
CurrentData | Access.CodeData, Access.CurrentData
CurrentProject | Access.CodeProject, Access.CurrentProject
DefaultWebOptions | Access.DefaultWebOptions

Microsoft Excel

Als u een Microsoft Excel-object wilt maken dat in de volgende tabel is weergegeven, moet u een van de corresponderende OLE-programma-id's gebruiken. Als u een id gebruikt zonder versienummer als achtervoegsel, maakt u een object in de meest recente versie van Excel die beschikbaar is op de computer waarop de macro wordt uitgevoerd.

Als u dit object wilt maken | Gebruikt u deze programma-id | Aanvullende informatie
Application | Excel.Application |
Workbook | Excel.AddIn |
Workbook | Excel.Chart | Resulteert in een werkmap met twee nieuwe werkbladen: een voor de grafiek en een voor de gegevens van de grafiek. Het werkblad met de grafiek is het actieve werkblad.
Workbook | Excel.Sheet | Resulteert in een werkmap met één werkblad.

Microsoft Graph

Als u een Microsoft Graph-object wilt maken dat in de volgende tabel is weergegeven, moet u een van de corresponderende OLE-programma-id's gebruiken. Als u een id gebruikt zonder versienummer als achtervoegsel, maakt u een object in de meest recente versie van Graph die beschikbaar is op de computer waarop de macro wordt uitgevoerd.

Als u dit object wilt maken | Gebruikt u deze programma-id
Application | MSGraph.Application
Chart | MSGraph.Chart

Microsoft Office Web Components

Als u een object voor Microsoft Office Web Components wilt maken dat in de volgende tabel is weergegeven, moet u een van de corresponderende OLE-programma-id's gebruiken. Als u een id gebruikt zonder versienummer als achtervoegsel, maakt u een object in de meest recente versie van Microsoft Office Web Components die beschikbaar is op de computer waarop de macro wordt uitgevoerd.

Als u dit object wilt maken | Gebruikt u een van deze id's
ChartSpace | OWC.Chart
DataSourceControl | OWC.DataSourceControl
ExpandControl | OWC.ExpandControl
PivotTable | OWC.PivotTable
RecordNavigationControl | OWC.RecordNavigationControl
Spreadsheet | OWC.Spreadsheet

Microsoft Outlook

Als u een Microsoft Outlook-object wilt maken dat in de volgende tabel is weergegeven, moet u een van de corresponderende OLE-programma-id's gebruiken. Als u een id gebruikt zonder versienummer als achtervoegsel, maakt u een object in de meest recente versie van Outlook die beschikbaar is op de computer waarop de macro wordt uitgevoerd.

Als u dit object wilt maken | Gebruikt u deze programma-id
Application | Outlook.Application

Microsoft PowerPoint

Als u een Microsoft PowerPoint-object wilt maken dat in de volgende tabel is weergegeven, moet u een van de corresponderende OLE-programma-id's gebruiken. Als u een id gebruikt zonder versienummer als achtervoegsel, maakt u een object in de meest recente versie van PowerPoint die beschikbaar is op de computer waarop de macro wordt uitgevoerd.

Als u dit object wilt maken | Gebruikt u deze programma-id
Application | PowerPoint.Application

Microsoft Word

Als u een Microsoft Word-object wilt maken dat in de volgende tabel is weergegeven, moet u een van de corresponderende OLE-programma-id's gebruiken. Als u een id gebruikt zonder versienummer als achtervoegsel, maakt u een object in de meest recente versie van Word die beschikbaar is op de computer waarop de macro wordt uitgevoerd.

Als u dit object wilt maken | Gebruikt u een van deze id's
Application | Word.Application
Document | Word.Document, Word.Template
Global | Word.Global


AnswerWizard, object

AnswerWizard (AnswerWizardFiles)

Mogelijk is een deel van dit onderwerp niet van toepassing op bepaalde talen.

Dit object vertegenwoordigt de Antwoordwizard in een Microsoft Office-toepassing. Er is slechts één Antwoordwizard per toepassing beschikbaar en alle wijzigingen die u in de AnswerWizard-collectie of de AnswerWizardFiles-collectie aanbrengt, hebben onmiddellijk invloed op de actieve Office-toepassing.

Werken met het AnswerWizard-object

Gebruik de methode ClearFileList om alle items uit de lijst met bestanden die beschikbaar zijn voor de actieve Antwoordwizard, te verwijderen. Met deze methode zorgt u ervoor dat de standaardbestanden die beschikbaar zijn voor de Office-hosttoepassing, niet langer toegankelijk zijn via de Antwoordwizard. U kunt bijvoorbeeld de Antwoordwizard-bestanden door aangepaste .AW-bestanden vervangen. In het volgende voorbeeld wordt de bestandenlijst voor de standaard-Antwoordwizard gewist en worden vervolgens twee bestanden aan de aangepaste Antwoordwizard toegevoegd.

customAnswerWizard.ClearFileList
customAnswerWizard.Files.Add ("c:\awfiles\custom_1.aw")
customAnswerWizard.Files.Add ("c:\awfiles\custom_2.aw")

Gebruik de methode ResetFileList als u de huidige lijst met bestanden voor de actieve Antwoordwizard weer wilt vervangen door de standaardlijst met bestanden voor de Office-hosttoepassing. U kunt ook een aangepaste standaardbestandenlijst in het Windows-register maken door de namen van de aangepaste bestanden aan de juiste registersleutel toe te voegen. De bestanden die in die registersleutel worden opgegeven, worden dan teruggezet als de methode ResetFileList wordt aangeroepen. In dit voorbeeld worden de standaardbestanden in de bestandenlijst voor de actieve Antwoordwizard teruggezet.

customAnswerWizard.ResetFileList

Gebruik de eigenschap Files om de collectie verwijzingen naar Antwoordwizard-bestanden op te vragen. De eigenschap Files geeft een collectie tekenreeksen als resultaat die naar .AW-bestanden verwijzen. In het volgende voorbeeld wordt de AnswerWizardFiles-collectie als resultaat gegeven en wordt het aantal bestanden in een berichtvenster weergegeven.

Dim customAnswerWizardFiles As AnswerWizardFiles
Set customAnswerWizardFiles = Application.AnswerWizard.Files

MsgBox customAnswerWizardFiles.Count


AnswerWizardFiles, collectieobject

AnswerWizard (AnswerWizardFiles)

Mogelijk is een deel van dit onderwerp niet van toepassing op bepaalde talen.

Dit is een collectie verwijzingen naar Antwoordwizard-bestanden. De AnswerWizardFiles-collectie bevat alle Antwoordwizard-bestanden (met de bestandsnaamextensie .AW) die beschikbaar zijn voor de actieve Microsoft Office-toepassing.

Werken met de AnswerWizardFiles-collectie

Gebruik de eigenschap Files om de collectie verwijzingen naar Antwoordwizard-bestanden op te vragen. De eigenschap Files geeft een collectie tekenreeksen als resultaat die naar .AW-bestanden verwijzen. In het volgende voorbeeld wordt de AnswerWizardFiles-collectie als resultaat gegeven en wordt het aantal bestanden in een berichtvenster weergegeven.

Dim customAnswerWizardFiles As AnswerWizardFiles
Set customAnswerWizardFiles = Application.AnswerWizard.Files

MsgBox customAnswerWizardFiles.Count

Gebruik de methode Add als u extra bestanden beschikbaar wilt maken voor de actieve Antwoordwizard. In het volgende voorbeeld wordt het bestand Custom_1.aw aan de lijst met Antwoordwizard-bestanden in de actieve Office-toepassing toegevoegd.

Dim customAnswerWizard As AnswerWizard
Set customAnswerWizard = Application.AnswerWizard

customAnswerWizard.Files.Add ("c:\awfiles\custom_1.aw")

Gebruik de eigenschap Item om de naam van een bestaande verwijzing naar een Antwoordwizard-bestand op te vragen. In het volgende voorbeeld wordt een berichtvenster weergegeven met de naam van het bestand waarnaar wordt verwezen met Item(1).

MsgBox customAnswerWizard.Files.Item(1)


Assistant, object

Assistant
Balloon
BalloonCheckBoxes (BalloonCheckBox)
BalloonLabels (BalloonLabel)

Mogelijk is een deel van dit onderwerp niet van toepassing op bepaalde talen.

Dit object vertegenwoordigt de Microsoft Office-assistent.

Werken met het Assistant-object

Met de eigenschap Assistant kunt u het Assistant-object als resultaat geven. Het Assistant-object behoort niet tot een collectie. Er kan slechts één Assistant-object tegelijk actief zijn. U kunt de Office-assistent weergeven met de eigenschap Visible en inschakelen met de eigenschap On.

Aanvullende informatie

De standaardassistent is Snuffel. Met de eigenschap FileName kunt u een andere assistent selecteren.

In het volgende voorbeeld wordt een assistent zichtbaar gemaakt en wordt een animatie weergegeven.

With Assistant
    .Visible = True
    .Animation = msoAnimationGreeting
End With


Balloon, object

Assistant
Balloon
BalloonCheckBoxes (BalloonCheckBox)
BalloonLabels (BalloonLabel)

Mogelijk is een deel van dit onderwerp niet van toepassing op bepaalde talen.

Dit object vertegenwoordigt de ballon waarin de teksten van de Office-assistent worden weergegeven. Een ballon kan besturingselementen bevatten (bijvoorbeeld selectievakjes of labels).

Werken met het Balloon-object

Met de eigenschap NewBalloon kunt u een Balloon-object als resultaat geven. Het Balloon-object behoort niet tot een collectie. Er kan slechts één ballon tegelijk zichtbaar zijn. Wel kunt u meerdere ballonnen definiëren en elk van deze ballonnen oproepen wanneer u dat nodig vindt. Zie voor meer informatie 'Ballonnen definiëren en opnieuw gebruiken' verderop in dit onderwerp.

Met de eigenschap Show maakt u de opgegeven ballon zichtbaar. Gebruik de eigenschap Callback om procedures uit te voeren die gebaseerd zijn op selecties in niet-modusgebonden ballonnen (ballonnen die zichtbaar blijven wanneer de gebruiker in de toepassing werkt). Gebruik de methode Close om niet-modusgebonden ballonnen te sluiten.

In het volgende voorbeeld wordt een ballon gemaakt die tips voor het opslaan van ingevoerde gegevens bevat.

With Assistant.NewBalloon
    .BalloonType = msoBalloonTypeBullets
    .Icon = msoIconTip
    .Button = msoButtonSetOk
    .Heading = "Tips for Saving Information."
    .Labels(1).Text = "Save your work often."
    .Labels(2).Text = "Install a surge protector."
    .Labels(3).Text = "Exit your application properly."
    .Show
End With

Ballonnen definiëren en opnieuw gebruiken

Als u balloon-objecten die u eerder hebt gemaakt, opnieuw wilt gebruiken, wijst u de objecten toe aan variabelen. U kunt de ballonnen dan op elk gewenst moment tijdens de procedure oproepen. In het volgende voorbeeld worden balloon1 en balloon2 gedefinieerd als afzonderlijke ballonnen zodat ze opnieuw kunnen worden gebruikt.

Set balloon1 = Assistant.NewBalloon
balloon1.Heading = "First balloon"
Set balloon2 = Assistant.NewBalloon
balloon2.Heading = "Second balloon"
balloon1.Show
balloon2.Show
balloon1.Heading = "First balloon, new heading"
balloon1.Show

U kunt ballon-objectvariabelen ook combineren in een matrix en in de matrix van een index voorzien.


BalloonCheckBox, object

Assistant
Balloon
BalloonCheckBoxes (BalloonCheckBox)
BalloonLabels (BalloonLabel)

Mogelijk is een deel van dit onderwerp niet van toepassing op bepaalde talen.

Dit object vertegenwoordigt een selectievakje in de ballon van de Office-assistent. Het BalloonCheckBox-object maakt deel uit van de BalloonCheckBoxes-collectie.

Werken met het BalloonCheckBox-object

Met Checkboxes(index), waarbij index staat voor een getal van 1 tot en met 5, kunt u een afzonderlijk BalloonCheckBox-object weergeven. Een ballon kan maximaal vijf selectievakjes bevatten. Een selectievakje wordt weergegeven wanneer aan de eigenschap Text van dat selectievakje een waarde wordt toegewezen.

In het volgende voorbeeld wordt een ballon met een titel, een tekstregel en drie keuzemogelijkheden gemaakt. De gebruiker schakelt een of meer selectievakjes in en klikt vervolgens op OK waarna de opgegeven procedures worden opgeroepen.

With Assistant.NewBalloon
    .Heading = "Regional Sales Data"
    .Text = "Select your region"
    For i = 1 To 3
        .CheckBoxes(i).Text = "Region " & i
    Next
    .Button = msoButtonSetOkCancel
    .Show
    If .CheckBoxes(1).Checked Then
        runregion1
    End If
    If .CheckBoxes(2).Checked Then
        runregion2
    End If
    If .CheckBoxes(3).Checked Then
        runregion3
    End If
End With

Aanvullende informatie

De selectievakjes in een ballon geven aan welke keuze de gebruiker heeft gemaakt totdat de gebruiker de ballon sluit. U kunt ballonlabels gebruiken in combinatie met de methode Select om zodra de gebruiker op de knop naast de label klikt, een getal als resultaat te geven dat correspondeert met de keuze van de gebruiker. Als u waarden wilt doorgeven aan de methode Select, dient u het type ballon in te stellen op msoBalloonTypeButtons.


BalloonCheckBoxes, collectieobject

Assistant
Balloon
BalloonCheckBoxes (BalloonCheckBox)
BalloonLabels (BalloonLabel)

Mogelijk is een deel van dit onderwerp niet van toepassing op bepaalde talen.

Dit is een collectie van BalloonCheckBox-objecten die alle selectievakjes in de ballon van de Office-assistent vertegenwoordigen.

Werken met de BalloonCheckBoxes-collectie

Met de eigenschap CheckBoxes kunt u de BalloonCheckBoxes-collectie als resultaat geven.

Met CheckBoxes(index), waarbij index staat voor een getal van 1 tot en met 5, kunt u een afzonderlijk BalloonCheckBox-object als resultaat geven. U kunt per ballon maximaal vijf selectievakjes opgeven (en vijf labels). Elk selectievakje verschijnt wanneer aan de eigenschap Text van dat selectievakje een waarde wordt toegewezen. Als u meer dan vijf selectievakjes opgeeft, treedt er een runtimefout op.

In het volgende voorbeeld wordt een ballon gemaakt met een titel, een tekst en drie keuzemogelijkheden. Als de gebruiker een of meer selectievakjes inschakelt en vervolgens op OK klikt, wordt de opgegeven procedure of worden de opgegeven procedures opgeroepen.

With Assistant.NewBalloon
    .Heading = "Regional Sales Data"
    .Text = "Select your region"
    For i = 1 To 3
        .CheckBoxes(i).Text = "Region " & i
    Next
    .Button = msoButtonSetOkCancel
    .Show
    If .CheckBoxes(1).Checked Then
        runregion1
    End If
    If .CheckBoxes(2).Checked Then
        runregion2
    End If
    If .CheckBoxes(3).Checked Then
        runregion3
    End If
End With

U kunt geen selectievakjes toevoegen aan of verwijderen uit de BalloonCheckBoxes-collectie nadat de ballon is weergegeven.

Aanvullende informatie

De selectievakjes in een ballon geven aan welke keuze de gebruiker heeft gemaakt totdat de gebruiker de ballon sluit. U kunt ballonlabels gebruiken in combinatie met de methode Select om, zodra de gebruiker op de knop naast de label klikt, een getal als resultaat te geven dat correspondeert met de keuze van de gebruiker. Als u waarden wilt doorgeven aan de methode Select, dient u het type ballon in te stellen op msoBalloonTypeButtons.


BalloonLabel, object

Assistant
Balloon
BalloonCheckBoxes (BalloonCheckBox)
BalloonLabels (BalloonLabel)

Mogelijk is een deel van dit onderwerp niet van toepassing op bepaalde talen.

Dit object vertegenwoordigt een label in de ballon van de Office-assistent. Het BalloonLabel-object maakt deel uit van de BalloonLabels-collectie.

Werken met het BalloonLabel-object

Met Labels(index), waarbij index een getal van 1 tot en met 5 is, kunt u een BalloonLabel-object als resultaat geven. Een ballon kan maximaal vijf labels bevatten. Een label wordt weergegeven wanneer aan de eigenschap Text van de label een waarde is toegekend.

In het volgende voorbeeld wordt een ballon gemaakt waarin de gebruiker gevraagd wordt op de label te klikken die overeenkomt met zijn of haar leeftijdsgroep.

With Assistant.NewBalloon
    .Heading = "Check Your Age Group."
    .Labels(1).Text = "Under 30."
    .Labels(2).Text = "30 to 50."
    .Labels(3).Text = "Over 50."
    .Text = "Which of the following " _
        & .Labels.Count & " choices apply to you?"
    .Show
End With

Aanvullende informatie

De selectievakjes in een ballon geven aan welke keuze de gebruiker heeft gemaakt totdat de gebruiker de ballon sluit. U kunt ballonlabels gebruiken in combinatie met de methode Select om zodra de gebruiker op de knop naast de label klikt, een getal als resultaat te geven dat correspondeert met de keuze van de gebruiker. Als u waarden wilt doorgeven aan de methode Select, dient u het type ballon in te stellen op msoBalloonTypeButtons.


BalloonLabels, collectieobject

Assistant
Balloon
BalloonCheckBoxes (BalloonCheckBox)
BalloonLabels (BalloonLabel)

Mogelijk is een deel van dit onderwerp niet van toepassing op bepaalde talen.

Dit is een collectie van BalloonLabel-objecten die alle labels in de ballon van de Office-assistent vertegenwoordigen.

Werken met de BalloonLabels-collectie

Met de eigenschap Labels kunt u de BalloonLabels-collectie als resultaat geven.

Met Labels(index), waarbij index staat voor een getal van 1 tot en met 5, kunt u een BalloonLabel-object als resultaat geven. U kunt per ballon maximaal vijf labels (en vijf selectievakjes) opgeven. Een label wordt weergegeven wanneer aan de eigenschap Text van deze label een waarde wordt toegewezen.

In het volgende voorbeeld wordt een ballon gemaakt met drie keuzemogelijkheden. De variabele returnValue wordt ingesteld op de resultaatwaarde van de methode Show, die 1, 2 of 3 zal zijn, overeenkomstig de label waarop de gebruiker klikt. In het voorbeeld wordt de waarde van variabele returnValue als resultaat gegeven. Deze waarde kunt u vervolgens doorgeven aan een andere procedure of gebruiken in een Select Case-instructie.

Set b = Assistant.NewBalloon
With b
    .Heading = "This is my heading"
    .Text = "Select one of these things:"
    .Labels(1).Text = "Choice One"
    .Labels(2).Text = "Choice Two"
    .Labels(3).Text = "Choice Three"
    returnValue = .Show
End With

Aanvullende informatie

De selectievakjes in een ballon geven aan welke keuze de gebruiker heeft gemaakt totdat de gebruiker de ballon sluit. U kunt ballonlabels gebruiken in combinatie met de methode Select om zodra de gebruiker op de knop naast de label klikt, een getal als resultaat te geven dat correspondeert met de keuze van de gebruiker. Als u waarden wilt doorgeven aan de methode Select, dient u het type ballon in te stellen op msoBalloonTypeButtons.


COMAddIn, object

COMAddIns (COMAddIn)

Dit object vertegenwoordigt een COM-invoegtoepassing in de Microsoft Office-hosttoepassing. Het COMAddIn-object maakt deel uit van de COMAddIns-collectie.

Het COMAddIn-object gebruiken

Gebruik COMAddIns.Item(index), waarbij index een rangtelwoord is dat de COM-invoegtoepassing op die positie in de COMAddIns-collectie als resultaat geeft, of een String die de ProgID van de opgegeven COM-invoegtoepassing vertegenwoordigt. In het volgende voorbeeld wordt de beschrijving van een COM-invoegtoepassing in een berichtvenster weergegeven.

MsgBox Application.COMAddIns.Item("msodraa9.ShapeSelect").Description

Gebruik de eigenschap ProgID van het COMAddin-object om de programma-id voor een COM-invoegtoepassing als resultaat te geven en gebruik de eigenschap Guid om de GUID (Globally Unique Identifier) voor de invoegtoepassing als resultaat te geven. In het volgende voorbeeld worden de ProgID en de GUID voor COM-invoegtoepassing 1 in een berichtvenster weergegeven.

MsgBox "My ProgID is " & _
    Application.COMAddIns(1).ProgID & _
    " and my GUID is " & _
    Application.COMAddIns(1).Guid

Gebruik de eigenschap Connect om de status van de verbinding naar een opgegeven COM-invoegtoepassing als resultaat te geven of in te stellen. In het volgende voorbeeld wordt een berichtvenster weergegeven waarin wordt aangegeven of COM-invoegtoepassing 1 is geregistreerd en op dit moment is verbonden.

If Application.COMAddIns(1).Connect Then
    MsgBox "The add-in is connected."
Else
MsgBox "The add-in is not connected."
End If


COMAddIns-collectie, object

COMAddIns (COMAddIn)

Dit object vertegenwoordigt een collectie COMAddIn-objecten die informatie verschaffen over een COM-invoegtoepassing die in het Windows-register is geregistreerd.

De COMAddIns-collectie gebruiken

Gebruik de eigenschap COMAddIns van het Application-object om de COMAddIns-collectie voor een Microsoft Office-hosttoepassing als resultaat te geven. Deze collectie bevat alle COM-invoegtoepassingen die beschikbaar zijn voor een bepaalde Office-hosttoepassing. De eigenschap Count van de COMAddins-collectie geeft het aantal beschikbare COM-invoegtoepassingen als resultaat. Zie het volgende voorbeeld.

MsgBox Application.COMAddIns.Count

Gebruik de methode Update van de COMAddins-collectie om de lijst met COM-invoegtoepassingen te vernieuwen vanuit het Windows-register. Zie het volgende voorbeeld.

Application.COMAddIns.Update

Gebruik COMAddIns.Item(index), waarbij index een rangtelwoord is dat een COM-invoegtoepassing op die positie in de COMAddIns-collectie als resultaat geeft, of een String die de ProgID van de opgegeven COM-invoegtoepassing vertegenwoordigt. In het volgende voorbeeld worden de beschrijving en de ProgID ('msodraa9.ShapeSelect')van een COM-invoegtoepassing in een berichtvenster weergegeven.

MsgBox Application.COMAddIns.Item("msodraa9.ShapeSelect").Description


CommandBar, object

CommandBars (CommandBar)
CommandBarControls (CommandBarControl)
CommandBarButton
CommandBarComboBox
CommandBarPopup

Mogelijk is een deel van dit onderwerp niet van toepassing op bepaalde talen.

Dit object vertegenwoordigt een opdrachtbalk in de containertoepassing. Het CommandBar-object maakt deel uit van de CommandBars-collectie.

Werken met het CommandBar-object

Met CommandBars(index), waarbij index de naam of het indexnummer van een opdrachtbalk is, kunt u een afzonderlijk CommandBar-object als resultaat geven. In het volgende voorbeeld wordt in de collectie opdrachtbalken gezocht naar de opdrachtbalk met de naam 'Forms'. Als deze opdrachtbalk wordt gevonden, wordt deze zichtbaar gemaakt en wordt de dokstatus beveiligd. In dit voorbeeld vertegenwoordigt de variabele cb een CommandBar-object.

foundFlag = False
For Each cb In CommandBars
    If cb.Name = "Forms" Then
        cb.Protection = msoBarNoChangeDock
        cb.Visible = True
        foundFlag = True
    End If
Next cb
If Not foundFlag Then
    MsgBox "The collection does not contain a Forms command bar."
End If

U kunt een naam of een indexnummer gebruiken om een menubalk of werkbalk op te geven in de lijst beschikbare menubalken en werkbalken in de containertoepassing. Als u een menu, vervolgmenu of snelmenu (alle vertegenwoordigd door CommandBar-objecten) wilt opgeven, moet u echter de naam gebruiken. In het voorbeeld hierna wordt onder aan het menu Tools een nieuwe menuopdracht toegevoegd. Als de gebruiker op de menuopdracht klikt, wordt de procedure 'qtrReport' uitgevoerd.

Set newItem = CommandBars("Tools").Controls.Add(Type:=msoControlButton)
With newItem
    .BeginGroup = True
    .Caption = "Make Report"
    .FaceID = 0
    .OnAction = "qtrReport"
End With

Als twee of meer aangepaste menu's of vervolgmenu's dezelfde naam hebben, geeft CommandBars(index) het eerst gevonden menu als resultaat. In dat geval kunt u het juiste menu of vervolgmenu als resultaat geven door gebruik te maken van het pop-up besturingselement dat het menu weergeeft. Als u de eigenschap CommandBar op dit pop-up besturingselement toepast, wordt de opdrachtbalk die het menu vertegenwoordigt, als resultaat gegeven.

In het volgende voorbeeld is het derde besturingselement op de werkbalk 'Custom Tools' een pop-up besturingselement. Onder aan het menu van dat besturingselement wordt de opdracht Save toegevoegd.

Set viewMenu = CommandBars("Custom Tools").Controls(3)
viewMenu.Controls.Add ID:=3    'ID of Save command is 3


CommandBarButton, object

CommandBars (CommandBar)
 CommandBarControls (CommandBarControl)
 CommandBarButton
 CommandBarComboBox
 CommandBarPopup

Dit object vertegenwoordigt een knop op een opdrachtbalk.

Werken met het CommandBarButton-object

Met Controls(index), waarbij index het indexnummer van het besturingselement is, kunt u een CommandBarButton-object als resultaat geven. (De eigenschap Type van het besturingselement moet msoControlButton zijn.)

In het volgende voorbeeld is het tweede besturingselement op de opdrachtbalk 'Custom' een knop. De stijl van deze knop wordt gewijzigd.

Set c = CommandBars("Custom").Controls(2)
With c
If .Type = msoControlButton Then
    If .Style = msoButtonIcon Then
        .Style = msoButtonIconAndCaption
    Else
        .Style = msoButtonIcon
    End If
End If
End With

U kunt ook de methode FindControl gebruiken om een CommandBarButton-object als resultaat te geven.


CommandBarComboBox, object

CommandBars (CommandBar)
 CommandBarControls (CommandBarControl)
 CommandBarButton
 CommandBarComboBox
 CommandBarPopup

Dit object vertegenwoordigt een keuzelijst met invoervak op een opdrachtbalk.

Werken met het CommandBarComboBox-object

Met Controls(index), waarbij index het indexnummer van het besturingselement is, kunt u een CommandBarComboBox-object als resultaat geven. (De eigenschap Type van het besturingselement moet msoControlEdit, msoControlDropdown, msoControlComboBox, msoControlButtonDropdown, msoControlSplitDropdown, msoControlOCXDropdown, msoControlGraphicCombo of msoControlGraphicDropdown zijn.)

In het volgende voorbeeld worden twee elementen toegevoegd aan het tweede besturingselement op de opdrachtbalk 'Custom'. Vervolgens wordt het formaat van het besturingselement aangepast.

Set combo = CommandBars("Custom").Controls(2)
With combo
    .AddItem "First Item", 1
    .AddItem "Second Item", 2
    .DropDownLines = 3
    .DropDownWidth = 75
    .ListIndex = 0
End With

U kunt ook de methode FindControl gebruiken om een CommandBarComboBox-object als resultaat te geven. In het volgende voorbeeld wordt in alle opdrachtbalken gezocht naar een zichtbaar CommandBarComboBox-object met de Tag (Extra info) 'sheet assignments'.

Set myControl = CommandBars.FindControl _
(Type:=msoControlComboBox, Tag:="sheet assignments", Visible:=True)


CommandBarControl, object

CommandBars (CommandBar)
CommandBarControls (CommandBarControl)
CommandBarButton
CommandBarComboBox
CommandBarPopup

Dit object vertegenwoordigt een opdrachtbalk-besturingselement. Het CommandBarControl-object maakt deel uit van de CommandBarControls-collectie. De eigenschappen en methoden van het CommandBarButton-object, CommandBarComboBox-object en CommandBarPopup-object zijn dezelfde als die van het CommandBarControl-object.

Opmerking Als u Visual Basic-programmacode schrijft om met aangepaste opdrachtbalk-besturingselementen te werken, moet u het CommandBarButton-object, CommandBarComboBox-object en CommandBarPopup-object gebruiken. Schrijft u code om met ingebouwde besturingselementen in de containertoepassing te werken, die niet door een van de bovenstaande objecten kunnen worden vertegenwoordigd, dan gebruikt u het CommandBarControl-object.

Werken met het CommandBarControl-object

Met Controls(index), waarbij index het indexnummer van een besturingselement is, kunt u een CommandBarControl-object als resultaat geven. (De eigenschap Type van het besturingselement moet msoControlLabel, msoControlExpandingGrid, msoControlSplitExpandingGrid, msoControlGrid of msoControlGauge zijn.)

Opmerking Aan variabelen die zijn gedeclareerd als CommandBarControl kunnen CommandBarButton-, CommandBarComboBox- en CommandBarPopup-waarden worden toegekend.

U kunt ook de methode FindControl gebruiken om een CommandBarControl-object als resultaat te geven. In het voorbeeld hieronder wordt gezocht naar een besturingselement van het type msoControlGauge. Als dit besturingselement wordt gevonden, worden zijn indexnummer en de naam van de opdrachtbalk die het besturingselement bevat, weergegeven. In dit voorbeeld vertegenwoordigt de variabele lbl een CommandBarControl-object.

Set lbl = CommandBars.FindControl(Type:= msoControlGauge)
If lbl Is Nothing Then
    MsgBox "A control of type msoControlGauge was not found."
Else
    MsgBox "Control " & lbl.Index & " on command bar " _
        & lbl.Parent.Name & " is type msoControlGauge"
End If


CommandBarControls, collectieobject

CommandBars (CommandBar)
 CommandBarControls (CommandBarControl)
 CommandBarButton
 CommandBarComboBox
 CommandBarPopup

Dit is een collectie van CommandBarControl-objecten die de opdrachtbalk-besturingselementen op een opdrachtbalk vertegenwoordigen.

Werken met de CommandBarControls-collectie

Met de eigenschap Controls kunt u de CommandBarControls-collectie als resultaat geven. In het volgende voorbeeld wordt het bijschrift van ieder besturingselement op de werkbalk 'Standard' gewijzigd in de huidige waarde van de eigenschap Id voor dat besturingselement.

For Each ctl In CommandBars("Standard").Controls
    ctl.Caption = CStr(ctl.Id)
Next ctl

Met de methode Add kunt u een nieuw opdrachtbalk-besturingselement aan de CommandBarControls-collectie toevoegen. In het volgende voorbeeld wordt een nieuwe, lege knop aan de opdrachtbalk 'Custom' toegevoegd.

Set myBlankBtn = CommandBars("Custom").Controls.Add

Met Controls(index), waarbij index het bijschrift of indexnummer van een besturingselement is, kunt u een CommandBarControl-object, CommandBarButton-object, CommandBarComboBox-object of CommandBarPopup-object als resultaat geven. In het volgende voorbeeld wordt het eerste besturingselement op de opdrachtbalk 'Standard' gekopieerd naar de opdrachtbalk 'Custom'.

Set myCustomBar = CommandBars("Custom")
Set myControl = CommandBars("Standard").Controls(1)
myControl.Copy Bar:=myCustomBar, Before:=1


CommandBarPopup, object

CommandBars (CommandBar)
CommandBarControls (CommandBarControl)
CommandBarButton
CommandBarComboBox
CommandBarPopup

Dit object vertegenwoordigt een pop-up besturingselement op een opdrachtbalk.

Werken met het CommandBarPopup-object

Met Controls(index), waarbij index het nummer van het besturingselement is, kunt u een CommandBarPopup-object als resultaat geven. (De eigenschap Type van het besturingselement moet msoControlPopup, msoControlGraphicPopup, msoControlButtonPopup, msoControlSplitButtonPopup of msoControlSplitButtonMRUPopup zijn.)

U kunt ook de methode FindControl gebruiken om een CommandBarPopup-object als resultaat te geven. In het volgende voorbeeld wordt in alle opdrachtbalken gezocht naar een CommandBarPopup-object met de Tag (Extra info) 'Graphics'.

Set myControl = Application.CommandBars.FindControl _
(Type:=msoControlPopup, Tag:="Graphics")

Aanvullende informatie

Elk pop-up besturingselement bevat een CommandBar-object. Als u de opdrachtbalk via een pop-up besturingselement als resultaat wilt geven, moet u de eigenschap CommandBar toepassen op het CommandBarPopup-object.


CommandBars, collectieobject

CommandBars (CommandBar)
CommandBarControls (CommandBarControl)
CommandBarButton
CommandBarComboBox
CommandBarPopup

Dit is een collectie van CommandBar-objecten die de opdrachtbalken in de containertoepassing vertegenwoordigen.

Werken met de CommandBars-collectie

Met de eigenschap CommandBars kunt u de CommandBars-collectie als resultaat geven. In het volgende voorbeeld wordt in het venster Immediate zowel de naam als de lokale naam van iedere menubalk en werkbalk weergegeven. Tevens wordt een waarde weergegeven die aanduidt of de menubalk of werkbalk zichtbaar is.

For Each cbar in CommandBars
    Debug.Print cbar.Name, cbar.NameLocal, cbar.Visible
Next

Met de methode Add kunt u een nieuwe opdrachtbalk toevoegen aan de collectie. In het volgende voorbeeld wordt een aangepaste werkbalk gemaakt die de naam 'Custom1' krijgt. De werkbalk wordt vervolgens zwevend weergegeven.

Set cbar1 = CommandBars.Add(Name:="Custom1", Position:=msoBarFloating)
cbar1.Visible = True

Met CommandBars(index), waarbij index de naam of het indexnummer van een opdrachtbalk is, kunt u een afzonderlijk CommandBar-object als resultaat geven. In het volgende voorbeeld wordt de werkbalk 'Custom1' in een dok aan de onderzijde van het toepassingsvenster geplaatst.

CommandBars("Custom1").Position = msoBarBottom

Opmerking U kunt de naam of het indexnummer gebruiken om een menubalk of werkbalk op te geven in de lijst beschikbare menubalken en werkbalken in de containertoepassing. Als u een menu, vervolgmenu of snelmenu (alle vertegenwoordigd door CommandBar-objecten) wilt opgeven, moet u echter de naam gebruiken.

Als twee of meer aangepaste menu's of vervolgmenu's dezelfde naam hebben, geeft CommandBars(index) het eerst gevonden menu als resultaat. In dat geval kunt u het juiste menu of vervolgmenu als resultaat geven door gebruik te maken van het pop-up besturingselement dat het menu weergeeft. Als u de eigenschap CommandBar op dit pop-up besturingselement toepast, wordt de opdrachtbalk die het menu vertegenwoordigt, als resultaat gegeven.


DocumentProperties, collectieobject

Dit is een collectie van DocumentProperty-objecten. Elk DocumentProperty-object vertegenwoordigt een ingebouwde of aangepaste eigenschap van een containerdocument.

Werken met de DocumentProperties-collectie

Gebruik de methode Add om een nieuwe aangepaste eigenschap te maken en deze toe te voegen aan de DocumentProperties-collectie. U kunt met de methode Add geen ingebouwde documenteigenschappen maken.

Met BuiltinDocumentProperties(index), waarbij index het indexnummer van de ingebouwde documenteigenschap is, kunt u een afzonderlijk DocumentProperty-object als resultaat geven dat een bepaalde ingebouwde documenteigenschap vertegenwoordigt. Met CustomDocumentProperties(index), waarbij index het nummer van de aangepaste documenteigenschap is, geeft u een DocumentProperty-object als resultaat dat een bepaalde aangepaste documenteigenschap vertegenwoordigt.


DocumentProperty, object

Dit object vertegenwoordigt een aangepaste of ingebouwde documenteigenschap van een containerdocument. Het DocumentProperty-object maakt deel uit van de DocumentProperties-collectie.

Werken met het DocumentProperty-object

Met BuiltinDocumentProperties(index), waarbij index de naam of het indexnummer van de ingebouwde documenteigenschap is, kunt u een afzonderlijk DocumentProperty-object als resultaat geven dat een bepaalde ingebouwde documenteigenschap vertegenwoordigt. Met CustomDocumentProperties(index), waarbij index de naam of het indexnummer van de aangepaste documenteigenschap is, geeft u een DocumentProperty-object als resultaat dat een bepaalde aangepaste documenteigenschap vertegenwoordigt.

De volgende lijst bevat de namen van alle ingebouwde documenteigenschappen die beschikbaar zijn:

Titel

Onderwerp

Auteur

Trefwoorden

Aanvullende informatie

Sjabloon

Laatste auteur

Revisienummer

Naam toepassing

Laatst afgedrukt op

Gemaakt

Laatste opslagtijd

Totale bewerkingstijd

Pagina's

 Woorden

Tekens

Beveiliging

Categorie

Opmaak

Manager

Bedrijf

Bytes

Regels

Alinea's

Dia's

Notities

Verborgen dia's

Multimediafragmenten

Containertoepassingen definiëren niet in alle gevallen een waarde voor elke ingebouwde documenteigenschap. Als een bepaalde toepassing voor een van de ingebouwde documenteigenschappen geen waarde definieert, treedt een fout op wanneer de eigenschap Value voor die documenteigenschap als resultaat wordt gegeven.


FileDialog, object

FileDialog
Meerdere objecten

Dit object biedt functionaliteit voor bestandsdialoogvensters die vergelijkbaar is met de functionaliteit van de standaarddialoogvensters Openen en Opslaan in de verschillende toepassingen van Microsoft Office. Met deze dialoogvensters kunnen gebruikers van uw oplossingen gemakkelijk de bestanden en mappen opgeven die voor uw oplossing moeten worden gebruikt.

Werken met het FileDialog-object

Met de eigenschap FileDialog kunt u een FileDialog-object als resultaat geven. De eigenschap FileDialog bevindt zich in de afzonderlijke Application-objecten van Microsoft Office-toepassingen. Voor deze eigenschap is een enkel DialogType-argument nodig, dat het type FileDialog-object bepaalt dat door de eigenschap als resultaat wordt gegeven. Er zijn vier typen FileDialog-objecten:

  • Dialoogvenster Openen: hiermee kan de gebruiker een of meer bestanden selecteren, die vervolgens kunnen worden geopend in de hosttoepassing met behulp van de methode Execute.
  • Dialoogvenster SaveAs: hiermee kan de gebruiker een enkel bestand selecteren dat vervolgens kan worden opgeslagen als het huidige bestand met behulp van de methode Execute.
  • Dialoogvenster voor het kiezen van bestanden: hiermee kan de gebruiker een of meer bestanden selecteren. De geselecteerde bestandspaden worden vastgelegd in de collectie FileDialogSelectedItems.
  • Dialoogvenster voor het kiezen van mappen: hiermee kan de gebruiker een pad selecteren. Het geselecteerde pad wordt opgeslagen in de collectie FileDialogSelectedItems.

Door hosttoepassingen kan slechts een exemplaar van het FileDialog-object worden geactiveerd. Veel van de eigenschappen van het FileDialog-object blijven derhalve behouden, zelfs wanneer u meerdere FileDialog-objecten maakt. Zorg er dan ook voor dat u alle eigenschappen op correcte wijze instelt voor het desbetreffende doeleinde wanneer u het dialoogvenster weergeeft.

Als u een bestandsdialoogvenster wilt weergeven met behulp van het FileDialog-object, moet u de methode Show gebruiken. Als een dialoogvenster wordt weergegeven, wordt er geen code uitgevoerd totdat de gebruiker het dialoogvenster sluit. In het volgende voorbeeld wordt een dialoogvenster voor het kiezen van bestanden gemaakt en weergegeven en wordt elk bestand dat is geselecteerd weergegeven in een berichtvak.

Sub Main()

    'Declare a variable as a FileDialog object.
    Dim fd As FileDialog

    'Create a FileDialog object as a File Picker dialog box.
    Set fd = Application.FileDialog(msoFileDialogFilePicker)

    'Declare a variable to contain the path
    'of each selected item. Even though the path is a String,
    'the variable must be a Variant because For Each...Next
    'routines only work with Variants and Objects.
    Dim vrtSelectedItem As Variant

    'Use a With...End With block to reference the FileDialog object.
    With fd

        'Use the Show method to display the File Picker dialog box and return the user's action.
        'The user pressed the action button.
        If .Show = -1 Then

            'Step through each string in the FileDialogSelectedItems collection.
            For Each vrtSelectedItem In .SelectedItems

                'vrtSelectedItem is a String that contains the path of each selected item.
                'You can use any file I/O functions that you want to work with this path.
                'This example simply displays the path in a message box.
                MsgBox "The path is: " & vrtSelectedItem

            Next vrtSelectedItem
        'The user pressed Cancel.
        Else
        End If
    End With

    'Set the object variable to Nothing.
    Set fd = Nothing

End Sub


FileDialogFilter, object

FileDialogFilters
FileDialogFilter

Dit object vertegenwoordigt een bestandsfilter in een bestandsdialoogvenster dat wordt weergegeven met behulp van het FileDialog-object. Door de bestandsfilters wordt bepaald welke bestanden worden weergegeven in het bestandsdialoogvenster.

Werken met het FileDialogFilter-object

U kunt de methode Item gebruiken met de FileDialogFilters-collectie om een FileDialogFilter-object als resultaat te geven. U kunt de methode Add gebruiken om een FileDialogFilter-object toe te voegen aan de FileDialogFilters-collectie. Met de eigenschap Extensions kunt u de extensies die door een FileDialogFilter-object worden gebruikt om bestanden te filteren als resultaat geven. Met de eigenschap Description kunt u de beschrijving van het filter als resultaat geven. Beide eigenschappen zijn echter alleen-lezen. Als u de extensie of beschrijving wilt instellen, moet u de methode Add gebruiken.

In het volgende voorbeeld worden de standaardfilters van het dialoogvenster SaveAs doorlopen en wordt elk filter beschreven dat een Microsoft Excel-bestand bevat.

Sub Main()

    'Declare a variable as a FileDialogFilters collection.
    Dim fdfs As FileDialogFilters

    'Declare a variable as a FileDialogFilter object.
    Dim fdf As FileDialogFilter

    'Set the FileDialogFilters collection variable to
    'the FileDialogFilters collection of the SaveAs dialog box.
    Set fdfs = Application.FileDialog(msoFileDialogSaveAs).Filters

    'Iterate through the description and extensions of each
    'default filter in the SaveAs dialog box.
    For Each fdf In fdfs

        'Display the description of filters that include
        'Microsoft Excel files.
        If InStr(1, fdf.Extensions, "xls", vbTextCompare) > 0 Then
            MsgBox "Description of filter: " & fdf.Description
        End If
    Next fdf
End Sub


FileDialogFilters, collectie

FileDialog
FileDialogFilters
FileDialogFilter

Een collectie van FileDialogFilter-objecten die staan voor bestandstypen die kunnen worden geselecteerd in een bestandsdialoogvenster dat wordt weergegeven met behulp van het FileDialog-object.

Werken met de FileDialogFilters-collectie

De eigenschap Filters van het FileDialog-object resulteert in een FileDialogFilters-collectie. Met de volgende code kunt u een FileDialogFilters-collectie als resultaat geven voor het dialoogvenster File Open.

Application.FileDialog(msoFileDialogOpen).Filters

U kunt de methode Add gebruiken om FileDialogFilter-objecten toe te voegen aan de FileDialogFilters-collectie. In het volgende voorbeeld wordt de methode Clear gebruikt om de collectie te wissen. Vervolgens worden filters toegevoegd aan de collectie. Met de methode Clear wordt de collectie volledig leeggemaakt. Als u echter geen filters toevoegt aan de collectie nadat u deze hebt gewist, wordt het filter "All files (*.*)" automatisch toegevoegd.

Sub Main()

    'Declare a variable as a FileDialog object.
    Dim fd As FileDialog

    'Create a FileDialog object as a File Picker dialog box.
    Set fd = Application.FileDialog(msoFileDialogFilePicker)

    'Declare a variable to contain the path
    'of each selected item. Even though the path is a String,
    'the variable must be a Variant because For Each...Next
    'routines only work with Variants and Objects.
    Dim vrtSelectedItem As Variant

    'Use a With...End With block to reference the FileDialog object.
    With fd

        'Change the contents of the Files of Type list.
        'Empty the list by clearing the FileDialogFilters collection.
        .Filters.Clear

        'Add a filter that includes all files.
        .Filters.Add "All files", "*.*"

        'Add a filter that includes GIF and JPEG images and make it the first item in the list.
        .Filters.Add "Images", "*.gif; *.jpg; *.jpeg", 1

        'Use the Show method to display the File Picker dialog box and return the user's action.
        'The user pressed the action button.
        If .Show = -1 Then

            'Step through each String in the FileDialogSelectedItems collection.
            For Each vrtSelectedItem In .SelectedItems

                'vrtSelectedItem is a String that contains the path of each selected item.
                'You can use any file I/O functions that you want to work with this path.
                'This example simply displays the path in a message box.
                MsgBox "Path name: " & vrtSelectedItem

            Next vrtSelectedItem
        'The user pressed Cancel.
        Else
        End If
    End With

    'Set the object variable to Nothing.
    Set fd = Nothing

End Sub

Houd er bij het wijzigen van de FileDialogFilters-collectie rekening mee dat door elke toepassing slechts een enkel FileDialog-object kan worden geactiveerd. Dit betekent dat de FileDialogFilters-collectie opnieuw wordt ingesteld op de standaardfilters als u de methode FileDialog aanroept met een nieuw type dialoogvenster.

In het volgende voorbeeld worden de standaardfilters van het dialoogvenster SaveAs doorlopen en wordt de beschrijving weergegeven van elk filter dat Microsoft Excel-bestanden bevat.

Sub Main()

    'Declare a variable as a FileDialogFilters collection.
    Dim fdfs As FileDialogFilters

    'Declare a variable as a FileDialogFilter object.
    Dim fdf As FileDialogFilter

    'Set the FileDialogFilters collection variable to
    'the FileDialogFilters collection of the SaveAs dialog box.
    Set fdfs = Application.FileDialog(msoFileDialogSaveAs).Filters

    'Iterate through the description and extensions of each
    'default filter in the SaveAs dialog box.
    For Each fdf In fdfs

        'Display the description of filters that include
        'Microsoft Excel files
        If InStr(1, fdf.Extensions, "xls", vbTextCompare) > 0 Then
            MsgBox "Description of filter: " & fdf.Description
        End If
    Next fdf

End Sub

Opmerking Er treedt een uitvoeringsfout op als de eigenschap Filters wordt gebruikt in combinatie met de methoden Clear, Add of Delete en als deze eigenschap vervolgens wordt toegepast op een Save As FileDiaog-object. Zo resulteert Application.FileDialog(msoFileDialogSaveAs).Filters.Clear bijvoorbeeld in een uitvoeringsfout.


FileDialogSelectedItems, collectie

FileDialog
FileDialogSelectedItems

Een collectie String-waarden die overeenkomen met de paden naar de bestanden of mappen die de gebruiker heeft geselecteerd in een bestandsdialoogvenster dat wordt weergegeven via het FileDialog-object.

Werken met de FileDialogSelectedItems-collectie

U kunt de eigenschap SelectedItems gebruiken met het FileDialog-object om een FileDialogSelectedItems als resultaat te geven. In het volgende voorbeeld wordt een dialoogvenster voor het kiezen van bestanden weergegeven en wordt elk bestand dat is geselecteerd weergegeven in een berichtvak.

Sub Main()

    'Declare a variable as a FileDialog object.
    Dim fd As FileDialog

    'Create a FileDialog object as a File Picker dialog box.
    Set fd = Application.FileDialog(msoFileDialogFilePicker)

    'Declare a variable to contain the path
    'of each selected item. Even though the path is a String,
    'the variable must be a Variant because For Each...Next
    'routines only work with Variants and Objects.
    Dim vrtSelectedItem As Variant

    'Use a With...End With block to reference the FileDialog object.
    With fd

         'Allow the selection of multiple file.
        .AllowMultiSelect = True

        'Use the Show method to display the File Picker dialog box and return the user's action.
        'The user pressed the action button.
        If .Show = -1 Then

            'Step through each string in the FileDialogSelectedItems collection
            For Each vrtSelectedItem In .SelectedItems

                'vrtSelectedItem is a String that contains the path of each selected item.
                'You can use any file I/O functions that you want to work with this path.
                'This example simply displays the path in a message box.
                MsgBox "Selected item's path: " & vrtSelectedItem

            Next vrtSelectedItem
        'The user pressed Cancel.
        Else
        End If
    End With

    'Set the object variable to Nothing.
    Set fd = Nothing

End Sub


FileSearch, object

FileSearch
Meerdere objecten

Mogelijk is een deel van dit onderwerp niet van toepassing op bepaalde talen.

Dit object vertegenwoordigt de functionaliteit van het dialoogvenster Openen (menu Bestand).

Werken met het FileSearch-object

U kunt het FileSearch-object met de eigenschap FileSearch als resultaat geven. In het volgende voorbeeld wordt gezocht naar de opgegeven bestanden. Een berichtvenster geeft het aantal gevonden bestanden en de naam van elk gevonden bestand weer.

With Application.FileSearch
    If .Execute() > 0 Then
        MsgBox "There were " & .FoundFiles.Count & _
            " file(s) found."
        For i = 1 To .FoundFiles.Count
            MsgBox .FoundFiles(i)
        Next i
    Else
        MsgBox "There were no files found."
    End If
End With

Met de methode NewSearch kunt u de zoekcriteria opnieuw op hun standaardwaarden instellen. Als een zoekbewerking is voltooid, blijven de eigenschapswaarden behouden. De methode NewSearch stelt u in staat om de eigenschappen voor de volgende zoekbewerking selectief in te stellen. U hoeft de eigenschapswaarden dan niet handmatig te herstellen. In het volgende voorbeeld worden de zoekcriteria voor het begin van een nieuwe zoekbewerking ingesteld op de standaardwaarden.

With Application.FileSearch
    .NewSearch
    .LookIn = "C:\My Documents"
    .SearchSubFolders = True
    .FileName = "Run"
    .MatchTextExactly = True
    .FileType = msoFileTypeAllFiles
End With


FileTypes, collectie

FileSearch
FileTypes

Een collectie waarden van het type msoFileType die bepalen welke bestandstypen als resultaat worden gegeven door de methode Execute van het FileSearch-object.

Werken met de FileTypes-collectie

U kunt de eigenschap FileTypes gebruiken met het FileSearch-object om een FileTypes-collectie als resultaat te geven, bijvoorbeeld:

Set ft = Application.FileSearch.FileTypes

Opmerking Met de eigenschap FileType van het FileSearch-object wordt de FileTypes-collectie gewist en het eerste item in de collectie ingesteld op het bestandtype dat is gedefinieerd door de eigenschap FileType.

Er bestaat slechts één FileTypes-collectie voor alle zoekacties. Het is dus belangrijk om eerst de FileTypes -collectie te wissen voordat u een zoekactie uitvoert, tenzij u wilt zoeken naar bestandstypen uit eerdere zoekacties. U kunt de collectie eenvoudig wissen door de eigenschap FileType in te stellen op het eerste bestandstype waarnaar u wilt zoeken. U kunt ook afzonderlijke typen verwijderen met de methode Remove. Als u het bestandstype van elk item in de collectie wilt bepalen, gebruikt u de methode Item om de waarde msoFileType als resultaat te geven.

In het volgende voorbeeld wordt gezocht naar alle HTML- en Microsoft Excel-bestanden op het station C:\.

Sub SearchForFiles()

    'Declare a variable to act as a generic counter
    Dim lngCount As Long

    'Use a With...End With block to reference the
    'FileSearch object
    With Application.FileSearch

        'Clear all the parameters of the previous searches.
        'This method doesn't clear the LookIn property or
        'the SearchFolders collection.
        .NewSearch

        'Setting the FileType property clears the
        'FileTypes collection and sets the first
        'item in the collection to the file type
        'defined by the FileType property.
        .FileType = msoFileTypeWebPages

        'Add a second item to the FileTypes collection
        .FileTypes.Add msoFileTypeExcelWorkbooks

        'Display the number of FileTypes in the collection.
        MsgBox "You are about to search for " & .FileTypes.Count & _
            " file types."

        'Set up the search to look in all subfolders on the C:\ drive.
        .LookIn = "C:\"
        .SearchSubFolders = True

        'Execute the search and test to see if any files
        'were found.
        If .Execute <> 0 Then

            'Display the number of files found.
            MsgBox "Files found: " & .FoundFiles.Count

            'Loop through the list of found files and
            'display the path of each one in a message box.
            For lngCount = 1 To .FoundFiles.Count
                If MsgBox(.FoundFiles.Item(lngCount), vbOKCancel, _
                    "Found files") = vbCancel Then

                    'Break out of the loop
                    lngCount = .FoundFiles.Count

                End If
            Next lngCount
        Else
            MsgBox "No files found."
        End If
    End With
End Sub

In het volgende voorbeeld wordt de FileTypes-collectie doorlopen en worden alle bestandstypen die geen Microsoft Word- of Microsoft Excel-bestanden zijn, verwijderd (het is meestal eenvoudiger om de FileTypes-collectie te wissen en te beginnen met een lege collectie).

Sub RemoveFileTypeFromCollection()

    'Define an integer to use as a counter
    'when iterating through the FileTypes collection.
    Dim intFileIndex As Integer

    'Use a With...End With block to reference the FileSearch object.
    With Application.FileSearch

        'Loop through all of the items in the FileTypes collection.
        intFileIndex = 1
        Do While intFileIndex <= .FileTypes.Count
            Select Case .FileTypes.Item(intFileIndex)
                Case msoFileTypeWordDocuments, msoFileTypeExcelWorkbooks
                Case Else

                    'If the file type isn't a Microsoft Word or
                    'Microsoft Excel file, remove it.
                    .FileTypes.Remove intFileIndex

                    'Decrement the counter so that no file types are missed.
                    intFileIndex = intFileIndex - 1
            End Select

            'Increment the counter to test the next file type.
            intFileIndex = intFileIndex + 1
        Loop

    End With
End Sub


FoundFiles, object

FileSearch
PropertyTests (PropertyTest)
FoundFiles

Dit object vertegenwoordigt de lijst met bestanden die het resultaat van een zoekbewerking vormt.

Werken met het FoundFiles-object

Met de eigenschap FoundFiles kunt u het FoundFiles-object als resultaat geven. In het volgende voorbeeld worden het pad en de naam van elk bestand in de bestandenlijst weergegeven. Gebruik FoundFiles(index), waarbij index staat voor het indexnummer, om het pad en de naam van een specifiek bestand dat tijdens de zoekbewerking is gevonden, weer te geven.

With Application.FileSearch
    For i = 1 To .FoundFiles.Count
        MsgBox .FoundFiles(i)
    Next I
End With

Met de methode Execute kunt u de zoekbewerking starten en het FoundFiles-object bijwerken. In het volgende voorbeeld wordt in de map My Documents gezocht naar alle bestanden waarvan de naam begint met 'Cmd'. De namen van de gevonden bestanden worden vervolgens in oplopende volgorde alfabetisch gesorteerd.

Set fs = Application.FileSearch
With fs
    .LookIn = "C:\My Documents"
    .FileName = "cmd*"
    If .Execute(SortBy:=msoSortbyFileName, _
    SortOrder:=msoSortOrderAscending) > 0 Then
        MsgBox "There were " & .FoundFiles.Count & _
            " file(s) found."
        For i = 1 To .FoundFiles.Count
            MsgBox .FoundFiles(i)
        Next i
    Else
        MsgBox "There were no files found."
    End If
End With


HTMLProject, object

HTMLProject
HTMLProjectItems (HTMLProjectItem)

Dit object vertegenwoordigt een projectmap op het hoogste niveau in Projectverkenner van Microsoft-scripteditor.

Het HTMLProject-object gebruiken

Gebruik de methode Open van het HTMLProject-object om een HTML-project in Microsoft-scripteditor te openen. Het project wordt geopend in de bronweergave of tekstweergave van het actieve Microsoft Word-document, de actieve Excel-werkmap of de actieve PowerPoint-presentatie. In het volgende voorbeeld wordt een HTML-project in het actieve Word-document in de bronweergave geopend.

ActiveDocument.HTMLProject.Open (msoHTMLProjectOpenSourceView)

Gebruik de eigenschap HTMLProjectItems om de collectie van HTMLProjectItem-objecten in het HTML-project als resultaat te geven. Gebruik de methode RefreshDocument om het HTML-document in de hosttoepassing te vernieuwen. Gebruik de methode RefreshProject om het project in Microsoft-scripteditor te vernieuwen. Gebruik de methode State om te bepalen of het HTML-project moet worden vernieuwd.


HTMLProjectItem, object

HTMLProject
HTMLProjectItems (HTMLProjectItem)

Dit object vertegenwoordigt een afzonderlijk projectitem dat een projectitemmap in Projectverkenner van Microsoft-scripteditor is. Het HTMLProjectItem-object maakt deel uit van de HTMLProjectItems-collectie.

Het HTMLProjectItem-object gebruiken

Gebruik HTMLProjectItems(index), waarbij index de naam of het indexnummer van een projectitem is, om één HTMLProjectItem-object als resultaat te geven. Gebruik de eigenschap Name om de weergavenaam van het projectitem als resultaat te geven. In het volgende voorbeeld wordt voor het actieve document de naam van het eerste projectitem in de HTMLProjectItems-collectie als resultaat gegeven.

MsgBox "The first item is " & _
    ActiveDocument.HTMLProject.HTMLProjectItems(1).Name

Gebruik de methode Open om een projectitem in de bronweergave of tekstweergave te openen en gebruik de eigenschap IsOpen om vast te stellen of het projectitem op dat moment is geopend. In het volgende voorbeeld wordt het projectitem met de naam ItemOne (in het actieve document) in de standaardweergave geopend en wordt vervolgens een berichtvenster weergegeven waarin wordt gemeld of het item is geopend.

ActiveDocument.HTMLProject.HTMLProjectItems("ItemOne").Open
If ActiveDocument.HTMLProject. _
        HTMLProjectItems("ItemOne").IsOpen Then
MsgBox "Opened project item " & ActiveDocument.HTMLProject.HTMLProjectItems("ItemOne").Name
End If

Gebruik de methode SaveCopyAs om het projectitem op te slaan onder een nieuwe bestandsnaam. In het volgende voorbeeld wordt een kopie van ItemOne opgeslagen onder de naam NewItem.

ActiveDocument.HTMLProject.HTMLProjectItems("ItemOne") _
    .Open (msoHTMLProjectOpenTextView)
ActiveDocument.HTMLProject.HTMLProjectItems("ItemOne") _
    .SaveCopyAs("C:\NewItem.txt")

In het volgende voorbeeld wordt aangenomen dat er een tekstbestand bestaat met de naam C:\NewText.txt. Met de eigenschap LoadFromFile wordt de tekst van ItemOne op de tekst uit dit bestand ingesteld. De eigenschap Text wordt gebruikt om de nieuwe tekst in een berichtvenster weer te geven.

MsgBox ActiveDocument.HTMLProject.HTMLProjectItems _
    ("ItemOne").Text
ActiveDocument.HTMLProject.HTMLProjectItems _
    ("ItemOne").LoadFromFile("C:\NewText.txt")
MsgBox ActiveDocument.HTMLProject.HTMLProjectItems _
    ("ItemOne").Text


HTMLProjectItems-collectie, object

HTMLProject
HTMLProjectItems (HTMLProjectItem)

Deze collectie bestaat uit HTMLProjectItem-objecten die de HTML-projectitems in het HTMLProject-object vertegenwoordigen.

De HTMLProjectItems-collectie gebruiken

Gebruik de eigenschap HTMLProjectItems van het HTMLProject-object om de HTMLProjectItems-collectie als resultaat te geven. Gebruik de eigenschap Count van de HTMLProjectItems-collectie om het aantal projectitems in het HTML-project voor het opgegeven document als resultaat te geven. Gebruik de methode Item van de HTMLProjectItems-collectie om een afzonderlijk projectitem als resultaat te geven. In het volgende voorbeeld wordt voor het actieve document de naam van het eerste projectitem in de HTMLProjectItems-collectie als resultaat gegeven.

MsgBox "The first item is " & _
    ActiveDocument.HTMLProject.HTMLProjectItems(1).Name


LanguageSettings, object

LanguageSettings

Dit object geeft informatie over de taalinstellingen in een Microsoft Office-toepassing als resultaat.

Het LanguageSettings-object gebruiken

Gebruik Application.LanguageSettings.LanguageID(MsoAppLanguageID), waarbij MsoAppLanguageID een constante is die wordt gebruikt om de LCID (Locale Identifier) aan de opgegeven toepassing als resultaat te geven.

MsoAppLanguageID kan een van de volgende MsoAppLanguageID-constanten zijn.
msoLanguageIDExeMode
msoLanguageIDHelp
msoLanguageIDInstall
msoLanguageIDUI
msoLanguageIDUIPrevious

In het volgende voorbeeld worden de LCID's van de installatietaal, de taal van de gebruikersinterface en de taal van de Help in een berichtvenster weergegeven.

MsgBox "The following locale IDs are registered " & _
    "for this application: Install Language - " & _
    Application.LanguageSettings.LanguageID(msoLanguageIDInstall) & _
    " User Interface Language - " & _
    Application.LanguageSettings.LanguageID(msoLanguageIDUI) & _
    " Help Language - " & _
    Application.LanguageSettings.LanguageID(msoLanguageIDHelp)

Gebruik Application.LanguageSettings.LanguagePreferredForEditing als u wilt bepalen welke LCID's voor een bepaalde toepassing zijn geregistreerd als voorkeurstalen voor het bewerken. Zie het volgende voorbeeld.

If Application.LanguageSettings. _
    LanguagePreferredForEditing(msoLanguageIDEnglishUS) Then
    MsgBox "U.S. English is one of the chosen editing languagess."
End If


MsoEnvelope, object

MsoEnvelope
CommandBars

Dit object geeft toegang tot functies waarmee u rechtstreeks documenten als e-mailberichten kunt verzenden vanuit Microsoft Office-toepassingen.

Werken met het MsoEnvelope-object

U kunt de eigenschap MailEnvelope van het Document-object, Chart-object of Worksheet-object (afhankelijk van de door u gebruikte toepassing) gebruiken om een MsoEnvelope-object als resultaat te geven.

In het volgende voorbeeld wordt het actieve Microsoft Word-document als een e-mailbericht verzonden naar het e-mailadres dat u doorgeeft aan de subroutine.

Sub SendMail(ByVal strRecipient As String)

    'Use a With...End With block to reference the MsoEnvelope object.
    With Application.ActiveDocument.MailEnvelope

        'Add some introductory text before the body of the e-mail.
        .Introduction = "Please read this and send me your comments."

        'Return a Microsoft Outlook MailItem object that
        'you can use to send the document.
        With .Item

            'All of the mail item settings are saved with the document.
            'When you add a recipient to the Recipients collection
            'or change other properties, these settings will persist.
            .Recipients.Add strRecipient
            .Subject = "Here is the document."

            'The body of this message will be
            'the content of the active document.
            .Send
        End With
    End With
End Sub


NewFile, object

NewFile

Het NewFile-object vertegenwoordigt items die in het taakvenster New Item worden weergegeven. Dit venster is beschikbaar in verschillende Microsoft Office-toepassingen. In de volgende tabel wordt de eigenschap weergegeven die u moet gebruiken om toegang te krijgen tot het NewFile-object in elk van de toepassingen.

Toepassing | Eigenschap
Microsoft Access | NewFileTaskPane
Microsoft Excel | NewWorkbook
Microsoft FrontPage | NewPageOrWeb
Microsoft PowerPoint | NewPresentation
Microsoft Word | NewDocument

Opmerking De onderstaande voorbeelden zijn van toepassing op Word, maar u kunt de eigenschap NewDocument wijzigen voor de eigenschappen die hierboven worden weergegeven en de code gebruiken in de desbetreffende toepassing.

Werken met het NewFile-object

Met de methode Add kunt u een nieuw item toevoegen aan het taakvenster New Item. In het volgende voorbeeld wordt een item toegevoegd aan het taakvenster New Document van Word.

Sub AddNewDocToTaskPane()
    Application.NewDocument.Add FileName:="C:\NewDocument.doc", _
        Section:=msoNew, DisplayName:="New Document"
    CommandBars("Task Pane").Visible = True
End Sub

Met de methode Remove kunt u een item uit het taakvenster New Item verwijderen. In het volgende voorbeeld wordt het document verwijderd uit het taakvenster New Document van Word, dat in het bovenstaande voorbeeld is toegevoegd.

Sub RemoveDocFromTaskPane()
    Application.NewDocument.Remove FileName:="C:\NewDocument.doc", _
        Section:=msoNew, DisplayName:="New Document"
    CommandBars("Task Pane").Visible = True
End Sub


ODSOColumn, object

ODSOColumns
ODSOColumn

Dit object staat voor een veld in een gegevensbestand. Het ODSOColumn-object maakt deel uit van de ODSOColumns-collectie. De ODSOColumns-collectie bevat alle gegevensvelden in een gegevensbestand voor Afdruk samenvoegen (bijvoorbeeld, Naam, Adres en Woonplaats).

Werken met het ODSOColumn-object

U kunt Columns(index) gebruiken (waarbij index staat voor de naam of het indexnummer van het gegevensveld) om een enkel ODSOColumn-object als resultaat te geven. Het indexnummer vertegenwoordigt de positie van het gegevensveld in het gegevensbestand voor Afdruk samenvoegen. In dit voorbeeld worden de naam en de waarde opgevraagd van het eerste veld in de eerste record van het gegevensbestand dat is gekoppeld aan de actieve publicatie.

Sub GetDataFromSource()

    Dim appOffice As OfficeDataSourceObject

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    With appOffice.Columns
        MsgBox "Field Name: " & .Item(1).Name & vbLf & _
            "Value: " & .Item(1).Value
    End With
End Sub

Opmerkingen

U kunt geen velden toevoegen aan de ODSOColumns-collectie. Alle gegevenvelden in een gegevensbestand worden automatisch opgenomen in de ODSOColumns-collectie.


ODSOColumns, object

OfficeDataSourceObject
ODSOColumns
ODSOColumn

Een collectie ODSOColumn-objecten die staan voor de gegevensvelden in een gegevensbestand voor Afdruk samenvoegen.

Werken met het ODSOColumns-object

Met de eigenschap Columns kunt u een ODSOColumns-collectie als resultaat geven. In het volgende voorbeeld worden de veldnamen weergegeven van het gegevensbestand dat is gekoppeld aan de actieve publicatie.

Sub ShowFieldNames()
    Dim appOffice As OfficeDataSourceObject
    Dim intCount As Integer

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    With appOffice.Columns
        For intCount = 1 To .Count
            MsgBox "Column Name: " & .Item(intCount).Name
        Next
    End With
End Sub

U kunt Columns(index) gebruiken (waarbij index het gegevensveld of het indexnummer is) om een enkel ODSOColumn-object als resultaat te geven. Het indexnummer vertegenwoordigt de positie van het gegevensveld in het gegevensbestand voor Afdruk samenvoegen. In dit voorbeeld worden de naam en de waarde opgevraagd van de eerste record van het veld FirstName in het gegevensbestand dat is gekoppeld aan de actieve publicatie.

Sub GetDataFromSource()
    Dim appOffice As OfficeDataSourceObject

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    With appOffice.Columns
        MsgBox "Field Name: " & .Columns(1).Name & _
            "Value: " & .Columns("FirstName").Value
    End With
End Sub


ODSOFilter, object

ODSOFilters
ODSOFilter

Dit object staat voor een filter dat moet worden toegepast op een gekoppeld gegevensbestand voor Afdruk samenvoegen. Het ODSOFilter-object maakt deel uit van het ODSOFilters-object.

Werken met het ODSOFilter-object

Elk filter is een regel in een querytekenreeks. Met de eigenschappen Column, Comparison, CompareTo en Conjunction kunt u het querycriterium voor het gegevensbestand als resultaat geven of instellen. In het volgende voorbeeld wordt een bestaand filter gewijzigd. Zo worden alle records waarbij het Region-veld niet gelijk is aan "WA" verwijderd voor Afdruk samenvoegen.

Sub SetQueryCriterion()
    Dim appOffice As Office.OfficeDataSourceObject
    Dim intItem As Integer

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    With appOffice.Filters
        For intItem = 1 To .Count
            With .Item(intItem)
                If .Column = "Region" Then
                    .Comparison = msoFilterComparisonNotEqual
                    .CompareTo = "WA"
                    If .Conjunction = "Or" Then .Conjunction = "And"
                End If
            End With
        Next intItem
    End With
End Sub

U kunt de methode Add van het ODSOFilters-object gebruiken om een nieuw filtercriterium toe te voegen aan de query. In dit voorbeeld wordt een nieuwe regel toegevoegd aan de querytekenreeks. Vervolgens wordt het gecombineerde filter toegepast op het gegevensbestand.

Sub SetQueryCriterion()
    Dim appOffice As OfficeDataSourceObject

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    With appOffice.Filters
        .Add Column:="Region", _
            Comparison:=msoFilterComparisonIsBlank, _
            Conjunction:=msoFilterConjunctionAnd
        .ApplyFilter
    End With
End Sub


ODSOFilters, object

OfficeDataSourceObject
ODSOFilters
ODSOFilter

Dit object vertegenwoordigt alle filters die worden toegepast op het gegevensbestand dat is gekoppeld aan de publicatie voor Afdruk samenvoegen. Het ODSOFilters-object bestaat uit ODSOFilter-objecten.

Werken met het ODSOFilters-object

U kunt de methode Add van het ODSOFilters-object gebruiken om een nieuw filtercriterium toe te voegen aan de query. In dit voorbeeld wordt een nieuwe regel toegevoegd aan de querytekenreeks. Vervolgens wordt het gecombineerde filter toegepast op het gegevensbestand.

Sub SetQueryCriterion()
    Dim appOffice As OfficeDataSourceObject

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    With appOffice.Filters
        .Add Column:="Region", _
            Comparison:=msoFilterComparisonIsBlank, _
            Conjunction:=msoFilterConjunctionAnd
        .ApplyFilter
    End With
End Sub

U kunt de methode Item gebruiken om toegang te krijgen tot een afzonderlijk filtercriterium. In dit voorbeeld worden alle filtercriteria doorlopen. Als een criterium met de waarde "Region" wordt gevonden, wordt dit criterium gewijzigd. Zo worden alle records voor Afdruk samenvoegen verwijderd die niet gelijk zijn aan "WA".

Sub SetQueryCriterion()
    Dim appOffice As Office.OfficeDataSourceObject
    Dim intItem As Integer

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    With appOffice.Filters
        For intItem = 1 To .Count
            With .Item(intItem)
                If .Column = "Region" Then
                    .Comparison = msoFilterComparisonNotEqual
                    .CompareTo = "WA"
                    If .Conjunction = "Or" Then .Conjunction = "And"
                End If
            End With
        Next intItem
    End With
End Sub


OfficeDataSourceObject, object

OfficeDataSourceObject
Meerdere objecten

Dit object staat voor het gegevensbestand voor Afdruk samenvoegen in een samenvoegbewerking.

Werken met het OfficeDataSourceObject-object

Als u het OfficeDataSourceObject-object wilt gebruiken, moet u een variabele instellen als een OfficeDataSourceObject-object. Vervolgens kunt u werken met de verschillende eigenschappen en methoden die gekoppeld zijn aan het object. Met de methode SetSortOrder kunt u opgeven hoe de records in een gegevensbestand moeten worden gesorteerd. In het volgende voorbeeld wordt het gegevensbestand eerst in aflopende volgorde gesorteerd op postcode en vervolgens in oplopende volgorde op achternaam en voornaam.

Sub SetDataSortOrder()
    Dim appOffice As OfficeDataSourceObject

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    appOffice.SetSortOrder SortField1:="ZipCode", _
        SortAscending1:=False, SortField2:="LastName", _
        SortField3:="FirstName"
End Sub

Met de eigenschappen Column, Comparison, CompareTo en Conjunction kunt u het querycriterium voor het gegevensbestand als resultaat geven of instellen. In het volgende voorbeeld wordt een bestaand filter gewijzigd om alle records waarbij het Region-veld niet gelijk is aan "WA" te verwijderen voor Afdruk samenvoegen.

Sub SetQueryCriterion()
    Dim appOffice As Office.OfficeDataSourceObject
    Dim intItem As Integer

    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    With appOffice.Filters
        For intItem = 1 To .Count
            With .Item(intItem)
                If .Column = "Region" Then
                    .Comparison = msoFilterComparisonNotEqual
                    .CompareTo = "WA"
                    If .Conjunction = "Or" Then .Conjunction = "And"
                End If
            End With
        Next intItem
    End With
End Sub


PropertyTest, object

FileSearch
PropertyTests (PropertyTest)
FoundFiles

Dit object vertegenwoordigt een afzonderlijk zoekcriterium. De zoekcriteria worden weergegeven in het dialoogvenster Zoekcriteria (menu Bestand, opdracht Openen, knop Zoekcriteria). Het PropertyTest-object maakt deel uit van de PropertyTests-collectie.

Werken met het PropertyTest-object

Met PropertyTests(index), waarbij index het indexnummer is, kunt u een afzonderlijk PropertyTest-object als resultaat geven. In het volgende voorbeeld worden alle zoekcriteria voor de eerste eigenschapstest in de PropertyTests-collectie weergegeven.

With Application.FileSearch.PropertyTests(1)
myString = "This is the search criteria: " _
    & " The name is: " & .Name & ". The condition is: " _
    & .Condition
If .Value <> "" Then
    myString = myString & ". The value is: " & .Value
    If .SecondValue <> "" Then
        myString = myString _
            & ". The second value is: " _
            & .SecondValue & ", and the connector is" _
            & .Connector
    End If
End If
MsgBox myString
End With


PropertyTests, collectieobject

FileSearch
PropertyTests (PropertyTest)
FoundFiles

Dit is een collectie van PropertyTest-objecten die alle zoekcriteria van een zoekbewerking vertegenwoordigen. De zoekcriteria worden weergegeven in het dialoogvenster Zoekcriteria (menu Bestand, opdracht Openen, knop Zoekcriteria).

Werken met de PropertyTests-collectie

Met de eigenschap PropertyTests kunt u de PropertyTests-collectie als resultaat geven. In het volgende voorbeeld wordt het aantal zoekcriteria weergegeven dat bij een afzonderlijke zoekbewerking wordt gebruikt.

Application.FileSearch.PropertyTests.Count

Met de methode Add kunt u een nieuw PropertyTest-object aan de PropertyTests-collectie toevoegen. In het volgende voorbeeld worden twee eigenschapstests aan de zoekcriteria toegevoegd. Met het eerste criterium wordt opgegeven dat de gezochte bestanden van elk willekeurig bestandstype kunnen zijn. Met het tweede criterium wordt de voorwaarde gesteld dat de gezochte bestanden tussen 1 januari 1996 en 30 juni 1996 moeten zijn gewijzigd. De code in dit voorbeeld bepaalt ook dat het aantal gevonden bestanden en de namen van alle gevonden bestand in een berichtvenster worden weergegeven.

Set fs = Application.FileSearch
fs.NewSearch
 With fs.PropertyTests
    .Add Name:="Files of Type", _
        Condition:=msoConditionFileTypeAllFiles, _
        Connector:=msoConnectorOr
    .Add Name:="Last Modified", _
        Condition:=msoConditionAnytimeBetween, _
        Value:="1/1/96", SecondValue:="6/1/96", _
        Connector:=msoConnectorAnd
 End With
    If fs.Execute() > 0 Then
        MsgBox "There were " & fs.FoundFiles.Count & _
            " file(s) found."
        For i = 1 To fs.FoundFiles.Count
            MsgBox fs.FoundFiles(i)
        Next i
    Else
        MsgBox "There were no files found."
    End If

Met PropertyTests(index), waarbij index het indexnummer is, kunt u een afzonderlijk PropertyTest-object als resultaat geven. In het volgende voorbeeld worden alle zoekcriteria voor de eerste eigenschapstest in de PropertyTests-collectie weergegeven.

With Application.FileSearch.PropertyTests(1)
myString = "This is the search criteria: " _
    & " The name is: " & .Name & ". The condition is: " _
    & .Condition
If .Value <> "" Then
    myString = myString & ". The value is: " & .Value
    If .SecondValue <> "" Then
        myString = myString _
            & ". The second value is: " _
            & .SecondValue & ", and the connector is" _
            & .Connector
    End If
End If
MsgBox myString
End With


ScopeFolder, object

Meerdere objecten
ScopeFolder
ScopeFolders

Dit object komt overeen met een map waarin kan worden gezocht. ScopeFolder-objecten zijn bedoeld voor gebruik in combinatie met de SearchFolders-collectie. In de SearchFolders-collectie worden de mappen gedefinieerd die worden doorzocht wanneer het FileSearch-object wordt gebruikt. Als u in bepaalde mappen wilt zoeken, kunt u de methoden en eigenschappen van het SearchScope-object en de ScopeFolders-collectie gebruiken om ScopeFolder-objecten op te vragen en deze toe te voegen aan de SearchFolders-collectie.

Werken met het ScopeFolder-object

U kunt de eigenschap ScopeFolder van het SearchScope-object gebruiken om het ScopeFolder-object van een zoekbereik dat zich in de root bevindt als resultaat te geven, bijvoorbeeld:

Set sf = Application.FileSearch.SearchScopes.Item(1).ScopeFolder

U kunt de methode Item van de ScopeFolders-collectie gebruiken om een submap van een ScopeFolder-object dat zich in de root bevindt als resultaat te geven, bijvoorbeeld:

Set sf = Application.FileSearch.SearchScopes.Item(1).ScopeFolder.ScopeFolders.Item(1)

Met de methode Item van de SearchFolders-collectie kunt u een map als resultaat geven die wordt doorzocht bij de volgende keer dat de methode Execute van het FileSearch-object wordt aangeroepen, bijvoorbeeld:

Set sf = Application.FileSearch.SearchFolders.Item(1)

In elk ScopeFolder-object bevindt zich een ScopeFolders-collectie die de submappen van het bovenliggende ScopeFolder-object bevat. U kunt door de gehele mapstructuur van een zoekbereik bladeren (bijvoorbeeld alle lokale stations) door deze ScopeFolders-collecties te doorlopen en alle op een lager niveau gelegen ScopeFolder-objecten als resultaat te geven. Een ScopeFolder-object zonder submappen bevat een lege ScopeFolders-collectie.

Raadpleeg het onderwerp over de SearchFolders-collectie voor een voorbeeld van de manier waarop u alle ScopeFolder-objecten in een zoekbereik doorloopt.

U kunt de methode Add van de SearchFolders-collectie gebruiken om een ScopeFolder-object toe te voegen aan de SearchFolders-collectie. Het is echter meestal eenvoudiger om de methode AddToSearchFolders te gebruiken van de ScopeFolder die u wilt toevoegen, aangezien er slechts één SearchFolders-collectie bestaat voor alle zoekacties.

Raadpleeg het onderwerp over de SearchFolders-collectie voor een voorbeeld van de manier waarop u een ScopeFolder kunt toevoegen aan de SearchFolders-collectie.

In het volgende voorbeeld wordt het hoofdpad weergegeven van elke directory in Deze computer. Voor het opvragen van deze gegevens wordt door het voorbeeld eerst het ScopeFolder-object in de root van Deze computer opgehaald. Het pad naar dit ScopeFolder-object is altijd "*". Net als voor alle ScopeFolder-objecten bevat het object in de root een ScopeFolders-collectie. In dit voorbeeld wordt de ScopeFolders-collectie doorlopen en wordt het pad weergegeven van elk ScopeFolder-object dat zich hierin bevindt. De paden naar deze ScopeFolder-objecten zijn "A:\", "C:\" enzovoort.

Sub DisplayRootScopeFolders()

    'Declare variables that reference a
    'SearchScope and a ScopeFolder object.
    Dim ss As SearchScope
    Dim sf As ScopeFolder

    'Use a With...End With block to reference the
    'FileSearch object.
    With Application.FileSearch

        'Loop through the SearchScopes collection
        'and display all of the root ScopeFolders collections in
        'the My Computer scope.
        For Each ss In .SearchScopes
            Select Case ss.Type
                Case msoSearchInMyComputer

                    'Loop through each ScopeFolder object in
                    'the ScopeFolders collection of the
                    'SearchScope object and display the path.
                    For Each sf In ss.ScopeFolder.ScopeFolders
                        MsgBox "ScopeFolder object's path: " & sf.Path
                    Next sf

                Case Else
            End Select
        Next
    End With
End Sub


ScopeFolders, collectie

ScopeFolder
ScopeFolders
ScopeFolder

Een collectie ScopeFolder-objecten. Alleen ScopeFolder-objecten bevatten ScopeFolders-collecties. Elke ScopeFolders-collectie bevat de ScopeFolder-objecten die overeenkomen met de submappen van het bovenliggende ScopeFolder-object.

Werken met de ScopeFolders-collectie

Met de eigenschap ScopeFolders van het ScopeFolder-object kunt u een ScopeFolders-collectie als resultaat geven.

Dim sfs as ScopeFolders
Set sfs = Application.FileSearch.SearchScopes.Item(1).ScopeFolder.ScopeFolders

U kunt geen ScopeFolder-objecten toevoegen aan een ScopeFolders-collectie of hieruit verwijderen.


Script, object

Scripts (Script)

Dit object vertegenwoordigt een HTML-scriptblok in een Microsoft Word-document, op een Microsoft Excel-rekenblad of op een Microsoft PowerPoint-dia. Het Script-object maakt deel uit van de Scripts-collectie.

Het Script-object gebruiken

Gebruik Scripts.Item(index), waarbij index de naam, de id of het indexnummer van een script is, om één Script-object als resultaat te geven. De id van elk Script-object wordt bepaald door de eigenschap Id en bestaat uit een handige naam die u kunt gebruiken om toegang te krijgen tot het script. In het volgende voorbeeld wordt een enkel script aan de Scripts-collectie voor het actieve document toegevoegd en wordt de id van het script met indexwaarde 1 weergegeven.

myScript = ActiveDocument.Scripts.Add( _
    , msoScriptLocationInBody, _
    msoScriptLanguageVisualBasic, _
    "ScriptOne", , _
    "MsgBox (""This is ScriptOne. "")")
MsgBox (ActiveDocument.Scripts(1).Id)

Als u een scripttaal wilt opgeven voor het script, wijzigt u de eigenschap Language van het script. In het volgende voorbeeld wordt de scripttaal van script 1 veranderd in ASP (Active Server Pages).

ActiveDocument.Scripts.Item("ScriptOne") _
    .Language = msoScriptLanguageASP

Als u wilt nagaan wat de locatie van het script-anker is binnen een HTML-document, gebruikt u de eigenschap Location. In het volgende voorbeeld wordt gecontroleerd of ScriptOne zich in de platte tekst of in de koptekst van het actieve HTML-document bevindt.

If ActiveDocument.Scripts("ScriptOne").Location = _
    msoScriptLocationInBody Then
    MsgBox ("Script is in the HTML document body.")
Else
    MsgBox ("Script is located in the header. ")
End If

Met de eigenschap Extended kunt u controleren of er kenmerken aan de <SCRIPT>-code zijn toegevoegd of opgeven welke kenmerken aan de code moeten worden toegevoegd (met uitzondering van de kenmerken LANGUAGE en ID). In het volgende voorbeeld wordt gecontroleerd of er extra kenmerken aan script 1 in het actieve document zijn toegevoegd.

If ActiveDocument.Scripts(1).Extended = "" Then
    MsgBox ("No additional attributes are present " & _
    "in Script " &
     ActiveDocument.Scripts(1).Id)

Met de eigenschap ScriptText kunt u controleren welke scripttekst aan een bepaald script is gekoppeld of opgeven welke scripttekst voor een bepaald script moet worden gebruikt. In het volgende voorbeeld wordt een berichtvenster weergegeven met de scripttekst die aan script 1 in het actieve document is gekoppeld.

MsgBox (ActiveDocument.Scripts("ScriptOne").ScriptText)


Scripts-collectie, object

Scripts (Script)

Dit is een collectie Script-objecten die de collectie HTML-scripts in het opgegeven document vertegenwoordigt.

De Scripts-collectie gebruiken

De Scripts-collectie bevat alle Script-objecten in een bepaald document. De Script-objecten in de collectie zijn in bronvolgorde geplaatst (de volgorde waarin de objecten aan het bronbestand zijn toegevoegd). De bronvolgorde wordt niet beïnvloed door de locatie van het script in het document (in de koptekst of de platte tekst). U kunt een Script-object gebruiken om toegang te krijgen tot een script of om een script aan een Microsoft Word-document, een Microsoft Excel-werkblad of een Microsoft PowerPoint-dia toe te voegen. U kunt de Scripts-collectie ook gebruiken om toegang te krijgen tot HTML-pagina's of scripts die in Microsoft Office-toepassingen zijn geopend.

Opmerking Deze gedeelde Office-component wordt in Microsoft Access niet gebruikt.

Een script toevoegen

Als u een Script-object aan de Scripts-collectie toevoegt, wordt automatisch een Shape-object van het type msoScriptAnchor aan het document toegevoegd. Op een Excel-werkblad of een PowerPoint-dia wordt de vorm aan de Shapes-collectie toegevoegd. In een Word-document wordt de vorm aan de InlineShapes-collectie toegevoegd. U voegt een Script toe aan een document met de methode Add. In het volgende voorbeeld wordt een eenvoudig script aan het actieve Word-document toegevoegd.

myScript = ActiveDocument.Scripts.Add( _
    , msoScriptLocationInBody, _
    msoScriptLanguageVisualBasic, _
    "ScriptOne", , _
    "MsgBox ""This is ScriptOne.""")

Als u toegang wilt krijgen tot een bepaald item in de Scripts-collectie, gebruikt u de methode Item en geeft u het kenmerk ID van de <SCRIPT>-code op of het indexnummer dat de positie van het script in de collectie aangeeft. De id moet uniek zijn binnen het document. Als in het document twee dezelfde id-kenmerken voorkomen, wordt het eerst gevonden script met de opgegeven id als resultaat gegeven. In het volgende voorbeeld wordt een berichtvenster weergegeven waarin de taal wordt aangegeven van het eerst gevonden script met de id "ScriptOne".

MsgBox (ActiveDocument.Scripts.Item("ScriptOne").Language)

Gebruik de eigenschap Count als u het aantal Script-objecten in het opgegeven document wilt bepalen. In het volgende voorbeeld wordt het aantal scripts in het actieve document weergegeven.

If ActiveDocument.Scripts.Count = 0 Then
    MsgBox ("There are no " & _
    "scripts in this document. ")
End If
If ActiveDocument.Scripts.Count = 1 Then
    MsgBox ("There is " & _
    ActiveDocument.Scripts.Count & _
    " script in this document. ")
End If
If ActiveDocument.Scripts.Count > 1 Then
    MsgBox ("There are " & _
    ActiveDocument.Scripts.Count & _
    " scripts in this document. ")
End If

Gebruik de methode Delete als u een script uit de Scripts-collectie wilt verwijderen. Zie het volgende voorbeeld.

ActiveDocument.Scripts("ScriptOne").Delete


SearchFolders-collectie

FileSearch
SearchFolders
ScopeFolder

Een collectie ScopeFolder-objecten die bepaalt in welke mappen wordt gezocht als de methode Execute van het FileSearch-object wordt aangeroepen.

Werken met de SearchFolders-collectie

U kunt de eigenschap SearchFolders gebruiken met het FileSearch-object om de SearchFolders-collectie als resultaat te geven, bijvoorbeeld:

Set sfs = Application.FileSearch.SearchFolders

Voor elke toepassing bestaat slechts één SearchFolders-collectie. De inhoud van de collectie blijft aanwezig nadat de code waarmee u de collectie aanroept is uitgevoerd. Het is dan ook belangrijk om de collectie te wissen, tenzij u mappen uit eerdere zoekacties wilt opnemen in uw huidige zoekactie.

U kunt de methode Add van de SearchFolders-collectie gebruiken om een ScopeFolder-object toe te voegen aan de SearchFolders-collectie. Het is echter meestal eenvoudiger om de methode AddToSearchFolders te gebruiken van de ScopeFolder die u wilt toevoegen, aangezien er slechts één SearchFolders-collectie bestaat voor alle zoekacties.

De SearchFolders-collectie kan worden beschouwd als een aanvulling op de eigenschap LookIn van het FileSearch-object. Met beide items wordt aangegeven in welke mappen moet worden gezocht. Ook worden beide items gebruikt tijdens het uitvoeren van de zoekactie. Als u echter alleen de eigenschap LookIn wilt gebruiken, moet u ervoor zorgen dat de SearchFolders-collectie leeg is. Als u daarentegen alleen de SearchFolders-collectie wilt gebruiken, moet u de eigenschap LookIn instellen op het pad van het eerste lid van de SearchFolders-collectie voordat u de methode Execute aanroept.

In het volgende voorbeeld wordt in elke map op de lokale machine met de naam "1033" gezocht naar alle HTML- en Microsoft Excel-bestanden. In het voorbeeld wordt gebruik gemaakt van de SearchFolders-collectie, SearchScopes-collectie en ScopeFolders-collectie.

Dit voorbeeld bestaat uit twee routines. De SearchEveryFolder-routine is de routine die u moet uitvoeren. De OutputPaths-routine is gescheiden van de hoofdroutine omdat deze zichzelf recursief aanroept om de gehele directorystructuur van de lokale machine te kunnen doorlopen.

Sub SearchEveryFolder()

    'Declare variables that reference a
    'SearchScope and a ScopeFolder object.
    Dim ss As SearchScope
    Dim sf As ScopeFolder

    'Declare a variable to act as a generic counter.
    Dim lngCount As Long

    'Use a With...End With block to reference the
    'FileSearch object.
    With Application.FileSearch

        'Clear all the parameters of the previous searches.
        'This method doesn't clear the LookIn property or
        'the SearchFolders collection.
        .NewSearch

        'Specify the type of file for which to search.
        'Use the FileType property to specify the first type
        'and then add additional types to the FileTypes collection.
        .FileType = msoFileTypeWebPages
        .FileTypes.Add msoFileTypeExcelWorkbooks

        'Clear the SearchFolder collection by
        'looping through each ScopeFolder object
        'and removing it.
        For lngCount = 1 To .SearchFolders.Count
            .SearchFolders.Remove lngCount
        Next lngCount

        'Loop through the SearchScopes collection to find
        'the scope in which you want to search. In this
        'case the scope is the local machine.
        For Each ss In .SearchScopes
            Select Case ss.Type
                Case msoSearchInMyComputer

                    'Loop through each ScopeFolder in
                    'the ScopeFolders collection of the
                    'SearchScope object.
                    For Each sf In ss.ScopeFolder.ScopeFolders

                        'Call a function that loops through all
                        'of the subfolders of the root ScopeFolder.
                        'This function adds any folders named "1033" to the
                        'SearchFolders collection.
                        Call OutputPaths(sf.ScopeFolders, "1033")

                    Next sf
                Case Else
            End Select
        Next ss

        'Test to see if any ScopeFolders collections were added to
        'the SearchFolders collection.
        If .SearchFolders.Count > 0 Then

            'Set the LookIn property to the path of
            'the first ScopeFolder object in the SearchFolders
            'collection. This is here so that any previous
            'setting of the LookIn property doesn't affect
            'the search.
            .LookIn = .SearchFolders.Item(1).Path

            'Execute the search and test to see if any files
            'were found.
            If .Execute <> 0 Then

                'Display the number of files found.
                MsgBox "Files found: " & .FoundFiles.Count

                'Loop through the list of found files and
                'display the path of each one in a message box.
                For lngCount = 1 To .FoundFiles.Count
                    If MsgBox(.FoundFiles.Item(lngCount), vbOKCancel, _
                        "Found files") = vbCancel Then
                        'Break out of the loop
                        lngCount = .FoundFiles.Count

                    End If
                Next lngCount
            End If
        End If
    End With
End Sub

'This subroutine loops through all of the ScopeFolders collections
'in a given ScopeFolders collection. It adds any folder
'that has the same name as the value of strFolder
'to the SearchFolders collection.
Sub OutputPaths(ByVal sfs As ScopeFolders, _
    ByRef strFolder As String)

    'Declare a variable as a ScopeFolder object
    Dim sf As ScopeFolder

    'Loop through each ScopeFolder object in the
    'ScopeFolders collection.
    For Each sf In sfs

        'Test to see if the folder name of the ScopeFolder
        'matches the value of strFolder. Use LCase to ensure
        'that case does not affect the match.
        If LCase(sf.Name) = LCase(strFolder) Then

            'Add the ScopeFolder to the SearchFolders collection.
            sf.AddToSearchFolders

        End If

        'Include a DoEvents call because there is the potential for this
        'loop to last a long time. The DoEvents call allows this process to
        'continue handling events.
        DoEvents

        'Test to see if the ScopeFolders collection in the
        'current ScopeFolder is empty. If it isn't empty, then
        'that means that the current ScopeFolder object contains subfolders.
        If sf.ScopeFolders.Count > 0 Then

            'This subroutine recursively calls itself so that
            'it can add the subfolders of the current ScopeFolder object
            'to the SearchFolders collection.
            Call OutputPaths(sf.ScopeFolders, strFolder)

        End If
    Next sf
End Sub


SearchScope, object

SearchScopes
SearchScope
ScopeFolder

Dit object komt overeen met een type mapstructuur waarin kan worden gezocht met behulp van het FileSearch-object. De lokale stations op deze computer vertegenwoordigen bijvoorbeeld een enkel zoekbereik. Netwerkmappen en Microsoft Outlook-mappen vormen ook afzonderlijke zoekbereiken die mogelijk beschikbaar zijn. Elk SearchScope-object bevat een enkel ScopeFolder-object dat overeenkomt met de hoofdmap van het zoekbereik.

Werken met het SearchScope-object

U kunt de methode Item van de SearchScopes-collectie gebruiken om een SearchScope-object als resultaat te geven, bijvoorbeeld:

Dim ss As SearchScope
Set ss = Application.FileSearch.SearchScopes.Item(1)

Het SearchScope-object is eigenlijk bedoeld om toegang te verschaffen tot ScopeFolder-objecten die kunnen worden toegevoegd aan de SearchFolders-collectie. Raadpleeg het onderwerp over de SearchFolders-collectie voor een voorbeeld.

Raadpleeg het onderwerp over het ScopeFolder-object voor een eenvoudig voorbeeld van de manier waarop u een ScopeFolder-object als resultaat kunt geven uit een SearchScope-object.

In het volgende voorbeeld worden alle momenteel beschikbare SearchScope-objecten weergegeven.

Sub DisplayAvailableScopes()

    'Declare a variable that references a
    'SearchScope object.
    Dim ss As SearchScope

    'Use a With...End With block to reference the
    'FileSearch object.
    With Application.FileSearch

        'Loop through the SearchScopes collection.
        For Each ss In .SearchScopes
            Select Case ss.Type
                Case msoSearchInMyComputer
                    MsgBox "My Computer is an available search scope."
                Case msoSearchInMyNetworkPlaces
                    MsgBox "My Network Places is an available search scope."
                Case msoSearchInOutlook
                    MsgBox "Outlook is an available search scope."
                Case msoSearchInCustom
                    MsgBox "A custom search scope is available."
                Case Else
                    MsgBox "Can't determine search scope."
            End Select
        Next ss
    End With
End Sub


SearchScopes, collectie

FileSearch
SearchScopes
SearchScope

Een collectie SearchScope-objecten.

Werken met de SearchScopes-collectie

U kunt de eigenschap SearchScopes van het FileSearch-object gebruiken om een SearchScopes-collectie als resultaat te geven, bijvoorbeeld:

Dim sss As SearchScopes
Set sss = Application.FileSearch.SearchScopes

U kunt geen SearchScope-objecten toevoegen aan een SearchScopes-collectie of hieruit verwijderen.


Signature, object

SignatureSet
Signature

Dit object komt overeen met een een digitale handtekening die wordt bijgevoegd in een document. Signature-objecten bevinden zich in de SignatureSet-collectie van het Document-object.

Werken met het Signature-object

U kunt een Signature-object toevoegen aan een SignatureSet-collectie met de methode Add en u kunt een bestaand lid als resultaat geven met de methode Item. Als u een Handtekening wilt verwijderen uit een SignatureSet-collectie, gebruikt u de methode Delete van het Signature-object.

In het volgende voorbeeld wordt de gebruiker gevraagd om een digitale handtekening te selecteren waarmee deze het actieve document in Microsoft Word kan ondertekenen. Als u dit voorbeeld wilt gebruiken, opent u een document in Word en voert u de volgende informatie in voor de functie: de naam van de uitgever van de certificaten en de naam van de ondertekenaar van het certificaat. Deze gegevens moeten respectievelijk overeenkomen met de velden Verleend door en Verleend aan van het digitale certificaat in het dialoogvenster Digitale certificaten. In dit voorbeeld wordt gecontroleerd of de geselecteerde digitale handtekening voldoet aan bepaalde criteria (zo wordt nagegaan of de handtekening niet is verlopen). Vervolgens wordt de nieuwe handtekening vastgelegd op de schijf.

Function AddSignature(ByVal strIssuer As String, _
    strSigner As String) As Boolean

    On Error GoTo Error_Handler

    Dim sig As Signature

    'Display the dialog box that lets the
    'user select a digital signature.
    'If the user selects a signature, then
    'it is added to the Signatures
    'collection. If the user doesn't, then
    'an error is returned.
    Set sig = ActiveDocument.Signatures.Add

    'Test several properties before commiting the Signature object to disk.
    If sig.Issuer = strIssuer And _
        sig.Signer = strSigner And _
        sig.IsCertificateExpired = False And _
        sig.IsCertificateRevoked = False And _
        sig.IsValid = True Then

        MsgBox "Signed"
        AddSignature = True
    'Otherwise, remove the Signature object from the SignatureSet collection.
    Else
        sig.Delete
        MsgBox "Not signed"
        AddSignature = False
    End If

    'Commit all signatures in the SignatureSet collection to the disk.
    ActiveDocument.Signatures.Commit

    Exit Function
Error_Handler:
    AddSignature = False
    MsgBox "Action cancelled."
End Function


SignatureSet, collectie

SignatureSet
Signature

Een collectie Signature-objecten die overeenkomen met de digitale handtekeningen die zijn gekoppeld aan een document.

Werken met de SignatureSet-collectie

Met de eigenschap Signatures van het Document-object kunt u een SignatureSet-collectie als resultaat geven, bijvoorbeeld:

Set sigs = ActiveDocument.Signatures

Opmerking De wijzigingen die u aanbrengt in de SignatureSet-collectie van een document blijven alleen behouden als u de methode Commit aanroept.

U kunt het Signature-object toevoegen aan een SignatureSet-collectie met de methode Add en u kunt een bestaand lid als resultaat geven met de methode Item. Als u een Handtekening wilt verwijderen uit een SignatureSet-collectie, gebruikt u de methode Delete van het Signature-object.

In het volgende voorbeeld wordt de gebruiker gevraagd om een digitale handtekening te selecteren waarmee deze het actieve document in Microsoft Word kan ondertekenen. Als u dit voorbeeld wilt gebruiken, opent u een document in Word en voert u de volgende informatie in voor de functie: de naam van de uitgever van de certificaten en de naam van de ondertekenaar van het certificaat. Deze gegevens moeten respectievelijk overeenkomen met de velden Verleend door en Verleend aan van het digitale certificaat in het dialoogvenster Digitale certificaten. In dit voorbeeld wordt gecontroleerd of de geselecteerde digitale handtekening voldoet aan bepaalde criteria (zo wordt nagegaan of de handtekening niet is verlopen). Vervolgens wordt de nieuwe handtekening vastgelegd op de schijf.

Function AddSignature(ByVal strIssuer As String, _
    strSigner As String) As Boolean

    On Error GoTo Error_Handler

    Dim sig As Signature

    'Display the dialog box that lets the
    'user select a digital signature.
    'If the user selects a signature, then
    'it is added to the Signatures
    'collection. If the user doesn't, then
    'an error is returned.
    Set sig = ActiveDocument.Signatures.Add

    'Test several properties before committing the Signature object to disk.
    If sig.Issuer = strIssuer And _
        sig.Signer = strSigner And _
        sig.IsCertificateExpired = False And _
        sig.IsCertificateRevoked = False And _
        sig.IsValid = True Then

        MsgBox "Signed"
        AddSignature = True
    'Otherwise, remove the Signature object from the SignatureSet collection.
    Else
        sig.Delete
        MsgBox "Not signed"
        AddSignature = False
    End If

    'Commit all signatures in the SignatureSet collection to the disk.
    ActiveDocument.Signatures.Commit

    Exit Function
Error_Handler:
    AddSignature = False
    MsgBox "Action cancelled."
End Function


WebPageFont, object

WebPageFonts (WebPageFont)

Dit object vertegenwoordigt het standaardlettertype dat wordt gebruikt als documenten als webpagina's worden opgeslagen voor een bepaalde tekenset.

Het WebPageFont-object gebruiken

Gebruik het WebPageFont-object als u het proportionele lettertype en de bijbehorende tekengrootte of het niet-proportionele lettertype en de bijbehorende tekengrootte wilt beschrijven voor een beschikbare tekenset.

De volgende tekensets worden ondersteund.
msoCharacterSetArabic
msoCharacterSetCyrillic
msoCharacterSetEnglishWesternEuropeanOtherLatinScript
msoCharacterSetGreek
msoCharacterSetHebrew
msoCharacterSetJapanese
msoCharacterSetKorean
msoCharacterSetMultilingualUnicode
msoCharacterSetSimplifiedChinese
msoCharacterSetThai
msoCharacterSetTraditionalChinese
msoCharacterSetVietnamese

In het volgende voorbeeld worden het proportionele lettertype en de tekengrootte van het proportionele lettertype ingesteld voor het WebPageFont-object met de naam myFont.

With myFont
    ProportionalFont = Verdana
    ProportionalFontSize = 14


WebPageFonts-collectie, object

WebPageFonts (WebPageFont)

Dit is een collectie van WebPageFont-objecten die het proportionele lettertype, het niet-proportionele lettertype en de bijbehorende tekengroottes beschrijven die worden gebruikt als documenten als webpagina's worden opgeslagen. U kunt voor elke beschikbare tekenset een andere reeks eigenschappen voor webpaginalettertypen instellen.

De WebPageFonts-collectie gebruiken

De WebPageFonts-collectie bevat één WebPageFont-object voor elke tekenset.

De volgende tekensets worden ondersteund.
msoCharacterSetArabic
msoCharacterSetCyrillic
msoCharacterSetEnglishWesternEuropeanOtherLatinScript
msoCharacterSetGreek
msoCharacterSetHebrew
msoCharacterSetJapanese
msoCharacterSetKorean
msoCharacterSetMultilingualUnicode
msoCharacterSetSimplifiedChinese
msoCharacterSetThai
msoCharacterSetTraditionalChinese
msoCharacterSetVietnamese

In het volgende voorbeeld wordt de eigenschap Item gebruikt om, in de actieve toepassing, myFont in te stellen op het WebPageFont-object voor de tekenset voor de Engelse taal, de West-Europese talen en de overige talen die het westerse schrift gebruiken.

Dim myFont As WebPageFont
Set myFont = _
  Application.DefaultWebOptions.Fonts.Item_
  (msoCharacterSetEnglishWesternEuropeanOtherLatinScript)


ActivateWizard, methode

Mogelijk is een deel van dit onderwerp niet van toepassing op bepaalde talen.

Met deze methode kunt u een wizardsessie met de Office-assistent hervatten of onderbreken.

Opmerking Gebruik deze methode alleen in combinatie met de methode StartWizard.

expressie.ActivateWizard(WizardID, Act, Animation)

expressie Vereist. Een expressie die een Assistant-object retourneert.

WizardID Long, vereist. Een unieke getalsaanduiding voor de wizardsessie met de Office-assistent die het resultaat is van de methode StartWizard.

Act MsoWizardActType, vereist. De wijziging die wordt aangebracht in de wizardsessie met de Office-assistent.

MsoWizardActType kan een van de volgende MsoWizardActType-constanten zijn.
msoWizardActActive
msoWizardActInactive
msoWizardActResume
msoWizardActSuspend

Animation Variant, optioneel. Het type animatie dat de Office-assistent uitvoert wanneer de wizardsessie wordt hervat of onderbroken.

Voorbeeld

In dit voorbeeld wordt de wizardsessie, die was gestart met de methode StartWizard, onderbroken. De variabele lHelpForWiz werd ingesteld op de resultaatwaarde van de methode StartWizard.

Assistant.ActivateWizard WizardID:=lHelpForWiz, _
   Act:=msoWizardActSuspend, Animation:=msoAnimationGoodbye


Add, methode

De methode Add zoals die van toepassing is op objecten van het type NewFile.

Met deze methode wordt een nieuw item toegevoegd aan het taakvenster New Item. Geeft een Boolean als resultaat. De waarde is True als het item is toegevoegd.

expressie.Add(FileName, Section, DisplayName, Action)

expressie Vereist. Een expressie die een van de bovenstaande objecten als resultaat geeft.

FileName String, vereist. De naam van het bestand dat wordt toegevoegd aan de lijst met bestanden in het taakvenster.

Section Variant, optioneel. De sectie waaraan het bestand moet worden toegevoegd. Kan elke msoFileNewSection-constante zijn.

DisplayName Variant, optioneel. De tekst die in het taakvenster moet worden weergegeven.

Action Variant, optioneel. De actie die moet plaatsvinden wanneer een gebruiker op het item klikt. Kan elke msoFileNewAction-constante zijn.

De methode Add zoals die van toepassing is op objecten van het type CommandBars.

Met deze methode maakt u een nieuwe opdrachtbalk en voegt u deze toe aan de collectie van opdrachtbalken. Deze methode geeft een CommandBar-object als resultaat.

expressie.Add(Name, Position, MenuBar, Temporary)

expressie Vereist. Een expressie die een CommandBars-object als resultaat geeft.

Name Variant, optioneel. De naam van de nieuwe opdrachtbalk. Als dit argument niet wordt gebruikt, wordt er een standaardnaam toegewezen aan de opdrachtbalk (zoals Custom 1).

Position Variant, optioneel. De positie van de nieuwe opdrachtbalk of de soort opdrachtbalk. De waarde hiervoor kan een van de MsoBarPosition-constanten in de volgende tabel zijn.

Constante | Beschrijving
msoBarLeft, msoBarTop, msoBarRight, msoBarBottom | Hiermee worden de coördinaten aangegeven van alle hoekpunten van de opdrachtbalk
msoBarFloating | Hiermee wordt aangegeven dat de nieuwe opdrachtbalk zweeft
msoBarPopup | Hiermee wordt aangegeven dat de nieuwe werkbalk een snelmenu is
msoBarMenuBar | Alleen voor Macintosh

MenuBar Variant, Optioneel. Als de waarde True is, wordt de actieve menubalk vervangen door de nieuwe opdrachtbalk. De standaardwaarde is False.

Temporary Variant, Optioneel. Als de waarde True is, wordt de nieuwe opdrachtbalk een tijdelijke opdrachtbalk. Tijdelijke opdrachtbalken worden verwijderd wanneer de containertoepassing wordt gesloten. De standaardwaarde is False.

De methode Add zoals die van toepassing is op het object CommandBarControls.

Met deze methode maakt u een nieuw CommandBarControl-object en voegt u dit toe aan de collectie besturingselementen op de opgegeven opdrachtbalk.

expressie.Add(Type, Id, Parameter, Before, Temporary)

expressie Vereist. Een expressie die een CommandBarControls-object als resultaat geeft.

Type Variant, optioneel. Het type besturingselement dat moet worden toegevoegd aan de opgegeven opdrachtbalk. De waarde hiervoor kan een van de volgende MsoControlType-constanten zijn: msoControlButton, msoControlEdit, msoControlDropdown, msoControlComboBox of msoControlPopup.

Id Variant optioneel. Een geheel getal waarmee een ingebouwd besturingselement wordt opgegeven. Als de waarde van dit argument 1 is of als het argument wordt weggelaten, wordt een leeg aangepast besturingselement van het opgegeven type toegevoegd aan de opdrachtbalk.

Parameter Variant, optioneel. Bij ingebouwde besturingselementen wordt dit argument door de containertoepassing gebruikt om de opdracht uit te voeren. Bij aangepaste besturingselementen kunt u dit argument gebruiken om informatie naar Visual Basic-procedures te verzenden of om informatie over het besturingselement op te slaan (vergelijkbaar met een tweede Tag-eigenschapswaarde).

Before Variant, optioneel. Een getal waarmee de positie van het nieuwe besturingselement op de opdrachtbalk wordt aangegeven. Het nieuwe besturingselement wordt ingevoegd vóór het besturingselement op deze positie. Als dit argument wordt weggelaten, wordt het besturingselement toegevoegd aan het einde van de opgegeven opdrachtbalk.

Temporary Variant, optioneel. Als de waarde True is, wordt het nieuwe besturingselement een tijdelijk besturingselement. Tijdelijke besturingselementen worden automatisch verwijderd als de containertoepassing wordt gesloten. De standaardwaarde is False.

De methode Add zoals die van toepassing is op objecten van het type DocumentProperties.

Met deze methode maakt u een nieuwe aangepaste documenteigenschap. U kunt alleen een nieuwe documenteigenschap toevoegen aan de aangepaste DocumentProperties-collectie.

expressie.Add(Name, LinkToContent, Type, Value, LinkSource)

expressie Vereist. Het aangepaste DocumentProperties-object.

Name String, vereist. De naam van de eigenschap.

LinkToContent Boolean, vereist. Met dit argument wordt aangegeven of de eigenschap is gekoppeld aan de inhoud van het containerdocument. Als dit argument True is, is het argument LinkSource vereist. Als het argument False is, is het argument Value vereist.

Type Variant, optioneel. Het gegevenstype van de eigenschap. Dit kan een van de volgende MsoDocProperties-constanten zijn: msoPropertyTypeBoolean, msoPropertyTypeDate, msoPropertyTypeFloat, msoPropertyTypeNumber of msoPropertyTypeString.

Value Variant, optioneel. De waarde van de eigenschap als deze niet is gekoppeld aan de inhoud van het hoofddocument. De waarde wordt, indien mogelijk, geconverteerd naar het gegevenstype dat wordt opgegeven door het typeargument. Als dit niet mogelijk is, treedt er een fout op. Als LinkToContent True is, wordt het argument Value genegeerd en wordt aan het nieuwe document een standaardwaarde toegewezen totdat de gekoppelde eigenschapswaarden worden bijgewerkt door de containertoepassing (meestal wanneer het document wordt opgeslagen).

LinkSource Variant, optioneel. Wordt genegeerd als LinkToContent de waarde False heeft. Dit argument geeft de bron van de gekoppelde eigenschap aan. De containertoepassing bepaalt welk type bronkoppeling u kunt gebruiken.

Opmerkingen

Als u aan de DocumentProperties-collectie een aangepaste documenteigenschap toevoegt die is gekoppeld aan een gegeven waarde in een Microsoft Office-document, moet u het document opslaan om de wijziging in het DocumentProperty-object zichtbaar te maken.

De methode Add zoals die van toepassing is op objecten van het type FileDialogFilters.

Met deze methode wordt een nieuw bestandsfilter toegevoegd aan de lijst met filters in de vervolgkeuzelijst Bestandstypen in het dialoogvenster Bestand. De methode resulteert in een FileDialogFilter-object dat staat voor het nieuw toegevoegde filter.

expressie.Add(Description, Extensions, Position)

expressie Vereist. Een expressie die een van de bovenstaande objecten als resultaat geeft.

Description String, vereist. De tekst waarmee de bestandsextensie wordt beschreven die u wilt toevoegen aan de lijst met filters.

Extensions String, vereist. De tekst waarmee de bestandsextensie wordt beschreven die u wilt toevoegen aan de lijst met filters. Als u meerdere bestandsextensies wilt opgeven, moet u deze van elkaar scheiden met een puntkomma (;). Het argument Extensions kan bijvoorbeeld worden toegewezen aan de tekenreeks: "*.txt; *.htm". Opmerking: u hoeft geen haakjes om de extensies te plaatsen. Deze worden in Office automatisch toegevoegd wanneer de tekenreeksen met de beschrijving en de extensies worden samengevoegd tot een filteritem.

Position Variant, optioneel. Een getal waarmee de positie van het nieuwe besturingselement in de lijst met filters wordt aangegeven. Het nieuwe filter wordt ingevoegd voor het filter dat zich op deze positie bevindt. Als dit argument niet wordt gebruikt, wordt het filter toegevoegd aan het einde van de lijst.

Opmerkingen

Elk filter in een lijst bestaat uit twee delen: de bestandsextensie (bijvoorbeeld .txt) en de tekstbeschrijving van de bestandsextensie (bijvoorbeeld Text Files). Deze twee delen verschijnen samengevoegd als bestandsfilter in de vervolgkeuzelijst Bestandstype als: Text Files (*.txt).

Opmerking: wanneer een filter wordt toegevoegd aan de lijst, worden de standaardfilters niet verwijderd.

Filters worden alleen weergegeven als de optie Windows is ingeschakeld.

Als de waarde voor Position ongeldig is, wordt een runtime-fout (buiten bereik) weergegeven. Als de waarden voor Description en Extensions ongeldig zijn, wordt een runtime-fout (parseringsfout) weergegeven.

Dialoogvensters waarin u bestanden kiest bevatten geen filters. Daarom zijn filtermethoden niet van toepassing op dergelijke dialoogvensters.

De methode Add zoals die van toepassing is op objecten van het type Scripts.

Met deze methode voegt u een Script-object toe aan de Scripts-collectie van een van de volgende objecten: een Document- of Range-object in Microsoft Word; een Worksheet- of Chart-object in Microsoft Excel of een Slide-, SlideRange of Master-object (diamodel of titelmodel) in Microsoft PowerPoint. De methode geeft een Script-object als resultaat.

expressie.Add(Anchor, Location, Language, Id, Extended, ScriptText)

expressie Vereist. De Scripts-collectie.

Anchor Range, optioneel (alleen in Microsoft Excel). Het argument Anchor accepteert een Range-object uit Excel, waarmee u de plaats van het script-anker op een Worksheet van Excel opgeeft. U kunt geen script-ankers in Excel-grafieken invoegen.

Location MsoScriptLocation, optioneel. Met dit argument geeft u de plaats aan van het script-anker in een document. Als u het argument Anchor hebt opgegeven, wordt het argument Location niet gebruikt. De locatie van het argument Anchor bepaalt de locatie van het script-anker.

MsoScriptLocation kan een van de volgende MsoScriptLocation-constanten zijn.
msoScriptLocationInBody standaard
msoScriptLocationInHead

Language MsoScriptLanguage, optioneel. Hiermee wordt de taal van het script aangegeven.

MsoScriptLanguage kan een van de volgende MsoScriptLanguage-constanten zijn.
msoScriptLanguageASP
msoScriptLanguageJava
msoScriptLanguageOther
msoScriptLanguageVisualBasic standaard

Id String, optioneel. Met dit argument geeft u de id op van de <SCRIPT>-code in een HTML-document. Met het argument Id geeft u een SGML-aanduiding op die wordt gebruikt voor het benoemen van elementen. Een geldige id is een tekenreeks die begint met een letter en bestaat uit alfanumerieke tekens. De tekenreeks mag ook het onderstrepingsteken ( _ ) bevatten. De id moet uniek zijn binnen het HTML-document. Deze parameter wordt geëxporteerd als het kenmerk ID in de <SCRIPT>-code.

Extended String, optioneel. Met dit argument geeft u op welke kenmerken aan de <SCRIPT>-code moeten worden toegevoegd (de kenmerken LANGUAGE en ID worden via de parameters Language en Id geëxporteerd en moeten niet via de parameter Extended worden geëxporteerd). De standaardwaarde is een lege tekenreeks. Kenmerken worden gescheiden door spaties, net als in de HTML-code. In de Microsoft Office-hosttoepassing is geen mogelijkheid aanwezig om de syntaxis van doorgegeven kenmerken te controleren.

ScriptText String, optioneel. Met dit argument geeft u de tekst op in een scriptblok. De standaardwaarde is een lege tekenreeks. De Microsoft Office-hosttoepassing controleert de syntaxis van het script niet.

Opmerkingen

Een vorm die aan een scriptblok is gekoppeld, wordt niet geëxporteerd of afgedrukt als een vorm in de HTML-code. Alleen de scriptblokken worden geëxporteerd.

U kunt de methode Add niet gebruiken om een script-anker toe te voegen aan een PowerPoint-diareeks die meer dan één dia bevat.

De methode Add zoals die van toepassing is op objecten van het type SignatureSet.

Deze methode geeft een Signature-object als resultaat dat staat voor de nieuwe e-mailhandtekening.

expressie.Add

expressie Vereist. Een expressie die een van de bovenstaande objecten als resultaat geeft.

De methode Add zoals die van toepassing is op objecten van het type ODSOFilters.

Met deze methode wordt een nieuw filter toegevoegd aan de ODSOFilters-collectie.

expressie.Add(Column, Comparison, Conjunction, bstrCompareTo, DeferUpdate)

expressie Vereist. Een expressie die een van de bovenstaande objecten als resultaat geeft.

Column String, vereist. De naam van de tabel in het gegevensbestand.

Comparison MsoFilterComparison, vereist. De manier waarop de gegevens in de tabel worden gefilterd.

MsoFilterComparison kan een van de volgende MsoFilterComparison-constanten zijn.
msoFilterComparisonContains
msoFilterComparisonEqual
msoFilterComparisonGreaterThan
msoFilterComparisonGreaterThanEqual
msoFilterComparisonIsBlank
msoFilterComparisonIsNotBlank
msoFilterComparisonLessThan
msoFilterComparisonLessThanEqual
msoFilterComparisonNotContains
msoFilterComparisonNotEqual

Conjunction MsoFilterConjunction, vereist. Hiermee wordt aangegeven hoe dit filter zich verhoudt tot andere filters in het ODSOFilters-object.

MsoFilterConjunction kan een van de volgende MsoFilterConjunction-constanten zijn.
msoFilterConjunctionAnd
msoFilterConjunctionOr

bstrCompareTo String, optioneel. Als het argument Comparison niet gelijk is aan msoFilterComparisonIsBlank of msoFilterComparisonIsNotBlank, wordt een tekenreeks als resultaat gegeven waarmee de gegevens in de tabel worden vergeleken.

DeferUpdate Boolean, optioneel. De standaardwaarde is False.

De methode Add zoals die van toepassing is op objecten van het type AnswerWizardFiles.

Met deze methode maakt u een nieuwe verwijzing (een String-waarde) naar een Antwoordwizard-bestand en voegt u deze aan de AnswerWizardFiles-collectie toe.

expressie.Add(FileName)

expressie Vereist. Een expressie die een AnswerWizardFiles-collectie als resultaat geeft.

FileName String, vereist. Het volledige pad naar het opgegeven Antwoordwizard-bestand.

De methode Add zoals die van toepassing is op objecten van het type FileTypes.

Met deze methode wordt een nieuw bestandstype toegevoegd voor het zoeken naar bestanden.

expressie.Add(FileType)

expressie Vereist. Een expressie die een van de bovenstaande objecten als resultaat geeft.

FileType MsoFileType, vereist. Hiermee wordt het type bestand opgegeven waarnaar moet worden gezocht.

MsoFileType kan een van de volgende MsoFileType- constanten zijn.
msoFileTypeAllFiles
msoFileTypeBinders
msoFileTypeCalendarItem
msoFileTypeContactItem
msoFileTypeCustom
msoFileTypeDatabases
msoFileTypeDataConnectionFiles
msoFileTypeDesignerFiles
msoFileTypeDocumentImagingFiles
msoFileTypeExcelWorkbooks
msoFileTypeJournalItem
msoFileTypeMailItem
msoFileTypeNoteItem
msoFileTypeOfficeFiles
msoFileTypeOutlookItems
msoFileTypePhotoDrawFiles
msoFileTypePowerPointPresentations
msoFileTypeProjectFiles
msoFileTypePublisherFiles
msoFileTypeTaskItem
msoFileTypeTemplates
msoFileTypeVisioFiles
msoFileTypeWebPages
msoFileTypeWordDocuments

De methode Add zoals die van toepassing is op objecten van het type PropertyTests.

Met deze methode voegt u een PropertyTest-object aan de PropertyTests-collectie toe.

expressie.Add(Name, Condition, Value, SecondValue, Connector)

expressie Vereist. Een expressie die een PropertyTest-object als resultaat geeft.

Name String, vereist. De naam van het eigenschapscriterium. De naam komt overeen met een waarde in het vak Eigenschap in het dialoogvenster Zoeken, dat u opent via het menu Extra van het dialoogvenster Openen van de toepassing (menu Bestand).

Condition MsoCondition, vereist. Hiermee wordt de voorwaarde voor de zoekcriteria opgegeven.

MsoCondition kan een van de volgende MsoCondition-constanten zijn.
msoConditionAnyNumberBetween
msoConditionAnytime
msoConditionAnytimeBetween
msoConditionAtLeast
msoConditionAtMost
msoConditionBeginsWith
msoConditionDoesNotEqual
msoConditionEndsWith
msoConditionEquals
msoConditionEqualsCompleted
msoConditionEqualsDeferred
msoConditionEqualsHigh
msoConditionEqualsInProgress
msoConditionEqualsLow
msoConditionEqualsNormal
msoConditionEqualsNotStarted
msoConditionEqualsWaitingForSomeoneElse
msoConditionFileTypeAllFiles
msoConditionFileTypeBinders
msoConditionFileTypeCalendarItem
msoConditionFileTypeContactItem
msoConditionFileTypeDatabases
msoConditionFileTypeDataConnectionFiles
msoConditionFileTypeDesignerFiles
msoConditionFileTypeDocumentImagingFiles
msoConditionFileTypeExcelWorkbooks
msoConditionFileTypeJournalItem
msoConditionFileTypeMailItem
msoConditionFileTypeNoteItem
msoConditionFileTypeOfficeFiles
msoConditionFileTypeOutlookItems
msoConditionFileTypePhotoDrawFiles
msoConditionFileTypePowerPointPresentations
msoConditionFileTypeProjectFiles
msoConditionFileTypePublisherFiles
msoConditionFileTypeTaskItem
msoConditionFileTypeTemplates
msoConditionFileTypeVisioFiles
msoConditionFileTypeWebPages
msoConditionFileTypeWordDocuments
msoConditionFreeText
msoConditionIncludes
msoConditionIncludesFormsOf
msoConditionIncludesNearEachOther
msoConditionIncludesPhrase
msoConditionInTheLast
msoConditionInTheNext
msoConditionIsExactly
msoConditionIsNo
msoConditionIsNot
msoConditionIsYes
msoConditionLastMonth
msoConditionLastWeek
msoConditionLessThan
msoConditionMoreThan
msoConditionNextMonth
msoConditionNextWeek
msoConditionNotEqualToCompleted
msoConditionNotEqualToDeferred
msoConditionNotEqualToHigh
msoConditionNotEqualToInProgress
msoConditionNotEqualToLow
msoConditionNotEqualToNormal
msoConditionNotEqualToNotStarted
msoConditionNotEqualToWaitingForSomeoneElse
msoConditionOn
msoConditionOnOrAfter
msoConditionOnOrBefore
msoConditionThisMonth
msoConditionThisWeek
msoConditionToday
msoConditionTomorrow
msoConditionYesterday

Value Variant optioneel. Hiermee wordt de waarde van het zoekcriterium aangegeven.

SecondValue Variant, optioneel. Een bovenwaarde voor het zoekbereik. U kunt dit argument alleen gebruiken als Condition msoConditionAnyTimeBetween of msoConditionAnyNumberBetween is.

Connector Optioneel MsoConnector. Hiermee geeft u op hoe twee zoekcriteria worden gecombineerd.

MsoConnector kan een van de volgende MsoConnector- constanten zijn.
msoConnectorAnd standaard
msoConnectorOr

De methode Add zoals deze van toepassing is op objecten van het type SearchFolders.

Met deze methode voegt u een map toe voor het zoeken naar bestanden.

expressie.Add(ScopeFolder)

expressie Vereist. Een expressie die een van de bovenstaande objecten als resultaat geeft.

ScopeFolder Vereist ScopeFolder-object. De map die aan de zoekactie moet worden toegevoegd.

Voorbeeld

De methode zoals die van toepassing is op objecten van het type AnswerWizardFiles.

In dit voorbeeld wordt de Antwoordwizard voorbereid zodat deze een aangepaste bestandslijst kan accepteren. Hierna worden twee aangepaste Antwoordwizard-bestanden toegevoegd. In het voorbeeld wordt allereerst de bestandslijst gewist, vervolgens worden twee aangepaste Antwoordwizard-bestanden toegevoegd en ten slotte worden het aantal bestanden en de bestandsnamen gecontroleerd om na te gaan of de bestanden op correcte wijze zijn toegevoegd.

Dim customAnswerWizard As AnswerWizard
Set customAnswerWizard = Application.AnswerWizard

customAnswerWizard.ClearFileList
customAnswerWizard.Files.Add ("c:\awfiles\custom_1.aw")
customAnswerWizard.Files.Add ("c:\awfiles\custom_2.aw")

If customAnswerWizard.Files.Count = 2 Then
    MsgBox "Files " & customAnswerWizard.Files.Item(1) & _
    " and " & customAnswerWizard.Files(2) & _
    " were added sucessfully."
End If

De methode zoals die van toepassing is op objecten van het type CommandBarControls.

In dit voorbeeld wordt een aangepaste werkbalk gemaakt die knoppen (besturingselementen) bevat voor de bewerkingen knippen, kopiëren en plakken.

Dim customBar As CommandBar
Dim newButton As CommandBarButton
Set customBar = CommandBars.Add("Custom")
Set newButton = customBar.Controls _
    .Add(msoControlButton, CommandBars("Edit") _
    .Controls("Cut").Id)
Set newButton = customBar.Controls _
    .Add(msoControlButton, CommandBars("Edit") _
    .Controls("Copy").Id)
Set newButton = customBar.Controls _
    .Add(msoControlButton, CommandBars("Edit") _
    .Controls("Paste").Id)
customBar.Visible = True

De methode zoals die van toepassing is op objecten van het type DocumentProperties.

In dit voorbeeld, dat is ontworpen om in Microsoft Word te worden uitgevoerd, worden drie aangepaste documenteigenschappen toegevoegd aan de DocumentProperties-collectie.

With ActiveDocument.CustomDocumentProperties
    .Add Name:="CustomNumber", _
        LinkToContent:=False, _
        Type:=msoPropertyTypeNumber, _
        Value:=1000
    .Add Name:="CustomString", _
        LinkToContent:=False, _
        Type:=msoPropertyTypeString, _
        Value:="This is a custom property."
    .Add Name:="CustomDate", _
        LinkToContent:=False, _
        Type:=msoPropertyTypeDate, _
        Value:=Date
End With

De methode zoals die van toepassing is op objecten van het type PropertyTests.

In dit voorbeeld worden twee eigenschapstests toegevoegd aan de zoekcriteria. Bij de eerste test wordt gecontroleerd of de gevonden bestanden Microsoft Word-documenten zijn. Bij de tweede test wordt gecontroleerd of de bestanden zijn gewijzigd tussen 1 januari 1998 en 30 juni 1998. In dit voorbeeld wordt ook een berichtvenster weergegeven waarin, als er bestanden zijn gevonden, wordt aangegeven hoeveel bestanden er in totaal zijn gevonden en wat de naam is van elk gevonden bestand.

Set fs = Application.FileSearch
fs.NewSearch
With fs.PropertyTests
    .Add Name:="Files of Type", _
        Condition:=msoConditionFileTypeWordDocuments, _
        Connector:=msoConnectorOr
    .Add Name:="Last Modified", _
        Condition:=msoConditionAnytimeBetween, _
        Value:="1/1/98", SecondValue:="6/30/98", _
        Connector:=msoConnectorAnd
End With
If fs.Execute() > 0 Then
        For i = 1 To fs.FoundFiles.Count
            strFound = strFound & fs.FoundFiles(i) & vbCrLf
        Next i
        MsgBox "Search found the following " _
            & fs.FoundFiles.Count & _
            " file(s):" & vbCrLf & strFound
Else
    MsgBox "There were no files found."
End If
De methode zoals die van toepassing is op objecten van het type Scripts.

In dit voorbeeld wordt een nieuw Script toegevoegd aan het opgegeven bereik op werkblad 1 van de actieve werkmap.

Dim rngScriptAnchorRange As Range
Dim objNewScript As Script

Set rngScriptAnchorRange = ActiveWorkbook. _
    Worksheets(1).Range("B5")
Set objNewScript = ActiveWorkbook. _
    Worksheets(1).Scripts.Add(rngScriptAnchorRange, _
      msoScriptLocationInBody, _
      msoScriptLanguageVisualBasic, _
      "MyNewScript", , _
      "MsgBox (""Added Script object MyNewScript"")")


AddItem, methode

Met deze methode voegt u een item toe aan de opgegeven keuzelijst met invoervak van een opdrachtbalk. De keuzelijst met invoervak moet een aangepast besturingselement zijn en moet een vervolgkeuzelijst of een keuzelijst met invoervak zijn.

Opmerking Deze methode mislukt als deze wordt toegepast op een keuzelijst met invoervak die een invoervak of een ingebouwde keuzelijst met invoervak is.

expressie.AddItem(Text, Index)

expressie Vereist. Een expressie die een CommandBarComboBox-object vereist.

Text String, vereist. Het item dat moet worden toegevoegd aan het opgegeven besturingselement.

Index Variant, optioneel. De positie van het opgegeven item in de lijst met items. Als dit argument wordt weggelaten, wordt het item aan het einde van de lijst toegevoegd.

Voorbeeld

In dit voorbeeld wordt een keuzelijst met invoervak aan de opdrachtbalk 'Custom' toegevoegd en worden vervolgens twee items aan de lijst toegevoegd. Verder worden het aantal regels en de breedte van de keuzelijst met invoervak ingesteld.

Set myBar = CommandBars("Custom")
Set myControl = myBar.Controls.Add(Type:=msoControlComboBox, Id:=1)
With myControl
    .AddItem "First Item", 1
    .AddItem "Second Item", 2
    .DropDownLines = 3
    .DropDownWidth = 75
    .ListHeaderCount = 0
End With


AddToSearchFolders, methode

Met deze methode wordt een ScopeFolder-object toegevoegd aan de SearchFolders-collectie.

expressie.AddToSearchFolders

expressie Vereist. Een expressie die een ScopeFolder-object als resultaat geeft.

Opmerkingen

Hoewel u de methode Add van de SearchFolders-collectie kunt gebruiken om een ScopeFolder-object toe te voegen aan de SearchFolders-collectie, is het meestal eenvoudiger om de methode AddToSearchFolders te gebruiken van het ScopeFolder-object dat u wilt toevoegen, omdat er slechts een SearchFolders-collectie bestaat voor alle zoekacties.

Voorbeeld

In het volgende voorbeeld wordt het ScopeFolder-object in de root toegevoegd aan de SearchFolders-collectie. Raadpleeg het onderwerp SearchFolders-collectie voor een meer uitgebreid voorbeeld waarin de methode AddToSearchFolders wordt gebruikt.

Application.FileSearch.SearchScopes(1).ScopeFolder.AddToSearchFolders


ApplyFilter, methode

Met deze methode wordt een filter toegepast op een gegevensbestand voor Afdruk samenvoegen, zodat u records kunt filteren die voldoen aan de door u opgegeven criteria.

expressie.ApplyFilter

expressie Vereist. Een expressie waarmee een van de objecten in de lijst Van toepassing op als resultaat wordt gegeven.

Voorbeeld

In dit voorbeeld wordt een nieuw filter toegevoegd waarmee alle records worden verwijderd die een leeg veld Region bevatten. Hierna wordt het filter toegepast op de actieve publicatie.

Sub OfficeFilters()
    Dim appOffice As OfficeDataSourceObject
    Dim appFilters As ODSOFilters

    Set appOffice = Application.OfficeDataSourceObject

    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    Set appFilters = appOffice.Filters

    MsgBox appOffice.RowCount

    appFilters.Add Column:="Region", Comparison:=msoFilterComparisonEqual, _
        Conjunction:=msoFilterConjunctionAnd, bstrCompareTo:="WA"
    appOffice.ApplyFilter

    MsgBox appOffice.RowCount

End Sub


Clear, methode

Met deze methode verwijdert u alle items uit de opgegeven keuzelijst met invoervak op een opdrachtbalk (vervolgkeuzelijst of keuzelijst met invoervak) en wist u het tekstvak (invoervak of keuzelijst met invoervak).

Opmerking Deze methode mislukt als deze wordt toegepast op een ingebouwd opdrachtbalk-besturingselement.

expressie.Clear

expressie Vereist. Een expressie die een CommandBarComboBox-object vereist.

Voorbeeld

In dit voorbeeld wordt gecontroleerd hoeveel items zich in de keuzelijst met invoervak op de opdrachtbalk 'Custom' bevinden. Als de lijst minder dan drie items bevat, wordt de lijst gewist, wordt een nieuw eerste item aan de lijst toegevoegd en wordt het nieuwe item vervolgens als de standaardoptie weergegeven voor de keuzelijst met invoervak.

Set myBar = CommandBars("Custom Bar")
Set myControl = myBar.Controls _
    Type:=msoControlComboBox)
With myControl
    .AddItem "First Item", 1
    .AddItem "Second Item", 2
End With
If myControl.ListCount < 3 Then
    myControl.Clear
    myControl.AddItem Text:="New Item", Index:=1
End If


ClearFileList, methode

Met deze methode wist u de lijst met bestanden voor de actieve Antwoordwizard, inclusief de standaardlijst met bestanden voor de Microsoft Office-hosttoepassing.

expressie.ClearFileList

expressie Een expressie die een AnswerWizard-object als resultaat geeft.

Aanvullende informatie

Gebruik deze methode om alle items uit de huidige bestandenlijst voor de opgegeven toepassing te verwijderen. U kunt deze methode ook gebruiken om te zorgen dat gebruikers geen toegang kunnen krijgen tot de standaard-Antwoordwizard-bestanden. U kunt vervolgens een aangepaste bestandenlijst maken met behulp van de methode Add van de AnswerWizardFiles-collectie.

Als u de set standaard-Antwoordwizard-bestanden voor de hosttoepassing in de lijst wilt terugzetten, gebruikt u de methode ResetFileList.

Voorbeeld

In dit voorbeeld wordt de Antwoordwizard voorbereid zodat deze een aangepaste bestandenlijst kan accepteren en worden vervolgens twee aangepaste Antwoordwizard-bestanden toegevoegd. Eerst wordt in dit voorbeeld de bestandenlijst gewist, vervolgens worden twee aangepaste Antwoordwizard-bestanden toegevoegd en ten slotte worden het aantal bestanden en de bestandsnamen gecontroleerd om na te gaan of de juiste bestanden daadwerkelijk zijn toegevoegd.

Dim customAnswerWizard As AnswerWizard
Set customAnswerWizard = Application.AnswerWizard

customAnswerWizard.ClearFileList
customAnswerWizard.Files.Add ("c:\awfiles\custom_1.aw")
customAnswerWizard.Files.Add ("c:\awfiles\custom_2.aw")

If customAnswerWizard.Files.Count = 2 Then
    MsgBox "Files " & customAnswerWizard.Files.Item(1) & _
    " and " & customAnswerWizard.Files(2) & _
    " were added sucessfully."
End If


Close, methode

Met deze methode sluit u de actieve, niet-modusgebonden ballon. U dient deze methode alleen te gebruiken in callback-procedures.

expressie.Close

expressie Vereist. Een expressie die een Balloon-object als resultaatwaarde geeft.

Voorbeeld

In dit voorbeeld wordt een ballon weergegeven die drie knoppen bevat voor drie verschillende printers. Wanneer de gebruiker op een van deze knoppen klikt, wordt de callback-procedure ProcessPrinter uitgevoerd en wordt de ballon vervolgens gesloten.

Sub selectPrinter()
Set bln = Assistant.NewBalloon
With bln
    .Heading = "Select a Printer."
    .Labels(1).Text = "Network Printer"
    .Labels(2).Text = "Local Printer"
    .Labels(3).Text = "Local Color Printer"
    .BalloonType = msoBalloonTypeButtons
    .Mode = msoModeModeless
    .Callback = "ProcessPrinter"
    .Show
End With
End Sub

Sub ProcessPrinter(bln As Balloon, lbtn As Long, _
 lPriv As Long)
    Assistant.Animation = msoAnimationPrinting
    Select Case lbtn
    Case -1
        ' Insert network printer-specific code.
    Case -2
        ' Insert local printer-specific code.
    Case -3
        ' Insert color printer-specific code.
    End Select
    bln.Close
End Sub


Commit, methode

Met deze methode worden alle wijzigingen in de opgegeven SignatureSet-collectie op schijf vastgelegd. De wijzigingen in de SignatureSet-collectie worden pas opgeslagen nadat de methode Commit is uitgevoerd.

expressie.Commit

expressie Vereist. Een expressie waarmee een van de objecten in de lijst Van toepassing op als resultaat wordt gegeven.

Voorbeeld

In het volgende voorbeeld wordt de gebruiker gevraagd een digitale handtekening te selecteren waarmee deze het actieve document in Microsoft Word kan ondertekenen. Als u dit voorbeeld wilt gebruiken, moet u een document in Word openen en deze functie aanroepen. Door de functie wordt een test uitgevoerd om na te gaan of de handtekening die de gebruiker selecteert binnen 12 maanden zal verlopen. Als dit het geval is, wordt het certificaat niet bijgevoegd.

Function AddSignature() As Boolean

    On Error GoTo Error_Handler

    Dim sig As Signature

    'Display the dialog box that lets the
    'user select a digital signature.
    'If the user selects a signature, then
    'it is added to the Signatures
    'collection. If the user doesn't, then
    'an error is returned.
    Set sig = ActiveDocument.Signatures.Add

    'Test to make sure that the new Signature object
    'doesn't expire too soon. This expression calculates
    'the number of months until the Signature object expires.
    If DateDiff("m", sig.SignDate, sig.ExpireDate) < 12 Then

        MsgBox "This certificate will expire in less than 1 year." & vbCrLf & _
        "Please use a newer certificate."

        AddSignature = False
        sig.Delete
    Else
        AddSignature = True
    End If

    'Commit all signatures in the SignatureSet collection to the disk.
    ActiveDocument.Signatures.Commit

    Exit Function
Error_Handler:
    AddSignature = False
    MsgBox "Action cancelled."
End Function


Copy, methode

Met deze methode kopieert u het opgegeven opdrachtbalk-besturingselement naar een bestaande opdrachtbalk.

expressie.Copy(Bar, Before)

expressie Vereist. Een expressie die een CommandBarControl-, CommandBarButton-, CommandBarPopup- of CommandBarComboBox-object als resultaat geeft.

Bar Variant, optioneel. Een CommandBar-object dat de bestemmingsopdrachtbalk vertegenwoordigt. Als dit argument wordt weggelaten, wordt het besturingselement naar de opdrachtbalk gekopieerd waar het besturingselement zich al bevond.

Before Variant, optioneel. Een getal dat de positie aangeeft voor het nieuwe besturingselement op de opgegeven opdrachtbalk. Het nieuwe besturingselement wordt ingevoegd vóór het besturingselement op deze positie. Als dit argument wordt weggelaten, wordt het besturingselement naar het einde van de opdrachtbalk gekopieerd.

Voorbeeld

In dit voorbeeld wordt het eerste besturingselement van de opdrachtbalk 'Standard' naar de opdrachtbalk 'Custom' gekopieerd.

Set myCustomBar = CommandBars("Custom")
Set myControl = CommandBars("Standard").Controls(1)
With myControl
    .Copy Bar:=myCustomBar, Before:=1
    .SetFocus
End With


CopyFace, methode

Met deze methode kopieert u het vlak van het opgegeven knopbesturingselement op een opdrachtbalk naar het Klembord.

expressie.CopyFace

expressie Vereist. Een expressie die een CommandBarButton-object als resultaat geeft.

Aanvullende informatie

U gebruikt de methode PasteFace om de inhoud van het Klembord op een knopvlak te plakken.

Voorbeeld

In dit voorbeeld wordt naar de ingebouwde knop Open gezocht en wordt het knopvlak van die knop naar het Klembord gekopieerd. Vervolgens wordt het knopvlak op de knop Spelling and Grammar geplakt.

Set myControl = CommandBars.FindControl(Type:=msoControlButton, Id:=23)
myControl.CopyFace
Set myControl = CommandBars.FindControl(Type:=msoControlButton, ID:=2)
myControl.PasteFace


Delete, methode

De methode Delete zoals die van toepassing is op objecten van het type DocumentProperty.

Met deze methode wordt een aangepaste documenteigenschap verwijderd.

expressie.Delete

expressie Vereist. Een expressie die een van de bovenstaande objecten als resultaat geeft.

Opmerkingen

U kunt een ingebouwde documenteigenschap niet verwijderen.

De methode Delete zoals die van toepassing is op objecten van het type AnswerWizardFiles.

Met deze methode verwijdert u het opgegeven object uit de collectie waarin het zich bevindt.

expressie.Delete(FileName)

expression Vereist. Een expressie die een van de bovenstaande objecten als resultaat geeft.

FileName String, vereist. De naam van het bestand dat moet worden verwijderd, inclusief het volledige pad, de bestandsnaam en de extensie.

De methode Delete zoals die van toepassing is op objecten van het type FileDialogFilters.

Met deze methode wordt een filter voor een bestandsdialoogvenster verwijderd.

expressie.Delete(filter)

expression Vereist. Een expressie die een van de bovenstaande objecten als resultaat geeft.

filter Variant, optioneel. Het filter dat moet worden verwijderd.

De methode Delete zoals die van toepassing is op objecten van het type ODSOFilters.

Met deze methode wordt een filter verwijderd uit de ODSOFilters-collectie.

expressie.Delete(Index, DeferUpdate)

expressie Vereist. Een expressie die een van de bovenstaande objecten als resultaat geeft.

Index Long, vereist. Het nummer van het filter dat moet worden verwijderd.

DeferUpdate Boolean, optioneel.

De methode Delete zoals die van toepassing is op objecten van het type CommandBar, Script, Scripts en Signature.

Met deze methode wordt het opgegeven object uit de collectie verwijderd.

expressie.Delete

expressie Vereist. Een expressie die een van de bovenstaande objecten als resultaat geeft.

Opmerkingen

Als de methode Delete wordt gebruikt voor de Scripts-collectie, worden alle scripts uit een opgegeven Word-document, Excel-werkblad of PowerPoint-dia verwijderd. Een script-anker wordt in de hosttoepassing vertegenwoordigd door een vorm (shape). Daarom wordt het Shape-object dat is gekoppeld aan elk script-anker van het type msoScriptAnchor, verwijderd uit de Shapes-collectie in Excel en PowerPoint en uit de InlineShapes- en Shapes-collecties in Word.

De methode Delete zoals die van toepassing is op objecten van het type CommandBarButton, CommandBarComboBox, CommandBarControl en CommandBarPopup.

Met deze methode verwijdert u het opgegeven object uit de collectie waarin het zich bevindt.

expressie.Delete(Temporary)

expressie Vereist. Een expressie die een van de bovenstaande objecten als resultaat geeft.

Temporary Variant, optioneel. Als de waarde True is, wordt het besturingselement voor de huidige sessie verwijderd. Het besturingselement wordt tijdens de volgende sessie opnieuw weergegeven door de toepassing.

Voorbeeld

De methode zoals die van toepassing is op objecten van het type CommandBar.

In dit voorbeeld worden alle aangepaste en niet-zichtbare opdrachtbalken verwijderd.

foundFlag = False
delBars = 0
For Each bar In CommandBars
    If (bar.BuiltIn = False) And _
    (bar.Visible = False) Then
        bar.Delete
        foundFlag = True
        delBars = delBars + 1
    End If
Next bar
If Not foundFlag Then
    MsgBox "No command bars have been deleted."
Else
    MsgBox delBars & " custom bar(s) deleted."
End If

De methode zoals die van toepassing is op objecten van het type DocumentProperty.

In dit voorbeeld wordt een aangepaste documenteigenschap verwijderd. Dit voorbeeld wordt alleen correct uitgevoerd als u beschikt over een aangepast DocumentProperty-object met de naam 'CustomNumber'.

ActiveDocument.CustomDocumentProperties("CustomNumber").Delete


DoAlert, methode

Met deze methode wordt een waarschuwing weergegeven. Verder wordt een Long als resultaat gegeven die aangeeft op welke knop de gebruiker heeft gedrukt. U kunt ervoor kiezen om deze waarschuwing weer te geven via de Microsoft Office-assistent of als een gewoon berichtvak.

expressie.DoAlert(bstrAlertTitle, bstrAlertText, alb, alc, ald, alq, varfSysAlert)

expressie Vereist. Een expressie waarmee een van de objecten in de lijst Van toepassing op als resultaat wordt gegeven.

bstrAlertTitle String, vereist. Hiermee wordt de titel van de waarschuwing ingesteld.

bstrAlertText String, vereist. Hiermee wordt de tekst van de waarschuwing ingesteld.

alb MsoAlertButtonType, vereist. Hiermee wordt bepaald welke knoppen in de waarschuwing worden weergegeven.

MsoAlertButtonType kan een van de volgende MsoAlertButtonType-constanten zijn.
msoAlertButtonAbortRetryIgnore
msoAlertButtonOK
msoAlertButtonOKCancel
msoAlertButtonRetryCancel
msoAlertButtonYesAllNoCancel Gebruik deze constante alleen als de waarde van het argument varfSysAlert is ingesteld op False.
msoAlertButtonYesNo
msoAlertButtonYesNoCancel

alc MsoAlertIconType, vereist. Hiermee wordt bepaald welk pictogram in de waarschuwing wordt weergegeven.

MsoAlertIconType kan een van de volgende MsoAlertIconType-constanten zijn.
msoAlertIconCritical
msoAlertIconInfo
msoAlertIconNoIcon
msoAlertIconQuery
msoAlertIconWarning

ald MsoAlertDefaultType, vereist. Hiermee wordt bepaald welke knop wordt ingesteld als de standaardknop van de waarschuwing. Als dit argument wordt ingesteld op een waarde die groter is dan het aantal knoppen, wordt een fout als resultaat gegeven.

MsoAlertDefaultType kan een van de volgende MsoAlertDefaultType-constanten zijn.
msoAlertDefaultFifth
msoAlertDefaultFirst
msoAlertDefaultFourth
msoAlertDefaultSecond
msoAlertDefaultThird

alq MsoAlertCancelType, vereist. Dit argument moet altijd worden ingesteld op msoAlertCancelDefault. Een andere instelling geeft mogelijk een fout als resultaat.

MsoAlertCancelType kan een van de volgende MsoAlertCancelType-constanten zijn.
msoAlertCancelDefault
msoAlertCancelFifth
msoAlertCancelFirst
msoAlertCancelFourth
msoAlertCancelSecond
msoAlertCancelThird

varfSysAlert Boolean, vereist. De waarde voor dit argument is True als de waarschuwing wordt weergegeven in een berichtvak of False als de waarschuwing wordt weergegeven via de Office-assistent.

Opmerkingen

De retourwaarden voor de methode DoAlert komen overeen met de waarden van het opgesomde type vbMsgBoxResult (bijvoorbeeld vbYes, vbNo of vbCancel). Naast deze waarden kunnen ook de volgende waarden als resultaat worden gegeven:

  • "Yes to all" = 8
  • "Try again" = 10
  • "Continue" = 11

Voorbeeld

In het volgende voorbeeld wordt een waarschuwing weergegeven via de Office-assistent. Bovendien wordt een berichtvak weergegeven dat aangeeft op welke knop de gebruiker heeft gedrukt. Als de assistent is uitgeschakeld, wordt het bericht weergegeven in een normaal berichtvak.

Sub AssistantAlert()
    With Application.Assistant
        Select Case _
            .DoAlert( _
            "Test", _
            "Click a button.", _
            msoAlertButtonYesAllNoCancel, _
            msoAlertIconCritical, _
            msoAlertDefaultSecond, _
            msoAlertCancelFirst, _
            False)

            Case vbYes: MsgBox "The user clicked Yes."
            Case vbNo: MsgBox "The user clicked No."
            Case vbCancel: MsgBox "The user clicked Cancel."
            Case 8: MsgBox "The user clicked Yes To All" 'This is the return value for YesToAll
            Case Else
        End Select
    End With
End Sub


EndWizard, methode

Mogelijk is een deel van dit onderwerp niet van toepassing op bepaalde talen.

Met deze methode geeft u de variabele vrij die door de methode StartWizard als resultaat wordt gegeven.

Opmerking Gebruik deze methode alleen in combinatie met de methode StartWizard.

expressie.EndWizard(WizardID, varfSuccess, Animation)

expressie Vereist. Een expressie die een Assistant-object als resultaat geeft.

WizardID Long, vereist. Een unieke getalsaanduiding voor de wizardsessie met de Office-assistent die het resultaat is van de methode StartWizard.

varfSuccess Boolean, vereist. Dit argument is True als de gebruiker de wizard met succes voltooit.

Animation Variant, optioneel. De animatie die de Office-assistent uitvoert als varfSuccess is ingesteld op True. De standaardwaarde is msoAnimationCharacterSuccessMajor.

Voorbeeld

In dit voorbeeld wordt de Office-assistent gesloten na een wizardsessie die de gebruiker met succes heeft voltooid. Aan de variabele HelpForWiz is de resultaatwaarde van de methode StartWizard toegewezen.

Assistant.EndWizard WizardId:=lHelpForWiz, _
    varfSuccess:=True, Animation:=msoAnimationGoodbye


Execute, methode

De methode Execute zoals die van toepassing is op objecten van het type FileSearch.

Met deze methode start u het zoeken naar het opgegeven bestand of de opgegeven bestanden. Hiermee wordt een Long als resultaat gegeven. Deze heeft de waarde nul (0) als geen bestanden worden gevonden. Als er een of meer bestanden worden gevonden, krijgt u een positief getal als resultaat.

expressie.Execute(SortBy, SortOrder, AlwaysAccurate)

expressie Vereist. Een expressie die een FileSearch-object als resultaat geeft.

SortBy MsoSortBy, optioneel. De methode die wordt gebruikt om de geretourneerde bestanden te sorteren.

MsoSortBy kan een van de volgende MsoSortBy-constanten zijn.
msoSortByFileName standaard
msoSortByFileType
msoSortByLastModified
msoSortByNone
msoSortBySize

SortOrder MsoSortOrder, optioneel. Hiermee wordt de volgorde bepaald waarin de geretourneerde bestanden worden gesorteerd.

MsoSortOrder kan een van de volgende MsoSortOrder-constanten zijn.
msoSortOrderAscending standaard
msoSortOrderDescending

AlwaysAccurate Boolean, optioneel. Als de waarde True is, wordt gezocht naar bestanden die zijn toegevoegd, gewijzigd of verwijderd sinds de bestandsindex voor het laatst is bijgewerkt. De standaardwaarde is True.

De methode Execute zoals die van toepassing is op objecten van het type CommandBarButton, CommandBarComboBox, CommandBarControl, CommandBarPopup en FileDialog.

Als u deze methode toepast op opdrachtbalkobjecten, wordt de procedure of de ingebouwde opdracht uitgevoerd die is toegewezen aan het opgegeven besturingselement van de opdrachtbalk. Voor aangepaste besturingselementen gebruikt u de eigenschap OnAction om op te geven welke procedure moet worden uitgevoerd.

Als u deze methode toepast op FileDialog-objecten van het type msoFileDialogOpen of msoFileDialogSaveAs, wordt een actie van de gebruiker uitgevoerd. Dit gebeurt direct nadat de methode Show is opgeroepen.

expressie.Execute

expressie Vereist. Een expressie die een van de bovenstaande objecten als resultaat geeft.

Voorbeeld

De methode zoals die van toepassing is op objecten van het type FileSearch.

In dit voorbeeld wordt in de map 'My Documents' gezocht naar alle bestanden met de bestandsextensie '.doc'. Vervolgens worden de locatie en naam weergegeven van elk bestand dat is gevonden. Ook wordt de lijst met de resulterende bestandsnamen gesorteerd en worden de namen in oplopende alfabetische volgorde geplaatst.

Set fs = Application.FileSearch
With fs
    .LookIn = "C:\My Documents"
    .FileName = "*.doc"
    If .Execute(SortBy:=msoSortbyFileName, _
            SortOrder:=msoSortOrderAscending) > 0 Then
        MsgBox "There were " & .FoundFiles.Count & _
            " file(s) found."
        For i = 1 To .FoundFiles.Count
            MsgBox .FoundFiles(i)
        Next i
    Else
        MsgBox "There were no files found."
    End If
End With

De methode zoals die van toepassing is op objecten van het type CommandBarButton, CommandBarComboBox, CommandBarControl en CommandBarPopup.

In dit voorbeeld uit Microsoft Excel wordt een opdrachtbalk gemaakt. Vervolgens wordt een ingebouwde opdrachtbalkknop toegevoegd aan de opdrachtbalk. Met de knop wordt de Excel-functie AutoSum uitgevoerd. De methode Execute wordt in dit voorbeeld gebruikt om de waarden in het geselecteerde cellenbereik bij elkaar op te tellen als de opdrachtbalk verschijnt.

Dim cbrCustBar As CommandBar
Dim ctlAutoSum As CommandBarButton
Set cbrCustBar = CommandBars.Add("Custom")
Set ctlAutoSum = cbrCustBar.Controls _
    .Add(msoControlButton, CommandBars("Standard") _
    .Controls("AutoSum").Id)
cbrCustBar.Visible = True
ctlAutoSum.Execute


FindControl, methode

Deze methode geeft een CommandBarControl-object als resultaat dat voldoet aan de opgegeven criteria.

expressie.FindControl(Type, Id, Tag, Visible, Recursive)

expressie Vereist. Een expressie die een CommandBars-object als resultaat geeft.

Type MsoControlType, optioneel. Het type besturingselement.

MsoControlType kan een van de volgende MsoControlType-constanten zijn.
msoControlActiveX
msoControlCustom
msoControlButton
msoControlEdit
msoControlDropdown
msoControlComboBox
msoControlButtonDropdown
msoControlSplitDropdown
msoControlGenericDropdown
msoControlGraphicCombo
msoControlSplitButtonMRUPopup
msoControlSplitExpandingGrid
msoControlGraphicDropdown
msoControlPopup
msoControlGraphicPopup
msoControlButtonPopup
msoControlGauge
msoControlLabel
msoControlExpandingGrid
msoControlGrid
msoControlOCXDropDown
msoControlSplitButtonPopup
msoControlPane

Id Variant, optioneel. De unieke aanduiding van het besturingselement.

Tag Variant, optioneel. De Tag-waarde van het besturingselement.

Visible Variant, optioneel. Als de waarde True is, wordt alleen gezocht naar zichtbare besturingselementen van opdrachtbalken. De standaardwaarde is False. Met zichtbare opdrachtbalken worden alle zichtbare werkbalken bedoeld en alle menu's die op het moment dat de methode FindControl wordt uitgevoerd, zijn geopend.

Recursive Boolean, optioneel. Als de waarde True is, worden de opdrachtbalk en alle bijbehorende vervolgwerkbalken opgenomen in de zoekbewerking. Dit argument is alleen van toepassing op het CommandBar-object. De standaardwaarde is False.

Aanvullende informatie

Als de CommandBars-collectie twee of meer besturingselementen bevat die aan de zoekcriteria voldoen, geeft FindControl het eerste gevonden besturingselement als resultaat. Als geen besturingselement wordt gevonden dat aan de criteria voldoet, geeft FindControl als resultaat Nothing.

Voorbeeld

In dit voorbeeld wordt naar het eerste besturingselement op de opdrachtbalk 'Custom' gezocht. Als het besturingselement een knop is, wordt de methode FindControl gebruikt om te zoeken naar de knop Copy (op de werkbalk Standard) en wordt het knopvlak van de knop Copy gekopieerd en op het besturingselement geplakt.

Set oldCtrl = CommandBars("Custom").Controls(1)
If oldCtrl.Type = 1 Then
    Set newCtrl = CommandBars.FindControl(Type:= _
        MsoControlButton, ID:= _
        CommandBars("Standard").Controls("Copy").ID)
    NewCtrl.CopyFace
    OldCtrl.PasteFace
End If


FindControls, methode

Deze methode geeft de CommandBarControls-collectie als resultaat die voldoet aan de opgegeven criteria.

expressie.FindControls(Type, Id, Tag, Visible)

expressie Vereist. Een expressie die een CommandBarControls-collectie als resultaat geeft.

Type MsoControlType, optioneel. Het type besturingselement.

MsoControlType kan een van de volgende MsoControlType-constanten zijn.
msoControlActiveX
msoControlCustom
msoControlButton
msoControlEdit
msoControlDropdown
msoControlComboBox
msoControlButtonDropdown
msoControlSplitDropdown
msoControlGenericDropdown
msoControlGraphicCombo
msoControlSplitButtonMRUPopup
msoControlSplitExpandingGrid
msoControlGraphicDropdown
msoControlPopup
msoControlGraphicPopup
msoControlButtonPopup
msoControlGauge
msoControlLabel
msoControlExpandingGrid
msoControlGrid
msoControlOCXDropDown
msoControlSplitButtonPopup
msoControlPane
Id Variant, optioneel. De unieke aanduiding van het besturingselement.

Tag Variant, optioneel. De Tag-waarde van het besturingselement.

Visible Variant, optioneel. Als de waarde True is, wordt alleen naar zichtbare besturingselementen op opdrachtbalken gezocht. De standaardwaarde is False.

Aanvullende informatie

Als er geen besturingselementen worden gevonden die aan de criteria voldoen, geeft de methode FindControls als resultaat Nothing.

Voorbeeld

In dit voorbeeld wordt de methode FindControls gebruikt om alle leden van de CommandBars-collectie met een ID van 18 als resultaat te geven en om (in een berichtvenster) het aantal besturingselementen weer te geven dat voldoet aan de zoekcriteria.

Dim myControls As CommandBarControls
Set myControls = CommandBars.FindControls(Type:=msoControlButton, ID:=18)
MsgBox "There are " & myControls.Count & _
    " controls that meet the search criteria."


Help, methode

Mogelijk is een deel van dit onderwerp niet van toepassing op bepaalde talen.

Met deze methode geeft u de Office-assistent en de ingebouwde tekstballon met de tekst 'Wat wilt u doen?' voor de standaard on line Help weer.

expressie.Help

expressie Vereist. Een expressie die een Assistant-object retourneert.

Voorbeeld

In dit voorbeeld wordt de ingebouwde tekstballon van de assistent weergegeven wanneer de gebruiker het selectievakje 'I need more information' inschakelt.

Set b = Assistant.NewBalloon
With b
    .Heading = "User Information"
    .Text = "Select your skill level"
    .CheckBoxes(1).Text = "Beginner."
    .CheckBoxes(2).Text = "Advanced."
    .CheckBoxes(3).Text = "I need more information."
    .Show
End With
If b.CheckBoxes(3).Checked = True Then
    Assistant.Help
End If


Item, methode

De methode Item zoals die van toepassing is op objecten van het type COMAddIns.

Deze methode geeft een lid van de opgegeven COMAddIns-collectie als resultaat.

expressie.Item(Index)

expressie Vereist. De opgegeven COMAddIns-collectie.

Index Variant, vereist. Een rangtelwoord dat een COM-invoegtoepassing op die positie in de COMAddIns-collectie als resultaat geeft of een String-waarde die de ProgID van de opgegeven COM-invoegtoepassing vertegenwoordigt.

De methode Item zoals die van toepassing is op objecten van het type FileDialogFilters.

Deze methode geeft een FileDialogFilter-object als resultaat dat lid is van de opgegeven FileDialogFilters-collectie.

expressie.Item(Index)

expressie Vereist. Een expressie die een van de bovenstaande objecten als resultaat geeft.

Index Long, vereist. Het indexnummer van het FileDialogFilter-object dat als resultaat moet worden gegeven.

De methode Item zoals die van toepassing is op objecten van het type HTMLProjectItems.

Deze methode geeft het HTMLProjectItem-object als resultaat dat een bepaald project in Microsoft-scripteditor vertegenwoordigt.

expressie.Item(Index)

expressie Vereist. Een HTMLProjectItems-collectie.

Index Variant, vereist. De naam of het indexnummer van het HTML-project dat als resultaat moet worden gegeven.

De methode Item zoals die van toepassing is op objecten van het type Scripts.

Deze methode geeft een lid van de Scripts-collectie als resultaat. U kunt het indexnummer of de id opgeven van het script dat de Microsoft Office-toepassing als resultaat moet geven. Als Variant-waarde voor de methode Item kunt u een rangtelwoord (indexnummer) gebruiken dat een script op die positie in de Scripts-collectie als resultaat geeft, maar u kunt ook een String-waarde gebruiken die de naam van de id of het script vertegenwoordigt.

expressie.Item(Index)

expressie Vereist. Een expressie die een Scripts-object als resultaat geeft.

Index Variant, vereist. De id of het indexnummer van het script dat als resultaat moet worden gegeven.

Opmerkingen

De Scripts-collectie bevat alle scripts in een bepaald document. De scripts in de collectie zijn in de bronvolgorde geplaatst (de volgorde waarin de Script-objecten in het bronbestand verschijnen). Deze volgorde blijft behouden, ongeacht de locatie van de scripts in het document (in de platte tekst of de koptekst)

Met de methode Item krijgt u toegang tot een script in de Scripts-collectie via de id van de <SCRIPT>-code. Het kenmerk ID van de <SCRIPT>-code is gelijk aan de eigenschap Id van het Script-object. Als er twee of meer identieke id's in het document voorkomen en u de eigenschap Id van een Script-object gebruikt om met de methode Item toegang te krijgen tot een script, wordt het eerste script met een id dat overeenkomt met het opgegeven id als resultaat gegeven. De overige scripts met dezelfde id's worden genegeerd.

Nieuwe script-ankers die in de collectie worden opgenomen, worden achteraan in de Scripts-collectie geplaatst in de volgorde waarin ze aan het document worden toegevoegd. De script-ankers blijven in deze volgorde staan totdat u het document als HTML-bestand opslaat en sluit, en het bestand vervolgens opnieuw opent in de hosttoepassing. Als u deze stappen neemt, wordt de Scripts-collectie geïndexeerd in de volgorde waarin de script-ankers in het document verschijnen. Dit kan een andere volgorde zijn dan de volgorde waarin de script-ankers aan het document zijn toegevoegd. U wordt daarom aangeraden de eigenschap Id van het Script-object te gebruiken in plaats van de positie van het script in de collectie, zodat u er zeker van kunt zijn dat het juiste script wordt gevonden.

De methode Item zoals die van toepassing is op objecten van het type FileDialogSelectedItems.

Deze methode geeft een String als resultaat die overeenkomt met het pad van een van de bestanden dat de gebruiker heeft geselecteerd in een bestandsdialoogvenster dat werd weergegeven met behulp van de methode Show van het FileDialog-object. De FileDialogSelectedItems-collectie is een collectie tekenreeksen.

expressie.Item(Index)

expressie Vereist. Een expressie die een van de bovenstaande objecten als resultaat geeft.

Index Long, vereist. Het indexnummer van de string die als resultaat moet worden gegeven.


LoadFromFile, methode

Met deze methode werkt u de tekst in Microsoft-scripteditor bij met tekst uit het opgegeven bestand (op de schijf).

expressie.LoadFromFile(Filename)

expressie Een HTMLProjectItem-object.

Filename String, vereist. Het volledige pad naar het tekstbestand met de tekst die moet worden geladen.

Voorbeeld

In dit voorbeeld wordt vastgesteld of het opgegeven HTML-project is geopend. Als het item is geopend, wordt het script vanuit het opgegeven bestand geladen.

If ActiveWorkbook.HTMLProject.HTMLProjectItems _
    .Item(1).IsOpen Then
    ActiveWorkbook.HTMLProject.HTMLProjectItems _
        .Item(1).LoadFromFile ("C:\MyScript.txt")
Else
    MsgBox "The HTMLProjectItem is not open."
End If


Move, methode

Bepaalde inhoud in dit onderwerp is mogelijk niet van toepassing op sommige talen.

De methode Move zoals die van toepassing is op objecten van het type CommandBarButton, CommandBarComboBox, CommandBarControl en CommandBarPopup.

Met deze methode wordt het opgegeven besturingselement voor de opdrachtbalk verplaatst naar een bestaande opdrachtbalk.

expressie.Move(Bar, Before)

expressie Vereist. Een expressie die een van de bovenstaande objecten als resultaat geeft.

Bar Variant, optioneel. Een CommandBar-object dat de bestemmingsopdrachtbalk voor het besturingselement vertegenwoordigt. Als dit argument wordt weggelaten, wordt het besturingselement verplaatst naar het einde van de opdrachtbalk waarop het besturingselement zich bevindt.

Before Variant, optioneel. Een getal waarmee de positie van het besturingselement wordt aangegeven. Het besturingselement wordt ingevoegd vóór het besturingselement dat zich op die positie bevindt. Als dit argument wordt weggelaten, wordt het besturingselement ingevoegd op dezelfde opdrachtbalk.

De methode Move zoals die van toepassing is op objecten van het type Assistant.

Met deze methode verplaatst u de Office-assistent naar de opgegeven locatie.

expressie.Move(xLeft, yTop)

expressie Vereist. Een expressie die een Assistant-object als resultaat geeft.

xLeft Integer, vereist. De linkerpositie van het venster Office-assistent (in punten).

yTop Integer, vereist. De bovenpositie van het venster Office-assistent (in punten).

Voorbeeld

De methode zoals die van toepassing is op objecten van het type CommandBarButton, CommandBarComboBox, CommandBarControl en CommandBarPopup.

In dit voorbeeld wordt de eerste keuzelijst met invoervak van de aangepaste opdrachtbalk met de naam Custom verplaatst naar de positie vóór het zevende besturingselement op die opdrachtbalk. In het voorbeeld wordt de tag ingesteld op "Selection box" en wordt een lage prioriteit aan het besturingselement toegewezen, zodat het waarschijnlijk uit de opdrachtbalk wegvalt als alle besturingselementen niet op één rij passen.

Set allcontrols = CommandBars("Custom").Controls
For Each ctrl In allControls
    If ctrl.Type = msoControlComboBox Then
        With ctrl
            .Move Before:=7
             .Tag = "Selection box"
             .Priority = 5
         End With
         Exit For
    End If
Next

De methode zoals die van toepassing is op objecten van het type Assistant.

In dit voorbeeld wordt de Office-assistent op de opgegeven locatie weergegeven en worden verschillende opties ingesteld voordat de Office-assistent zichtbaar wordt gemaakt.

With Assistant
    .Reduced = True
    .Move xLeft:= 400, yTop:= 300
    .MoveWhenInTheWay = True
    .TipOfDay = True
    .Visible = True
    .Animation = msoAnimationGreeting
End With


NewSearch, methode

Mogelijk is een deel van dit onderwerp niet van toepassing op bepaalde talen.

Met deze methode stelt u voor alle zoekcriteria de standaardwaarden opnieuw in.

expressie.NewSearch

expressie Vereist. Een expressie die een FileSearch-object als resultaat geeft.

Aanvullende informatie

De instellingen van zoekcriteria blijven gedurende een toepassingssessie intact. U hoeft deze methode dus alleen te gebruiken wanneer u zoekcriteria wilt wijzigen. De methode heeft geen effect op de waarde van de eigenschap LookIn.

Voorbeeld

In dit voorbeeld worden de zoekcriteria met de methode NewSearch opnieuw ingesteld op hun standaardwaarden voordat een nieuwe zoekbewerking wordt gestart.

With Application.FileSearch
    .NewSearch
    .LookIn = "C:\My Documents"
    .SearchSubFolders = True
    .FileName = "run"
    .TextOrProperty = "San*"
    .MatchAllWordForms = True
    .FileType = msoFileTypeAllFiles
    If .Execute() > 0 Then
        MsgBox "There were " & .FoundFiles.Count & _
        " file(s) found."
        For i = 1 To .FoundFiles.Count
            MsgBox .FoundFiles(i)
        Next i
    Else
        MsgBox "There were no files found."
    End If
End With


Open, methode

Met deze methode opent u het opgegeven HTML-project of HTML-projectitem in Microsoft-scripteditor in een van de weergaven die zijn opgegeven met de optionele MsoHTMLProjectOpen-constanten die hieronder worden weergegeven. Als u geen van deze constanten opgeeft, wordt het projectitem geopend in de standaardweergave.

expressie.Open(OpenKind)

expressie Vereist. Een expressie waarmee een van de objecten in de lijst Van toepassing op als resultaat wordt gegeven.

OpenKind MsoHTMLProjectOpen, optioneel. De weergave waarin het opgegeven project of projectitem wordt geopend.

MsoHTMLProjectOpen kan een van de volgende MsoHTMLProjectOpen-constanten zijn.
msoHTMLProjectOpenSourceView
msoHTMLProjectOpenTextView

Opmerkingen

De standaardweergave wordt bepaald door de status van Microsoft-scripteditor (geopend of niet geopend) op het moment dat de methode Open wordt uitgevoerd. Als de scripteditor niet is geopend, wordt de scripteditor door de methode Open gestart in de bronweergave. Als de scripteditor reeds is geopend, activeert de methode Open de scripteditor en wordt het script in de huidige weergave weergegeven.

Voorbeeld

In dit voorbeeld wordt het HTML-project in de actieve werkmap in de bronweergave geopend.

AppActiveWorkbook.HTMLProject.Open _
    (msoHTMLProjectOpenSourceView)

In dit voorbeeld wordt het eerste HTML-projectitem in de actieve werkmap in de tekstweergave geopend.

ActiveWorkbook.HTMLProject.HTMLProjectItems _
    Item(1).Open (msoHTMLProjectOpenTextView)


PasteFace, methode

Met deze methode plakt u de inhoud van het Klembord op het opgegeven knopbesturingselement op de opdrachtbalk.

expressie.PasteFace

expressie Vereist. Een expressie die een CommandBarButton-object als resultaat geeft.

Voorbeeld

In dit voorbeeld wordt naar de ingebouwde knop FileOpen gezocht en wordt het knopvlak van de knop Spelling and Grammar vanaf het Klembord op deze knop geplakt.

Set myControl = CommandBars.FindControl(Type:=msoControlButton, Id:=2)
myControl.CopyFace
Set myControl = CommandBars.FindControl(Type:=msoControlButton, Id:=23)
myControl.PasteFace


RefreshDocument, methode

Met deze methode vernieuwt u het opgegeven HTML-project in de Microsoft Office-hosttoepassing.

expressie.RefreshDocument(Refresh)

expressie Een expressie die een HTMLProject-object als resultaat geeft.

Refresh Boolean, vereist. Als u True instelt, worden alle wijzigingen opgeslagen. Als u False instelt, worden alle wijzigingen genegeerd.

Aanvullende informatie

Als u deze methode gebruikt, komt dat overeen met klikken op de knop Vernieuwen op de werkbalk Vernieuwen in de Office-hosttoepassing. Als u het document vernieuwt door de methode RefreshDocument in te stellen op True, worden alle wijzigingen die met Microsoft-scripteditor in de HTML-broncode zijn aangebracht, in de Office-hosttoepassing opgeslagen. Als u de methode RefreshDocument instelt op False, worden alle wijzigingen in de HTML-broncode genegeerd. De waarde die door de methode State als resultaat wordt gegeven, wordt beïnvloed door de methode RefreshDocument. Als u RefreshDocument (True) aanroept, geeft de methode State de constante msoHTMLProjectStateDocumentProjectUnlocked als resultaat, als de methode wordt aangeroepen nadat het document is vernieuwd.

Voorbeeld

In dit voorbeeld wordt het HTML-project in de actieve werkmap in de hosttoepassing vernieuwd.

ActiveWorkbook.HTMLProject.RefreshDocument (True)


RefreshProject, methode

Met deze methode vernieuwt u het opgegeven HTML-project in Microsoft-scripteditor.

expressie.RefreshProject

expressie Een expressie die een HTMLProject-object als resultaat geeft.

Aanvullende informatie

Als u deze methode gebruikt, komt dat overeen met klikken op de knop Vernieuwen op de werkbalk Vernieuwen in Microsoft-scripteditor. Als u het document vernieuwt door RefreshDocument in te stellen op True, worden alle wijzigingen die in de HTML-broncode in de Office-hosttoepassing zijn aangebracht, opgeslagen in het HTML-project in Microsoft-scripteditor. Als u RefreshDocument instelt op False, worden alle wijzigingen in de HTML-broncode genegeerd.

Voorbeeld

In dit voorbeeld wordt het HTML-project in Microsoft-scripteditor vernieuwd.

ActiveWorkbook.HTMLProject.RefreshProject (True)


RefreshScopes, methode

Met deze methode wordt de lijst van momenteel beschikbare ScopeFolder-objecten vernieuwd.

expressie.RefreshScopes

expressie Vereist. Een expressie waarmee een van de objecten in de lijst Van toepassing op als resultaat wordt gegeven.

Voorbeeld

In het volgende voorbeeld worden alle momenteel beschikbare ScopeFolder-objecten op het station C:\ weergegeven in het bereik Deze computer.

Sub TestRefreshScopesMethod()
' Displays what happens before and after the RefreshScopes
' method is called when a new folder is added to the list
' of scope folders.

    ' List before the folder is created.
    Call ListFolderNames

    ' Create a new folder on the C:\ drive in My Computer.
    ' An error will occur if this folder already exists.
    MkDir Path:="C:\Delete_After_Using"

    ' List after the folder is created.
    Call ListFolderNames

    ' Refresh the list of folders.
    Application.FileSearch.RefreshScopes

    ' The newly-created folder now appears in the list.
    Call ListFolderNames

End Sub

Sub ListFolderNames()

    Dim strResults As String

    ' Loop through all the folder names on the C:\ drive
    ' in My Computer and report the results.
    ' .SearchScopes.Item(1) = "My Computer"
    ' .ScopeFolders.Item(2) = "C:\"
    With Application.FileSearch.SearchScopes.Item(1). _
        ScopeFolder.ScopeFolders.Item(2)

        For i = 1 To .ScopeFolders.Count
            strResults = strResults & .ScopeFolders. _
                Item(i).Name & vbCrLf
        Next i

        MsgBox "Folder Names on C:\...." & vbCrLf & strResults

    End With

End Sub


ReleaseFocus, methode

Met deze methode verwijdert u de focus van de gebruikersinterface van alle opdrachtbalken.

expressie.ReleaseFocus

expressie Vereist. Een expressie die een CommandBars-object als resultaat geeft.

Voorbeeld

In dit voorbeeld worden drie lege knoppen aan de opdrachtbalk met de naam 'Custom' toegevoegd en wordt de focus ingesteld op de middelste knop. Vervolgens wordt vijf seconden gewacht voordat de focus van de gebruikersinterface van alle opdrachtbalken wordt verwijderd.

Set myBar = CommandBars _
    .Add(Name:="Custom", Position:=msoBarTop, _
    Temporary:=True)
With myBar
    .Controls.Add Type:=msoControlButton
    .Controls.Add Type:=msoControlButton
    .Controls.Add Type:=msoControlButton
    .Visible = True
End With
Set myControl = CommandBars("Custom").Controls(2)
With myControl
    .SetFocus
End With
PauseTime = 5   ' Set duration.
    Start = Timer   ' Set start time.
    Do While Timer < Start + PauseTime
        DoEvents    ' Yield to other processes.
    Loop
    Finish = Timer
CommandBars.ReleaseFocus


Remove, methode

De methode Remove zoals die van toepassing is op objecten van het type NewFile.

Met deze methode wordt een item verwijderd uit het taakvenster New Item. Geeft een Boolean als resultaat.

expressie.Remove(FileName, Section, DisplayName, Action)

expressie Vereist. Een expressie die een NewFile-object als resultaat geeft.

FileName String, vereist. De naam van het bestand waarnaar wordt verwezen.

Section Variant, optioneel. De sectie van het taakvenster waar het bestand waarnaar wordt verwezen zich bevindt. Kan elke msoFileNewSection-constante zijn.

DisplayName Variant, optioneel. De weergavetekst van het bestand waarnaar wordt verwezen.

Action Variant, optioneel. De actie die plaatsvindt wanneer een gebruiker op het item klikt. Kan elke msoFileNewAction-constante zijn.

De methode Remove zoals die van toepassing is op objecten van het type FileTypes, PropertyTests en SearchFolders.

Met deze methode wordt het opgegeven object uit de collectie verwijderd.

expressie.Remove(Index)

expressie Vereist. Een expressie die een van de bovenstaande objecten als resultaat geeft.

Index Long, vereist. Het indexnummer van de eigenschapstest die moet worden verwijderd.

Voorbeeld

De methode zoals die van toepassing is op objecten van het type FileTypes, PropertyTests en SearchFolders.

In dit voorbeeld wordt het eerste zoekcriterium uit de collectie verwijderd.

Application.FileSearch.PropertyTests.Remove(1)

De methode zoals die van toepassing is op objecten van het type NewFile.

In dit voorbeeld wordt het opgegeven item verwijderd uit het taakvenster NewDocument van Word.

Sub RemoveDocFromTaskPane()
    Application.NewDocument.Remove FileName:="C:\Newfile.doc", _
            Section:=msoNewfromTemplate, DisplayName:="NewFile"
    CommandBars("Task Pane").Visible = True
End Sub


RemoveItem, methode

Met deze methode verwijdert u een lijstitem uit de opgegeven keuzelijst met invoervak op een opdrachtbalk.

Opmerking De methode mislukt als deze wordt toegepast op andere besturingselementen dan lijsten.

expressie.RemoveItem(Index)

expressie Vereist. Een expressie die een CommandBarComboBox-object vereist.

Index Long, vereist. Het item dat uit de lijst moet worden verwijderd.

Voorbeeld

In dit voorbeeld wordt bepaald of de opgegeven keuzelijst met invoervak meer dan drie items bevat. Als dat zo is, wordt het tweede item verwijderd, wordt het opmaakprofiel gewijzigd en wordt een nieuwe waarde ingesteld. Bovendien wordt de eigenschap Tag van het hoofdobject (het CommandBarControl-object) ingesteld om aan te geven dat de lijst is gewijzigd.

Set myBar = CommandBars _
    .Add(Name:="Custom", Position:=msoBarTop, _
    Temporary:=True)
With myBar
    .Controls.Add Type:=msoControlComboBox, ID:=1
    .Visible = True
End With
With CommandBars("Custom").Controls(1)
    .AddItem "Get Stock Quote", 1
    .AddItem "View Chart", 2
    .AddItem "View Fundamentals", 3
    .AddItem "View News", 4
    .Caption = "Stock Data"
    .DescriptionText = "View Data For Stock"
End With
Set myControl = myBar.Controls(1)
With myControl
    If .ListCount > 3 Then
        .RemoveItem 2
        .Style = msoComboNormal
        .Text = "New Default"
         Set ctrl = .Parent
    End If
End With


Reset, methode

Met deze methode herstelt u voor een ingebouwde opdrachtbalk de standaardconfiguratie of herstelt u voor een ingebouwd opdrachtbalk-besturingselement de standaardfunctie en het standaardknopvlak.

expressie.Reset

expressie Vereist. Een expressie die een CommandBar-, CommandBarControl-, CommandBarButton-, CommandBarPopup- of CommandBarComboBox-object als resultaat geeft.

Aanvullende informatie

Als u de beginwaarden van een ingebouwd besturingselement instelt, herstelt u de acties die oorspronkelijk voor het besturingselement waren bedoeld en brengt u de eigenschappen van het besturingselement weer terug in hun oorspronkelijke staat. Als u de beginwaarden van een ingebouwde opdrachtbalk instelt, verwijdert u de aangepaste besturingselementen en plaatst u de ingebouwde besturingselementen terug.

Voorbeeld

In dit voorbeeld wordt de waarde van user gebruikt om de opdrachtbalken aan te passen aan het gebruikersniveau. Als user 'Level 1' is, wordt de opdrachtbalk 'Custom' weergegeven. Als user een andere waarde heeft, krijgt de ingebouwde Visual Basic-opdrachtbalk weer de standaardstatus en wordt de opdrachtbalk 'Custom' uitgeschakeld.

Set myBar = CommandBars("Custom")
If user = "Level 1" Then
    myBar.Visible = True
Else
    CommandBars("Visual Basic").Reset
    myBar.Enabled = False
End If


ResetFileList, methode

Met deze methode vervangt u de lijst met bestanden voor de actieve Antwoordwizard door de standaardlijst met bestanden voor de Microsoft Office-hosttoepassing.

expressie.ResetFileList

expressie Een expressie die een AnswerWizard-object als resultaat geeft.

Aanvullende informatie

Gebruik deze methode als u alle items in de huidige bestandenlijst voor de actieve Antwoordwizard wilt vervangen door de lijst in het Windows-register voor de hosttoepassing. U kunt een aangepaste standaardbestandenlijst in het register maken door de namen van de aangepaste bestanden toe te voegen aan de juiste registersleutel.

Voorbeeld

In dit voorbeeld wordt de huidige bestandenlijst voor de actieve Antwoordwizard vervangen door de standaardbestandenlijst en wordt vervolgens een berichtvenster met het aantal bestanden en de bestandsnamen weergegeven.

Dim customAnswerWizard As AnswerWizard
Dim strFileList As String
Dim intCounter As Integer
Dim intNumFiles As Integer
Set customAnswerWizard = Application.AnswerWizard
intCounter = 1

customAnswerWizard.ResetFileList
strFileList = ""
intNumFiles = customAnswerWizard.Files.Count
For intCounter = 1 To (intNumFiles)
    strFileList = strFileList & _
    customAnswerWizard.Files.Item(intCounter) & Chr(13)
Next

MsgBox "There are " & customAnswerWizard.Files.Count & _
    " files avaialble through this AnswerWizard: " & _
    Chr(13) & strFileList


ResetTips, methode

Mogelijk is een deel van dit onderwerp niet van toepassing op bepaalde talen.

Met deze methode stelt u voor de toepassingstips die worden weergegeven in de ballon van de Office-assistent, de beginwaarden in.

expressie.ResetTips

expressie Vereist. Een expressie die een Assistant-object retourneert.

Aanvullende informatie

De methode ResetTips correspondeert met de knop Mijn tips herstellen op het tabblad Opties van het dialoogvenster Office-assistent.

Voorbeeld

In dit voorbeeld worden voor de toepassingstips de beginwaarden ingesteld voordat de Office-assistent zichtbaar wordt gemaakt. Er verschijnt een bevestigingsballon met de mededeling dat de beginwaarden voor de toepassingstips van de gebruiker opnieuw zijn ingesteld.

With Application.Assistant
    .On = True
    .Visible = True
    .Animation = msoAnimationGreeting
    .ResetTips
End With


SaveCopyAs, methode

Met deze methode slaat u het opgegeven HTML-projectitem op onder een nieuwe bestandsnaam.

expressie.SaveCopyAs(Filename)

expressie Een HTMLProjectItem-object.

Filename String, vereist. Het volledige pad naar het bestand waarin u het HTML-projectitem wilt opslaan.

Voorbeeld

In dit voorbeeld wordt een kopie van de tekst van het huidige HTML-projectitem in het bestand NewScript.txt opgeslagen.

ActiveWorkbook.HTMLProject.HTMLProjectItems. _
    Item(1).SaveCopyAs("C:\NewScript.txt")


SetAvoidRectangle, methode

Mogelijk is een deel van dit onderwerp niet van toepassing op bepaalde talen.

Met deze methode voorkomt u dat de ballon van de Office-assistent op een bepaald, door u gespecificeerd gedeelte van het scherm wordt weergegeven.

expressie.SetAvoidRectangle(Left, Top, Right, Bottom)

expressie Vereist. Een expressie die een Assistant-object retourneert.

Left, Top, Right, Bottom Long, vereist. De coördinaten (gemeten in punten en ten opzichte van het scherm) die het gedeelte van het scherm aangeven dat de Office-assistent niet mag bedekken.

Aanvullende informatie

Met deze methode kan worden voorkomen dat de ballon van de Office-assistent aangepaste dialoogvensters en wizards aan het oog onttrekt.

Voorbeeld

In dit voorbeeld wordt voorkomen dat de ballon van de Office-assistent (vertegenwoordigd door de variabele myBalloon) in het rechthoekige schermgedeelte verschijnt dat met coördinaten (in pixels) wordt aangegeven.

Set myBalloon = Assistant.NewBalloon
With myBalloon
    .SetAvoidRectangle 300, 250, 700, 500
    .Text = "Cannot display in coordinates " & _
        "300, 250, 700, 500."
    .Show
End With


SetFocus, methode

Met deze methode verplaatst u de toetsenbordfocus naar het opgegeven opdrachtbalk-besturingselement zodat het besturingselement toetsenbordinvoer kan ontvangen. Als het besturingselement is uitgeschakeld of niet zichtbaar is, mislukt deze methode.

Aanvullende informatie

Als een besturingselement de focus heeft, is dat niet heel duidelijk zichtbaar. Nadat u deze methode hebt gebruikt, ziet u dat het besturingselement driedimensionaal wordt weergegeven. Met de pijltoetsen kunt u op de werkbalken van besturingselement naar besturingselement gaan.

expressie.SetFocus

expressie Vereist. Een expressie die een CommandBarControl-, CommandBarButton-, CommandBarPopup- of CommandBarComboBox-object als resultaat geeft.

Voorbeeld

In dit voorbeeld wordt een opdrachtbalk met de naam 'Custom' gemaakt en worden een besturingselement Combobox (keuzelijst met invoervak) en een besturingselement Button (knop) aan de opdrachtbalk toegevoegd. Vervolgens wordt de methode SetFocus gebruikt om de Combobox de focus te geven.

Set focusBar = CommandBars.Add(Name:="Custom")
With CommandBars("Custom")
    .Visible = True
    .Position = msoBarTop
End With

Set testComboBox = CommandBars("Custom").Controls _
    .Add(Type:=msoControlComboBox, ID:=1)
With testComboBox
    .AddItem "First Item", 1
    .AddItem "Second Item", 2
End With
Set testButton = CommandBars("Custom").Controls _
    .Add(Type:=msoControlButton)
testButton.FaceId = 17
' Set the focus to the combo box.
testComboBox.SetFocus


SetSortOrder, methode

Met deze methode wordt de sorteervolgorde ingesteld voor de gegevens voor Afdruk samenvoegen.

expressie.SetSortOrder(SortField1, SortAscending1, SortField2, SortAscending2, SortField3, SortAscending3)

expressie Vereist. Een expressie waarmee een van de objecten in de lijst Van toepassing op als resultaat wordt gegeven.

SortField1 String, vereist. Het eerste veld waarop de gegevens voor Afdruk samenvoegen worden gesorteerd.

SortAscending1 Boolean, optioneel. Als deze waarde True is (standaard) wordt oplopend gesorteerd op SortField1. Als deze waarde False is, wordt aflopend gesorteerd.

SortField2 String, optioneel. Het tweede veld waarop de gegevens voor Afdruk samenvoegen worden gesorteerd. De standaardinstelling is een lege tekenreeks.

SortAscending2 Boolean, optioneel. Als deze waarde True is (standaard) wordt oplopend gesorteerd op SortField2. Als deze waarde False is, wordt aflopend gesorteerd.

SortField3 String, optioneel. Het derde veld waarop de gegevens voor Afdruk samenvoegen worden gesorteerd. De standaardinstelling is een lege tekenreeks.

SortAscending3 Boolean, optioneel. Als deze waarde True is (standaard) wordt oplopend gesorteerd op SortField3. Als deze waarde False is, wordt aflopend gesorteerd.

Voorbeeld

In het volgende voorbeeld wordt het gegevensbestand eerst op postcode gesorteerd (in aflopende volgorde). Vervolgens wordt gesorteerd op achternaam en voornaam (in oplopende volgorde).

Sub SetDataSortOrder()
    Dim appOffice As OfficeDataSourceObject

    Set appOffice = Application.OfficeDataSourceObject

    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    appOffice.SetSortOrder SortField1:="ZipCode", _
        SortAscending1:=False, SortField2:="LastName", _
        SortField3:="FirstName"
End Sub


Show, methode

De methode Show zoals die van toepassing is op objecten van het type Balloon.

Met deze methode wordt het opgegeven balloon-object weergegeven. Geeft een MsoBalloonButtonType-constante als resultaat die aangeeft op welke knop of welk label de gebruiker klikt. Alleen-lezen.

MsoBalloonButtonType kan een van de volgende MsoBalloonButtonType-constanten zijn.
msoBalloonButtonAbort
msoBalloonButtonBack
msoBalloonButtonCancel
msoBalloonButtonClose
msoBalloonButtonIgnore
msoBalloonButtonNext
msoBalloonButtonNo
msoBalloonButtonNull
msoBalloonButtonOK
msoBalloonButtonOptions
msoBalloonButtonRetry
msoBalloonButtonSearch
msoBalloonButtonSnooze
msoBalloonButtonTips
msoBalloonButtonYes
msoBalloonButtonYesToAll

expressie.Show

expressie Vereist. Een expressie die een Balloon-object als resultaat geeft.

De methode Show zoals die van toepassing is op objecten van het type FileDialog.

Met deze methode wordt een bestandsdialoogvenster weergegeven en wordt een Long als resultaat gegeven die aangeeft of de gebruiker op de actieknop (-1) of de knop Annuleren (0) heeft geklikt. Als u de methode Show aanroept, wordt er geen code uitgevoerd totdat de gebruiker het bestandsdialoogvenster sluit. In het geval van de dialoogvensters SaveAs en Open, gebruikt u de methode Execute direct na de methode Show om de actie van de gebruiker uit te voeren.

expressie.Show

expressie Vereist. Een expressie die een FileDialog-object als resultaat geeft.

Voorbeeld

De methode zoals die van toepassing is op objecten van het type Balloon.

In dit voorbeeld wordt een ballon gemaakt met twee mogelijke ballon-labels waarmee de gebruiker de gewenste afdrukstand voor de printer kan instellen. De gebruiker kan kiezen tussen Portrait en Landscape (respectievelijk Staand of Liggend). Vervolgens wordt in dit voorbeeld de methode Show in een Select Case-instructie gebruikt om te vast te stellen welke afdrukstand de gebruiker heeft gekozen.

Set balNew = Assistant.NewBalloon
With balNew
    .Heading = "Please choose a printer orientation"
    .Labels(1).Text = "Portrait"
    .Labels(2).Text = "Landscape"
    .Button = msoButtonSetNone
End With

Select Case balNew.Show
    Case 1
        ' Insert code to set printer to Portrait.
    Case 2
        ' Insert code to set printer to Landscape.
End Select

In dit voorbeeld wordt een ballon gemaakt die drie opdrachtknoppen bevat: Yes, No en Cancel. De methode Show wordt in een Select Case-instructie gebruikt om de resultaatwaarde te bepalen van de knop waarop de gebruiker heeft geklikt.

Set balNew = Assistant.NewBalloon
With balNew
    .Heading = "Are you sure you want to set the " & _
    "printer orientation to Landscape?"
    .BalloonType = msoBalloonTypeButtons
    .Button = msoButtonSetYesNoCancel
End With

Select Case balNew.Show
    Case -2	' User selected Cancel button.
        returnValue = MsgBox("Operation canceled.", _
        vbOKOnly, "Printer Message")
    Case -3	' User selected Yes button.
        returnValue = MsgBox("Printer set to " & _
        "Landscape.", vbOKOnly, "Printer Message")
    Case -4	' User selected No button.
        returnValue = MsgBox("Printer orientation not " & _
        "reset.", vbOKOnly, "Printer Message")
End Select

De methode zoals die van toepassing is op objecten van het type FileDialog.

In het volgende voorbeeld wordt een dialoogvenster voor het kiezen van bestanden weergegeven met behulp van het FileDialog-object. Vervolgens wordt elk geselecteerd bestand weergegeven in een berichtvak.

Sub Main()

    'Declare a variable as a FileDialog object.
    Dim fd As FileDialog

    'Create a FileDialog object as a File Picker dialog box.
    Set fd = Application.FileDialog(msoFileDialogFilePicker)

    'Declare a variable to contain the path
    'of each selected item. Even though the path is a String,
    'the variable must be a Variant because For Each...Next
    'routines only work with Variants and Objects.
    Dim vrtSelectedItem As Variant

    'Use a With...End With block to reference the FileDialog object.
    With fd

        'Use the Show method to display the File Picker dialog box and return the user's action.
        'The user pressed the action button.
    If .Show = -1 Then

            'Step through each string in the FileDialogSelectedItems collection.
            For Each vrtSelectedItem In .SelectedItems

                'vrtSelectedItem is a string that contains the path of each selected item.
                'You can use any file I/O functions that you want to work with this path.
                'This example simply displays the path in a message box.
                MsgBox "The path is: " & vrtSelectedItem

            Next vrtSelectedItem
        'The user pressed Cancel.
    Else
        End If
    End With

    'Set the object variable to nothing.
    Set fd = Nothing

End Sub


ShowPopup, methode

Met deze methode geeft u de opgegeven opdrachtbalk als een snelmenu weer op de opgegeven locatie of op de huidige locatie van de aanwijzer.

Opmerking Als de eigenschap Position van de opdrachtbalk niet is ingesteld op msoBarPopup, mislukt deze methode.

expressie.ShowPopup(x, y)

expressie Vereist. Een expressie die een CommandBar-object als resultaat geeft.

x Variant, optioneel. De x-coördinaat van de locatie van het snelmenu. Als dit argument wordt weggelaten, wordt de huidige x-coördinaat van de aanwijzer gebruikt.

y Variant, optioneel. De y-coördinaat van de locatie van het snelmenu. Als dit argument wordt weggelaten, wordt de huidige y-coördinaat van de aanwijzer gebruikt.

Voorbeeld

In dit voorbeeld wordt een snelmenu met twee besturingselementen gemaakt. De methode ShowPopup wordt gebruikt om het snelmenu zichtbaar te maken.

Set myBar = CommandBars _
    .Add(Name:="Custom", Position:=msoBarPopup, Temporary:=False)
With myBar
    .Controls.Add Type:=msoControlButton, Id:=3
    .Controls.Add Type:=msoControlComboBox
End With
myBar.ShowPopup


StartWizard, methode

Mogelijk is een deel van dit onderwerp niet van toepassing op bepaalde talen.

Met deze methode start u de Office-assistent. De methode geeft daarnaast een lange integer (Long) als resultaat die de unieke aanduiding van de sessie vormt. U dient deze methode alleen te gebruiken als u de Office-assistent in een aangepaste wizardsessie wilt uitvoeren.

Opmerking Het getal dat door de methode StartWizard als resultaat wordt gegeven, wordt door de methoden ActivateWizard en EndWizard gebruikt.

expressie.StartWizard(On, Callback, PrivateX, Animation, CustomTeaser, Top, Left, Bottom, Right)

expressie Vereist. Een expressie die een Assistant-object als resultaat geeft.

On Boolean, vereist. Als u de waarde True opgeeft, wordt de speciale Office-beslissingsballon weergegeven waarin de gebruiker wordt gevraagd of deze Help-informatie nodig heeft bij het werken met de actieve, aangepaste wizard. Als u voor dit argument de waarde True opgeeft, hoeft u de eigenschap Visible niet te gebruiken om de Office-assistent weer te geven.

Callback String, vereist. De naam van de callback-procedure die door de speciale Office-beslissingsballon en de Help-keuzeballon wordt gestart. De Help-keuzeballon biedt de gebruiker de mogelijkheid te kiezen tussen de aangepaste Help voor de wizard die u aanbiedt, of de standaard Help van Office.

PrivateX Long, vereist. Een uniek getal dat aangeeft welke ballon de callback-procedure heeft gestart.

Animation Variant, optioneel. De animatie die de Office-assistent uitvoert als deze methode wordt gebruikt. De standaardwaarde is msoAnimationGetWizardy.

CustomTeaser Variant, optioneel. Als de waarde False is, wordt de Office-beslissingsballon weergegeven.

Top, Left, Bottom, Right Variant, optioneel. De positie van de hoeken van het aangepaste wizard-formulier (gemeten in punten en ten opzichte van het beeldscherm) dat de Office-assistent bij zijn verschijnen op het scherm niet zal bedekken.

Aanvullende informatie

In tegenstelling tot callback-procedures die door standaard niet-modusgebonden ballonnen worden gebruikt, maakt de callback-procedure die door de niet-modusgebonden beslissingsballon en Help-keuzeballon wordt aangeroepen, slechts gebruik van twee argumenten: een MsoWizardMsgType-constante en de unieke waarde die wordt gespecificeerd door het argument PrivateX van de methode StartWizard.

Als de gebruiker in de beslissingsballon of de Help-keuzeballon op de linkerknop klikt, wordt de constante msoWizardMsgShowHelp doorgegeven aan het eerste argument van de callback-procedure. Als de gebruiker op de rechterknop klikt, wordt de constante msoWizardLocalStateOff doorgegeven. (De overige MsoWizardMsgType-constanten worden door de methode ActivateWizard doorgegeven, mits u voor het argument Act de constanten msoWizardActResume of msoWizardActSuspend hebt opgegeven.) Als de constante msoWizardMsgShowHelp wordt doorgegeven, dient de callback-procedure de juiste ballon voor het huidige venster van de aangepaste wizard weer te geven. Als de constante msoWizardLocalStateOff wordt doorgegeven, dient de callback-procedure de zichtbare ballon te verbergen.

Voorbeeld

In dit voorbeeld wordt de Office-assistent gestart als onderdeel van een proces waarbij aanvullende informatie wordt verstrekt terwijl een aangepaste wizard wordt uitgevoerd. De variabele lHelpForWiz wordt ingesteld op de resultaatwaarde van de methode StartWizard, die bestaat uit een lange integer (Long).

lHelpForWiz = Assistant.StartWizard(On:=True, _
    Callback:="myCallback", PrivateX:=23)


Update, methode

Met deze methode werkt u de inhoud van de COMAddIns-collectie bij vanuit de lijst met invoegtoepassingen die in het Windows-register is opgeslagen.

expressie.Update

expressie De COMAddIns-collectie.

Aanvullende informatie

Voordat u een bepaalde COM-invoegtoepassing in een Microsoft Office-toepassing kunt gebruiken, moet deze invoegtoepassing in het Windows-register worden geregistreerd als een COM-component met een overeenkomstige categorie-id.

Voorbeeld

In het volgende voorbeeld wordt de inhoud van de COMAddIns-collectie bijgewerkt vanuit de lijst met invoegtoepassingen die in het Windows-register is opgeslagen.

Application.COMAddIns.Update


ActionControl, eigenschap

Deze eigenschap geeft als resultaat het CommandBarControl-object waarvan de eigenschap OnAction is ingesteld op de procedure die wordt uitgevoerd. Als de procedure die wordt uitgevoerd, niet is gestart door een opdrachtbalk-besturingselement, geeft deze eigenschap Nothing als resultaat. Alleen-lezen.

Voorbeeld

In dit voorbeeld wordt een opdrachtbalk met de naam 'Custom' gemaakt en worden drie knoppen aan de opdrachtbalk toegevoegd. Vervolgens worden de eigenschappen ActionControl en Tag gebruikt om te bepalen op welke opdrachtbalkknop voor het laatst is geklikt.

Set myBar = CommandBars _
    .Add(Name:="Custom", Position:=msoBarTop, _
    Temporary:=True)
Set buttonOne = myBar.Controls.Add(Type:=msoControlButton)
With buttonOne
    .FaceId = 133
    .Tag = "RightArrow"
    .OnAction = "whichButton"
End With
Set buttonTwo = myBar.Controls.Add(Type:=msoControlButton)
With buttonTwo
    .FaceId = 134
    .Tag = "UpArrow"
    .OnAction = "whichButton"
End With
Set buttonThree = myBar.Controls.Add(Type:=msoControlButton)
With buttonThree
    .FaceId = 135
    .Tag = "DownArrow"
    .OnAction = "whichButton"
End With
myBar.Visible = True

De subroutine whichButton reageert op de methode OnAction en bepaalt op welke opdrachtbalkknop voor het laatst is geklikt.

Sub whichButton()
Select Case CommandBars.ActionControl.Tag
    Case "RightArrow"
        MsgBox ("Right Arrow button clicked.")
    Case "UpArrow"
        MsgBox ("Up Arrow button clicked.")
    Case "DownArrow"
        MsgBox ("Down Arrow button clicked.")
End Select
End Sub


ActiveMenuBar, eigenschap

Deze eigenschap geeft als resultaat een CommandBar-object dat de actieve menubalk in de containertoepassing vertegenwoordigt. Alleen-lezen.

Voorbeeld

In dit voorbeeld wordt een tijdelijk pop-up besturingselement met de naam 'Custom' aan het einde van de actieve menubalk toegevoegd. Vervolgens wordt het besturingselement 'Import' aan het pop-up besturingselement toegevoegd.

Set myMenuBar = CommandBars.ActiveMenuBar
Set newMenu = myMenuBar.Controls.Add(Type:=msoControlPopup, Temporary:=True)
newMenu.Caption = "Custom"
Set ctrl1 = newMenu.CommandBar.Controls _
    .Add(Type:=msoControlButton, Id:=1)
With ctrl1
    .Caption = "Import"
    .TooltipText = "Import"
    .Style = msoButtonCaption
End With


AdaptiveMenu, eigenschap

Deze eigenschap is True als een aangepast, persoonlijk menu is ingeschakeld. Boolean. Lezen/schrijven.

Voorbeeld

In dit voorbeeld wordt de eigenschap AdaptiveMenu op False ingesteld voor het menu File in de Microsoft Office-toepassing waarin u werkt.

CommandBars("File").AdaptiveMenu = False


AdaptiveMenus, eigenschap

Deze eigenschap is True als de zich aanpassende menu's zijn ingeschakeld. Boolean. Lezen/schrijven.

Voorbeeld

In dit voorbeeld worden drie opties ingesteld voor alle opdrachtbalken in Microsoft Office, inclusief aangepaste opdrachtbalken en de besturingselementen op die opdrachtbalken.

With CommandBars
    .LargeButtons = True
    .DisplayFonts = True
    .AdaptiveMenus = True
End With


AllowMultiSelect, eigenschap

De waarde is True als de gebruiker meerdere bestanden kan kiezen in een bestandsdialoogvenster. Boolean, lezen/schrijven.

expressie.AllowMultiSelect

expressie Vereist. Een expressie waarmee een van de objecten in de lijst Van toepassing op als resultaat wordt gegeven.

Opmerkingen

Deze eigenschap is niet van invloed op dialoogvensters voor het kiezen van bestanden of SaveAs-dialoogvensters, omdat het gebruikers nooit wordt toegestaan om meerdere bestanden te kiezen in dergelijke bestandsdialoogvensters.

Voorbeeld

In het volgende voorbeeld wordt een dialoogvenster weergegeven voor het kiezen van bestanden. Dit gebeurt met behulp van het FileDialog-object. Vervolgens wordt elk geselecteerd bestand weergegeven in een berichtvak.

Sub Main()

    'Declare a variable as a FileDialog object.
    Dim fd As FileDialog

    'Create a FileDialog object as a File Picker dialog box.
    Set fd = Application.FileDialog(msoFileDialogFilePicker)

    'Declare a variable to contain the path
    'of each selected item. Even though the path is a String,
    'the variable must be a Variant because For Each...Next
    'routines only work with Variants and Objects.
    Dim vrtSelectedItem As Variant

    'Use a With...End With block to reference the FileDialog object.
    With fd

        'Allow the selection of multiple files.
        .AllowMultiSelect = True

        'Use the Show method to display the file picker dialog and return the user's action.
        'If the user presses the action button...
        If .Show = -1 Then

            'Step through each string in the FileDialogSelectedItems collection.
            For Each vrtSelectedItem In .SelectedItems

                'vrtSelectedItem is a String that contains the path of each selected item.
                'You can use any file I/O functions that you want to work with this path.
                'This example simply displays the path in a message box.
                MsgBox "Selected item's path: " & vrtSelectedItem

            Next
        'If the user presses Cancel...
        Else
        End If
    End With

    'Set the object variable to Nothing.
    Set fd = Nothing

End Sub


Animation, eigenschap

Mogelijk is een deel van dit onderwerp niet van toepassing op bepaalde talen.

Met deze eigenschap wordt het type animatie voor de Office-assistent als resultaat gegeven of ingesteld. Als deze eigenschap wordt toegepast op het Assistant-object en de opgegeven animatie wordt door de assistent ondersteund, dan wordt de animatie meteen geactiveerd (mits de assistent zichtbaar is en is ingeschakeld). Als deze eigenschap wordt toegepast op het Balloon-object, wordt de animatie voor de assistent alleen geactiveerd als de tekstballon wordt weergegeven. MsoAnimationType. Lezen/schrijven.

MsoAnimationType kan een van de volgende MsoAnimationType-constanten zijn.
msoAnimationAppear
msoAnimationBeginSpeaking
msoAnimationCharacterSuccessMajor
msoAnimationCheckingSomething
msoAnimationDisappear
msoAnimationEmptyTrash
msoAnimationGestureDown
msoAnimationGestureLeft
msoAnimationGestureRight
msoAnimationGestureUp
msoAnimationGetArtsy
msoAnimationGetAttentionMajor
msoAnimationGetAttentionMinor
msoAnimationGetTechy
msoAnimationGetWizardy
msoAnimationGoodbye
msoAnimationGreeting
msoAnimationIdle
msoAnimationListensToComputer
msoAnimationLookDown
msoAnimationLookDownLeft
msoAnimationLookDownRight
msoAnimationLookLeft
msoAnimationLookRight
msoAnimationLookUp
msoAnimationLookUpLeft
msoAnimationLookUpRight
msoAnimationPrinting
msoAnimationRestPose
msoAnimationSaving
msoAnimationSearching
msoAnimationSendingMail
msoAnimationThinking
msoAnimationWorkingAtSomething
msoAnimationWritingNotingSomething

Aanvullende informatie

'Clippit' is de standaardassistent en msoAnimationIdle is het standaard-animatietype voor de assistent.

Afhankelijk van de geselecteerde assistent kan de instelling van de eigenschap Animation al of niet resulteren in een duidelijke animatie. Alle MsoAnimationType-constanten zijn echter geldig voor alle assistenten. Het is mogelijk dat verschillende constanten een en dezelfde animatie opleveren.

De volgende MsoAnimationType-constanten geven animaties weer waarbij de opgegeven actie wordt herhaald totdat de assistent wordt uitgeschakeld of totdat een andere animatie wordt ingesteld voor de eigenschap Animation:

msoAnimationCheckingSomething

msoAnimationGetTechy

msoAnimationListensToComputer

msoAnimationSearching

 msoAnimationThinking

msoAnimationWorkingAtSomething

msoAnimationWritingNotingSomething

Voorbeeld

In dit voorbeeld wordt de Office-assistent op een specifieke locatie weergegeven en worden verschillende opties ingesteld voordat de Office-assistent zichtbaar wordt gemaakt.

With Assistant
    .On = True
    .Visible = True
    .Move xLeft:= 400, yTop:= 300
    .MoveWhenInTheWay = True
    .TipOfDay = True
    .Animation = msoAnimationGreeting
End With


Application, eigenschap

Deze eigenschap geeft een Application-object als resultaat dat staat voor de containertoepassing van het opgegeven object. (U kunt deze eigenschap gebruiken met een Automation-object om de containertoepassing van dat object als resultaat te geven.)

expressie.Application

expressie Vereist. Een expressie waarmee een van de objecten in de lijst Van toepassing op als resultaat wordt gegeven.

Voorbeeld

Dit voorbeeld resulteert in de naam van de toepassing waarin de opdrachtbalk 'Standard' is gemaakt. Het resultaat verschijnt in een berichtvenster.

Set Appobj = CommandBars("Standard").Application
MsgBox Appobj


AssistWithAlerts, eigenschap

Mogelijk is een deel van dit onderwerp niet van toepassing op bepaalde talen.

Deze eigenschap is True als de ballon van de Office-assistent waarschuwingsberichten van de toepassing weergeeft wanneer de Office-assistent zichtbaar is. Boolean. Lezen/schrijven.

Aanvullende informatie

De eigenschap AssistWithAlerts correspondeert met de optie Waarschuwingen weergeven. U vindt deze optie onder De Office-assistent gebruiken op het tabblad Opties van het dialoogvenster Office-assistent.

Als deze eigenschap wordt ingesteld op False, worden de waarschuwingsberichten van de toepassing in dialoogvensters weergegeven.

Voorbeeld

In dit voorbeeld wordt de Office-assistent zo ingesteld dat deze verschijnt zodra de toepassing een waarschuwingsbericht genereert.

With Assistant
    .On = True
    .Visible = True
    .AssistWithHelp = True
    .AssistWithAlerts = True
    .Animation = msoAnimationGetAttentionMajor
End With


AssistWithHelp, eigenschap

Mogelijk is een deel van dit onderwerp niet van toepassing op bepaalde talen.

Deze eigenschap is True als de Office-assistent verschijnt wanneer de gebruiker op F1 drukt om Help-informatie weer te geven. Boolean. Lezen/schrijven.

Aanvullende informatie

De eigenschap AssistWithHelp correspondeert met de optie Reageren op F1. U vindt deze optie onder De Office-assistent gebruiken op het tabblad Opties van het dialoogvenster Office-assistent.

Als deze eigenschap op False is ingesteld, wordt in plaats van de Office-assistent het dialoogvenster Help-onderwerpen weergegeven.

Voorbeeld

In dit voorbeeld wordt de Office-assistent weergegeven wanneer de gebruiker op F1 drukt om Help-informatie weer te geven.

With Assistant
    .On = True
    .Visible = True
    .AssistWithHelp = True
    .AssistWithAlerts = True
    .Animation = msoAnimationGetAttentionMajor
End With


AssistWithWizards, eigenschap

Mogelijk is een deel van dit onderwerp niet van toepassing op bepaalde talen.

Deze eigenschap is True als de Office-assistent on line Help-informatie geeft over wizards. Boolean. Lezen/schrijven.

Aanvullende informatie

De eigenschap AssistWithWizards komt overeen met de optie Help bij wizards onder De Office-assistent gebruiken op het tabblad Opties in het dialoogvenster Office-assistent.

Voorbeeld

In dit voorbeeld wordt de Office-assistent zo ingesteld dat deze Help-informatie geeft over wizards.

Assistant.AssistWithWizards = True


AttachCertificate, eigenschap

De waarde is True als het digitale certificaat dat overeenkomt met het opgegeven Signature-object wordt bijgevoegd in het document. Boolean, lezen/schrijven.

expressie.AttachCertificate

expressie Vereist. Een expressie waarmee een van de objecten in de lijst Van toepassing op als resultaat wordt gegeven.

Voorbeeld

In het volgende voorbeeld wordt de gebruiker gevraagd een digitale handtekening te selecteren waarmee deze het actieve document in Microsoft Word kan ondertekenen. Als u dit voorbeeld wilt gebruiken, moet u een document in Word openen en deze functie aanroepen. Door de functie wordt gecontroleerd of de geselecteerde handtekening binnen 12 maanden zal verlopen. Als dit het geval is, wordt het certificaat niet bijgevoegd.

Function AddSignature() As Boolean

    On Error GoTo Error_Handler

    Dim sig As Signature

    'Display the dialog box that lets the
    'user select a digital signature.
    'If the user selects a signature, then
    'it is added to the Signatures
    'collection. If the user doesn't, then
    'an error is returned.
    Set sig = ActiveDocument.Signatures.Add

    sig.AttachCertificate = True

    'Test to make sure that the new Signature object
    'doesn't expire too soon. This expression calculates
    'the number of months until the Signature object expires.
    If DateDiff("m", sig.SignDate, sig.ExpireDate) < 12 Then

        MsgBox "This certificate will expire in less than 1 year." & vbCrLf & _
        "Please use a newer certificate."

        AddSignature = False
        sig.Delete
    Else
        AddSignature = True
    End If

    'Commit all signatures in the SignatureSet collection to the disk.
    ActiveDocument.Signatures.Commit

    Exit Function
Error_Handler:
    AddSignature = False
    MsgBox "Action cancelled."
End Function


BalloonError, eigenschap

Met deze eigenschap wordt een waarde als resultaat gegeven. Hiermee wordt de laatst geregistreerde ballonfout aangegeven. MsoBalloonErrorType. Alleen-lezen.

MsoBalloonErrorType kan een van de volgende MsoBalloonErrorType-constanten zijn.
msoBalloonErrorBadCharacter De ballon bevat een ASCII-stuurcode die ongelijk is aan CR of LF en die kleiner is dan 32.
msoBalloonErrorBadPictureRef De ballon bevat een bitmap die niet kan worden weergegeven, omdat het bestand niet bestaat of omdat de bitmap geen geldig bmp- of wmf-bestand is.
msoBalloonErrorBadReference De ballon bevat een verwijzing die niet wordt herkend of ondersteund.
msoBalloonErrorButtonlessModal De ballon die u probeert weer te geven, is modaal maar bevat geen knoppen. De ballon wordt niet weergegeven, omdat deze niet kan worden uitgeschakeld.
msoBalloonErrorButtonModeless De ballon die u probeert weer te geven, is niet-modusgebonden en bevat knoppen. Verder is er geen procedure toegewezen aan de eigenschap Callback van de ballon. De ballon wordt niet weergegeven, omdat voor niet-modusgebonden ballonnen een callback-procedure vereist is.
msoBalloonErrorCharNotTopmostForModal De modale ballon is opgevraagd door een toepassing die op het moment niet de actieve toepassing is. Microsoft Office geeft alleen ballonnen weer voor de actieve toepassing.
msoBalloonErrorCOMFailure De ballon kan niet worden weergegeven als gevolg van een COM-fout.
msoBalloonErrorNone Er is geen fout opgetreden.
msoBalloonErrorOther De ballon wordt niet weergegeven omdat er een andere fout is opgetreden. Er is bijvoorbeeld al een andere modale ballon actief.
msoBalloonErrorOutOfMemory De ballon wordt niet weergegeven omdat er onvoldoende geheugen is.
msoBalloonErrorTooBig De ballon is te groot om te kunnen worden weergegeven op het scherm.
msoBalloonErrorTooManyControls De ballon bevat meer dan twintig besturingselementen (selectievakjes of labels).

Voorbeeld

In dit voorbeeld wordt een tekstballon gemaakt die een fout genereert. De fout treedt op omdat er bij het maken van de ballon geen mogelijkheid is ingebouwd om de ballon te sluiten. Het knoptype is ingesteld op msoButtonSetNone en de standaard-ballonmodus is msoModeModal, hetgeen een modale ballon zonder knoppen oplevert. Er is geen manier om een modale ballon zonder knoppen te sluiten.

With Application.Assistant
With .NewBalloon
    .Heading = "This will never show."
    .Text = "Imagine a balloon here."
    .Button = msoButtonSetNone
    .Show
End With
.Visible = True
If .BalloonError = msoBalloonErrorButtonlessModal Then
    MsgBox "You need a button to dismiss the balloon."
End If
End With


BalloonType, eigenschap

Mogelijk is een deel van dit onderwerp niet van toepassing op bepaalde talen.

Met deze eigenschap wordt het type ballon ingesteld of weergegeven dat door de Office-assistent wordt gebruikt. Als u een Balloon-object maakt, wordt deze eigenschap in eerste instantie ingesteld op msoBalloonTypeButtons. MsoBalloonType. Lezen/schrijven.

MsoBalloonType kan een van de volgende MsoBalloonType-constanten zijn.
msoBalloonTypeBullets
msoBalloonTypeButtons
msoBalloonTypeNumbers

Voorbeeld

In dit voorbeeld wordt een tekstballon gemaakt met instructies voor het selecteren van een printer. De ballon is niet-modusgebonden, zodat deze zichtbaar kan blijven terwijl de gebruiker de instructies uitvoert.

Set bln = Assistant.NewBalloon
With bln
    .Heading = "Instructions for Choosing a Printer."
    .Text = "Click OK when you've chosen a printer."
    .Labels(1).Text = "From the File menu, choose Print."
    .Labels(2).Text = "Click Setup."
    .Labels(3).Text = "Select the name of the printer."
    .BalloonType = msoBalloonTypeNumbers
    .Mode = msoModeModeless
    .Callback = "ProcessPrinter"
    .Button = msoButtonSetOK
    .Show
End With


BeginGroup, eigenschap

Deze eigenschap is True als het opgegeven opdrachtbalk-besturingselement zich aan het begin van een groep besturingselementen op de opdrachtbalk bevindt. Boolean. Lezen/schrijven.

Voorbeeld

In dit voorbeeld wordt met het laatste besturingselement op de actieve menubalk het begin van een nieuwe groep gemaakt.

Set myMenuBar = CommandBars.ActiveMenuBar
Set lastMenu = myMenuBar _
    .Controls(myMenuBar.Controls.Count)
lastMenu.BeginGroup = True


BuiltIn, eigenschap

Deze eigenschap is True als de opgegeven opdrachtbalk of het opgegeven besturingselement op de opdrachtbalk een ingebouwde opdrachtbalk of een ingebouwd besturingselement van de containertoepassing is. Deze eigenschap is False als de opdrachtbalk een aangepaste opdrachtbalk of het besturingselement een aangepast besturingselement is waarvan de eigenschap OnAction is ingesteld. Boolean. Alleen-lezen.

Voorbeeld

In dit voorbeeld worden alle aangepaste opdrachtbalken die niet zichtbaar zijn, verwijderd.

foundFlag = False
deletedBars = 0
For Each bar In CommandBars
    If (bar.BuiltIn = False) And (bar.Visible = False) Then
        bar.Delete
        foundFlag = True
        deletedBars = deletedBars + 1
    End If
Next
If Not foundFlag Then
    MsgBox "No command bars have been deleted."
Else
    MsgBox deletedBars & " custom command bar(s) deleted."
End If


BuiltInFace, eigenschap

Deze eigenschap is True als het vlak van het opgegeven knopbesturingselement van een opdrachtbalk een ingebouwd knopvlak is. Deze eigenschap kan alleen worden ingesteld op True. De knop krijgt dan een ingebouwd knopvlak. Boolean. Lezen/schrijven.

Voorbeeld

In dit voorbeeld wordt bepaald of het vlak van het eerste besturingselement op de opdrachtbalk 'Custom' een ingebouwd knopvlak is. Als dat zo is, wordt het knopvlak naar het Klembord gekopieerd.

Set myControl = CommandBars("My Custom Bar").Controls(1)
With myControl
    If .BuiltInFace = True Then .CopyFace
End With


Button, eigenschap

Mogelijk is een deel van dit onderwerp niet van toepassing op bepaalde talen.

Met deze eigenschap wordt het type knop als resultaat gegeven of ingesteld dat onder in de tekstballon van de Office-assistent wordt weergegeven. Als u een Balloon-object maakt, wordt deze eigenschap in eerste instantie ingesteld op msoButtonSetOK. MsoButtonSetType. Lezen/schrijven.

MsoButtonSetType kan een van de volgende MsoButtonSetType-constanten zijn.
msoButtonSetAbortRetryIgnore
msoButtonSetBackClose
msoButtonSetBackNextClose
msoButtonSetBackNextSnooze
msoButtonSetCancel
msoButtonSetNextClose
msoButtonSetNone
msoButtonSetOK
msoButtonSetOkCancel
msoButtonSetRetryCancel
msoButtonSetSearchClose
msoButtonSetTipsOptionsClose
msoButtonSetYesAllNoCancel
msoButtonSetYesNo
msoButtonSetYesNoCancel

Voorbeeld

In dit voorbeeld wordt een tekstballon weergegeven die een titel, een tekst, drie keuzemogelijkheden en twee opdrachtknoppen (OK en Cancel) bevat.

With Assistant.NewBalloon
    .Heading = "Regional Sales Data"
    .Text = "Select a region"
    For i = 1 To 3
        .CheckBoxes(i).Text = "Region " & i
    Next
    .Button = msoButtonSetOkCancel
    .Show
End With


ButtonName, eigenschap

Met deze eigenschap wordt een String die staat voor de tekst op de actieknop van een bestandsdialoogvenster als resultaat gegeven of ingesteld. Deze eigenschap wordt standaard ingesteld op de standaardtekst voor het dialoogvenster Bestandstype. In het geval van het dialoogvenster Openen wordt de eigenschap bijvoorbeeld standaard ingesteld op "Open". Lezen/schrijven.

expressie.ButtonName

expressie Vereist. Een expressie waarmee een van de objecten in de lijst Van toepassing op als resultaat wordt gegeven.

Voorbeeld

In het volgende voorbeeld wordt een dialoogvenster voor het kiezen van bestanden weergegeven met behulp van het FileDialog-object. Vervolgens wordt elk geselecteerd bestand weergegeven in een berichtvak.

Sub Main()

    'Declare a variable as a FileDialog object.
    Dim fd As FileDialog

    'Create a FileDialog object as a File Picker dialog box.
    Set fd = Application.FileDialog(msoFileDialogFilePicker)

    'Declare a variable to contain the path
    'of each selected item. Even though the path is a String,
    'the variable must be a Variant because For Each...Next
    'routines only work with Variants and Objects.
    Dim vrtSelectedItem As Variant

    'Use a With...End With block to reference the FileDialog object.
    With fd

        'Change the text on the action button.
        .ButtonName = "Archive"

        'Use the Show method to display the File Picker dialog box and return the user's action.
        'If the user presses the action button...
        If .Show = -1 Then

            'Step through each String in the FileDialogSelectedItems collection.
            For Each vrtSelectedItem In .SelectedItems

                'vrtSelectedItem is a String that contains the path of each selected item.
                'You can use any file I/O functions that you want to work with this path.
                'This example simply displays the path in a message box.
                MsgBox "Selected item's path: " & vrtSelectedItem

            Next vrtSelectedItem
        'If the user presses Cancel...
        Else
        End If
    End With

    'Set the object variable to Nothing.
    Set fd = Nothing

End Sub


Callback, eigenschap

Met deze eigenschap stelt u de naam in van de procedure die moet worden uitgevoerd vanuit een niet-modusgebonden ballon. String. Lezen/schrijven.

Aanvullende informatie

De procedure die u voor de eigenschap Callback opgeeft, moet zo zijn geschreven dat de procedure twee of drie argumenten kan ontvangen, afhankelijk van het doel waarvoor u de eigenschap gebruikt. Als u de eigenschap Callback voor een wizard gebruikt, moet de procedure twee argumenten kunnen ontvangen: een lange integer die de waarde msoBalloonButtonType vertegenwoordigt van de knop waarop de gebruiker heeft geklikt en een lange integer die de unieke aanduiding van de ballon vormt. Als u de eigenschap Callback voor een niet-modusgebonden ballon gebruikt, moet u zorgen dat de procedure drie argumenten kan ontvangen: het Balloon-object dat de procedure heeft opgeroepen, een lange integer die de waarde msoBalloonButtonType vertegenwoordigt van de knop waarop de gebruiker heeft geklikt en een lange integer die de unieke aanduiding vormt van de ballon die de procedure heeft opgeroepen, zoals is aangegeven in de eigenschap Private van de ballon.

De callback-procedure moet ten minste één voorwaarde bevatten waaronder de methode Close wordt toegepast op het Balloon-object dat aan de methode is doorgegeven. Als de callback-procedure niet een dergelijke voorwaarde bevat, kan de niet-modusgebonden ballon niet worden gesloten.

Als u een procedure opgeeft die in een afzonderlijke klassenmodule is opgeslagen, dient u de modulenaam op te nemen in de waarde die aan de eigenschap Callback wordt toegewezen (bijvoorbeeld Sheet1.MyCallback).

Voorbeeld

In dit voorbeeld wordt een ballon weergegeven die drie knoppen bevat voor drie verschillende printers. Wanneer de gebruiker op een van deze knoppen klikt, wordt de callback-procedure ProcessPrinter uitgevoerd en wordt de ballon vervolgens gesloten.

Sub selectPrinter()
Set bln = Assistant.NewBalloon
With bln
    .Heading = "Select a Printer."
    .Labels(1).Text = "Network Printer"
    .Labels(2).Text = "Local Printer"
    .Labels(3).Text = "Local Color Printer"
    .BalloonType = msoBalloonTypeButtons
    .Mode = msoModeModeless
    .Callback = "ProcessPrinter"
    .Show
End With
End Sub

Sub ProcessPrinter(bln As Balloon, lbtn As Long, _
 lPriv As Long)
    Assistant.Animation = msoAnimationPrinting
    Select Case lbtn
    Case -1
        ' Insert network printer-specific code.
    Case -2
        ' Insert local printer-specific code.
    Case -3
        ' Insert color printer-specific code.
    End Select
    bln.Close
End Sub


Caption, eigenschap

Met deze eigenschap wordt het bijschrift van het opgegeven besturingselement op een opdrachtbalk als resultaat gegeven of ingesteld. String. Lezen/schrijven.

Opmerking Het bijschrift van een besturingselement wordt ook weergegeven als standaard Scherminfo.

Voorbeeld

In dit voorbeeld wordt een besturingselement met een knopvlak voor spellingcontrole aan een aangepaste opdrachtbalk toegevoegd en wordt het bijschrift vervolgens ingesteld op 'Spelling checker'.

Set myBar = CommandBars.Add(Name:="Custom", _
Position:=msoBarTop, Temporary:=True)
myBar.Visible = True
Set myControl = myBar.Controls _
.Add(Type:=msoControlButton, Id:=2)
With myControl
    .DescriptionText = "Starts the spelling checker"
    .Caption = "Spelling checker"
End With


Checkboxes, eigenschap

Deze eigenschap geeft de BalloonCheckboxes-collectie die alle selectievakjes in de opgegeven ballon vertegenwoordigt, als resultaat. Alleen-lezen.

Zie Een object uit een collectie als resultaat geven voor informatie over het opvragen van een afzonderlijk lid van een collectie.

Voorbeeld

In dit voorbeeld wordt een tekstballon gemaakt met een titel, een tekst en drie keuzemogelijkheden. Wanneer de gebruiker een keuze maakt en vervolgens in de ballon op OK klikt, worden de gegevens voor de geselecteerde regio of regio's afgedrukt.

With Assistant.NewBalloon
    .Heading = "Regional Sales Data"
    .Text = "Select the region(s) you want to print."
    For i = 1 To 3
        .CheckBoxes(i).Text = "Region " & i
    Next
    .Button = msoButtonSetOkCancel
    If .Show = msoBalloonButtonOK Then
        dataPrinted = 0
        For i = 1 To 3
            If .CheckBoxes(i).Checked = True Then
                ' Code to print region data.
                dataPrinted = dataPrinted + 1
                MsgBox "Region " & i & " data printed."
            End If
        Next
        If dataPrinted = 0 Then MsgBox "No data printed."
    End If
End With


Checked, eigenschap

Mogelijk is een deel van dit onderwerp niet van toepassing op bepaalde talen.

Deze eigenschap is True als het opgegeven selectievakje in de ballon van de Office-assistent is ingeschakeld. Boolean. Lezen/schrijven.

Voorbeeld

In dit voorbeeld wordt een tekstballon gemaakt met een titel, een tekst en drie keuzemogelijkheden. Wanneer de gebruiker een keuze maakt en vervolgens in de ballon op OK klikt, worden de gegevens voor de geselecteerde regio of regio's afgedrukt.

With Assistant.NewBalloon
    .Heading = "Regional Sales Data"
    .Text = "Select the region(s) you want to print."
    For i = 1 To 3
        .CheckBoxes(i).Text = "Region " & i
    Next
    .Button = msoButtonSetOkCancel
    If .Show = msoBalloonButtonOK Then
        dataPrinted = 0
        For i = 1 To 3
            If .CheckBoxes(i).Checked = True Then
                ' Code to print region data.
                dataPrinted = dataPrinted + 1
                MsgBox "Region " & i & " data printed."
            End If
        Next
        If dataPrinted = 0 Then MsgBox "No data printed."
    End If
End With


Column, eigenschap

Met deze eigenschap wordt een String als resultaat gegeven of ingesteld die de naam vertegenwoordigt van het veld in het gegevensbestand voor Afdruk samenvoegen dat moet worden gebruikt in het filter. Lezen/schrijven.

expressie.Column

expressie Vereist. Een expressie waarmee een van de objecten in de lijst Van toepassing op als resultaat wordt gegeven.

Voorbeeld

In het volgende voorbeeld wordt een bestaand filter gewijzigd, zodat alle records waarbij het veld Region niet gelijk is aan "WA" worden verwijderd voor de samenvoegbewerking.

Sub SetQueryCriterion()
    Dim appOffice As Office.OfficeDataSourceObject
    Dim intItem As Integer

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    With appOffice.Filters
        For intItem = 1 To .Count
            With .Item(intItem)
                If .Column = "Region" Then
                    .Comparison = msoFilterComparisonNotEqual
                    .CompareTo = "WA"
                    If .Conjunction = "Or" Then .Conjunction = "And"
                End If
            End With
        Next intItem
    End With
End Sub


Columns, eigenschap

Deze eigenschap resulteert in een ODSOColumns-object dat staat voor de velden in een gegevensbestand.

expressie.Columns

expressie Vereist. Een expressie waarmee een van de objecten in de lijst Van toepassing op als resultaat wordt gegeven.

Voorbeeld

In het volgende voorbeeld worden de veldnamen weergegeven in het gegevensbestand dat is gekoppeld aan de actieve publicatie.

Sub ShowFieldNames()
    Dim appOffice As OfficeDataSourceObject
    Dim intCount As Integer

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    With appOffice.Columns
        For intCount = 1 To .Count
            MsgBox "Field Name: " & .Item(intCount).Name
        Next
    End With
End Sub


CommandBar, eigenschap

Deze eigenschap geeft een CommandBar-object als resultaat dat het menu vertegenwoordigt dat wordt weergegeven door het opgegeven pop-up besturingselement. Alleen-lezen.

Voorbeeld

In dit voorbeeld wordt de variabele fourthLevel ingesteld op het vierde besturingselement op de opdrachtbalk 'Drawing'.

Set fourthLevel = CommandBars("Drawing") _
    .Controls(1).CommandBar.Controls(4)


CommandBars, eigenschap

Met deze eigenschap wordt een CommandBars-collectie als resultaat gegeven.

expressie.CommandBars

expressie Vereist. Een expressie waarmee een van de objecten in de lijst Van toepassing op als resultaat wordt gegeven.

Voorbeeld

In het volgende voorbeeld wordt de CommandBars-collectie van het MsoEnvelope-object in Microsoft Word als resultaat gegeven.

Dim cbars As CommandBars
Set cbars = Application.ActiveDocument.MailEnvelope.Commandbars


CompareTo, eigenschap

Met deze eigenschap wordt een String als resultaat gegeven of ingesteld die de tekst vertegenwoordigt die moet worden vergeleken in het filtercriterium van de query. Lezen/schrijven.

expressie.CompareTo

expressie Vereist. Een expressie waarmee een van de objecten in de lijst Van toepassing op als resultaat wordt gegeven.

Voorbeeld

In het volgende voorbeeld wordt een bestaand filter gewijzigd, zodat alle records waarbij het veld Region niet gelijk is aan "WA" worden verwijderd voor de samenvoegbewerking.

Sub SetQueryCriterion()
    Dim appOffice As Office.OfficeDataSourceObject
    Dim intItem As Integer

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    With appOffice.Filters
        For intItem = 1 To .Count
            With .Item(intItem)
                If .Column = "Region" Then
                    .Comparison = msoFilterComparisonNotEqual
                    .CompareTo = "WA"
                    If .Conjunction = "Or" Then .Conjunction = "And"
                End If
            End With
        Next intItem
    End With
End Sub


Comparison, eigenschap

Met deze eigenschap wordt een MsoFilterComparison-constante als resultaat gegeven of ingesteld die de manier vertegenwoordigt waarop de eigenschappen Column en CompareTo worden vergeleken. Lezen/schrijven.

MsoFilterComparison kan een van de volgende MsoFilterComparison-constanten zijn.
msoFilterComparisonContains
msoFilterComparisonEqual
msoFilterComparisonGreaterThan
msoFilterComparisonGreaterThanEqual
msoFilterComparisonIsBlank
msoFilterComparisonIsNotBlank
msoFilterComparisonLessThan
msoFilterComparisonLessThanEqual
msoFilterComparisonNotContains
msoFilterComparisonNotEqual

expressie.Comparison

expressie Vereist. Een expressie waarmee een van de objecten in de lijst Van toepassing op als resultaat wordt gegeven.

Voorbeeld

In het volgende voorbeeld wordt een bestaand filter gewijzigd, zodat alle records waarbij het veld Region niet gelijk is aan "WA" worden verwijderd voor de samenvoegbewerking.

Sub SetQueryCriterion()
    Dim appOffice As Office.OfficeDataSourceObject
    Dim intItem As Integer

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    With appOffice.Filters
        For intItem = 1 To .Count
            With .Item(intItem)
                If .Column = "Region" Then
                    .Comparison = msoFilterComparisonNotEqual
                    .CompareTo = "WA"
                    If .Conjunction = "Or" Then .Conjunction = "And"
                End If
            End With
        Next intItem
    End With
End Sub


Condition, eigenschap

Mogelijk is een deel van dit onderwerp niet van toepassing op bepaalde talen.

Met deze eigenschap wordt de voorwaarde van de opgegeven zoekcriteria als resultaat gegeven. MsoCondition. Alleen-lezen.

MsoCondition kan een van de volgende MsoCondition-constanten zijn.
msoConditionAnyNumberBetween
msoConditionAnytime
msoConditionAnytimeBetween
msoConditionAtLeast
msoConditionAtMost
msoConditionBeginsWith
msoConditionDoesNotEqual
msoConditionEndsWith
msoConditionEquals
msoConditionFileTypeAllFiles
msoConditionFileTypeBinders
msoConditionFileTypeCalendarItem
msoConditionFileTypeContactItem
msoConditionFileTypeDatabases
msoConditionFileTypeDataConnectionFiles
msoConditionFileTypeDesignerFiles
msoConditionFileTypeEPaperFiles
msoConditionFileTypeExcelWorkbooks
msoConditionFileTypeJournalItem
msoConditionFileTypeMailItem
msoConditionFileTypeNoteItem
msoConditionFileTypeOfficeFiles
msoConditionFileTypeOutlookItems
msoConditionFileTypePhotoDrawFiles
msoConditionFileTypePowerPointPresentations
msoConditionFileTypeProjectFiles
msoConditionFileTypePublisherFiles
msoConditionFileTypeTaskItem
msoConditionFileTypeTemplates
msoConditionFileTypeVisioDocuments
msoConditionFileTypeWebPages
msoConditionFileTypeWordDocuments
msoConditionFreeText
msoConditionIncludes
msoConditionIncludesFormsOf
msoConditionIncludesNearEachOther
msoConditionIncludesPhrase
msoConditionInTheLast
msoConditionInTheNext
msoConditionIsExactly
msoConditionIsNo
msoConditionIsNot
msoConditionIsYes
msoConditionLastMonth
msoConditionLastWeek
msoConditionLessThan
msoConditionMoreThan
msoConditionNextMonth
msoConditionNextWeek
msoConditionOn
msoConditionOnOrAfter
msoConditionOnOrBefore
msoConditionThisMonth
msoConditionThisWeek
msoConditionToday
msoConditionTomorrow
msoConditionYesterday

Voorbeeld

In dit voorbeeld wordt de voorwaarde van zoekcriteria voor de eerste eigenschapstest als resultaat gegeven.

With Application.FileSearch.PropertyTests(1)
    MsgBox "The condition you've set is: " & .Condition
End With


Conjunction, eigenschap

Met deze eigenschap wordt een MsoFilterConjunction-constante als resultaat gegeven of ingesteld die de manier vertegenwoordigt waarop een filtercriterium zich verhoudt tot andere filtercriteria in het ODSOFilters-object. Lezen/schrijven.

MsoFilterConjunction kan een van de volgende MsoFilterConjunction-constanten zijn.
msoFilterConjunctionAnd
msoFilterConjunctionOr

expressie.Conjunction

expressie Vereist. Een expressie waarmee een van de objecten in de lijst Van toepassing op als resultaat wordt gegeven.

Voorbeeld

In het volgende voorbeeld wordt een bestaand filter gewijzigd, zodat alle records waarbij het veld Region niet gelijk is aan "WA" worden verwijderd voor de samenvoegbewerking.

Sub SetQueryCriterion()
    Dim appOffice As Office.OfficeDataSourceObject
    Dim intItem As Integer

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    With appOffice.Filters
        For intItem = 1 To .Count
            With .Item(intItem)
                If .Column = "Region" Then
                    .Comparison = msoFilterComparisonNotEqual
                    .CompareTo = "WA"
                    If .Conjunction = "Or" Then .Conjunction = "And"
                End If
            End With
        Next intItem
    End With
End Sub


Connect, eigenschap

Met deze eigenschap wordt de status van de verbinding voor het opgegeven COMAddIn-object als resultaat gegeven of ingesteld. Boolean. Lezen/schrijven.

Aanvullende informatie

De eigenschap Connect geeft de waarde True als resultaat als de invoegtoepassing actief is en de waarde False als de invoegtoepassing niet actief is. Een actieve invoegtoepassing is geregistreerd en verbonden. Een niet-actieve invoegtoepassing is geregistreerd maar op het moment niet verbonden.

Voorbeeld

In het volgende voorbeeld wordt een berichtvenster weergegeven waarin wordt aangegeven of COM-invoegtoepassing 1 is geregistreerd en momenteel is verbonden.

If Application.COMAddIns(1).Connect Then
    MsgBox "The add-in is connected."
Else
    MsgBox "The add-in is not connected."
End If


Connector, eigenschap

Met deze eigenschap wordt het verbindingsstuk tussen twee soortgelijke eigenschapstestwaarden als resultaat gegeven. De standaardwaarde is msoConnectorAnd. MsoConnector. Alleen-lezen.

MsoConnector kan een van de volgende MsoConnector-constanten zijn.
msoConnectorAnd
msoConnectorOr

Aanvullende informatie

Het verbindingsstuk geeft aan of twee soortgelijke zoekcriteria worden gecombineerd tot één eigenschapstest (msoConnectorAnd), of afzonderlijk worden afgehandeld (msoConnectorOr).

Voorbeeld

In dit voorbeeld wordt een bericht weergegeven dat beschrijft op welke wijze de zoekcriteria in een zoekbewerking worden geëvalueerd.

With Application.FileSearch.PropertyTests(1)
If .Connector = msoConnectorAnd Then
   MsgBox "All search criteria will be combined."
Else
    MsgBox "Criteria will be treated independently"
End If
End With


ConnectString, eigenschap

Met deze eigenschap wordt een String als resultaat gegeven of ingesteld die de verbinding vertegenwoordigt met het opgegeven gegevensbestand voor Afdruk samenvoegen. Lezen/schrijven.

expressie.ConnectString

expressie Vereist. Een expressie waarmee een van de objecten in de lijst Van toepassing op als resultaat wordt gegeven.

Voorbeeld

In dit voorbeeld wordt gecontroleerd of de verbindingsreeks de tekens ODSOOutlook bevat en wordt dienovereenkomstig een bericht weergegeven.

Sub VerifyCorrectDataSource()
    Dim appOffice As OfficeDataSourceObject

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    If InStr(appOffice.ConnectString, "ODSOOutlook") > 0 Then
        MsgBox "Your Outlook address book is used as the data source."
    Else
        MsgBox "Your Outlook address book is not used as the data source."
    End If

End Sub


Context, eigenschap

Met deze eigenschap wordt een tekenreeks als resultaat gegeven of ingesteld die bepaalt waar de opgegeven opdrachtbalk wordt opgeslagen. De tekenreeks wordt gedefinieerd en geïnterpreteerd door de toepassing. String. Lezen/schrijven.

Aanvullende informatie

U kunt de eigenschap Context alleen instellen voor aangepaste opdrachtbalken. Deze eigenschap mislukt als de toepassing de contextreeks niet herkent of als de toepassing het via programmeren wijzigen van contextreeksen niet ondersteunt.

Voorbeeld

In dit voorbeeld wordt een berichtvenster weergegeven dat de context-tekenreeks voor de opdrachtbalk 'Custom' bevat. Dit voorbeeld werkt in Microsoft Word en andere toepassingen die de eigenschap Context ondersteunen.

Set myBar = CommandBars _
    .Add(Name:="Custom", Position:=msoBarTop, _
    Temporary:=True)
With myBar
    .Controls.Add Type:=msoControlButton, ID:=2
    .Visible = True
End With
MsgBox (myBar.Context)


Controls, eigenschap

Deze eigenschap geeft een CommandBarControls-object als resultaat dat alle besturingselementen op de opgegeven opdrachtbalk of in het opgegeven pop-up besturingselement vertegenwoordigt. Alleen-lezen.

Zie Een object uit een collectie als resultaat geven voor informatie over het opvragen van een afzonderlijk lid van een collectie.

Voorbeeld

In dit voorbeeld wordt een keuzelijst met invoervak aan de opdrachtbalk 'Custom' toegevoegd en worden vervolgens twee items aan de keuzelijst toegevoegd. Verder worden het aantal regels, de breedte van de keuzelijst met invoervak en de standaardwaarde voor een lege keuzelijst met invoervak ingesteld.

Set myControl = CommandBars("Custom").Controls _
    .Add(Type:=msoControlComboBox, Before:=1)
With myControl
    .AddItem Text:="First Item", Index:=1
    .AddItem Text:="Second Item", Index:=2
    .DropDownLines = 3
    .DropDownWidth = 75
    .ListHeaderCount = 0
End With


Count, eigenschap

Bepaalde inhoud in dit onderwerp is mogelijk niet van toepassing op sommige talen.

Met deze eigenschap wordt een Long als resultaat gegeven of ingesteld die het aantal items aangeeft in de opgegeven collectie. Long, lezen/schrijven voor de BalloonCheckboxes- en BalloonLabels-objecten. Long, alleen-lezen voor alle andere objecten in de lijst Van toepassing op.

expressie.Count

expressie Vereist. Een expressie die een van de bovenstaande objecten als resultaat geeft.

Opmerkingen

Voor de CommandBars-collectie worden alleen menubalken, werkbalken en snelmenu's bij elkaar opgeteld.

Voor de Scripts-collectie is het aantal dat als resultaat wordt gegeven, het aantal scriptblokken in het opgegeven document. In Microsoft Word wordt door Scripts.Count het totale aantal in line en zwevende script-ankers bij elkaar opgeteld en als resultaat gegeven.

Voorbeeld

In dit voorbeeld wordt de eigenschap Count gebruikt om het aantal opdrachtbalken in de CommandBars-collectie weer te geven.

MsgBox "There are " & CommandBars.Count & _
    " bars in the CommandBars collection."

In dit voorbeeld wordt de eigenschap Count gebruikt om het aantal selectievakjes in de ballon van de Office-assistent weer te geven.

With Assistant.NewBalloon
    .CheckBoxes(1).Text = "First Choice"
    .CheckBoxes(2).Text = "Second Choice"
    .Text = "You have the following " _
    & .CheckBoxes.Count & " choices."
    .Show
End With

In dit voorbeeld wordt het aantal aangepaste documenteigenschappen in het actieve document weergegeven.

MsgBox ("There are " & _
    ActiveDocument.CustomDocumentProperties.Count & _
    " custom document properties in the " & _
    "active document.")


Creator, eigenschap

Deze eigenschap resulteert in de code van vier tekens van de toepassing waarin het opgegeven object is gemaakt. Alleen Macintosh. Long, Alleen-lezen.

expressie.Creator

expressie Vereist. Een expressie die een van de bovenstaande objecten als resultaat geeft.


DataSource, eigenschap

Met deze eigenschap wordt een String die staat voor de naam van het gekoppelde gegevensbestand als resultaat gegeven of ingesteld. Lezen/schrijven.

expressie.DataSource

expressie Vereist. Een expressie waarmee een van de objecten in de lijst Van toepassing op als resultaat wordt gegeven.

Voorbeeld

In het volgende voorbeeld wordt de naam van het gegevensbestand ingesteld als de naam leeg is.

Sub SetAndReturnDataSourceName()
    Dim appOffice As OfficeDataSourceObject

    Set appOffice = Application.OfficeDataSourceObject
    With appOffice
        .Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
            "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

        If .DataSource = "" Then
            .DataSource = "Northwind"
            MsgBox .DataSource
        End If
    End With
End Sub


Description, eigenschap

De eigenschap Description zoals die van toepassing is op objecten van het type COMAddIn.

Met deze eigenschap wordt een beschrijvende String-waarde voor het opgegeven COMAddIn-object als resultaat gegeven of ingesteld. Lezen/schrijven.

expressie.Description

expressie Vereist. Een expressie die een COMAddIn -object als resultaat geeft.

De eigenschap Description zoals die van toepassing is op objecten van het type FileDialogFilter.

Deze eigenschap resulteert in de beschrijving van elk Filter-object als een String-waarde. De beschrijving is de tekst die wordt weergegeven in het bestandsdialoogvenster. Alleen-lezen.

expressie.Description

expressie Vereist. Een expressie die een FileDialogFilter-object als resultaat geeft.

Voorbeeld

De eigenschap zoals die van toepassing is op objecten van het type COMAddIn.

In het volgende voorbeeld wordt de beschrijvende tekst van de Microsoft COM-invoegtoepassing voor toegankelijkheid bij tekenen weergegeven.

MsgBox "The description of this " & _
    "COMAddIn is """ & Application.COMAddIns. _
    Item("msodraa9.ShapeSelect"). _
    Description & """

De eigenschap zoals die van toepassing is op objecten van het type FileDialogFilter.

In het volgende voorbeeld worden de standaardfilters van het dialoogvenster SaveAs doorlopen en wordt de beschrijving weergegeven van elk filter dat een Microsoft Excel-bestand bevat. De eigenschap Extensions wordt gebruikt om de desbetreffende filterobjecten te vinden.

Sub Main()

    'Declare a variable as a FileDialogFilters collection.
    Dim fdfs As FileDialogFilters

    'Declare a variable as a FileDialogFilter object.
    Dim fdf As FileDialogFilter

    'Set the FileDialogFilters collection variable to
    'the FileDialogFilters collection of the SaveAs dialog box.
    Set fdfs = Application.FileDialog(msoFileDialogSaveAs).Filters

    'Iterate through the description and extensions of each
    'default filter in the SaveAs dialog box.
    For Each fdf In fdfs

        'Display the description of filters that include
        'Microsoft Excel files.
        If InStr(1, fdf.Extensions, "xls", vbTextCompare) > 0 Then
            MsgBox "Filter description: " & fdf.Description
        End If
    Next fdf

End Sub


DescriptionText, eigenschap

Met deze eigenschap wordt de beschrijving van het opgegeven besturingselement op een opdrachtbalk als resultaat gegeven of ingesteld. De gebruiker kan de beschrijving niet weergeven en bekijken. De beschrijving kan echter wel van belang zijn voor andere ontwikkelaars van programma's die meer willen weten over het gedrag van het besturingselement. String. Lezen/schrijven.

Aanvullende informatie

Deze eigenschap wordt gebruikt voor ballonhelp op de Macintosh.

Voorbeeld

In dit voorbeeld wordt een besturingselement aan een aangepaste opdrachtbalk toegevoegd, inclusief een beschrijving van het gedrag van het nieuwe besturingselement.

Set myBar = CommandBars.Add("Custom", msoBarTop, , True)
myBar.Visible = True
Set myControl = myBar.Controls _
    .Add(Type:=msoControlButton, ID:= _
    CommandBars("Standard").Controls("Paste").ID)
With myControl
    .DescriptionText = "Pastes the contents of the Clipboard"
    .Caption = "Paste"
End With


DialogType, eigenschap

Deze eigenschap resulteert in een MsoFileDialogType-constante die staat voor het dialoogvenster Bestandstype dat door het FileDialog-object moet worden weergegeven. Alleen-lezen.

MsoFileDialogType kan een van de volgende MsoFileDialogType-constanten zijn.
msoFileDialogFilePicker
msoFileDialogFolderPicker
msoFileDialogOpen
msoFileDialogSaveAs

expressie.DialogType

expressie Vereist. Een expressie waarmee een van de objecten in de lijst Van toepassing op als resultaat wordt gegeven.

Voorbeeld

In het volgende voorbeeld wordt een FileDialog-object van een onbekend type gebruikt. Indien het gaat om een SaveAs-dialoogvenster of een Open-dialoogvenster wordt de methode Execute uitgevoerd.

Sub DisplayAndExecuteFileDialog(ByRef fd As FileDialog)

    'Use a With...End With block to reference the FileDialog object.
    With fd
        'If the user presses the action button...
        If .Show = -1 Then

            'Use the DialogType property to determine whether to
            'use the Execute method.
            Select Case .DialogType
                Case msoFileDialogOpen, msoFileDialogSaveAs: .Execute
                'Do nothing otherwise.
                Case Else
            End Select
        'If the user presses Cancel...
        Else
        End If
    End With

End Sub


DisableAskAQuestionDropdown, eigenschap

Deze eigenschap is True als het vervolgmenu van de Antwoordwizard is ingeschakeld. Boolean, lezen/schrijven.

expressie.DisableAskAQuestionDropdown

expressie Vereist. Een expressie waarmee een van de objecten in de lijst Van toepassing op als resultaat wordt gegeven.

Voorbeeld

In het volgende voorbeeld wordt de eigenschap DisableAskAQuestionDropdown in- en uitgeschakeld.

Sub ToggleQuestionDropdown()
    With Application.CommandBars
        If .DisableAskAQuestionDropdown = True Then
            .DisableAskAQuestionDropdown = False
        Else
            .DisableAskAQuestionDropdown = True
        End If
    End With
End Sub


DisableCustomize, eigenschap

Deze eigenschap is True als de functie voor het aanpassen van werkbalken is uitgeschakeld. Boolean, lezen/schrijven.

expressie.DisableCustomize

expressie Vereist. Een expressie waarmee een van de objecten in de lijst Van toepassing op als resultaat wordt gegeven.

Voorbeeld

In het volgende voorbeeld wordt de eigenschap DisableCustomize in- en uitgeschakeld.

Sub ToggleCustomize()
    With Application.CommandBars
        If .DisableCustomize = True Then
            .DisableCustomize = False
        Else
            .DisableCustomize = True
        End If
    End With
End Sub


DisplayFonts, eigenschap

Deze eigenschap is True als de namen van de lettertypen (fonts) in het vak Lettertype worden weergegeven in het lettertype dat ze aanduiden. Boolean. Lezen/schrijven.

Voorbeeld

In dit voorbeeld worden drie opties ingesteld voor alle opdrachtbalken in Microsoft Office, inclusief aangepaste opdrachtbalken en de besturingselementen op die opdrachtbalken.

With CommandBars
    .LargeButtons = True
    .DisplayFonts = True
    .AdaptiveMenus = True
End With


DisplayKeysInTooltips, eigenschap

Deze eigenschap is True als sneltoetsen worden weergegeven in de Knopinfo van elk besturingselement op een opdrachtbalk. Boolean. Lezen/schrijven.

Aanvullende informatie

Als u sneltoetsen wilt weergeven in Knopinfo, moet u ook de eigenschap DisplayTooltips instellen op True.

Voorbeeld

In dit voorbeeld worden opties voor alle opdrachtbalken in Microsoft Office ingesteld.

With CommandBars
    .LargeButtons = True
    .DisplayTooltips = True
    .DisplayKeysInTooltips = True
    .MenuAnimationStyle = msoMenuAnimationUnfold
End With


DisplayTooltips, eigenschap

Deze eigenschap is True als Scherminfo wordt weergegeven zodra de gebruiker de aanwijzer, zonder te klikken, op opdrachtbalk-besturingselementen plaatst. Boolean. Lezen/schrijven.

Aanvullende informatie

Als u de eigenschap DisplayTooltips in een containertoepassing instelt, heeft dat direct invloed op alle opdrachtbalken in alle Microsoft Office-toepassingen die op dat moment actief zijn en in alle Office-toepassingen die daarna worden geopend, totdat de eigenschap opnieuw wordt ingesteld.

Voorbeeld

De code in dit voorbeeld zorgt ervoor dat op alle opdrachtbalken grote knoppen worden weergegeven en dat voor alle knoppen Knopinfo verschijnt.

Set allBars = CommandBars

allBars.LargeButtons = True
allBars.DisplayTooltips = True


DropDownLines, eigenschap

Met deze eigenschap wordt het aantal regels in de opgegeven keuzelijst met invoervak van een opdrachtbalk als resultaat gegeven of ingesteld. De keuzelijst met invoervak moet een aangepast besturingselement zijn en moet een vervolgkeuzelijst of een keuzelijst met invoervak zijn. Long. Lezen/schrijven.

Opmerking Als u deze eigenschap probeert in te stellen voor een keuzelijst met invoervak die een invoervak of een ingebouwde keuzelijst met invoervak is, treedt er een fout op.

Aanvullende informatie

Als deze eigenschap wordt ingesteld op 0 (nul), wordt het aantal lijnen in het besturingselement gebaseerd op het aantal items in de lijst.

Voorbeeld

In dit voorbeeld wordt een keuzelijst met invoervak aan de opdrachtbalk 'Custom' toegevoegd en worden vervolgens twee items aan de keuzelijst toegevoegd. Verder worden het aantal regels, de breedte van de keuzelijst met invoervak en de standaardwaarde voor een lege keuzelijst ingesteld.

Set myBar = CommandBars("Custom")
Set myControl = myBar.Controls.Add(Type:=msoControlComboBox, Id:=1)
With myControl
    .AddItem Text:="First Item", Index:=1
    .AddItem "Second Item", 2
    .DropDownLines = 3
    .DropDownWidth = 75
    .ListHeaderCount = 0
End With


DropDownWidth, eigenschap

Met deze eigenschap wordt de breedte (in pixels) van de lijst van de opgegeven keuzelijst met invoervak van een opdrachtbalk als resultaat gegeven of ingesteld. Long. Lezen/schrijven.

Opmerking Als u deze eigenschap probeert in te stellen voor een ingebouwde keuzelijst met invoervak, treedt er een fout op.

Aanvullende informatie

Als deze eigenschap wordt ingesteld op -1, wordt de breedte van de lijst aangepast aan de lengte van het langste item in de keuzelijst met invoervak. Als deze eigenschap wordt ingesteld op 0, is de breedte van de lijst gebaseerd op de breedte van het besturingselement.

Voorbeeld

In dit voorbeeld wordt een keuzelijst met invoervak aan de opdrachtbalk 'Custom' toegevoegd en worden vervolgens twee items aan de keuzelijst toegevoegd. Verder worden het aantal regels, de breedte van de keuzelijst met invoervak en de standaardwaarde voor een lege keuzelijst ingesteld.

Set myBar = CommandBars("Custom")
Set myControl = myBar.Controls.Add(Type:=msoControlComboBox, Id:=1)
With myControl
    .AddItem "First Item", 1
    .AddItem "Second Item", 2
    .DropDownLines = 3
    .DropDownWidth = 75
    .ListHeaderCount = 0
End With


Enabled, eigenschap

Deze eigenschap is True als de opgegeven opdrachtbalk of het opgegeven opdrachtbalk-besturingselement is ingeschakeld. Boolean. Lezen/schrijven.

Aanvullende informatie

Als u deze eigenschap voor een opdrachtbalk instelt op True, wordt de naam van de opdrachtbalk weergegeven in de lijst met beschikbare opdrachtbalken.

Als u de eigenschap Enabled voor een ingebouwd besturingselement instelt op True, bepaalt de toepassing de status. Als u de eigenschap echter instelt op False, is het besturingselement altijd uitgeschakeld.

Voorbeeld

In dit voorbeeld worden de opdrachtbalken aangepast aan het gebruikersniveau dat wordt aangegeven door user. Als user 'Level 1' is, wordt de opdrachtbalk 'VB Custom Bar' weergegeven. Als user een andere waarde heeft, wordt de standaardstatus van de ingebouwde Visual Basic-opdrachtbalk opnieuw ingesteld en wordt de opdrachtbalk 'VB Custom Bar' uitgeschakeld.

Set myBar = CommandBars _
    .Add(Name:="VB Custom Bar", Position:=msoBarTop, _
    Temporary:=True)
With myBar
    .Controls.Add Type:=msoControlButton, ID:=2
    .Visible = True
End With
If user = "Level 1" Then
    myBar.Visible = True
Else
    CommandBars("Visual Basic").Reset
    myBar.Enabled = False
End If

In dit voorbeeld worden twee opdrachtbalkknoppen aan de opdrachtbalk met de naam 'Custom' toegevoegd. Het eerste besturingselement wordt uitgeschakeld. Het tweede besturingselement is standaard ingeschakeld.

Set myBar = CommandBars("Custom")
With myBar
    .Controls.Add Type:=msoControlButton, Id:=3
    .Controls(1).Enabled = False
    .Controls.Add Type:=msoControlButton, Id:=3
End With
myBar.Visible = True


ExpireDate, eigenschap

Deze eigenschap resulteert in een Variant die staat voor de datum waarop de digitale handtekening verloopt. Hierbij gaat het om de handtekening die overeenkomt met het Signature-object. Alleen-lezen.

expression.ExpireDate

expressie Vereist. Een expressie waarmee een van de objecten in de lijst Van toepassing op als resultaat wordt gegeven.

Voorbeeld

In het volgende voorbeeld wordt de gebruiker gevraagd een digitale handtekening te selecteren waarmee deze het actieve document in Microsoft Word kan ondertekenen. Als u dit voorbeeld wilt gebruiken, moet u een document in Word openen en deze functie aanroepen. Door de functie wordt gecontroleerd of de handtekening die de gebruiker selecteert binnen 12 maanden zal verlopen. Als dit het geval is, wordt het certificaat niet bijgevoegd.

Function AddSignature() As Boolean

    On Error GoTo Error_Handler

    Dim sig As Signature

    'Display the dialog box that lets the
    'user select a digital signature.
    'If the user selects a signature, then
    'it is added to the Signatures
    'collection. If the user doesn't, then
    'an error is returned.
    Set sig = ActiveDocument.Signatures.Add

    'Test to make sure that the new Signature object
    'doesn't expire too soon. This expression calculates
    'the number of months until the Signature object expires.
    If DateDiff("m", sig.SignDate, sig.ExpireDate) < 12 Then

        MsgBox "This Certificate will expire in less than 1 year." & vbCrLf & _
        "Please use a newer certificate."

        AddSignature = False
        sig.Delete
    Else
        AddSignature = True
    End If

    'Commit all signatures in the SignatureSet collection to the disk.
    ActiveDocument.Signatures.Commit

    Exit Function
Error_Handler:
    AddSignature = False
    MsgBox "Action cancelled."
End Function


Extended, eigenschap

Met deze eigenschap worden kenmerken die aan de <SCRIPT>-code zijn toegevoegd, als resultaat gegeven of worden kenmerken opgegeven die aan de code moeten worden toegevoegd, met uitzondering van de kenmerken LANGUAGE en ID. String. Lezen/schrijven.

Aanvullende informatie

Kenmerken worden gescheiden door spaties, net als in de HTML-code. U kunt het kenmerk LANGUAGE of het kenmerk ID niet doorgeven met de eigenschap Extended.

De Microsoft Office-hosttoepassing biedt geen mogelijkheden om de syntaxis van doorgegeven kenmerken te controleren.

Als u het kenmerk LANGUAGE doorgeeft via de eigenschap Extended, ontvangt de <SCRIPT>-code twee taalinstellingen waardoor er een conflict ontstaat.

Als u het kenmerk ID doorgeeft via de eigenschap Extended en er geen id is ingesteld door de parameter ID van de methode Add of de eigenschap Id van het Script-object, wordt de id op de juiste wijze geëxporteerd.

Voorbeeld

In dit voorbeeld wordt via de eigenschap Extended gecontroleerd of er geen extra kenmerken zijn toegevoegd aan het eerste script in werkblad 1 van de actieve werkmap.

If ActiveWorkbook.Worksheets(1).Scripts(1).Extended _
    <> "" Then
      MsgBox "This script contains extended attributes."
End If


Extensions, eigenschap

Deze eigenschap resulteert in een String-waarde die de extensies bevat waarmee wordt bepaald welke bestanden worden weergegeven in een bestandsdialoogvenster voor elk Filter-object. Alleen-lezen.

expressie.Extensions

expressie Vereist. Een expressie waarmee een van de objecten in de lijst Van toepassing op als resultaat wordt gegeven.

Voorbeeld

In het volgende voorbeeld worden de standaardfilters van het dialoogvenster SaveAs doorlopen en wordt de beschrijving weergegeven van elk filter dat een Microsoft Excel-bestand bevat. De eigenschap Extensions wordt gebruikt om de desbetreffende filterobjecten te vinden.

Sub Main()

    'Declare a variable as a FileDialogFilters collection.
    Dim fdfs As FileDialogFilters

    'Declare a variable as a FileDialogFilter object.
    Dim fdf As FileDialogFilter

    'Set the FileDialogFilters collection variable to
    'the FileDialogFilters collection of the SaveAs dialog box.
    Set fdfs = Application.FileDialog(msoFileDialogSaveAs).Filters

    'Iterate through the description and extensions of each
    'default filter in the SaveAs dialog box.
    For Each fdf In fdfs

        'Display the description of filters that include
        'Microsoft Excel files.
        If InStr(1, fdf.Extensions, "xls", vbTextCompare) > 0 Then
            MsgBox "Description of filter: " & fdf.Description
        End If
    Next fdf
End Sub


FaceId, eigenschap

Met deze eigenschap wordt het id-nummer van het knopvlak van een knopbesturingselement op een opdrachtbalk, als resultaat gegeven of ingesteld. Long. Lezen/schrijven.

Aanvullende informatie

De eigenschap FaceId bepaalt de weergave, maar niet de functie van een knop op een opdrachtbalk. De eigenschap Id van het CommandBarControl-object bepaalt de functie van de knop.

De waarde van de eigenschap FaceId van een opdrachtknop met een aangepast vlak is 0 (nul).

Voorbeeld

In dit voorbeeld wordt een knop aan een aangepaste opdrachtbalk toegevoegd. Klikken op deze knop heeft hetzelfde effect als klikken op de opdracht Openen in het menu Bestand, omdat het id-nummer 23 is. De knop heeft echter hetzelfde knopvlak als de ingebouwde knop Grafieken.

Set newBar = CommandBars.Add(Name:="Custom2", _
     Position:=msoBarTop, Temporary:=True)
newBar.Visible = True
Set con = newBar.Controls.Add(Type:=msoControlButton, Id:=23)
con.FaceId = 17


FeatureTips, eigenschap

Mogelijk is een deel van dit onderwerp niet van toepassing op bepaalde talen.

Deze eigenschap is True als de Office-assistent informatie geeft om gebruikers effectiever te leren werken met de voorzieningen van een toepassing.Boolean. Lezen/schrijven.

Aanvullende informatie

De eigenschap FeatureTips komt overeen met het selectievakje Functies effectiever gebruiken op het tabblad Opties in het dialoogvenster Office-assistent.

Voorbeeld

In dit voorbeeld wordt de Office-assistent zo ingesteld dat deze de gebruiker informatie geeft over een effectiever gebruik van de functies van de toepassing.

Assistant.FeatureTips = True


FileName, eigenschap

Mogelijk is een deel van dit onderwerp niet van toepassing op bepaalde talen.

Met deze eigenschap wordt voor het Assistant-object het pad en de naam van het bestand van de actieve Office-assistent als resultaat gegeven of ingesteld. String, Lezen/schrijven.

Met deze eigenschap wordt voor het FileSearch-object de naam van het bestand waarnaar wordt gezocht tijdens een zoekopdracht, als resultaat gegeven of ingesteld. De bestandsnaam kan de jokertekens * (sterretje) of ? (vraagteken) bevatten. Gebruik het vraagteken ter vervanging van een enkel teken. Met gr?ep vindt u bijvoorbeeld zowel 'groep' als 'greep'. Gebruik het sterretje ter vervanging van een willekeurig aantal tekens. Met *.txt vindt u bijvoorbeeld alle bestanden met de extensie .txt. String, Lezen/schrijven.

expressie.FileName

expressie Vereist. Een expressie die een van de objecten in de lijst Van toepassing op retourneert.

Voorbeeld

In dit voorbeeld wordt gezocht naar alle bestanden die zich in de map My Documents bevinden, die met 'cmd' beginnen en die een bestandsnaamextensie hebben. In het voorbeeld worden de naam en de locatie van elk gevonden bestand weergegeven in een berichtvenster.

Set fs = Application.FileSearch
With fs
    .LookIn = "C:\My Documents"
    .FileName = "cmd*.*"
    If .Execute > 0 Then
        MsgBox "There were " & .FoundFiles.Count & _
            " file(s) found."
        For i = 1 To .FoundFiles.Count
            MsgBox .FoundFiles(i)
        Next i
    Else
        MsgBox "There were no files found."
    End If
End With


Files, eigenschap

Deze eigenschap resulteert in een AnswerWizardFiles-collectie. Deze collectie vertegenwoordigt de lijst met bestanden die beschikbaar zijn voor de actieve Antwoordwizard. Alleen-lezen.

Zie Een object uit een collectie als resultaat geven voor informatie over het opvragen van een afzonderlijk lid van een collectie.

Voorbeeld

In dit voorbeeld wordt de huidige bestandenlijst voor de actieve Antwoordwizard vervangen door de standaardbestandenlijst en wordt vervolgens een berichtvenster met het aantal bestanden en de bestandsnamen weergegeven.

Dim customAnswerWizard As AnswerWizard
Dim strFileList As String
Dim intCounter As Integer
Dim intNumFiles As Integer
Set customAnswerWizard = Application.AnswerWizard
intCounter = 1

customAnswerWizard.ResetFileList
strFileList = ""
intNumFiles = customAnswerWizard.Files.Count
For intCounter = 1 To (intNumFiles)
    strFileList = strFileList & _
    customAnswerWizard.Files.Item(intCounter) & Chr(13)
Next

MsgBox "There are " & customAnswerWizard.Files.Count & _
    " files avaialble through this AnswerWizard: " & _
    Chr(13) & strFileList


FileType, eigenschap

Met deze eigenschap wordt het bestandstype waarnaar tijdens een zoekbewerking moet worden gezocht, als resultaat gegeven of ingesteld. MsoFileType, lezen/schrijven.

MsoFileType kan een van de volgende MsoFileType-constanten zijn.
msoFileTypeAllFiles
msoFileTypeBinders
msoFileTypeCalendarItem
msoFileTypeContactItem
msoFileTypeCustom
msoFileTypeDatabases
msoFileTypeDataConnectionFiles
msoFileTypeDesignerFiles
msoFileTypeDocumentImagingFiles
msoFileTypeExcelWorkbooks
msoFileTypeJournalItem
msoFileTypeMailItem
msoFileTypeNoteItem
msoFileTypeOfficeFiles
msoFileTypeOutlookItems
msoFileTypePhotoDrawFiles
msoFileTypePowerPointPresentations
msoFileTypeProjectFiles
msoFileTypePublisherFiles
msoFileTypeTaskItem
msoFileTypeTemplates
msoFileTypeVisioFiles
msoFileTypeWebPages
msoFileTypeWordDocuments

expressie.FileType

expressie Vereist. Een expressie die een van de objecten in de lijst Van toepassing op retourneert.

Opmerkingen

De constante msoFileTypeOfficeFiles omvat alle bestanden met de volgende extensies: *.doc, *.xls, *.ppt, *.pps, *.obd, *.mdb, *.mpd, *.dot, *.xlt, *.pot, *.obt, *.htm of *.html.

Voorbeeld

In dit voorbeeld wordt gezocht naar alle binderbestanden in de map My Documents. De naam en de locatie van elk gevonden bestand worden weergegeven in een berichtvenster.

Set fs = Application.FileSearch
With fs
    .LookIn = "C:\My Documents"
    .FileType = msoFileTypeBinders
    If .Execute > 0 Then
        MsgBox "There were " & .FoundFiles.Count & _
            " Binder file(s) found."
        For i = 1 To .FoundFiles.Count
            MsgBox .FoundFiles(i)
        Next i
    Else
        MsgBox "There were no Binder files found."
    End If
End With


FileTypes, eigenschap

Met deze eigenschap wordt een FileTypes-collectie als resultaat gegeven.

expressie.FileTypes

expressie Vereist. Een expressie waarmee een van de objecten in de lijst Van toepassing op als resultaat wordt gegeven.

Voorbeeld

In het volgende voorbeeld wordt gezocht naar alle HTML- en Microsoft Excel-bestanden op het station C:\.

Sub SearchForFiles()

    'Declare a variable to act as a generic counter.
    Dim lngCount As Long

    'Use a With...End With block to reference the
    'FileSearch object.
    With Application.FileSearch

        'Clear all the parameters of the previous searches.
        'This method doesn't clear the LookIn property or
        'the SearchFolders collection.
        .NewSearch

        'Setting the FileType property clears the
        'FileTypes collection and sets the first
        'item in the collection to the file type
        'defined by the FileType property.
        .FileType = msoFileTypeWebPages

        'Add a second item to the FileTypes collection.
        .FileTypes.Add msoFileTypeExcelWorkbooks

        'Display the number of FileTypes objects in the collection.
        MsgBox "You are about to search for " & .FileTypes.Count & _
            " file types."

        'Set up the search to look in all subfolders on the C:\ drive.
        .LookIn = "C:\"
        .SearchSubFolders = True

        'Execute the search and test to see if any files
        'were found.
        If .Execute <> 0 Then

            'Display the number of files found.
            MsgBox "Files found: " & .FoundFiles.Count

            'Loop through the list of found files and
            'display the path of each one in a message box.
            For lngCount = 1 To .FoundFiles.Count
                If MsgBox(.FoundFiles.Item(lngCount), vbOKCancel, _
                    "Found files") = vbCancel Then

                    'Break out of the loop
                    lngCount = .FoundFiles.Count

                End If
            Next lngCount
        Else
            MsgBox "No files found."
        End If
    End With
End Sub


FilterIndex, eigenschap

Met deze eigenschap wordt een Long als resultaat gegeven of ingesteld die het standaardbestandsfilter van een bestandsdialoogvenster aangeeft. Door het standaardfilter wordt bepaald welke bestandstypen worden weergegeven wanneer het bestandsdialoogvenster wordt geopend. Lezen/schrijven.

expressie.FilterIndex

expressie Vereist. Een expressie waarmee een van de objecten in de lijst Van toepassing op als resultaat wordt gegeven.

Opmerkingen

Als u probeert deze eigenschap in te stellen op een getal dat hoger is dan het aantal filters, wordt het laatst beschikbare filter geselecteerd.

Voorbeeld

In het volgende voorbeeld wordt een dialoogvenster voor het kiezen van bestanden weergegeven met behulp van het FileDialog-object. Vervolgens wordt elk geselecteerd bestand weergegeven in een berichtvak. In dit voorbeeld wordt tevens toegelicht hoe u een nieuw filter toevoegt en hoe u dit instelt als het standaardfilter.

Sub Main()

    'Declare a variable as a FileDialog object.
    Dim fd As FileDialog

    'Create a FileDialog object as a File Picker dialog box.
    Set fd = Application.FileDialog(msoFileDialogFilePicker)

    'Declare a variable to contain the path
    'of each selected item. Even though the path is a String,
    'the variable must be a Variant because For Each...Next
    'routines only work with Variants and Objects.
    Dim vrtSelectedItem As Variant

    'Use a With...End With block to reference the FileDialog object.
    With fd

        'Add a filter that includes GIF and JPEG images and make it the second item in the list.
        .Filters.Add "Images", "*.gif; *.jpg; *.jpeg", 2

        'Sets the initial file filter to number 2.
        .FilterIndex = 2

        'Use the Show method to display the File Picker dialog box and return the user's action.
        'If the user presses the action button...
        If .Show = -1 Then

            'Step through each string in the FileDialogSelectedItems collection.
            For Each vrtSelectedItem In .SelectedItems

                'vrtSelectedItem is a String that contains the path of each selected item.
                'You can use any file I/O functions that you want to work with this path.
                'This example simply displays the path in a message box.
                MsgBox "Selected item's path: " & vrtSelectedItem

            Next vrtSelectedItem
        'If the user presses Cancel...
        Else
        End If
    End With

    'Set the object variable to Nothing.
    Set fd = Nothing

End Sub


Filters, eigenschap

Met deze eigenschap wordt een FileDialogFilters-collectie als resultaat gegeven.

expressie.Filters

expressie Vereist. Een expressie waarmee een van de objecten in de lijst Van toepassing op als resultaat wordt gegeven.

Voorbeeld

In het volgende voorbeeld wordt een dialoogvenster voor het kiezen van bestanden weergegeven met behulp van het FileDialog-object. Vervolgens wordt elk geselecteerd bestand weergegeven in een berichtvak. In het voorbeeld wordt tevens een nieuw bestandsfilter toegevoegd met de naam "Images".

Sub Main()

    'Declare a variable as a FileDialog object.
    Dim fd As FileDialog

    'Create a FileDialog object as a File Picker dialog.
    Set fd = Application.FileDialog(msoFileDialogFilePicker)

    'Declare a variable to contain the path
    'of each selected item. Even though the path is a String,
    'the variable must be a Variant because For Each...Next
    'routines only work with Variants and Objects.
    Dim vrtSelectedItem As Variant

    'Use a With...End With block to reference the FileDialog object.
    With fd

        'Add a filter that includes GIF and JPEG images and make it the first item in the list.
        .Filters.Add "Images", "*.gif; *.jpg; *.jpeg", 1

        'Use the Show method to display the File Picker dialog box and return the user's action.
        'If the user presses the action button...
        If .Show = -1 Then

            'Step through each string in the FileDialogSelectedItems collection.
            For Each vrtSelectedItem In .SelectedItems

                'vrtSelectedItem is a String that contains the path of each selected item.
                'You can use any file I/O functions that you want to work with this path.
                'This example simply displays the path in a message box.
                MsgBox "Selected item's path: " & vrtSelectedItem

            Next vrtSelectedItem
        'If the user presses Cancel...
        Else
        End If
    End With

    'Set the object variable to Nothing.
    Set fd = Nothing

End Sub


FixedWidthFont, eigenschap

Met deze eigenschap wordt het niet-proportionele lettertype (lettertype met vaste breedte) in de hosttoepassing als resultaat gegeven of ingesteld. String. Lezen/schrijven.

Aanvullende informatie

Als u de eigenschap FixedWidthFont instelt, controleert de hosttoepassing niet of de waarde geldig is.

Voorbeeld

In dit voorbeeld worden in de actieve toepassing het niet-proportionele lettertype en de tekengrootte van het niet-proportionele lettertype ingesteld voor de tekenset voor de Engelse taal, de West-Europese talen en de overige talen die het westerse schrift gebruiken.

Application.DefaultWebOptions. _
Fonts(msoCharacterSetEnglishWesternEuropeanOtherLatinScript) _
.FixedWidthFont = "System"
Application.DefaultWebOptions. _
Fonts(msoCharacterSetEnglishWesternEuropeanOtherLatinScript) _
.FixedWidthFontSize = 12


FixedWidthFontSize, eigenschap

Met deze eigenschap wordt de tekengrootte van het niet-proportionele lettertype (lettertype met vaste breedte) in de hosttoepassing als resultaat gegeven of ingesteld (in punten). Single. Lezen/schrijven.

Aanvullende informatie

Als u de eigenschap FixedWidthFontSize instelt, controleert de hosttoepassing niet of de waarde geldig is. Als u een ongeldige waarde invoert, bijvoorbeeld een letter in plaats van een getal, stelt de hosttoepassing de tekengrootte van het lettertype in op 0 punten. U kunt tekengroottes van hele en van halve punten invoeren. Als u andere puntgroottes invoert, worden ze naar boven of naar beneden afgerond naar de dichtstbijzijnde hele of halve punt.

Voorbeeld

In dit voorbeeld worden in de actieve toepassing het niet-proportionele lettertype en de tekengrootte van het niet-proportionele lettertype ingesteld voor de tekenset voor de Engelse taal, de West-Europese talen en de overige talen die het westerse schrift gebruiken.

Application.DefaultWebOptions. _
Fonts(msoCharacterSetEnglishWesternEuropeanOtherLatinScript) _
.FixedWidthFont = "System"
Application.DefaultWebOptions. _
Fonts(msoCharacterSetEnglishWesternEuropeanOtherLatinScript) _
.FixedWidthFontSize = 12


FoundFiles, eigenschap

Deze eigenschap geeft een FoundFiles-object als resultaat dat de namen bevat van alle bestanden die tijdens een zoekbewerking zijn gevonden. Alleen-lezen.

Voorbeeld

In dit voorbeeld wordt het pad van elk bestand in de lijst met gevonden bestanden weergegeven.

With Application.FileSearch
For i = 1 To .FoundFiles.Count
    MsgBox .FoundFiles(i)
Next I
End With


GuessHelp, eigenschap

Mogelijk is een deel van dit onderwerp niet van toepassing op bepaalde talen.

Deze eigenschap is True als de Office-assistent een lijst met relevante Help-onderwerpen weergeeft op basis van de acties van de gebruiker voordat deze op het venster van de assistent klikt of op F1 drukt. Boolean. Lezen/schrijven.

Aanvullende informatie

De eigenschap GuessHelp komt overeen met de optie Help-onderwerpen raden onder De Office-assistent gebruiken op het tabblad Opties in het dialoogvenster Office-assistent.

Voorbeeld

In dit voorbeeld wordt de Office-assistent zo ingesteld dat deze al Help-onderwerpen weergeeft voordat de gebruiker Help opvraagt.

Assistant.GuessHelp = True


Guid, eigenschap

Deze eigenschap geeft de GUID (Globally Unique Identifier) voor het opgegeven COMAddIn-object als resultaat. String. Alleen-lezen.

Voorbeeld

Bij het volgende voorbeeld worden de ProgID en GUID voor de COM-invoegtoepassing in een berichtvenster weergegeven.

MsgBox "My ProgID is " & _
    Application.COMAddIns(1).ProgID & _
    " and my GUID is " & _
    Application.COMAddIns(1).Guid


Heading, eigenschap

Mogelijk is een deel van dit onderwerp niet van toepassing op bepaalde talen.

Met deze eigenschap wordt de koptekst die in de tekstballon van de Office-assistent verschijnt, als resultaat gegeven of ingesteld. String. Lezen/schrijven.

Aanvullende informatie

U kunt opgeven welke afbeelding in de koptekst van de ballon moet worden weergegeven met de volgende syntaxis: {type locatie breedtefactor}, waarbij type staat voor bmp (bitmap-bestand) of wmf (Windows-metabestand), locatie staat voor de bron-id, ofwel het pad en de naam van het bestand, en breedtefactor staat voor de breedte van het Windows-metabestand (deze factor wordt weggelaten voor bmp-bestanden).

In de koptekst van de ballon kan de tekst ook worden onderstreept en worden weergegeven in een van de 16 systeemkleuren. Als u onderstreepte tekst in de kop wilt weergeven, gebruikt u de syntaxis {ul} of {ul 1}. Gebruik {ul 0} om de onderstreping uit te schakelen. Als u de kleur van een koptekst wilt wijzigen, laat u de tekst voorafgaan door de tekenreeks {cf nummer}, waarbij nummer een nummer van een systeemkleur is. De nummers van de systeemkleuren worden in de volgende tabel weergegeven.

Systeemkleurnummer | Kleur
0 | Zwart
1 | Kastanjebruin
2 | Groen
3 | Olijfgroen
4 | Marineblauw
5 | Paars
6 | Groenblauw
7 | Lichtgrijs
248 | Grijs
249 | Rood
250 | Lichtgroen
251 | Geel
252 | Blauw
253 | Lila
254 | Lichtblauw
255 | Wit

Als u een ander nummer opgeeft dan de nummers van de systeemkleuren die in deze tabel zijn aangegeven, wordt de koptekst in het zwart weergegeven.

Voorbeeld

In dit voorbeeld wordt een tekstballon weergegeven met een koptekst, een tekst en drie keuzemogelijkheden.

With Assistant.NewBalloon
    .Button = msoButtonSetOkCancel
    .Heading = "Regional Sales Data"
    .Text = "Select a region"
    For i = 1 To 3
        .CheckBoxes(i).Text = "Region " & i
    Next
    .Show
End With


Height, eigenschap

Met deze eigenschap wordt de hoogte van een besturingselement voor de opdrachtbalk of opdrachtbalk als resultaat gegeven of ingesteld. Long, lezen/schrijven.

expressie.Height

expressie Vereist. Een expressie die een van de bovenstaande objecten als resultaat geeft.

Voorbeeld

In dit voorbeeld wordt een aangepast besturingselement toegevoegd aan de opdrachtbalk met de naam Custom. De hoogte van het aangepaste besturingselement wordt ingesteld op twee maal de hoogte van de opdrachtbalk en de breedte wordt ingesteld op 50 pixels. De opdrachtbalk zal zich aan het besturingselement aanpassen en automatisch hoger worden.

Set myBar = CommandBars("Custom")
barHeight = myBar.Height
Set myControl = myBar.Controls _
    .Add(Type:=msoControlButton, _
    Id:= CommandBars("Standard").Controls("Save").Id, _
     Temporary:=True)
With myControl
    .Height = barHeight * 2
    .Width = 50
End With
myBar.Visible = True


HelpContextId, eigenschap

Met deze eigenschap wordt de Help-context-id van het Help-onderwerp dat is gekoppeld aan het opdrachtbalk-besturingselement, als resultaat gegeven of ingesteld. Long. Lezen/schrijven.

Aanvullende informatie

Als u deze eigenschap wilt gebruiken, moet u ook de eigenschap HelpFile instellen. De gebruiker kan Help-onderwerpen opvragen door op SHIFT+F1 te drukken.

Voorbeeld

In dit voorbeeld wordt een aangepaste opdrachtbalk toegevoegd die een keuzelijst met invoervak bevat. In de keuzelijst met invoervak wordt informatie over aandelen bijgehouden. In dit voorbeeld wordt ook het Help-onderwerp opgegeven dat voor de keuzelijst met invoervak moet worden weergegeven als de gebruiker op SHIFT+F1 drukt.

Set myBar = CommandBars _
    .Add(Name:="Custom", Position:=msoBarTop, _
    Temporary:=True)
With myBar
    .Controls.Add Type:=msoControlComboBox, ID:=1
    .Visible = True
End With
With CommandBars("Custom").Controls(1)
    .AddItem "Get Stock Quote", 1
    .AddItem "View Chart", 2
    .AddItem "View Fundamentals", 3
    .AddItem "View News", 4
    .Caption = "Stock Data"
    .DescriptionText = "View Data For Stock"
    .HelpFile = "C:\corphelp\custom.hlp"
    .HelpContextID = 47
End With


HelpFile, eigenschap

Met deze eigenschap wordt de bestandsnaam van het Help-onderwerp dat is gekoppeld aan het opdrachtbalk-besturingselement, als resultaat gegeven of ingesteld. String. Lezen/schrijven.

Aanvullende informatie

Als u deze eigenschap wilt gebruiken, moet u ook de eigenschap HelpContextID instellen. De gebruiker kan Help-onderwerpen opvragen door op SHIFT+F1 te drukken.

Voorbeeld

In dit voorbeeld wordt een aangepaste opdrachtbalk toegevoegd die een keuzelijst met invoervak bevat. In de keuzelijst met invoervak wordt informatie over aandelen bijgehouden. In dit voorbeeld wordt ook het Help-onderwerp opgegeven dat voor de keuzelijst met invoervak moet worden weergegeven als de gebruiker op SHIFT+F1 drukt.

Set myBar = CommandBars _
    .Add(Name:="Custom", Position:=msoBarTop, _
    Temporary:=True)
With myBar
    .Controls.Add Type:=msoControlComboBox, ID:=1
    .Visible = True
End With
With CommandBars("Custom").Controls(1)
    .AddItem "Get Stock Quote", 1
    .AddItem "View Chart", 2
    .AddItem "View Fundamentals", 3
    .AddItem "View News", 4
    .Caption = "Stock Data"
    .DescriptionText = "View Data For Stock"
    .HelpFile = "C:\corphelp\custom.hlp"
    .HelpContextID = 47
End With


HighPriorityTips, eigenschap

Mogelijk is een deel van dit onderwerp niet van toepassing op bepaalde talen.

Deze eigenschap is True als de Office-assistent tips met een hoge prioriteit weergeeft. Boolean. Lezen/schrijven.

Aanvullende informatie

De eigenschap HighPriorityTips komt overeen met de optie Alleen tips met hoge prioriteit weergeven onder Tips weergeven op het tabblad Opties in het dialoogvenster Office-assistent.

Voorbeeld

In dit voorbeeld wordt de Office-assistent zo ingesteld dat deze tips met een hoge prioriteit weergeeft.

Assistant.HighPriorityTips = True


HTMLProjectItems, eigenschap

Deze eigenschap geeft de HTMLProjectItems-collectie in het opgegeven HTML-project als resultaat. HTMLProjectItems. Alleen-lezen.

Voorbeeld

In dit voorbeeld wordt het aantal items in de HTMLProjectItems-collectie van het HTML-project in de actieve werkmap als resultaat gegeven.

intCount = ActiveWorkbook.HTMLProject.HTMLProjectItems.Count


HyperlinkType, eigenschap

Met deze eigenschap wordt het type hyperlink als resultaat gegeven of ingesteld dat aan de opgegeven opdrachtbalkknop is gekoppeld. MsoCommandBarButtonHyperlinkType. Lezen/schrijven.

MsoCommandBarButtonHyperlinkType kan een van de volgende MsoCommandBarButtonHyperlinkType-constanten zijn.
msoCommandBarButtonHyperlinkInsertPicture
msoCommandBarButtonHyperlinkNone
msoCommandBarButtonHyperlinkOpen

Voorbeeld

In dit voorbeeld wordt gecontroleerd welke waarde de eigenschap HyperlinkType van de opgegeven opdrachtbalkknop 'Custom' heeft. Als de eigenschap HyperlinkType de waarde msoCommandBarButtonHyperlinkNone heeft, wordt in dit voorbeeld de eigenschap op de waarde msoCommandBarButtonHyperlinkOpen ingesteld en wordt de URL op www.microsoft.com ingesteld.

Set myBar = CommandBars _
    .Add(Name:="Custom", Position:=msoBarTop, _
    Temporary:=True)
Set myButton = myBar.Controls.Add(Type:=msoControlButton)
With myButton
    .FaceId = 277
    .HyperlinkType = msoCommandBarButtonHyperlinkNone
End With
If myButton.HyperlinkType <> _
    msoCommandBarButtonHyperlinkOpen Then
    myButton.HyperlinkType = _
        msoCommandBarButtonHyperlinkOpen
    myButton.TooltipText = "www.microsoft.com"
End If


Icon, eigenschap

Mogelijk is een deel van dit onderwerp niet van toepassing op bepaalde talen.

Met deze eigenschap wordt het type pictogram dat linksboven in de tekstballon van de Office-assistent verschijnt, als resultaat gegeven of ingesteld. MsoIconType. Lezen/schrijven.

MsoIconType kan een van de volgende MsoIconType-constanten zijn.
msoIconAlert
msoIconAlertCritical
msoIconAlertInfo
msoIconAlertQuery
msoIconAlertWarning
msoIconNone
msoIconTip

Voorbeeld

In dit voorbeeld wordt een tekstballon met een 'waarschuwingspictogram' gemaakt, waarin wordt aangegeven dat de gebruiker om te kunnen afdrukken eerst een printer moet selecteren.

With Assistant.NewBalloon
    .Heading = "Select A Printer"
    .Text = "You must select a printer before printing."
    .Icon = msoIconAlert
    .CheckBoxes(1).Text = "Local printer"
    .CheckBoxes(2).Text = "Network printer"
    .Show
End With


Id, eigenschap

De eigenschap Id zoals die van toepassing is op het CommandBarButton-, het CommandBarComboBox- en het CommandBarControl-object.

Deze eigenschap geeft de id voor een ingebouwd besturingselement op een opdrachtbalk als resultaat. Long, Alleen-lezen.

expressie.Id

expressie Vereist. Een expressie die een van de bovenstaande objecten als resultaat geeft.

Opmerkingen

De id van een besturingselement bepaalt welke ingebouwde actie het besturingselement zal uitvoeren. De waarde van de eigenschap Id is voor alle aangepaste besturingselementen 1.

De eigenschap Id zoals die van toepassing is op het Script-object.

Met deze eigenschap wordt de id van een Script-object ingesteld of als resultaat gegeven. String, Lezen/schrijven.

expressie.Id

expressie Vereist. Een expressie die een Script-object als resultaat geeft.

Opmerkingen

De id die als resultaat wordt gegeven, is het kenmerk ID van de <SCRIPT>-code in het HTML-document. Als er geen kenmerk ID is opgegeven in de <SCRIPT>-code, geeft de eigenschap Id een lege tekenreeks als resultaat.

Met de eigenschap Id kunt u een SGML-aanduiding opgeven die wordt gebruikt voor het benoemen van elementen. Een geldige id bestaat uit een tekenreeks die begint met een letter en uit alfanumerieke tekens is opgebouwd. De tekenreeks mag ook een onderstrepingsteken bevatten ( _ ).

De id moet uniek zijn binnen het HTML-document.

Voorbeeld

Zoals die van toepassing is op het CommandBarButton-, het CommandBarComboBox- en het CommandBarControl-object.

In dit voorbeeld wordt het knopvlak van het eerste besturingselement op de opdrachtbalk "Custom2" gewijzigd als de id-waarde van de knop lager is dan 25.

Set ctrl = CommandBars("Custom").Controls(1)
With ctrl
    If .Id < 25 Then
        .FaceId = 17
        .Tag = "Changed control"
    End If
End With

In het volgende voorbeeld wordt het bijschrift van elk besturingselement op de werkbalk "Standard" gewijzigd in de huidige waarde van de eigenschap Id van dat besturingselement.

For Each ctl In CommandBars("Standard").Controls
    ctl.Caption = CStr(ctl.Id)
Next ctl

Zoals die van toepassing is op het Script-object.

In dit voorbeeld wordt de eigenschap Id van het eerste script in werkblad 1 van de actieve werkmap op een nieuwe waarde ingesteld.

ActiveWorkbook.Worksheets(1).Scripts(1).Id = "UpdatedScriptName"


Index, eigenschap

Deze eigenschap resulteert in een Long die het indexnummer van een object in de collectie vertegenwoordigt. Alleen-lezen.

expressie.Index

expressie Vereist. Een expressie die een van de objecten in de lijst Van toepassing op retourneert.

Opmerkingen

De positie van het eerste besturingselement op de opdrachtbalk is 1. Scheidingstekens worden niet meegeteld in de CommandBarControls-collectie.

Voorbeeld

In dit voorbeeld wordt op de opdrachtbalk 'Custom2' naar een besturingselement met een id-waarde van 23 gezocht. Als een dergelijk besturingselement wordt gevonden en het indexnummer van het gevonden besturingselement groter is dan 5, wordt het besturingselement als het eerste besturingselement op de opdrachtbalk geplaatst.

Set myBar = CommandBars("Custom2")
Set ctrl1 = myBar.FindControl(Id:=23)
If ctrl1.Index > 5 Then
    ctrl1.Move before:=1
End If


InitialFileName, eigenschap

Met deze eigenschap wordt een String als resultaat gegeven of ingesteld die het pad en/of de bestandsnaam vertegenwoordigt dat oorspronkelijk in een bestandsdialoogvenster wordt weergegeven. Lezen/schrijven.

expressie.InitialFileName

expressie Vereist. Een expressie waarmee een van de objecten in de lijst Van toepassing op als resultaat wordt gegeven.

Opmerkingen

U kunt de jokertekens '*' en '?' gebruiken voor het opgeven van de bestandsnaam, maar niet voor het opgeven van het pad. Het sterretje '*' staat voor een willekeurig aantal opeenvolgende tekens en het vraagteken '?' vertegenwoordigt een enkel teken. Met .InitialFileName = "c:\c*s.txt" wordt bijvoorbeeld zowel "charts.txt" als "checkregister.txt" als resultaat gegeven.

Als u een pad opgeeft maar geen bestandsnaam, worden alle bestanden die voldoen aan de criteria van het bestandsfilter weergegeven in het dialoogvenster.

Als u een bestand opgeeft dat aanwezig is in de oorspronkelijke map, wordt alleen dit bestand weergegeven in het dialoogvenster.

Als u een bestandsnaam opgeeft die niet in de oorspronkelijke map aanwezig is, zal het dialoogvenster geen bestanden bevatten. Het bestandstype dat u opgeeft in de eigenschap InitialFileName overschrijft de instellingen voor het bestandsfilter.

Als u een ongeldig pad opgeeft, wordt het laatst gebruikte pad gebruikt. Gebruikers krijgen een waarschuwingsbericht te zien als ze een ongeldig pad gebruiken.

Als u deze eigenschap instelt op een tekenreeks die langer is dan 256 tekens, heeft dit een uitvoeringsfout tot gevolg.

Voorbeeld

In het volgende voorbeeld wordt een dialoogvenster voor het kiezen van bestanden weergegeven met behulp van het FileDialog-object. Vervolgens wordt elk geselecteerd bestand weergegeven in een berichtvak.

Sub Main()

    'Declare a variable as a FileDialog object
    Dim fd As FileDialog

    'Create a FileDialog object as a File Picker dialog box.
    Set fd = Application.FileDialog(msoFileDialogFilePicker)

    'Declare a variable to contain the path
    'of each selected item. Even though the path is a String,
    'the variable must be a Variant because For Each...Next
    'routines only work with Variants and Objects.
    Dim vrtSelectedItem As Variant

    'Use a With...End With block to reference the FileDialog object.
    With fd

        'Set the initial path to the C:\ drive.
        .InitialFileName = "C:\"

        'Use the Show method to display the File Picker dialog box and return the user's action.
        'If the user presses the action button...
        If .Show = -1 Then

            'Step through each string in the FileDialogSelectedItems collection.
            For Each vrtSelectedItem In .SelectedItems

                'vrtSelectedItem is a String that contains the path of each selected item.
                'You can use any file I/O functions that you want to work with this path.
                'This example simply displays the path in a message box.
                MsgBox "Selected item's path: " & vrtSelectedItem

            Next vrtSelectedItem
        'If the user presses Cancel...
        Else
        End If
    End With

    'Set the object variable to Nothing.
    Set fd = Nothing

End Sub


InitialView, eigenschap

Met deze eigenschap wordt een MsoFileDialogView-constante als resultaat gegeven of ingesteld die de oorspronkelijke weergave van bestanden en mappen in een bestandsdialoogvenster vertegenwoordigt. Lezen/schrijven.

MsoFileDialogView kan een van de volgende MsoFileDialogView-constanten zijn.
msoFileDialogViewDetails
msoFileDialogViewLargeIcons
msoFileDialogViewList
msoFileDialogViewPreview
msoFileDialogViewProperties
msoFileDialogViewSmallIcons
msoFileDialogViewThumbnail Deze constante is alleen beschikbaar in combinatie met Microsoft Windows 2000 of Microsoft Windows Millennium Edition of hoger.
msoFileDialogViewWebView Niet beschikbaar. Als u deze constante selecteert, wordt de standaardweergave gebruikt.

expressie.InitialView

expressie Vereist. Een expressie waarmee een van de objecten in de lijst Van toepassing op als resultaat wordt gegeven.

Voorbeeld

In het volgende voorbeeld wordt een dialoogvenster voor het kiezen van bestanden in de gedetailleerde weergave weergegeven met behulp van het FileDialog-object. Vervolgens wordt elk geselecteerd bestand weergegeven in een berichtvak.

Sub Main()

    'Declare a variable as a FileDialog object.
    Dim fd As FileDialog

    'Create a FileDialog object as a File Picker dialog box.
    Set fd = Application.FileDialog(msoFileDialogFilePicker)

    'Declare a variable to contain the path
    'of each selected item. Even though the path is a String,
    'the variable must be a Variant because For Each...Next
    'routines only work with Variants and Objects.
    Dim vrtSelectedItem As Variant

    'Use a With...End With block to reference the FileDialog object.
    With fd

        'Set the initial view to the details view.
        .InitialView = msoFileDialogViewDetails

        'Use the Show method to display the File Picker dialog box and return the user's action.
        'If the user presses the action button...
        If .Show = -1 Then

            'Step through each string in the FileDialogSelectedItems collection.
            For Each vrtSelectedItem In .SelectedItems

                'vrtSelectedItem is a String that contains the path of each selected item.
                'You can use any file I/O functions that you want to work with this path.
                'This example simply displays the path in a message box.
                MsgBox "Selected item's path: " & vrtSelectedItem

            Next vrtSelectedItem
        'If the user presses Cancel...
        Else
        End If
    End With

    'Set the object variable to Nothing.
    Set fd = Nothing

End Sub


Introduction, eigenschap

Met deze eigenschap wordt de introductietekst ingesteld of als resultaat gegeven die wordt toegevoegd aan een document dat wordt verzonden met behulp van het MsoEnvelope-object. De introductietekst verschijnt boven in het document in het e-mailbericht. String, lezen/schrijven.

expressie.Introduction

expressie Vereist. Een expressie waarmee een van de objecten in de lijst Van toepassing op als resultaat wordt gegeven.

Voorbeeld

In het volgende voorbeeld wordt het actieve Microsoft Word-document als een e-mailbericht verzonden naar het e-mailadres dat u doorgeeft aan de subroutine.

Sub SendMail(ByVal strRecipient As String)

    'Use a With...End With block to reference the MsoEnvelope object.
    With Application.ActiveDocument.MailEnvelope

        'Add some introductory text before the body of the e-mail.
        .Introduction = "Please read this and send me your comments."

        'Return a MailItem object that you can use to send the document.
        With .Item

            'All of the mail item settings are saved with the document.
            'When you add a recipient to the Recipients collection
            'or change other properties these settings will persist.

            .Recipients.Add strRecipient
            .Subject = "Here is the document."

            'The body of this message will be
            'the content of the active document.
            .Send
        End With
    End With
End Sub


IsCertificateExpired, eigenschap

Deze eigenschap is True als het digitale certificaat dat overeenkomt met het Signature-object is verlopen. Boolean, alleen-lezen.

expressie.IsCertificateExpired

expressie Vereist. Een expressie waarmee een van de objecten in de lijst Van toepassing op als resultaat wordt gegeven.

Voorbeeld

In het volgende voorbeeld wordt de gebruiker gevraagd om een digitale handtekening te selecteren waarmee deze het actieve document in Microsoft Word kan ondertekenen. Als u dit voorbeeld wilt gebruiken, opent u een document in Word en voert u de volgende informatie in voor de functie: de naam van de uitgever van de certificaten en de naam van de ondertekenaar van het certificaat. Deze gegevens moeten respectievelijk overeenkomen met de velden Verleend door en Verleend aan van het digitale certificaat in het dialoogvenster Digitale certificaten. In dit voorbeeld wordt gecontroleerd of de geselecteerde digitale handtekening voldoet aan bepaalde criteria (zo wordt nagegaan of de handtekening niet is verlopen). Vervolgens wordt de nieuwe handtekening vastgelegd op de schijf.

Function AddSignature(ByVal strIssuer As String, _
    strSigner As String) As Boolean

    On Error GoTo Error_Handler

    Dim sig As Signature

    'Display the dialog box that lets the
    'user select a digital signature.
    'If the user selects a signature, then
    'it is added to the Signatures
    'collection. If the user doesn't, then
    'an error is returned.
    Set sig = ActiveDocument.Signatures.Add

    'Test several properties before commiting the Signature object to disk.
    If sig.Issuer = strIssuer And _
        sig.Signer = strSigner And _
        sig.IsCertificateExpired = False And _
        sig.IsCertificateRevoked = False And _
        sig.IsValid = True Then

        MsgBox "Signed"
        AddSignature = True
    'Otherwise, remove the Signature object from the SignatureSet collection.
    Else
        sig.Delete
        MsgBox "Not signed"
        AddSignature = False
    End If

    'Commit all signatures in the SignatureSet collection to the disk.
    ActiveDocument.Signatures.Commit

    Exit Function
Error_Handler:
    AddSignature = False
    MsgBox "Action cancelled."
End Function


IsCertificateRevoked, eigenschap

Deze eigenschap is True als het digitale certificaat dat overeenkomt met het Signature-object is ingetrokken door de uitgever van het certificaat. Boolean, alleen-lezen.

expressie.IsCertificateRevoked

expressie Vereist. Een expressie waarmee een van de objecten in de lijst Van toepassing op als resultaat wordt gegeven.

Voorbeeld

In het volgende voorbeeld wordt de gebruiker gevraagd om een digitale handtekening te selecteren waarmee deze het actieve document in Microsoft Word kan ondertekenen. Als u dit voorbeeld wilt gebruiken, opent u een document in Word en voert u de volgende informatie in voor de functie: de naam van de uitgever van de certificaten en de naam van de ondertekenaar van het certificaat. Deze gegevens moeten respectievelijk overeenkomen met de velden Verleend door en Verleend aan van het digitale certificaat in het dialoogvenster Digitale certificaten. In dit voorbeeld wordt gecontroleerd of de geselecteerde digitale handtekening voldoet aan bepaalde criteria (zo wordt nagegaan of de handtekening niet is verlopen). Vervolgens wordt de nieuwe handtekening vastgelegd op de schijf.

Function AddSignature(ByVal strIssuer As String, _
    strSigner As String) As Boolean

    On Error GoTo Error_Handler

    Dim sig As Signature

    'Display the dialog box that lets the
    'user select a digital signature.
    'If the user selects a signature, then
    'it is added to the Signatures
    'collection. If the user doesn't, then
    'an error is returned.
    Set sig = ActiveDocument.Signatures.Add

    'Test several properties before commiting the Signature object to disk.
    If sig.Issuer = strIssuer And _
        sig.Signer = strSigner And _
        sig.IsCertificateExpired = False And _
        sig.IsCertificateRevoked = False And _
        sig.IsValid = True Then

        MsgBox "Signed"
        AddSignature = True
    'Otherwise, remove the Signature object from the SignatureSet collection.
    Else
        sig.Delete
        MsgBox "Not signed"
        AddSignature = False
    End If

    'Commit all signatures in the SignatureSet collection to the disk.
    ActiveDocument.Signatures.Commit

    Exit Function
Error_Handler:
    AddSignature = False
    MsgBox "Action cancelled."
End Function


IsOpen, eigenschap

Deze eigenschap is True als het opgegeven HTML-projectitem in Microsoft-scripteditor is geopend. Boolean. Alleen-lezen.

Voorbeeld

In dit voorbeeld wordt vastgesteld of het opgegeven HTML-projectitem is geopend. Als dat het geval is, wordt het script uit het opgegeven bestand geladen.

If ActiveWorkbook.HTMLProject.HTMLProjectItems _
    .Item(1).IsOpen Then
    ActiveWorkbook.HTMLProject.HTMLProjectItems _
        .Item(1).LoadFromFile ("C:\MyScript.txt")
Else
    MsgBox "The HTMLProjectItem is not open."
End If


IsPriorityDropped, eigenschap

Deze eigenschap is True als het besturingselement van het menu of de werkbalk wordt verwijderd op basis van gebruiksstatistieken en indelingsruimte. (Dit is niet hetzelfde als de zichtbaarheid van een besturingselement, die wordt ingesteld door de eigenschap Visible.) Een besturingselement waarvan de eigenschap Visible de waarde True heeft, wordt niet direct zichtbaar op een aangepast menu of een werkbalk als de eigenschap IsPriorityDropped de waarde True heeft. Boolean. Alleen lezen.

Aanvullende informatie

Om te bepalen wanneer de waarde van IsPriorityDropped moet worden ingesteld op True voor een specifiek menu-item, houdt Microsoft Office een telling bij van het aantal keer dat het menu-item is gebruikt, en een record van het aantal verschillende sessies van een toepassing waarin de gebruiker in hetzelfde menu een ander menu-item heeft gebruikt zonder het specifieke menu-item te gebruiken. Wanneer deze waarde bepaalde drempelwaarden bereikt, wordt de telling verlaagd. Als de telling nul is, wordt de eigenschap IsPriorityDropped ingesteld op True. Programmeurs kunnen de sessiewaarde, de drempelwaarde of de eigenschap IsPriorityDropped niet instellen. Programmeurs kunnen echter wel de eigenschap AdaptiveMenus gebruiken om voor bepaalde menu's in een toepassing zich aanpassende menu's uit te schakelen.

Om te bepalen waneer de waarde van IsPriorityDropped moet worden ingesteld op True voor een specifiek besturingselement op een werkbalk, houdt Office een lijst bij van de volgorde waarin alle besturingselementen op die werkbalk voor het laatst zijn gebruikt. Op een werkbalk worden altijd zoveel mogelijk besturingselementen weergegeven, de laatst gebruikte elementen als eerst. Besturingselementen waarvan de eigenschap Priority is ingesteld op 1, worden altijd weergegeven. Indien nodig krijgen de rijen van de werkbalk terugloop om deze besturingselementen toch te kunnen weergeven. Programmeurs kunnen de eigenschap Priority gebruiken om ervoor te zorgen dat specifieke besturingselementen altijd worden weergegeven, of om werkbalken zo te plaatsen dat er voldoende ruimte is om alle besturingselementen weer te geven.

Aan de hand van de volgende tabel kunt u het aantal sessies zien dat een menu-item in een aangepast menu zichtbaar blijft voordat de eigenschap IsPriorityDropped van het menu-item wordt ingesteld op True.

Aantal malen dat het opdrachtbalk-besturingselement kan worden gebruikt | Aantal sessies van de toepassing
0, 1 | 3
2 | 6
3 | 9
4, 5 | 12
6-8 | 17
9-13 | 23
14–24 | 29
25 of meer | 31

Voorbeeld

In dit voorbeeld wordt de eigenschap IsPriorityDropped voor het eerste besturingselement op de opdrachtbalk 'Custom' gecontroleerd. Als voor de eigenschap IsPriorityDropped de waarde True is ingesteld, wordt de eigenschap AdaptiveMenus ingesteld op False, zodat de verwijderde opdrachtbalk wordt teruggeplaatst.

If CommandBars("Custom").Controls(1).IsPriorityDropped Then
    CommandBars.AdaptiveMenus = True
End If


Issuer, eigenschap

Deze eigenschap resulteert in een String die staat voor de naam van de uitgever van het digitale certificaat dat overeenkomt met het Signature-object. Alleen-lezen.

expressie.Issuer

expressie Vereist. Een expressie waarmee een van de objecten in de lijst Van toepassing op als resultaat wordt gegeven.

Voorbeeld

In het volgende voorbeeld wordt de gebruiker gevraagd om een digitale handtekening te selecteren waarmee deze het actieve document in Microsoft Word kan ondertekenen. Als u dit voorbeeld wilt gebruiken, opent u een document in Word en voert u de volgende informatie in voor de functie: de naam van de uitgever van de certificaten en de naam van de ondertekenaar van het certificaat. Deze gegevens moeten respectievelijk overeenkomen met de velden Verleend door en Verleend aan van het digitale certificaat in het dialoogvenster Digitale certificaten. In dit voorbeeld wordt gecontroleerd of de geselecteerde digitale handtekening voldoet aan bepaalde criteria (zo wordt nagegaan of de handtekening niet is verlopen). Vervolgens wordt de nieuwe handtekening vastgelegd op de schijf.

Function AddSignature(ByVal strIssuer As String, _
    strSigner As String) As Boolean

    On Error GoTo Error_Handler

    Dim sig As Signature

    'Display the dialog box that lets the
    'user select a digital signature.
    'If the user selects a signature, then
    'it is added to the Signatures
    'collection. If the user doesn't, then
    'an error is returned.
    Set sig = ActiveDocument.Signatures.Add

    'Test several properties before commiting the Signature object to disk.
    If sig.Issuer = strIssuer And _
        sig.Signer = strSigner And _
        sig.IsCertificateExpired = False And _
        sig.IsCertificateRevoked = False And _
        sig.IsValid = True Then

        MsgBox "Signed"
        AddSignature = True
    'Otherwise, remove the Signature object from the SignatureSet collection.
    Else
        sig.Delete
        MsgBox "Not signed"
        AddSignature = False
    End If

    'Commit all signatures in the SignatureSet collection to the disk.
    ActiveDocument.Signatures.Commit

    Exit Function
Error_Handler:
    AddSignature = False
    MsgBox "Action cancelled."
End Function


IsValid, eigenschap

Deze eigenschap is True als het digitale certificaat dat overeenkomt met het Signature-object een geldig certificaat is. Een certificaat kan om verschillende redenen ongeldig zijn: het kan zijn verlopen of er kunnen wijzigingen zijn aangebracht in het document waarin het certificaat zich bevindt. Boolean, alleen-lezen.

expressie.IsValid

expressie Vereist. Een expressie waarmee een van de objecten in de lijst Van toepassing op als resultaat wordt gegeven.

Voorbeeld

In het volgende voorbeeld wordt de gebruiker gevraagd om een digitale handtekening te selecteren waarmee deze het actieve document in Microsoft Word kan ondertekenen. Als u dit voorbeeld wilt gebruiken, opent u een document in Word en voert u de volgende informatie in voor de functie: de naam van de uitgever van de certificaten en de naam van de ondertekenaar van het certificaat. Deze gegevens moeten respectievelijk overeenkomen met de velden Verleend door en Verleend aan van het digitale certificaat in het dialoogvenster Digitale certificaten. In dit voorbeeld wordt gecontroleerd of de geselecteerde digitale handtekening voldoet aan bepaalde criteria (zo wordt nagegaan of de handtekening niet is verlopen). Vervolgens wordt de nieuwe handtekening vastgelegd op de schijf.

Function AddSignature(ByVal strIssuer As String, _
    strSigner As String) As Boolean

    On Error GoTo Error_Handler

    Dim sig As Signature

    'Display the dialog box that lets the
    'user select a digital signature.
    'If the user selects a signature, then
    'it is added to the Signatures
    'collection. If the user doesn't, then
    'an error is returned.
    Set sig = ActiveDocument.Signatures.Add

    'Test several properties before commiting the Signature object to disk.
    If sig.Issuer = strIssuer And _
        sig.Signer = strSigner And _
        sig.IsCertificateExpired = False And _
        sig.IsCertificateRevoked = False And _
        sig.IsValid = True Then

        MsgBox "Signed"
        AddSignature = True
    'Otherwise, remove the Signature object from the SignatureSet collection.
    Else
        sig.Delete
        MsgBox "Not signed"
        AddSignature = False
    End If

    'Commit all signatures in the SignatureSet collection to the disk.
    ActiveDocument.Signatures.Commit

    Exit Function
Error_Handler:
    AddSignature = False
    MsgBox "Action cancelled."
End Function


Item, eigenschap

De eigenschap Items zoals die van toepassing is op de FileTypes-collectie.

Deze eigenschap resulteert in een waarde die aangeeft welk bestandstype wordt gezocht door de methode Execute van het FileSearch-object. MsoFileType, alleen-lezen.

MsoFileType kan een van de volgende MsoFileType- constanten zijn.
msoFileTypeAllFiles
msoFileTypeBinders
msoFileTypeCalendarItem
msoFileTypeContactItem
msoFileTypeDatabases
msoFileTypeDataConnectionFiles
msoFileTypeDesignerFiles
msoFileTypeDocumentImagingFiles
msoFileTypeExcelWorkbooks
msoFileTypeJournalItem
msoFileTypeMailItem
msoFileTypeNoteItem
msoFileTypeOfficeFiles
msoFileTypeOutlookItems
msoFileTypePhotoDrawFiles
msoFileTypePowerPointPresentations
msoFileTypeProjectFiles
msoFileTypePublisherFiles
msoFileTypeTaskItem
msoFileTypeTemplates
msoFileTypeVisioFiles
msoFileTypeWebPages
msoFileTypeWordDocuments

expressie.Item(Index)

expressie Vereist. Een expressie die een FileTypes-collectie als resultaat geeft.

Index Long, vereist. Het indexnummer van het object dat als resultaat moet worden gegeven.

De eigenschap Item zoals die van toepassing is op objecten van het type CommandBars.

Met deze eigenschap wordt een CommandBar-object uit de CommandBars-collectie als resultaat gegeven.

expressie.Item(Index)

expressie Vereist. Een expressie die een CommandBars-object als resultaat geeft.

Index Variant, vereist. De naam of het indexnummer van het object dat als resultaat moet worden gegeven.

De eigenschap Item zoals die van toepassing is op objecten van het type CommandBarControls.

Met deze eigenschap wordt een CommandBarControl-object uit de CommandBarControls-collectie als resultaat gegeven.

expressie.Item(Index)

expressie Vereist. Een expressie die een CommandBarControls-object als resultaat geeft.

Index Variant, vereist. De naam of het indexnummer van het object dat als resultaat moet worden gegeven.

De eigenschap Item zoals die van toepassing is op objecten van het type DocumentProperties.

Met deze eigenschap wordt een DocumentProperty-object uit de DocumentProperties-collectie als resultaat gegeven.

expressie.Item(Index)

expressie Vereist. Een expressie die een DocumentProperties-object als resultaat geeft.

Index Variant, vereist. De naam of het indexnummer van de documenteigenschap die als resultaat moet worden gegeven.

De eigenschap Item zoals die van toepassing is op objecten van het type BalloonCheckboxes en BalloonLabels.

Met deze eigenschap wordt een BalloonCheckBox- of een BalloonLabel-object als resultaat gegeven.

expressie.Item(Index)

expressie Vereist. Een expressie die een van de bovenstaande objecten als resultaat geeft.

Index Long, vereist. Het indexnummer van het selectievakje of de label die als resultaat moet worden gegeven.

De eigenschap Item zoals die van toepassing is op objecten van het type MsoEnvelope.

Met deze eigenschap wordt een MailItem-object als resultaat gegeven dat kan worden gebruikt om het document te verzenden als e-mailbericht.

expressie.Item

expressie vereist. Een expressie die een MsoEnvelope-object als resultaat geeft.

De eigenschap Item zoals die van toepassing is op objecten van het type PropertyTests.

Deze eigenschap resulteert in een PropertyTest-object uit de PropertyTests-collectie.

expressie.Item(Index)

expressie Vereist. Een expressie die een PropertyTest-object als resultaat geeft.

Index Long, vereist. Het indexnummer van de eigenschapstest die als resultaat moet worden gegeven.

De eigenschap Item zoals die van toepassing is op objecten van het type ScopeFolders en SearchFolders.

Deze eigenschap geeft een ScopeFolder-object als resultaat dat een submap van het bovenliggende object vertegenwoordigt.

expressie.Item(Index)

expressie Vereist. Een expressie die een van de bovenstaande objecten als resultaat geeft.

Index Long, vereist. Bepaalt welke submap als resultaat moet worden gegeven.

De eigenschap Item zoals die van toepassing is op objecten van het type SearchScopes.

Met deze eigenschap wordt een SearchScope-object als resultaat gegeven dat overeenkomt met een gebied waarbinnen bestanden moeten worden gezocht, zoals lokale stations of Microsoft Outlook-mappen.

expressie.Item(Index)

expressie Vereist. Een expressie die een SearchScopes-object als resultaat geeft.

Index Long, vereist. Bepaalt welk SearchScope-object als resultaat moet worden gegeven.

De eigenschap Item zoals die van toepassing is op objecten van het type SignatureSet.

Deze eigenschap resulteert in een Signature-object dat overeenkomt met een van de digitale handtekeningen waarmee het document momenteel is ondertekend.

expressie.Item(iSig)

expressie Vereist. Een expressie die een SignatureSet-object als resultaat geeft.

iSig Long, vereist. Bepaalt welk Signature-object als resultaat moet worden gegeven.

De eigenschap Item zoals die van toepassing is op objecten van het type AnswerWizardFiles en FoundFiles.

Deze eigenschap resulteert respectievelijk in een bestandsnaamtekenreeks uit een AnswerWizardFiles-collectie of een bestandsnaam uit de lijst met bestandsnamen die wordt vertegenwoordigd door het FoundFiles-object. String, alleen-lezen.

expressie.Item(Index)

expressie Vereist. Een expressie die een van de bovenstaande objecten als resultaat geeft.

Index Long, vereist. Het indexnummer van de bestandsnaamtekenreeks van de Antwoordwizard of de bestandsnaam die als resultaat moet worden gegeven.

De eigenschap Item zoals die van toepassing is op objecten van het type Assistant, BalloonCheckbox, BalloonLabel en FileDialog.

Deze eigenschap resulteert in de tekst die is gekoppeld aan een object. String, Alleen-lezen.

expressie.Item

expressie Vereist. Een expressie die een van de bovenstaande objecten als resultaat geeft.

De eigenschap Item zoals die van toepassing is op objecten van het type WebPageFonts.

Deze eigenschap geeft een WebPageFont-object uit de WebPageFonts-collectie voor een bepaalde waarde van MsoCharacterSet als resultaat.

expressie.Item(Index)

expressie Vereist. Een expressie die een van de bovenstaande objecten als resultaat geeft.

Index MsoCharacterSet, vereist. De opgegeven tekenset.

MsoCharacterSet kan een van de volgende MsoCharacterSet-constanten zijn.
msoCharacterSetArabic
msoCharacterSetCyrillic
msoCharacterSetEnglishWesternEuropeanOtherLatinScript
msoCharacterSetGreek
msoCharacterSetHebrew
msoCharacterSetJapanese
msoCharacterSetKorean
msoCharacterSetMultilingualUnicode
msoCharacterSetSimplifiedChinese
msoCharacterSetThai
msoCharacterSetTraditionalChinese
msoCharacterSetVietnamese

Voorbeeld

De eigenschap zoals die van toepassing is op objecten van het type CommandBars.

De eigenschap Item is het standaardlid van het object of de collectie. De volgende twee instructies wijzen beide een CommandBar-object toe aan cmdBar.

Set cmdBar = CommandBars.Item("Standard")
Set cmdBar = CommandBars("Standard")

De eigenschap zoals die van toepassing is op objecten van het type BalloonCheckboxes en BalloonLabels.

De eigenschap Item vormt het standaardlid van het object of de collectie. Aan lblText wordt door de volgende twee instructies de tekst toegewezen van de eerste label in het Balloon-object dat is toegewezen aan myBalloon.

lblText = myBalloon.Labels(1).Item
lblText = myBalloon.Labels(1)

De eigenschap zoals die van toepassing is op objecten van het type AnswerWizardFiles en FoundFiles.

In dit voorbeeld wordt de bestandslijst voor de actieve Antwoordwizard ingesteld op de beginwaarden. Vervolgens worden het aantal bestanden en de bestandsnamen weergegeven in een berichtvenster. Hierbij wordt de eigenschap Item gebruikt om de bestandsnamen als resultaat te geven.

Dim customAnswerWizard As AnswerWizard
Dim strFileList As String
Dim intCounter As Integer
Dim intNumFiles As Integer
Set customAnswerWizard = Application.AnswerWizard
intCounter = 1

customAnswerWizard.ResetFileList
strFileList = ""
intNumFiles = customAnswerWizard.Files.Count
For intCounter = 1 To (intNumFiles)
    strFileList = strFileList & _
    customAnswerWizard.Files.Item(intCounter) & Chr(13)
Next

MsgBox "There are " & customAnswerWizard.Files.Count & _
    " files avaialble through this AnswerWizard: " & _
    Chr(13) & strFileList

De eigenschap zoals die van toepassing is op objecten van het type WebPageFonts.

In het volgende voorbeeld wordt de eigenschap Item gebruikt om in de actieve toepassing, myFont in te stellen op het WebPageFont-object voor de tekenset voor de Engelse taal, de West-Europese talen en de overige talen die het westerse schrift gebruiken.

Dim myFont As WebPageFont
Set myFont = _
 Application.DefaultWebOptions.Fonts. _
 Item(msoCharacterSetEnglishWesternEuropeanOtherLatinScript)

De eigenschap zoals die van toepassing is op objecten van het type MsoEnvelope.

In het volgende voorbeeld wordt het actieve Microsoft Word-document als een e-mailbericht verzonden naar het e-mailadres dat u doorgeeft aan de subroutine.

Sub SendMail(ByVal strRecipient As String)

    'Use a With...End With block to reference the msoEnvelope object.
    With Application.ActiveDocument.MailEnvelope

        'Add some introductory text before the body of the e-mail message.
        .Introduction = "Please read this and send me your comments."

        'Return a MailItem object that you can use to send the document.
        With .Item

            'All of the mail item settings are saved with the document.
            'When you add a recipient to the Recipients collection
            'or change other properties these settings will persist.

            .Recipients.Add strRecipient
            .Subject = "Here is the document."

            'The body of this message will be
            'the content of the active document.
            .Send
        End With
    End With
End Sub


KeyboardShortcutTips, eigenschap

Mogelijk is een deel van dit onderwerp niet van toepassing op bepaalde talen.

Deze eigenschap is True als de Office-assistent Help-informatie geeft over sneltoetsen. Boolean. Lezen/schrijven.

Aanvullende informatie

De eigenschap FeatureShortcutTips komt overeen met de optie Sneltoetsen onder Tips weergeven op het tabblad Opties in het dialoogvenster Office-assistent.

Voorbeeld

In dit voorbeeld wordt de Office-assistent zo ingesteld dat deze Help-informatie geeft over sneltoetsen.

Assistant.KeyboardShortcutTips = True


Labels, eigenschap

Mogelijk is een deel van dit onderwerp niet van toepassing op bepaalde talen.

Deze eigenschap geeft een BalloonLabels-collectie als resultaat die de knoplabels, nummerlabels en bulletlabels vertegenwoordigt in de opgegeven tekstballon van de Office-assistent. Alleen-lezen.

Zie Een object uit een collectie als resultaat geven voor informatie over het opvragen van een afzonderlijk lid van een collectie.

Voorbeeld

In dit voorbeeld wordt een tekstballon gemaakt die drie keuzemogelijkheden bevat. De variabele x wordt ingesteld op de resultaatwaarde van de methode Show. Deze resultaatwaarde is 1, 2 of 3, afhankelijk van de label waarop de gebruiker klikt. In het voorbeeld wordt de waarde van de variabele x weergegeven in een eenvoudig berichtvenster. U kunt deze waarde echter ook doorgeven aan een andere procedure of gebruiken in een instructie Select Case.

Set b = Assistant.NewBalloon
With b
    .Heading = "This is my heading"
    .Text = "Select one of these things:"
    .Labels(1).Text = "Choice One"
    .Labels(2).Text = "Choice Two"
    .Labels(3).Text = "Choice Three"
    x = .Show
End With
MsgBox x


Language, eigenschap

Met deze eigenschap wordt de scripttaal van het actieve script als resultaat gegeven of ingesteld. MsoScriptLanguage. Lezen/schrijven.

MsoScriptLanguage kan een van de volgende MsoScriptLanguage-constanten zijn.
msoScriptLanguageASP
msoScriptLanguageJava
msoScriptLanguageOther
msoScriptLanguageVisualBasic

Aanvullende informatie

De MsoScriptLanguage-constanten die voor de eigenschap Language worden gebruikt, worden ook in de parameter Language in de methode Add van de Scripts-collectie gebruikt.

Voorbeeld

In dit voorbeeld wordt de waarde van de eigenschap Language gecontroleerd om ervoor te zorgen dat het eerste script in werkblad 1 van de actieve werkmap in VBScript wordt geschreven.

If ActiveWorkbook.Worksheets(1).Scripts(1).Language <> _
    msoScriptLanguageVisualBasic Then
      MsgBox "Language is not set to VBScript."
End If


LanguageID, eigenschap

Deze eigenschap geeft de LCID (Locale Identifier) voor de installatietaal, de taal van de gebruikersinterface of de taal van de Help als resultaat. Long. Alleen-lezen.

expressie.LanguageID(Id)

expressie Vereist. Een expressie die een LanguageSettings-object als resultaat geeft.

Id MsoAppLanguageID, vereist.

MsoAppLanguageID-constante | Betekenis
msoLanguageIDExeMode | De taalmodus die in de toepassing wordt gebruikt. Deze instelling is alleen van toepassing op Microsoft Excel en Microsoft Access. De instelling bepaalt de talen die kunnen worden weergegeven en waarin bewerkingen kunnen worden uitgevoerd en bepaalt ook de beschikbare taalspecifieke functies, de notatie van getallen, de instellingen voor valuta enzovoort. Als geen van de door Excel en Access ondersteunde talen wordt gebruikt, zal de hosttoepassing het schrijven en lezen van rechts naar links en Oost-Aziatische talen niet ondersteunen. De volgende talen worden ondersteund: Arabisch Farsi Hebreeuws Japans Jiddisch Koreaans Traditioneel Chinees Urdu Vereenvoudigd Chinees
msoLanguageIDHelp | De taal die voor de on line Help wordt gebruikt.
msoLanguageIDInstall | De taalinstelling die door Microsoft Office wordt gebruikt om de standaardinstellingen in te stellen. In Microsoft Word wordt deze instelling bijvoorbeeld gebruikt om per taal het uiterlijk van werkbalken en het standaardtype van opsommingstekens en nummers te bepalen.
msoLanguageIDUI | De taal die voor de gebruikersinterface van de hosttoepassing wordt gebruikt.
msoLanguageIDUIPrevious | De taalinstelling die voor de gebruikersinterface van een bepaalde computer werd gebruikt voordat deze opnieuw werd opgestart. Een programma of invoegtoepassing kan aan de hand hiervan vaststellen of de taal van de gebruikersinterface is veranderd.

Voorbeeld

In dit voorbeeld uit Microsoft Excel worden de instellingen van de eigenschap LanguageID voor de gebruikersinterface en de uitvoeringsmodus gecontroleerd om na te gaan of ze wel op dezelfde LCID zijn ingesteld. Als de LCID's niet identiek zijn, geeft deze voorbeeldcode een fout als resultaat.

If Application.LanguageSettings.LanguageID(msoLanguageIDExeMode) _
    <> Application.LanguageSettings.LanguageID(msoLanguageIDUI) _
    Then MsgBox "The user interface language and execution " & _
    "mode are different."


LanguagePreferredForEditing, eigenschap

Deze eigenschap is True als de waarde voor de msoLanguageID-constante in het Windows-register is geïdentificeerd als een voorkeurstaal voor het bewerken. Boolean. Alleen-lezen.

expressie.LanguagePreferredForEditing(lid)

expressie Vereist. Een expressie die een van de objecten in de lijst Van toepassing op retourneert.

lid MsoLanguageID, vereist.

MsoLanguageID kan een van de volgende MsoLanguageID-constanten zijn.
msoLanguageIDAfrikaans
msoLanguageIDAlbanian
msoLanguageIDAmharic
msoLanguageIDArabic
msoLanguageIDArabicAlgeria
msoLanguageIDArabicBahrain
msoLanguageIDArabicEgypt
msoLanguageIDArabicIraq
msoLanguageIDArabicJordan
msoLanguageIDArabicKuwait
msoLanguageIDArabicLebanon
msoLanguageIDArabicLibya
msoLanguageIDArabicMorocco
msoLanguageIDArabicOman
msoLanguageIDArabicQatar
msoLanguageIDArabicSyria
msoLanguageIDArabicTunisia
msoLanguageIDArabicUAE
msoLanguageIDArabicYemen
msoLanguageIDArmenian
msoLanguageIDAssamese
msoLanguageIDAzeriCyrillic
msoLanguageIDAzeriLatin
msoLanguageIDBasque
msoLanguageIDBelgianDutch
msoLanguageIDBelgianFrench
msoLanguageIDBengali
msoLanguageIDBrazilianPortuguese
msoLanguageIDBulgarian
msoLanguageIDBurmese
msoLanguageIDByelorussian
msoLanguageIDCatalan
msoLanguageIDCherokee
msoLanguageIDChineseHongKong
msoLanguageIDChineseMacao
msoLanguageIDChineseSingapore
msoLanguageIDCroatian
msoLanguageIDCzech
msoLanguageIDDanish
msoLanguageIDDutch
msoLanguageIDEnglishAUS
msoLanguageIDEnglishBelize
msoLanguageIDEnglishCanadian
msoLanguageIDEnglishCaribbean
msoLanguageIDEnglishIreland
msoLanguageIDEnglishJamaica
msoLanguageIDEnglishNewZealand
msoLanguageIDEnglishPhilippines
msoLanguageIDEnglishSouthAfrica
msoLanguageIDEnglishTrinidad
msoLanguageIDEnglishUK
msoLanguageIDEnglishUS
msoLanguageIDEnglishZimbabwe
msoLanguageIDEstonian
msoLanguageIDFaeroese
msoLanguageIDFarsi
msoLanguageIDFinnish
msoLanguageIDFrench
msoLanguageIDFrenchCameroon
msoLanguageIDFrenchCanadian
msoLanguageIDFrenchCotedIvoire
msoLanguageIDFrenchLuxembourg
msoLanguageIDFrenchMali
msoLanguageIDFrenchMonaco
msoLanguageIDFrenchReunion
msoLanguageIDFrenchSenegal
msoLanguageIDFrenchWestIndies
msoLanguageIDFrenchZaire
msoLanguageIDFrisianNetherlands
msoLanguageIDGaelicIreland
msoLanguageIDGaelicScotland
msoLanguageIDGalician
msoLanguageIDGeorgian
msoLanguageIDGerman
msoLanguageIDGermanAustria
msoLanguageIDGermanLiechtenstein
msoLanguageIDGermanLuxembourg
msoLanguageIDGreek
msoLanguageIDGujarati
msoLanguageIDHebrew
msoLanguageIDHindi
msoLanguageIDHungarian
msoLanguageIDIcelandic
msoLanguageIDIndonesian
msoLanguageIDInuktitut
msoLanguageIDItalian
msoLanguageIDJapanese
msoLanguageIDKannada
msoLanguageIDKashmiri
msoLanguageIDKazakh
msoLanguageIDKhmer
msoLanguageIDKirghiz
msoLanguageIDKonkani
msoLanguageIDKorean
msoLanguageIDLao
msoLanguageIDLatvian
msoLanguageIDLithuanian
msoLanguageIDMacedonian
msoLanguageIDMalayalam
msoLanguageIDMalayBruneiDarussalam
msoLanguageIDMalaysian
msoLanguageIDMaltese
msoLanguageIDManipuri
msoLanguageIDMarathi
msoLanguageIDMexicanSpanish
msoLanguageIDMixed
msoLanguageIDMongolian
msoLanguageIDNepali
msoLanguageIDNone
msoLanguageIDNoProofing
msoLanguageIDNorwegianBokmol
msoLanguageIDNorwegianNynorsk
msoLanguageIDOriya
msoLanguageIDOromo
msoLanguageIDPolish
msoLanguageIDPortuguese
msoLanguageIDPunjabi
msoLanguageIDRhaetoRomanic
msoLanguageIDRomanian
msoLanguageIDRomanianMoldova
msoLanguageIDRussian
msoLanguageIDRussianMoldova
msoLanguageIDSamiLappish
msoLanguageIDSanskrit
msoLanguageIDSerbianCyrillic
msoLanguageIDSerbianLatin
msoLanguageIDSesotho
msoLanguageIDSimplifiedChinese
msoLanguageIDSindhi
msoLanguageIDSlovak
msoLanguageIDSlovenian
msoLanguageIDSorbian
msoLanguageIDSpanish
msoLanguageIDSpanishArgentina
msoLanguageIDSpanishBolivia
msoLanguageIDSpanishChile
msoLanguageIDSpanishColombia
msoLanguageIDSpanishCostaRica
msoLanguageIDSpanishDominicanRepublic
msoLanguageIDSpanishEcuador
msoLanguageIDSpanishElSalvador
msoLanguageIDSpanishGuatemala
msoLanguageIDSpanishHonduras
msoLanguageIDSpanishModernSort
msoLanguageIDSpanishNicaragua
msoLanguageIDSpanishPanama
msoLanguageIDSpanishParaguay
msoLanguageIDSpanishPeru
msoLanguageIDSpanishPuertoRico
msoLanguageIDSpanishUruguay
msoLanguageIDSpanishVenezuela
msoLanguageIDSutu
msoLanguageIDSwahili
msoLanguageIDSwedish
msoLanguageIDSwedishFinland
msoLanguageIDSwissFrench
msoLanguageIDSwissGerman
msoLanguageIDSwissItalian
msoLanguageIDTajik
msoLanguageIDTamil
msoLanguageIDTatar
msoLanguageIDTelugu
msoLanguageIDThai
msoLanguageIDTibetan
msoLanguageIDTigrignaEritrea
msoLanguageIDTigrignaEthiopic
msoLanguageIDTraditionalChinese
msoLanguageIDTsonga
msoLanguageIDTswana
msoLanguageIDTurkish
msoLanguageIDTurkmen
msoLanguageIDUkrainian
msoLanguageIDUrdu
msoLanguageIDUzbekCyrillic
msoLanguageIDUzbekLatin
msoLanguageIDVenda
msoLanguageIDVietnamese
msoLanguageIDWelsh
msoLanguageIDXhosa
msoLanguageIDZulu

Aanvullende informatie

U moet alle geldige msoLanguageID-waarden testen als u wilt weten welke talen tot de set voorkeurstalen behoren.

Voorbeeld

In dit voorbeeld wordt een bericht weergegeven als Engels (Verenigde Staten) een voorkeurstaal voor bewerken is.

If Application.LanguageSettings. _
    LanguagePreferredForEditing(msoLanguageIDEnglishUS) Then
    MsgBox "One of the preferred editing languages is US English."
End If


LargeButtons, eigenschap

Deze eigenschap is True als grote werkbalkknoppen worden weergegeven. Boolean. Lezen/schrijven.

Voorbeeld

In dit voorbeeld wordt geschakeld tussen kleine en grote werkbalkknoppen op alle opdrachtbalken.

Set allBars = CommandBars
If allBars.LargeButtons Then
    allBars.LargeButtons = False
Else
    allBars.LargeButtons = True
End If


LastModified, eigenschap

Met deze eigenschap wordt een constante als resultaat gegeven of ingesteld die aangeeft wanneer het opgegeven bestand voor het laatst is gewijzigd en opgeslagen. De standaardwaarde is msoLastModifiedAnyTime. MsoLastModified. Lezen/schrijven.

MsoLastModified kan een van de volgende MsoLastModified-constanten zijn.
msoLastModifiedAnyTime
msoLastModifiedLastMonth
msoLastModifiedLastWeek
msoLastModifiedThisMonth
msoLastModifiedThisWeek
msoLastModifiedToday
msoLastModifiedYesterday

Voorbeeld

In dit voorbeeld worden opties voor een zoekbewerking ingesteld. De zoekbewerking resulteert in bestanden die recent zijn gewijzigd en die zich in de map C:\My Documents of in een submap van deze map bevinden.

Set fs = Application.FileSearch
With fs
    .LookIn = "C:\My Documents"
    .SearchSubFolders = True
    .LastModified = msoLastModifiedYesterday
End With


Left, eigenschap

Bepaalde inhoud in dit onderwerp is mogelijk niet van toepassing op sommige talen.

De eigenschap Left zoals die van toepassing is op objecten van het type Assistant en CommandBar.

Met deze eigenschap wordt de horizontale positie van het venster Office-assistent (in punten) als resultaat gegeven of ingesteld. Ook kan hiermee de afstand (in pixels) van de opdrachtbalk vanaf de linkerrand van het opgegeven object ten opzichte van het scherm worden ingesteld. Long, lezen/schrijven.

expressie.Left

expressie Vereist. Een expressie die een van de bovenstaande objecten als resultaat geeft.

De eigenschap Left zoals die van toepassing is op objecten van het type CommandBarButton, CommandBarComboBox, CommandBarControl en CommandBarPopup.

Met deze eigenschap wordt de horizontale afstand van het opgegeven besturingselement voor de opdrachtbalk (in pixels) tot de linkerrand van het scherm als resultaat gegeven of ingesteld. De eigenschap resulteert in de afstand vanaf de linkerzijde van het dokgebied. Long, alleen-lezen.

expressie.Left

expressie Vereist. Een expressie die een van de bovenstaande objecten als resultaat geeft.

Voorbeeld

De eigenschap zoals die van toepassing is op objecten van het type Assistant en CommandBar.

In dit voorbeeld wordt de Office-assistent weergegeven en binnen het toepassingsvenster naar de opgegeven positie verplaatst.

With Assistant
    .Visible = True
    .Left = 300
    .Top = 300
End With

In dit voorbeeld wordt de aangepaste opdrachtbalk met de naam Custom uit het dok gehaald en vanaf de bovenkant van het venster naar de linkerrand van het venster verplaatst.

Set myBar = CommandBars("Custom")
With myBar
    .Position = 1
    .RowIndex = 2
    .Left = 0
End With


LinkSource, eigenschap

Met deze eigenschap wordt de bron van een gekoppelde aangepaste documenteigenschap als resultaat gegeven of ingesteld. String. Lezen/schrijven.

Aanvullende informatie

Deze eigenschap is alleen van toepassing op aangepaste documenteigenschappen. U kunt de eigenschap niet gebruiken bij ingebouwde documenteigenschappen.

De bron van de opgegeven koppeling wordt gedefinieerd door de containertoepassing.

Als de eigenschap LinkSource wordt ingesteld, krijgt de eigenschap LinkToContent de waarde True.

Voorbeeld

In dit voorbeeld wordt de gekoppelde status van een aangepaste documenteigenschap weergegeven. Het element dp moet een geldig DocumentProperty-object zijn.

Sub DisplayLinkStatus(dp As DocumentProperty)
    Dim stat As String, tf As String
    If dp.LinkToContent Then
        tf = ""
    Else
        tf = "not "
    End If
    stat = "This property is " & tf & "linked"
    If dp.LinkToContent Then
        stat = stat + Chr(13) & "The link source is " & dp.LinkSource
    End If
    MsgBox stat
End Sub


LinkToContent, eigenschap

Deze eigenschap is True als de waarde van de aangepaste documenteigenschap is gekoppeld aan de inhoud van het containerdocument. De eigenschap is False als de waarde statisch is. Boolean. Lezen/schrijven.

Aanvullende informatie

Deze eigenschap is alleen van toepassing op aangepaste documenteigenschappen. Voor ingebouwde documenteigenschappen is de eigenschap altijd False.

Met de eigenschap LinkSource kunt u de bron voor de opgegeven gekoppelde eigenschap instellen. Als de eigenschap LinkSource wordt ingesteld, krijgt de eigenschap LinkToContent de waarde True.

Voorbeeld

In dit voorbeeld wordt de gekoppelde status van de aangepaste documenteigenschap weergegeven. Het element dp moet een geldig DocumentProperty-object zijn.

Sub DisplayLinkStatus(dp As DocumentProperty)
    Dim stat As String, tf As String
    If dp.LinkToContent Then
        tf = ""
    Else
        tf = "not "
    End If
    stat = "This property is " & tf & "linked"
    If dp.LinkToContent Then
        stat = stat + Chr(13) & "The link source is " & dp.LinkSource
    End If
    MsgBox stat
End Sub


List, eigenschap

Met deze eigenschap wordt de waarde van een lijstitem in een keuzelijst met invoervak op een opdrachtbalk als resultaat gegeven of ingesteld. String. Lezen/schrijven.

Opmerking Deze eigenschap is alleen-lezen voor ingebouwde keuzelijsten met invoervak.

expressie.List(Index)

expressie Vereist. Een expressie die een CommandBarComboBox-object vereist.

Index Long, vereist. Het lijstitem dat moet worden ingesteld.

Voorbeeld

In dit voorbeeld wordt het vierde lijstitem gecontroleerd dat zich bevindt in de keuzelijst met invoervak met het bijschrift 'Stock Data' op de opdrachtbalk 'Custom'. Als dit vierde item niet het item 'View News' is, wordt een berichtvenster weergegeven waarin wordt gemeld dat de keuzelijst met invoervak mogelijk is beschadigd en waarin de gebruiker wordt gevraagd de toepassing opnieuw te installeren.

Set myBar = CommandBars _
    .Add(Name:="Custom", Position:=msoBarTop, _
    Temporary:=True)
With myBar
    .Controls.Add Type:=msoControlComboBox, ID:=1
    .Visible = True
End With
With CommandBars("Custom").Controls(1)
    .AddItem "Get Stock Quote", 1
    .AddItem "View Chart", 2
    .AddItem "View Fundamentals", 3
    .AddItem "View News", 4
    .Caption = "Stock Data"
    .DescriptionText = "View Data For Stock"
End With
If CommandBars("Custom").Controls(1).List(4) _
     <> "View News" Then
MsgBox ("Stock Data appears to be damaged." & _
     " Please reinstall application.")
End If


ListCount, eigenschap

Deze eigenschap geeft het aantal lijstitems in een keuzelijst met invoervak op een opdrachtbalk als resultaat. Long. Alleen-lezen.

Voorbeeld

In dit voorbeeld wordt gecontroleerd hoeveel items zich in de keuzelijst met invoervak op de opdrachtbalk 'Custom' bevinden. Als de lijst die door de procedure wordt geproduceerd, niet drie items bevat, wordt een berichtvenster weergegeven waarin wordt gemeld dat de keuzelijst met invoervak mogelijk is beschadigd en waarin aan de gebruiker wordt gevraagd de toepassing opnieuw te installeren.

Set myBar = CommandBars _
    .Add(Name:="Custom", Position:=msoBarTop, _
    Temporary:=True)
With myBar
    .Controls.Add Type:=msoControlComboBox, ID:=1
    .Visible = True
End With
With CommandBars("Custom").Controls(1)
    .AddItem "Get Stock Quote", 1
    .AddItem "View Chart", 2
    .AddItem "View Fundamentals", 3
    .Caption = "Stock Data"
    .DescriptionText = "View Data For Stock"
End With
If CommandBars("Custom").Controls(1).ListCount _
     <> 4 Then
MsgBox ("ComboBox appears to be damaged." & _
     " Please reinstall.")
End If


ListHeaderCount, eigenschap

Met deze eigenschap wordt het aantal lijstitems dat in een keuzelijst met invoervak boven de scheidingslijn wordt weergegeven, als resultaat gegeven of ingesteld. Long. Lezen/schrijven.

Opmerking Deze eigenschap is alleen-lezen voor ingebouwde keuzelijsten met invoervak.

Aanvullende informatie

Als de eigenschap ListHeaderCount de waarde – 1 heeft, geeft dat aan dat de keuzelijst met invoervak geen scheidingslijn bevat.

Voorbeeld

In dit voorbeeld wordt een keuzelijst met invoervak aan de opdrachtbalk 'Custom' toegevoegd. Vervolgens worden twee items aan de keuzelijst toegevoegd. In het voorbeeld wordt de eigenschap ListHeaderCount gebruikt om een scheidingslijn te trekken tussen het eerste en het tweede item in de keuzelijst met invoervak. Bovendien worden het aantal regels, de breedte van de keuzelijst en een standaardwaarde voor een lege keuzelijst met invoervak ingesteld.

Set myBar = CommandBars("Custom")
Set myControl = myBar.Controls.Add(Type:=msoControlComboBox)
With myControl
    .AddItem Text:="First Item", Index:=1
    .AddItem Text:="Second Item", Index:=2
    .DropDownLines = 3
    .DropDownWidth = 75
    .ListHeaderCount = 1
End With


ListIndex, eigenschap

Met deze eigenschap wordt het indexnummer als resultaat gegeven of ingesteld van het geselecteerde item in het lijstgedeelte van de keuzelijst met invoervak op de opdrachtbalk. Als niets in de lijst is geselecteerd, geeft deze eigenschap nul als resultaat. Long. Lezen/schrijven.

Opmerking Deze eigenschap mislukt als deze wordt toegepast op andere besturingselementen dan lijsten.

Aanvullende informatie

Als de eigenschap ListIndex wordt ingesteld, wordt in het opgegeven besturingselement het opgegeven item geselecteerd en wordt de bijbehorende actie uitgevoerd in de toepassing.

Voorbeeld

In dit voorbeeld wordt de eigenschap ListIndex gebruikt om te bepalen welke subroutine moet worden uitgevoerd op basis van de keuze die is gemaakt in de keuzelijst met invoervak op de opdrachtbalk 'My Custom Bar'. Omdat in deze procedure gebruik wordt gemaakt van de eigenschap ListIndex, kan de tekst in de keuzelijst met invoervak een willekeurige tekst zijn.

Sub processSelection()
Dim userChoice As Long
userChoice = CommandBars("My Custom Bar").Controls(1).ListIndex
    Select Case userChoice
        Case 1
            chartcourse
        Case 2
            displaygraph
        Case Else
            MsgBox ("Invalid choice. Please choose again.")
    End Select
End Sub


Location, eigenschap

Met deze eigenschap wordt de locatie van het scriptanker in het opgegeven HTML-document als resultaat gegeven. MsoScriptLocation. Alleen-lezen.

MsoScriptLocation kan een van de volgende MsoScriptLocation-constanten zijn.
msoScriptLocationInBody
msoScriptLocationInHead

Aanvullende informatie

Scriptcodes in een HTML-document kunnen op elke willekeurige plaats tussen de <HTML>-codes in het document verschijnen. In Microsoft Word, Excel of PowerPoint zijn alleen die scriptankers zichtbaar die zich tussen de <BODY>-codes bevinden. De extra scriptankers in het HTML-document die voor de eerste of na de laatste <BODY>-code zijn geplaatst, worden opgeslagen maar zijn niet zichtbaar voor de gebruiker.

De Scripts-collectie bevat alle scriptankers die in het document verschijnen, zowel de scriptankers die binnen de platte tekst (body) van het document vallen als de scriptankers die daar buiten vallen. Met het argument Location van de methode Add kunt u in het HTML-document scriptankers binnen de <HEAD>- en <BODY>-code invoegen. U kunt de eigenschap Location ook gebruiken om vast te stellen waar een bepaald scriptanker in het document is opgeslagen.

Voorbeeld

In dit voorbeeld wordt gecontroleerd welke waarde de eigenschap Location van het eerste script in werkblad 1 van de actieve werkmap heeft en wordt vervolgens de locatie in een berichtvenster weergegeven.

If ActiveWorkbook.Worksheets(1).Scripts(1).Location = 1 Then
    MsgBox "The script in located in the header."
End If
If ActiveWorkbook.Worksheets(1).Scripts(1).Location = 2 Then
    MsgBox "The script in located in the body of the worksheet."
End If


LookIn, eigenschap

Met deze eigenschap wordt de map die tijdens de opgegeven zoekbewerking moet worden doorzocht, als resultaat gegeven of ingesteld. String. Lezen/schrijven.

Voorbeeld

In dit voorbeeld wordt in de map My Documents gezocht naar alle bestanden waarvan de naam begint met 'Cmd'. Vervolgens worden de naam en de locatie van elk gevonden bestand weergegeven.

Set fs = Application.FileSearch
With fs
    .LookIn = "C:\My Documents"
    .FileName = "cmd*.*"
    If .Execute > 0 Then
        MsgBox "There were " & .FoundFiles.Count & _
        " file(s) found."
        For i = 1 To .FoundFiles.Count
            MsgBox .FoundFiles(i)
        Next i
    Else
        MsgBox "There were no files found."
    End If
End With


Mask, eigenschap

Deze eigenschap resulteert in een IPictureDisp-object dat staat voor de maskerafbeelding van een CommandBarButton-object. De maskerafbeelding bepaalt welke gedeelten van de knopafbeelding transparant zijn.

expressie.Mask

expressie Vereist. Een expressie die een CommandBarButton-object als resultaat geeft.

Opmerkingen

Als u een afbeelding maakt die u als maskerafbeelding wilt gebruiken, moeten alle gebieden die u transparant wilt weergeven wit zijn. De gebieden die u normaal zichtbaar wilt weergeven moeten zwart zijn.

U moet het masker altijd instellen nadat u de figuur voor een CommandBarButton-object hebt ingesteld.

Voorbeeld

In het volgende voorbeeld worden de afbeelding en het masker ingesteld van de eerste CommandBarButton die door de code als resultaat wordt gegeven. Als u het voorbeeld zelf wilt gebruiken, moet u een maskerafbeelding en een knopafbeelding maken en de paden in het voorbeeld vervangen door de paden naar uw afbeeldingen.

Sub ChangeButtonImage()
    Dim picPicture As IPictureDisp
    Dim picMask As IPictureDisp

    Set picPicture = stdole.StdFunctions.LoadPicture( _
        "c:\images\picture.bmp")
    Set picMask = stdole.StdFunctions.LoadPicture( _
        "c:\images\mask.bmp")

    'Reference the first button on the first command bar
    'using a With...End With block.
    With Application.CommandBars.FindControl(msoControlButton)
        'Change the button image.
        .Picture = picButton

        'Use the second image to define the area of the
        'button that should be transparent.
        .Mask = picMask
    End With
End Sub

In het volgende voorbeeld worden de afbeelding en het masker opgehaald van de eerste CommandBarButton die door de code als resultaat wordt gegeven. Vervolgens worden deze items uitgevoerd naar een bestand. Hierbij moet u een pad voor de uitvoerbestanden opgeven.

Sub GetButtonImageAndMask()
    Dim picPicture As IPictureDisp
    Dim picMask As IPictureDisp

    With Application.CommandBars.FindControl(msoControlButton)
        'Get the button image and mask of the this CommandBarButton object
        Set picPicture = .Picture
        Set picMask = .Mask
    End With

    'Save the button image and mask in a folder.
    stdole.SavePicture picPicture, "c:\temp\image.bmp"
    stdole.SavePicture picMask, "c:\temp\mask.bmp"
End Sub


MatchAllWordForms, eigenschap

Mogelijk is een deel van dit onderwerp niet van toepassing op bepaalde talen.

Deze eigenschap is True als de opgegeven zoekbewerking ook alle vormen van het opgegeven woord moet omvatten die mogelijk in de tekst van het bestand of in de bestandseigenschappen aanwezig zijn. Boolean. Lezen/schrijven.

Aanvullende informatie

Deze eigenschap is alleen beschikbaar als het bestand Mswds_en.lex is geïnstalleerd en geregistreerd. Als u tijdens de installatieprocedure voor de standaardinstallatie hebt gekozen, is dit bestand niet geïnstalleerd.

Voorbeeld

In dit voorbeeld worden alle bestanden gevonden waarvan de tekst of de eigenschappen een of meer van de woordvormen van 'run' bevatten, zoals 'run', 'running', 'runs' of 'ran'. Met de eigenschap TextOrProperty stelt u het te zoeken woord in en beperkt u de zoekbewerking tot de tekst van het bestand of de bestandseigenschappen.

With Application.FileSearch
    .NewSearch
    .LookIn = "C:\My Documents"
    .SearchSubFolders = True
    .TextOrProperty = "run"
    .MatchAllWordForms = True
    .FileType = msoFileTypeAllFiles
End With


MatchTextExactly, eigenschap

Mogelijk is een deel van dit onderwerp niet van toepassing op bepaalde talen.

Deze eigenschap is True als met de opgegeven zoekbewerking alleen bestanden worden gezocht waarvan de tekst of de eigenschappen exact hetzelfde woord of exact dezelfde woordgroep bevatten als u hebt opgegeven. Boolean. Lezen/schrijven.

Voorbeeld

In dit voorbeeld wordt in de map C:\My Documents gezocht naar alle bestanden waarvan de tekst of de eigenschappen het woord 'Run' bevatten.

With Application.FileSearch
    .NewSearch
    .LookIn = "C:\My Documents"
    .TextOrProperty = "Run"
    .MatchTextExactly = True
    .FileType = msoFileTypeAllFiles
End With


MenuAnimationStyle, eigenschap

Met deze eigenschap wordt de manier waarop een opdrachtbalk wordt geanimeerd, als resultaat gegeven of ingesteld. MsoMenuAnimation. Lezen/schrijven.

MsoMenuAnimation kan een van de volgende MsoMenuAnimation-constanten zijn.
msoMenuAnimationNone
msoMenuAnimationRandom
msoMenuAnimationSlide
msoMenuAnimationUnfold

Voorbeeld

In dit voorbeeld worden opties voor alle opdrachtbalken in Microsoft Office ingesteld.

With CommandBars
    .LargeButtons = True
    .DisplayTooltips = True
    .DisplayKeysInTooltips = True
    .MenuAnimationStyle = msoMenuAnimationUnfold
End With


Mode, eigenschap

Mogelijk is een deel van dit onderwerp niet van toepassing op bepaalde talen.

Met deze eigenschap wordt het modale gedrag van een ballon van de Office-assistent als resultaat gegeven of ingesteld. Als u een Balloon-object maakt, wordt deze eigenschap in eerste instantie ingesteld op msoModeModal. MsoModeType. Lezen/schrijven.

MsoModeType kan een van de volgende MsoModeType-constanten zijn.
msoModeAutoDown
msoModeModal
msoModeModeless

Aanvullende informatie

Als de eigenschap Mode voor een ballon is ingesteld op msoModeModeless, kan de gebruiker in de toepassing werken terwijl de ballon zichtbaar blijft. Als de eigenschap is ingesteld op msoModeModal, moet de gebruiker de ballon uitschakelen voordat deze weer verder kan werken in de toepassing. Als de eigenschap is ingesteld op msoModeAutoDown, wordt de ballon meteen uitgeschakeld zodra de gebruiker ergens op het scherm klikt.

Als de eigenschap Mode voor een ballon is ingesteld op msoModeModeless en als de eigenschap Callback geen waarde heeft gekregen, treedt er een fout op. De methode Close kan alleen worden gebruikt in de procedure die is opgegeven door de eigenschap Callback, als de eigenschap Mode is ingesteld op msoModeModeless.

Voorbeeld

In dit voorbeeld wordt een tekstballon gemaakt met een waarschuwingspictogram, om de gebruiker erop te wijzen dat deze een printer moet selecteren. Omdat de ballon niet-modusgebonden is, kan de gebruiker printeropdrachten kiezen terwijl de ballon zichtbaar is. Als de gebruiker op de knop OK klikt, wordt de procedure die in de eigenschap Callback is opgegeven, uitgevoerd.

With Assistant.NewBalloon
    .Heading = "Select A Printer"
    .Text = "You must select a printer before printing."
    .Icon = msoIconAlert
    .CheckBoxes(1).Text = "Local printer"
    .CheckBoxes(2).Text = "Network printer"
    .Mode = msoModeModeless
    .Callback = "ProcessPrinter"
    .Show
End With


MouseTips, eigenschap

Mogelijk is een deel van dit onderwerp niet van toepassing op bepaalde talen.

Deze eigenschap is True als de Office-assistent suggesties geeft voor een effectiever gebruik van de muis Boolean. Lezen/schrijven.

Aanvullende informatie

De eigenschap MouseTips komt overeen met de optie Muis effectiever gebruiken onder Tips weergeven op het tabblad Opties in het dialoogvenster Office-assistent.

Voorbeeld

In dit voorbeeld wordt de Office-assistent zo ingesteld dat deze suggesties geeft voor een effectiever gebruik van de muis.

Assistant.MouseTips = True


MoveWhenInTheWay, eigenschap

Mogelijk is een deel van dit onderwerp niet van toepassing op bepaalde talen.

Deze eigenschap is True als het venster van de Office-assistent automatisch wordt verplaatst wanneer dit het werkgebied van de gebruiker bedekt. Zo wordt de assistent bijvoorbeeld verplaatst als deze in de weg staat bij slepen en neerzetten of als deze toetsaanslagen hindert. Boolean. Lezen/schrijven.

Aanvullende informatie

De standaardwaarde is True. De eigenschap MoveWhenInTheWay komt overeen met de optie Verplaatsen indien nodig onder De Office-assistent gebruiken op het tabblad Opties in het dialoogvenster Office-assistent.

Voorbeeld

In dit voorbeeld wordt de Office-assistent weergegeven op een bepaalde locatie en worden enkele opties ingesteld voordat de assistent zichtbaar en actief wordt gemaakt.

With Assistant
    .On = True
    .Visible = True
    .Left = 400
    If Not MoveWhenInTheWay Then MoveWhenInTheWay = True
    .Animation = msoAnimationGetAttentionMajor
End With


Name, eigenschap

Met deze eigenschap wordt de naam van het opgegeven object als resultaat gegeven of ingesteld. String. Lezen/schrijven voor CommandBar- en DocumentProperty-objecten; String. Alleen-lezen voor alle andere objecten.

Aanvullende informatie

De lokale naam van een ingebouwde opdrachtbalk wordt in de titelbalk weergegeven (tenzij de opdrachtbalk zich in een dok bevindt) en in de lijst met beschikbare opdrachtbalken, waar deze lijst ook wordt weergegeven in de containertoepassing.

Voor een ingebouwde opdrachtbalk geeft de eigenschap Name de Amerikaans Engelse naam van de opdrachtbalk als resultaat. Gebruik de eigenschap NameLocal om de lokale naam als resultaat te geven.

Als u de waarde van de eigenschap LocalName voor een aangepaste opdrachtbalk wijzigt, verandert de waarde van de eigenschap Name ook en vice versa.

Voorbeeld

In dit voorbeeld wordt in de collectie met opdrachtbalken naar de opdrachtbalk 'Custom' gezocht. Als deze opdrachtbalk wordt gevonden, wordt deze zichtbaar gemaakt.

foundFlag = False
For Each bar In CommandBars
    If bar.Name = "Custom" Then
        foundFlag = True
        bar.Visible = True
    End If
Next
If Not foundFlag Then
    MsgBox "'Custom' bar isn't in collection."
Else
    MsgBox "'Custom' bar is now visible."
End If

In dit voorbeeld worden de naam, het type en de waarde van een documenteigenschap weergegeven. U moet een geldig DocumentProperty-object aan de procedure doorgeven.

Sub DisplayPropertyInfo(dp As DocumentProperty)
    MsgBox "value = " & dp.Value & Chr(13) & _
        "type = " & dp.Type & Chr(13) & _
        "name = " & dp.Name
End Sub


NameLocal, eigenschap

Met deze eigenschap wordt de naam van de ingebouwde opdrachtbalk als resultaat gegeven, zoals deze wordt weergegeven in de taalversie van de containertoepassing. Met deze eigenschap kan ook de naam van een aangepaste opdrachtbalk als resultaat worden gegeven of worden ingesteld. String. Lezen/schrijven.

Opmerking Als u deze eigenschap probeert in te stellen voor een ingebouwde opdrachtbalk, treedt een fout op.

Aanvullende informatie

De lokale naam van een ingebouwde opdrachtbalk wordt weergegeven op de titelbalk (tenzij de opdrachtbalk zich in een dok bevindt) en in de lijst met beschikbare opdrachtbalken, waar deze lijst ook wordt weergegeven in de containertoepassing.

Als u de waarde van de eigenschap LocalName voor een aangepaste opdrachtbalk wijzigt, verandert de waarde van de eigenschap Name ook en vice versa.

Voorbeeld

In dit voorbeeld worden de naam en de lokale naam van de eerste opdrachtbalk in de containertoepassing weergegeven.

With CommandBars(1)
    MsgBox "The name of the command bar is " & .Name
    MsgBox "The localized name of the command bar is " & .NameLocal
End With


NewBalloon, eigenschap

Mogelijk is een deel van dit onderwerp niet van toepassing op bepaalde talen.

Met deze eigenschap maakt u een nieuwe tekstballon voor de Office-assistent. Deze eigenschap geeft een Balloon-object als resultaat. Alleen lezen

Voorbeeld

In dit voorbeeld wordt een tekstballon gemaakt met een titel, een tekst en drie keuzemogelijkheden. Vervolgens wordt de tekstballon weergegeven.

With Assistant.NewBalloon
    .Heading = "Regional Sales Data"
    .Text = "Select one or more regions"
    For i = 1 To 3
        .CheckBoxes(i).Text = "Region " & i
    Next
    .Show
End With


Object, eigenschap

Met deze eigenschap wordt het object dat de basis vormt voor het opgegeven COMAddIn-object, ingesteld of als resultaat gegeven. Object. Lezen/schrijven.

Aanvullende informatie

Deze eigenschap wordt voornamelijk gebruikt om een COMAddIn in staat te stellen met een andere COMAddIn te communiceren.

Voorbeeld

In het volgende voorbeeld wordt het object dat aan de COM-invoegtoepassing msodraa9.ShapeSelect is gekoppeld, als resultaat gegeven.

Dim objBaseObject As Object
Set objBaseObject = _
    Application.COMAddIns.Item("msodraa9.ShapeSelect"). _
      Object


OLEMenuGroup, eigenschap

Met deze eigenschap wordt de menugroep waartoe het opgegeven pop-up besturingselement van de opdrachtbalk behoort, als resultaat gegeven of ingesteld. Hiertoe moeten de menugroepen van de OLE-servertoepassing worden samengevoegd met de menugroepen van een OLE-clienttoepassing (dat wil zeggen: de eigenschap is van toepassing als een object van de containertoepassing wordt ingesloten in een andere toepassing). MsoOLEMenuGroup. Lezen/schrijven.

MsoOLEMenuGroup kan een van de volgende MsoOLEMenuGroup-constanten zijn.
msoOLEMenuGroupContainer
msoOLEMenuGroupEdit
msoOLEMenuGroupFile
msoOLEMenuGroupHelp
msoOLEMenuGroupNone
msoOLEMenuGroupObject
msoOLEMenuGroupWindow

Opmerking Deze eigenschap is alleen-lezen voor ingebouwde besturingselementen.

Aanvullende informatie

Met deze eigenschap kunnen invoegtoepassingen bepalen hoe de opdrachtbalk-besturingselementen van deze toepassingen in de Office-toepassing worden weergegeven. Als in de containertoepassing of in de servertoepassing geen opdrachtbalken kunnen worden geïmplementeerd, vindt de normale OLE-menusamenvoeging plaats. Dit houdt in dat de menubalk en alle werkbalken van de servertoepassing worden samengevoegd en de werkbalken van de containertoepassing niet. Deze eigenschap is alleen van belang voor pop-up besturingselementen op de menubalk, omdat menu's worden samengevoegd op basis van de menugroepcategorie.

Als in beide samenvoegende toepassingen opdrachtbalken kunnen worden geïmplementeerd, worden de opdrachtbalk-besturingselementen samengevoegd volgens de eigenschap OLEUsage.

Voorbeeld

In dit voorbeeld wordt de eigenschap OLEMenuGroup van een nieuw aangepast pop-up besturingselement op de actieve opdrachtbalk 'Custom' gecontroleerd en ingesteld op msoOLEMenuGroupNone.

Set myControl = CommandBars("Custom").Controls _
    .Add(Type:=msoControlPopup,Temporary:=False)
myControl.OLEMenuGroup = msoOLEMenuGroupNone


OLEUsage, eigenschap

Met deze eigenschap worden de rollen van de OLE-client- en OLE-servertoepassing waarin een opdrachtbalkbesturingselement wordt gebruikt, als resultaat gegeven of ingesteld. Hiertoe moeten twee Microsoft Office-toepassingen worden samengevoegd. MsoControlOLEUsage. Lezen/schrijven.

MsoControlOLEUsage kan een van de volgende MsoControlOLEUsage-constanten zijn.
msoControlOLEUsageBoth
msoControlOLEUsageClient
msoControlOLEUsageNeither
msoControlOLEUsageServer

Aanvullende informatie

Met deze eigenschap kunt u opgeven hoe opdrachtbalk-besturingselementen van afzonderlijke invoegtoepassingen worden weergegeven in een Office-toepassing als deze wordt samengevoegd met een andere Office-toepassing. Als zowel in de clienttoepassing als de servertoepassing opdrachtbalken kunnen worden geïmplementeerd, worden de opdrachtbalk-besturingselementen één voor één in de clienttoepassing ingesloten. Aangepaste besturingselementen die zijn gemarkeerd als alleen-clienttoepassing (of als noch clienttoepassing noch servertoepassing), vallen weg uit de servertoepassing. Besturingselementen die zijn gemarkeerd als alleen-servertoepassing (of als noch clienttoepassing noch servertoepassing), vallen weg uit de clienttoepassing. De resterende besturingselementen worden samengevoegd.

Als een van de samenvoegende toepassingen geen Office-toepassing is, wordt normale OLE-menusamenvoeging gebruikt, volgens de eigenschap OLEMenuGroup.

Voorbeeld

In dit voorbeeld wordt een nieuwe knop aan de opdrachtbalk Tools toegevoegd en wordt de eigenschap OLEUsage van de nieuwe knop ingesteld.

Set myControl = CommandBars("Tools").Controls _
    .Add(Type:=msoControlButton,Temporary:=True)
myControl.OLEUsage = msoControlOLEUsageNeither


On, eigenschap

Mogelijk is een deel van dit onderwerp niet van toepassing op bepaalde talen.

Deze eigenschap is True als de Office-assistent is ingeschakeld. Boolean. Lezen/schrijven.

Voorbeeld

In dit voorbeeld wordt de Office-assistent uitgeschakeld en wordt een berichtvenster weergegeven waarin aan de gebruiker wordt gevraagd of de Office-assistent moet worden ingeschakeld. De Office-assistent wordt ingeschakeld als de gebruiker op de knop Yes klikt. Schakelt de gebruiker de Office-assistent in, dan verschijnt de assistent en wordt de animatie msoAnimationGreeting uitgevoerd.

Assistant.On = False
If MsgBox("Enable Office Assistant?", _
    vbYesNo, "Assistant is Off") = vbYes Then
    Assistant.On = True
    Assistant.Visible = True
    Assistant.Animation = _
        msoAnimationGetAttentionMajor
End If


OnAction, eigenschap

Met deze eigenschap wordt de naam als resultaat gegeven of ingesteld van de Visual Basic-macro die wordt uitgevoerd als de gebruiker op een besturingselement op een opdrachtbalk klikt of de waarde ervan wijzigt. String. Lezen/schrijven.

Opmerking De containertoepassing bepaalt of de waarde een geldige macronaam is.

Voorbeeld

In dit voorbeeld wordt een opdrachtbalk-besturingselement aan de opdrachtbalk 'Custom' toegevoegd. Telkens wanneer op het besturingselement wordt geklikt, wordt de procedure met de naam 'MySub' uitgevoerd.

Set myBar = CommandBars("Custom")
Set myControl = myBar.Controls _
    .Add(Type:=msocontrolButton)
With myControl
    .FaceId = 2
    .OnAction = "MySub"
End With
myBar.Visible = True

Met dit voorbeeld wordt een besturingselement toegevoegd aan de opdrachtbalk die "Custom" heet. Telkens als u op het besturingselement klikt, wordt de COM-invoegtoepassing met de naam "FinanceAddIn" uitgevoerd.

Set myBar = CommandBars("Custom")
Set myControl = myBar.Controls _
    .Add(Type:=msocontrolButton)
With myControl
    .FaceId = 2
    .OnAction = "!<FinanceAddIn>"
End With
myBar.Visible = True


Parameter, eigenschap

Met deze eigenschap wordt een tekenreeks als resultaat gegeven of ingesteld die een toepassing kan gebruiken om een opdracht uit te voeren. String. Lezen/schrijven.

Aanvullende informatie

Als de opgegeven parameter is ingesteld voor een ingebouwd besturingselement, kan de toepassing het standaardgedrag wijzigen als de toepassing de nieuwe waarde kan analyseren en gebruiken. Als de parameter is ingesteld voor aangepaste besturingselementen, kan deze worden gebruikt om informatie naar Visual Basic-procedures te sturen of om informatie over het besturingselement op te slaan (net als een tweede Tag-eigenschapswaarde).

Voorbeeld

In dit voorbeeld wordt een nieuwe parameter toegewezen aan een besturingselement en krijgt de nieuwe knop de focus.

Set myControl = CommandBars("Custom").Controls(4)
With myControl
    .Copy , 1
    .Parameter = "2"
    .SetFocus
End With


Parent, eigenschap

Deze eigenschap geeft het Parent-object (hoofdobject) van het opgegeven object als resultaat. Alleen-lezen.

Voorbeeld

In dit voorbeeld wordt de naam van het hoofdobject voor een documenteigenschap weergegeven. U moet een geldig DocumentProperty-object aan de procedure doorgeven.

Sub DisplayParent(dp as DocumentProperty)
    MsgBox dp.Parent.Name
End Sub


Path, eigenschap

Deze eigenschap geeft een String als resultaat die het volledige pad van een ScopeFolder-object aangeeft. Alleen-lezen.

expressie.Path

expressie Vereist. Een expressie die een ScopeFolder-object als resultaat geeft.

Voorbeeld

In het volgende voorbeeld wordt het hoofdpad weergegeven van elke directory in Deze computer. Voor het opvragen van deze gegevens wordt door het voorbeeld eerst het ScopeFolder-object in de root van Deze computer opgehaald. Het pad naar deze ScopeFolder is altijd "*". Net als voor alle ScopeFolder-objecten bevat het object in de root een ScopeFolders-collectie. In dit voorbeeld wordt de ScopeFolders-collectie doorlopen en wordt het pad weergegeven van elk ScopeFolder-object dat zich hierin bevindt. De paden naar deze ScopeFolder-objecten zijn "A:\", "C:\" enzovoort.

Sub DisplayRootScopeFolders()

    'Declare variables that reference a
    'SearchScope and a ScopeFolder object.
    Dim ss As SearchScope
    Dim sf As ScopeFolder

    'Use a With...End With block to reference the
    'FileSearch object.
    With Application.FileSearch

        'Loop through the SearchScopes collection
        'and display all of the root ScopeFolders collections in
        'the My Computer scope.
        For Each ss In .SearchScopes
            Select Case ss.Type
                Case msoSearchInMyComputer

                    'Loop through each ScopeFolder collections in
                    'the ScopeFolders collection of the
                    'SearchScope object and display the path.
                    For Each sf In ss.ScopeFolder.ScopeFolders
                        MsgBox "Path: " & sf.Path
                    Next sf

                Case Else
            End Select
        Next ss
    End With
End Sub


Picture, eigenschap

Deze eigenschap geeft een IPictureDisp-object als resultaat dat de afbeelding van een CommandBarButton-object vertegenwoordigt.

expressie.Picture

expressie Vereist. Een expressie die een CommandBarButton-object als resultaat geeft.

Opmerkingen

Als u de afbeelding van een knop wijzigt, is het belangrijk dat u tevens de eigenschap Mask gebruikt om een maskerafbeelding in te stellen. De maskerafbeelding bepaalt welke delen van de knopafbeelding transparant worden weergegeven. U moet het masker altijd instellen nadat u de figuur voor een CommandBarButton-object hebt ingesteld.

Opmerking De afbeeldingen voor de knoppen View Microsoft Application en Insert Item op de werkbalk Standard van de Visual Basic Editor kunnen niet worden gewijzigd.

Voorbeeld

In het volgende voorbeeld worden de afbeelding en het masker van de eerste CommandBarButton ingesteld die door de code als resultaat wordt gegeven. Als u het voorbeeld zelf wilt gebruiken, moet u een maskerafbeelding en een knopafbeelding maken en de paden in het voorbeeld vervangen door de paden naar uw afbeeldingen.

Sub ChangeButtonImage()
    Dim picPicture As IPictureDisp
    Dim picMask As IPictureDisp

    Set picPicture = stdole.StdFunctions.LoadPicture( _
        "c:\images\picture.bmp")
    Set picMask = stdole.StdFunctions.LoadPicture( _
        "c:\images\mask.bmp")

    'Reference the first button on the first command bar
    'using a With...End With block.
    With Application.CommandBars.FindControl(msoControlButton)
        'Change the button image.
        .Picture = picButton

        'Use the second image to define the area of the
        'button that should be transparent.
        .Mask = picMask
    End With
End Sub

In het volgende voorbeeld worden de afbeelding en het masker opgehaald van de eerste CommandBarButton die door de code als resultaat wordt gegeven. Vervolgens worden deze items uitgevoerd naar een bestand. Hierbij moet u een pad voor de uitvoerbestanden opgeven.

Sub GetButtonImageAndMask()
    Dim picPicture As IPictureDisp
    Dim picMask As IPictureDisp

    With Application.CommandBars.FindControl(msoControlButton)
        'Get the button image and mask of the this CommandBarButton object.
        Set picPicture = .Picture
        Set picMask = .Mask
    End With

    'Save the button image and mask in a folder.
    stdole.SavePicture picPicture, "c:\temp\image.bmp"
    stdole.SavePicture picMask, "c:\temp\mask.bmp"
End Sub


Position, eigenschap

Met deze eigenschap wordt de positie van een opdrachtbalk als resultaat gegeven of ingesteld. MsoBarPosition. Lezen/schrijven.

MsoBarPosition kan een van de volgende MsoBarPosition-constanten zijn.
msoBarBottom
msoBarFloating
msoBarLeft
msoBarMenuBar
msoBarPopup
msoBarRight
msoBarTop

Voorbeeld

In dit voorbeeld wordt de collectie opdrachtbalken stapsgewijs doorlopen. Daarbij worden de aangepaste opdrachtbalken onder in het toepassingsvenster in een dok geplaatst en worden de ingebouwde opdrachtbalken boven in het venster in een dok geplaatst.

For Each bar In CommandBars
    If bar.Visible = True Then
        If bar.BuiltIn Then
            bar.Position = msoBarTop
         Else
            bar.Position = msoBarBottom
        End If
    End If
Next


Priority, eigenschap

Met deze eigenschap wordt de prioriteit van een opdrachtbalk-besturingselement als resultaat gegeven of ingesteld. De prioriteit van een besturingselement bepaalt of het besturingselement kan wegvallen uit een opdrachtbalk die in een dok is geplaatst, als de opdrachtbalk-besturingselementen niet op één rij passen. Long. Lezen/schrijven.

Aanvullende informatie

De geldige nummers voor het aangeven van de prioriteit zijn de nummers 0 (nul) tot en met 7. Als een besturingselement een prioriteit van 1 heeft, houdt dat in dat het besturingselement niet van een werkbalk kan worden verwijderd. Overige waarden voor prioriteit worden genegeerd.

De eigenschap Priority kan niet worden gebruikt voor opdrachtbalk-besturingselementen die menu-items zijn.

Voorbeeld

In dit voorbeeld wordt een besturingselement verplaatst en wordt aan dit besturingselement de prioriteit 5 toegewezen zodat het waarschijnlijk van de opdrachtbalk zal worden verwijderd als de besturingselementen niet allemaal op één rij passen.

Set allcontrols = CommandBars("Custom").Controls
For Each ctrl In allControls
    If ctrl.Type = msoControlComboBox Then
        With ctrl
            .Move Before:=7
            .Tag = "Selection box"
            .Priority = 5
        End With
    Exit For
End If
Next


Private, eigenschap

Mogelijk is een deel van dit onderwerp niet van toepassing op bepaalde talen.

Met deze eigenschap wordt een integer als resultaat gegeven of ingesteld die een unieke aanduiding vormt voor de ballon van de Office-assistent die de callback-procedure in werking heeft gesteld. Long. Lezen/schrijven.

Aanvullende informatie

Deze eigenschap kan handig zijn als u dezelfde callback-procedure vanuit meer dan een ballon uitvoert.

Voorbeeld

In dit voorbeeld wordt de eigenschap Private ingesteld op 129, waarmee de ballon van de Office-assistent een unieke aanduiding toegewezen krijgt.

Set printerOrientation = Assistant.NewBalloon
With printerOrientation     .Heading = " Print portrait or landscape?"
     .Text = "Click OK when you've selected the " & _
        "printer orientation."
    .Labels(1).Text = "Portrait"
    .Labels(2).Text = "Landscape"
    .BalloonType = msoBalloonTypeButtons
    .Mode = msoModeModeless
    .Button = msoButtonSetOK
    .Private = 129
    .Callback = "PortraitOrLandscape "
    .Show
End With


ProgId, eigenschap

Deze eigenschap geeft de ProgID (Programmatic Identifier) voor het opgegeven COMAddIn-object als resultaat. String. Alleen-lezen.

Voorbeeld

Bij het volgende voorbeeld worden de ProgID en GUID voor de COM-invoegtoepassing in een berichtvenster weergegeven.

MsgBox "My ProgID is " & _
    Application.COMAddIns(1).ProgID & _
    " and my GUID is " & _
    Application.COMAddIns(1).Guid


PropertyTests, eigenschap

Deze eigenschap geeft een PropertyTests-collectie als resultaat die alle zoekcriteria voor een zoekbewerking vertegenwoordigt. Alleen-lezen.

Zie Een object uit een collectie als resultaat geven voor informatie over het opvragen van een afzonderlijk lid van een collectie.

Voorbeeld

In dit voorbeeld worden alle zoekcriteria voor de eerste eigenschapstest in de collectie weergegeven.

With Application.FileSearch.PropertyTests(1)
myString = "This is the search criteria: " _
    & " The name is: " & .Name & ". The condition is: " _
    & .Condition
If .Value <> "" Then
    myString = myString & ". The value is: " & .Value
    If .SecondValue <> "" Then
        myString = myString _
            & ". The second value is: " _
            & .SecondValue & ", and the connector is" _
            & .Connector
    End If
End If
MsgBox myString
End With


ProportionalFont, eigenschap

Met deze eigenschap wordt het proportionele lettertype in de hosttoepassing ingesteld of als resultaat gegeven. String. Lezen/schrijven.

Aanvullende informatie

Als u de eigenschap ProportionalFont instelt, controleert de hosttoepassing niet of de waarde geldig is.

Voorbeeld

In dit voorbeeld worden in de actieve toepassing het proportionele lettertype en de tekengrootte van het proportionele lettertype ingesteld voor de tekenset voor de Engelse taal, de West-Europese talen en de overige talen die het westerse schrift gebruiken.

Application.DefaultWebOptions. _
Fonts(msoCharacterSetEnglishWesternEuropeanOtherLatinScript) _
.ProportionalFont = "Tahoma"
Application.DefaultWebOptions. _
Fonts(msoCharacterSetEnglishWesternEuropeanOtherLatinScript) _
.ProportionalFontSize = 14.5


ProportionalFontSize, eigenschap

Met deze eigenschap wordt de tekengrootte van het proportionele lettertype in de hosttoepassing ingesteld of als resultaat gegeven (in punten). Single. Lezen/schrijven.

Aanvullende informatie

Als u de eigenschap ProportionalFontSize instelt, controleert de hosttoepassing niet of de waarde geldig is. Als u een ongeldige waarde invoert, bijvoorbeeld een letter in plaats van een getal, stelt de hosttoepassing de tekengrootte van het lettertype in op 0 punten. U kunt tekengroottes van hele en van halve punten invoeren. Als u andere puntgroottes invoert, worden ze naar boven of beneden afgerond, naar de dichtstbijzijnde hele of halve punt.

Voorbeeld

In dit voorbeeld worden in de actieve toepassing het proportionele lettertype en de tekengrootte van het proportionele lettertype ingesteld voor de tekenset voor de Engelse taal, de West-Europese talen en de overige talen die het westerse schrift gebruiken.

Application.DefaultWebOptions. _
Fonts(msoCharacterSetEnglishWesternEuropeanOtherLatinScript) _
.ProportionalFont = "Tahoma"
Application.DefaultWebOptions. _
Fonts(msoCharacterSetEnglishWesternEuropeanOtherLatinScript) _
.ProportionalFontSize = 14.5


Protection, eigenschap

Mogelijk is een deel van dit onderwerp niet van toepassing op bepaalde talen.

Met deze eigenschap wordt de manier waarop de opgegeven opdrachtbalk is beveiligd tegen gebruikerswijzigingen, als resultaat gegeven of ingesteld. MsoBarProtection. Lezen/schrijven.

MsoBarProtection kan een van de volgende MsoBarProtection-constanten zijn.
msoBarNoChangeDock
msoBarNoChangeVisible
msoBarNoCustomize
msoBarNoHorizontalDock
msoBarNoMove
msoBarNoProtection
msoBarNoResize
msoBarNoVerticalDock

Aanvullende informatie

Als u de constante msoBarNoCustomize gebruikt, kunnen gebruikers een werkbalk niet aanpassen en geen knoppen toevoegen of verwijderen.

Voorbeeld

In dit voorbeeld wordt de collectie opdrachtbalken stapsgewijs doorlopen om de opdrachtbalk met de naam 'Forms' te zoeken. Als deze opdrachtbalk wordt gevonden, wordt deze zichtbaar gemaakt en wordt de dokstatus beveiligd.

foundFlag = False
For i = 1 To CommandBars.Count
    If CommandBars(i).Name = "Forms" Then
            CommandBars(i).Protection = msoBarNoChangeDock
            CommandBars(i).Visible = True
            foundFlag = True
    End If
Next
If Not foundFlag Then
    MsgBox "'Forms' command bar is not in the collection."
End If


Reduced, eigenschap

Mogelijk is een deel van dit onderwerp niet van toepassing op bepaalde talen.

Deze eigenschap is True als het venster van de Office-assistent kleiner wordt weergegeven. Boolean. Lezen/schrijven.

Aanvullende informatie

Deze eigenschap wordt in Microsoft Office niet gebruikt.

Voorbeeld

In dit voorbeeld wordt de Office-assistent op een specifieke locatie weergegeven en worden verschillende opties ingesteld voordat de Office-assistent zichtbaar wordt gemaakt.

With Assistant
    .Reduced = True
    .Left = 400
    .MoveWhenInTheWay = True
    .TipOfDay = True
    .Visible = True
    .Animation = msoAnimationGreeting
End With


RowCount, eigenschap

Deze eigenschap geeft een Long als resultaat die het aantal records in het opgegeven gegevensbestand vertegenwoordigt. Alleen-lezen.

expressie.RowCount

expressie Vereist. Een expressie waarmee een van de objecten in de lijst Van toepassing op als resultaat wordt gegeven.

Voorbeeld

In dit voorbeeld wordt een nieuw filter toegevoegd waarmee alle records met een leeg Regio-veld worden verwijderd. Hierna wordt het filter toegepast op de actieve publicatie.

Sub OfficeFilters()
    Dim appOffice As OfficeDataSourceObject
    Dim appFilters As ODSOFilters

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    Set appFilters = appOffice.Filters

    MsgBox appOffice.RowCount

    appFilters.Add Column:="Region", Comparison:=msoFilterComparisonEqual, _
        Conjunction:=msoFilterConjunctionAnd, bstrCompareTo:="WA"
    appOffice.ApplyFilter

    MsgBox appOffice.RowCount

End Sub


RowIndex, eigenschap

Met deze eigenschap wordt de dokvolgorde van de opgegeven opdrachtbalk in verhouding tot andere opdrachtbalken in hetzelfde dokgebied, als resultaat gegeven of ingesteld. De waarde van deze eigenschap kan een geheel getal groter dan 0 zijn of een van de volgende MsoBarRow-constanten: msoBarRowFirst of msoBarRowLast. Long. Lezen/schrijven.

Aanvullende informatie

Opdrachtbalken met lage nummers worden het eerst in een dok geplaatst. Meerdere opdrachtbalken kunnen dezelfde rij-index hebben. Als twee of meer opdrachtbalken dezelfde rij-index hebben, wordt de opdrachtbalk die het laatst is toegewezen, het eerst weergegeven in de groep.

Voorbeeld

In dit voorbeeld wordt de positie van de opdrachtbalk 'Custom' aangepast. De opdrachtbalk wordt 110 pixels meer dan standaard naar links verplaatst. Bovendien wordt dit de eerste werkbalk die in een dok wordt geplaatst doordat de rij-index wordt veranderd in msoBarRowFirst.

Set myBar = CommandBars("Custom")
With myBar
    .RowIndex = msoBarRowFirst
    .Left = 140
End With


ScopeFolder, eigenschap

Met deze eigenschap wordt een ScopeFolder-object als resultaat gegeven.

expressie.ScopeFolder

expressie Vereist. Een expressie waarmee een van de objecten in de lijst Van toepassing op als resultaat wordt gegeven.

Voorbeeld

In het volgende voorbeeld wordt het hoofdpad weergegeven van elke directory in Deze computer. Voor het opvragen van deze gegevens wordt door het voorbeeld eerst het ScopeFolder-object in de root van Deze computer opgehaald. Het pad naar deze ScopeFolder is altijd "*". Net als voor alle ScopeFolder-objecten bevat het object in de root een ScopeFolders-collectie. In dit voorbeeld wordt de ScopeFolders-collectie doorlopen en wordt het pad weergegeven van elk ScopeFolder-object dat zich hierin bevindt. De paden naar deze ScopeFolder-objecten zijn "A:\", "C:\" enzovoort.

Sub DisplayRootScopeFolders()

    'Declare variables that reference a
    'SearchScope and a ScopeFolder object.
    Dim ss As SearchScope
    Dim sf As ScopeFolder

    'Use a With...End With block to reference the
    'FileSearch object.
    With Application.FileSearch

        'Loop through the SearchScopes collection
        'and display all of the root ScopeFolders collections in
        'the My Computer scope.
        For Each ss In .SearchScopes
            Select Case ss.Type
                Case msoSearchInMyComputer

                    'Loop through each ScopeFolder object in
                    'the ScopeFolders collection of the
                    'SearchScope object and display the path.
                    For Each sf In ss.ScopeFolder.ScopeFolders
                        MsgBox "Path: " & sf.Path
                    Next sf

                Case Else
            End Select
        Next ss
    End With
End Sub


ScopeFolders, eigenschap

Met deze eigenschap wordt een ScopeFolders-collectie als resultaat gegeven. De items in deze collectie komen overeen met de submappen van het bovenliggende ScopeFolder-object.

expressie.ScopeFolders

expressie Vereist. Een expressie waarmee een van de objecten in de lijst Van toepassing op als resultaat wordt gegeven.

Voorbeeld

In het volgende voorbeeld wordt het hoofdpad weergegeven van elke directory in Deze computer. Voor het opvragen van deze gegevens wordt door het voorbeeld eerst het ScopeFolder-object in de root van Deze computer opgehaald. Het pad naar deze ScopeFolder is altijd "*". Net als voor alle ScopeFolder-objecten bevat het object in de root een ScopeFolders-collectie. In dit voorbeeld wordt de ScopeFolders-collectie doorlopen en wordt het pad weergegeven van elk ScopeFolder-object dat zich hierin bevindt. De paden naar deze ScopeFolder-objecten zijn "A:\", "C:\" enzovoort.

Sub DisplayRootScopeFolders()

    'Declare variables that reference a
    'SearchScope and a ScopeFolder object.
    Dim ss As SearchScope
    Dim sf As ScopeFolder

    'Use a With...End With block to reference the
    'FileSearch object.
    With Application.FileSearch

        'Loop through the SearchScopes collection
        'and display all of the root ScopeFolders collections in
        'the My Computer scope.
        For Each ss In .SearchScopes
            Select Case ss.Type
                Case msoSearchInMyComputer

                    'Loop through each ScopeFolder object in
                    'the ScopeFolders collection of the
                    'SearchScope object and display the path.
                    For Each sf In ss.ScopeFolder.ScopeFolders
                        MsgBox "Path: " & sf.Path
                    Next sf

                Case Else
            End Select
        Nextb ss
    End With
End Sub


ScriptText, eigenschap

Met deze eigenschap wordt de tekst in een scriptblok ingesteld of als resultaat gegeven. String. Lezen/schrijven.

Aanvullende informatie

De Microsoft Office-hosttoepassing controleert de syntaxis van het script niet. De eigenschap ScriptText is de standaardeigenschap voor het Script-object.

Voorbeeld

In dit voorbeeld wordt de tekst van het eerste script in werkblad 1 van de actieve werkmap ingesteld.

ActiveWorkbook.Worksheets(1).Scripts(1).ScriptText = _
    "MsgBox ""New ScriptText"""


SearchFolders, eigenschap

Met deze eigenschap wordt een SearchFolders-collectie als resultaat gegeven.

expressie.SearchFolders

expressie Vereist. Een expressie waarmee een van de objecten in de lijst Van toepassing op als resultaat wordt gegeven.

Voorbeeld

In het volgende voorbeeld wordt het huidige aantal ScopeFolder-objecten in de SearchFolders-collectie weergegeven. Raadpleeg het onderwerp over de SearchFolders-collectie voor een meer gedetailleerd voorbeeld.

MsgBox "Number of ScopeFolder objects in the SearchFolders collection: " & _
    Application.FileSearch.SearchFolders.Count


SearchScopes, eigenschap

Met deze eigenschap wordt een SearchScopes-collectie als resultaat gegeven.

expressie.SearchScopes

expressie Vereist. Een expressie waarmee een van de objecten in de lijst Van toepassing op als resultaat wordt gegeven.

Voorbeeld

In het volgende voorbeeld worden alle momenteel beschikbare SearchScope-objecten in de SearchScopes-collectie weergegeven.

Sub DisplayAvailableScopes()

    'Declare a variable that references a
    'SearchScope object.
    Dim ss As SearchScope

    'Use a With...End With block to reference the
    'FileSearch object.
    With Application.FileSearch

        'Loop through the SearchScopes collection
        For Each ss In .SearchScopes
            Select Case ss.Type
                Case msoSearchInMyComputer
                    MsgBox "My Computer is an available search scope."
                Case msoSearchInMyNetworkPlaces
                    MsgBox "My Network Places is an available search scope."
                Case msoSearchInOutlook
                    MsgBox "Outlook is an available search scope."
                Case msoSearchInCustom
                    MsgBox "A custom search scope is available."
                Case Else
                    MsgBox "Can't determine search scope."
            End Select
        Next ss
    End With
End Sub


SearchSubFolders, eigenschap

Deze eigenschap is True als de opgegeven zoekbewerking ook de submappen omvat van de map die met de eigenschap LookIn is opgegeven. Boolean. Lezen/schrijven.

Voorbeeld

In dit voorbeeld wordt in de map My Documents en in alle submappen van deze map gezocht naar bestanden waarvan de naam begint met 'Cmd'. Vervolgens worden de naam en de locatie van elk gevonden bestand weergegeven.

Set fs = Application.FileSearch
With fs
    .LookIn = "C:\My Documents"
    .SearchSubFolders = True
    .FileName = "cmd*"
    If .Execute() > 0 Then
        MsgBox "There were " & .FoundFiles.Count & _
         " file(s) found."
        For i = 1 To .FoundFiles.Count
            MsgBox .FoundFiles(i)
        Next i
    Else
        MsgBox "There were no files found."
    End If
End With


SearchWhenProgramming, eigenschap

Mogelijk is een deel van dit onderwerp niet van toepassing op bepaalde talen.

Deze eigenschap is True als de Office-assistent zowel Help-onderwerpen voor de toepassing als voor het programmeren weergeeft wanneer de gebruiker met Visual Basic werkt. Boolean. Lezen/schrijven.

Aanvullende informatie

De standaardwaarde is False. De eigenschap SearchWhenProgramming komt overeen met de optie Zoeken naar product- en programmeer-Help tijdens het programmeren onder De Office-assistent gebruiken op het tabblad Opties in het dialoogvenster Office-assistent.

Voorbeeld

In dit voorbeeld wordt de gebruiker tijdens het werken in Visual Basic, in staat gesteld om zowel voor de toepassing als voor het programmeren Help-informatie op te vragen.

Assistant.SearchWhenProgramming = True


SecondValue, eigenschap

Deze eigenschap geeft voor de zoekbewerking een optionele tweede waarde van een eigenschapstest als resultaat. Variant. Alleen-lezen.

Aanvullende informatie

Deze eigenschap stelt u in staat om een bereik op te geven. De eigenschap kan alleen worden gebruikt met de MsoCondition-constante msoConditionAnyTimeBetween of msoConditionAnyNumberBetween.

Voorbeeld

In dit voorbeeld wordt (indien aanwezig) de tweede waarde van de zoekcriteria weergegeven in een berichtvenster. Als er geen tweede waarde is, verschijnt er een ander bericht.

With Application.FileSearch.PropertyTests(1)
If .SecondValue = "" Then
   MsgBox "You haven't specified a second value."
Else
    MsgBox "The second value you've set is: " _
    & .SecondValue
End If
End With


SelectedItems, eigenschap

Met deze eigenschap wordt een FileDialogSelectedItems-collectie als resultaat gegeven. Deze collectie bevat een lijst met de paden naar de bestanden die de gebruiker heeft geselecteerd in een bestandsdialoogvenster dat wordt weergegeven met behulp van de methode Show van het FileDialog-object.

expressie.SelectedItems

expressie Vereist. Een expressie waarmee een van de objecten in de lijst Van toepassing op als resultaat wordt gegeven.

Voorbeeld

In het volgende voorbeeld wordt een dialoogvenster voor het kiezen van bestanden weergegeven met behulp van het FileDialog-object. Vervolgens wordt elk geselecteerd bestand weergegeven in een berichtvak.

Sub Main()

    'Declare a variable as a FileDialog object.
    Dim fd As FileDialog

    'Create a FileDialog object as a File Picker dialog box.
    Set fd = Application.FileDialog(msoFileDialogFilePicker)

    'Declare a variable to contain the path
    'of each selected item. Even though the path is a String,
    'the variable must be a Variant because For Each...Next
    'routines only work with Variants and Objects.
    Dim vrtSelectedItem As Variant

    'Use a With...End With block to reference the FileDialog object.
    With fd

        'Allow the user to select multiple files.
        .AllowMultiSelect = True

        'Use the Show method to display the File Picker dialog box and return the user's action.
        'If the user presses the action button...
        If .Show = -1 Then
            'Step through each string in the FileDialogSelectedItems collection.
            For Each vrtSelectedItem In .SelectedItems

                'vrtSelectedItem is a String that contains the path of each selected item.
                'You can use any file I/O functions that you want to work with this path.
                'This example simply displays the path in a message box.
                MsgBox "Selected item's path: " & vrtSelectedItem

            Next
        'If the user presses Cancel...
        Else
        End If
    End With

    'Set the object variable to Nothing.
    Set fd = Nothing

End Sub


Shape, eigenschap

Deze eigenschap geeft, afhankelijk van de Microsoft Office-hosttoepassing, een Shape-object of een InlineShape-object als resultaat. Object. Alleen-lezen.

Aanvullende informatie

De eigenschap Shape geeft in Microsoft Excel en PowerPoint een Shape-object als resultaat. De eigenschap Shape geeft in Word een Shape-object als resultaat als het scriptanker een zwevend scriptanker is. Als het scriptanker echter een in line scriptanker is, geeft de eigenschap een InlineShape-object als resultaat.

Voorbeeld

In dit voorbeeld wordt de vorm aan het eerste script in de Scripts-collectie gekoppeld en uit werkblad 1 van de actieve werkmap verwijderd.

Dim objScriptShape As Object

Set objScriptShape = _
    ActiveWorkbook.Worksheets(1).Scripts(1).Shape
ObjScriptShape.Delete


ShortcutText, eigenschap

Met deze eigenschap wordt de sneltoetstekst als resultaat gegeven of ingesteld die wordt weergegeven naast het opgegeven knopbesturingselement als de knop wordt weergegeven in een menu, een vervolgmenu of een snelmenu. String. Lezen/schrijven.

Aanvullende informatie

U kunt deze eigenschap alleen instellen voor opdrachtbalkknoppen waaraan een OnAction-macro is gekoppeld.

Voorbeeld

In dit voorbeeld wordt de sneltoetstekst voor de opdracht Open (in het menu File) op de menubalk van een Microsoft Excel-werkblad in een berichtvenster weergegeven.

MsgBox (CommandBars("Worksheet Menu Bar"). _
    Controls("File").Controls("New...).ShortcutText)


SignDate, eigenschap

Deze eigenschap resulteert in een Variant die staat voor de datum en tijd waarop het digitale certificaat dat overeenkomt met het Signature-object werd bijgevoegd in het document. Alleen-lezen.

expressie.SignDate

expressie Vereist. Een expressie waarmee een van de objecten in de lijst Van toepassing op als resultaat wordt gegeven.

Voorbeeld

In het volgende voorbeeld wordt de gebruiker gevraagd een digitale handtekening te selecteren waarmee deze het actieve document in Microsoft Word kan ondertekenen. Als u dit voorbeeld wilt gebruiken, moet u een document in Word openen en deze functie aanroepen. Door de functie wordt een test uitgevoerd om na te gaan of de handtekening die de gebruiker selecteert binnen 12 maanden zal verlopen. Als dit het geval is, wordt het certificaat niet bijgevoegd.

Function AddSignature() As Boolean

    On Error GoTo Error_Handler

    Dim sig As Signature

    'Display the dialog box that lets the
    'user select a digital signature.
    'If the user selects a signature, then
    'it is added to the Signatures
    'collection. If the user doesn't, then
    'an error is returned.
    Set sig = ActiveDocument.Signatures.Add

    'Test to make sure that the new Signature object
    'doesn't expire too soon. This expression calculates
    'the number of months until the Signature object expires.
    If DateDiff("m", sig.SignDate, sig.ExpireDate) < 12 Then

        MsgBox "This certificate will expire in less than 1 year." & vbCrLf & _
        "Please use a newer certificate."

        AddSignature = False
        sig.Delete
    Else
        AddSignature = True
    End If

    'Commit all signatures in the SignatureSet collection to the disk.
    ActiveDocument.Signatures.Commit

    Exit Function
Error_Handler:
    AddSignature = False
    MsgBox "Action cancelled."
End Function


Signer, eigenschap

Deze eigenschap resulteert in een String die staat voor de persoon die het digitale certificaat dat overeenkomt met het Signature-object heeft bijgevoegd in het document. Alleen-lezen.

expressie.Signer

expressie Vereist. Een expressie waarmee een van de objecten in de lijst Van toepassing op als resultaat wordt gegeven.

Voorbeeld

In het volgende voorbeeld wordt de gebruiker gevraagd om een digitale handtekening te selecteren waarmee deze het actieve document in Microsoft Word kan ondertekenen. Als u dit voorbeeld wilt gebruiken, opent u een document in Word en voert u de volgende informatie in voor de functie: de naam van de uitgever van de certificaten en de naam van de ondertekenaar van het certificaat. Deze gegevens moeten respectievelijk overeenkomen met de velden Verleend door en Verleend aan van het digitale certificaat in het dialoogvenster Digitale certificaten. In dit voorbeeld wordt gecontroleerd of de geselecteerde digitale handtekening voldoet aan bepaalde criteria (zo wordt nagegaan of de handtekening niet is verlopen). Vervolgens wordt de nieuwe handtekening vastgelegd op de schijf.

Function AddSignature(ByVal strIssuer As String, _
    strSigner As String) As Boolean

    On Error GoTo Error_Handler

    Dim sig As Signature

    'Display the dialog box that lets the
    'user select a digital signature.
    'If the user selects a signature, then
    'it is added to the Signatures
    'collection. If the user doesn't, then
    'an error is returned.
    Set sig = ActiveDocument.Signatures.Add

    'Test several properties before commiting the Signature object to disk.
    If sig.Issuer = strIssuer And _
        sig.Signer = strSigner And _
        sig.IsCertificateExpired = False And _
        sig.IsCertificateRevoked = False And _
        sig.IsValid = True Then

        MsgBox "Signed"
        AddSignature = True
    'Otherwise, remove the Signature object from the SignatureSet collection.
    Else
        sig.Delete
        MsgBox "Not signed"
        AddSignature = False
    End If

    'Commit all signatures in the SignatureSet collection to the disk.
    ActiveDocument.Signatures.Commit

    Exit Function
Error_Handler:
    AddSignature = False
    MsgBox "Action cancelled."
End Function


Sounds, eigenschap

Mogelijk is een deel van dit onderwerp niet van toepassing op bepaalde talen.

Deze eigenschap is True als de Office-assistent geluiden maakt die passen bij de animaties. Boolean. Lezen/schrijven.

Aanvullende informatie

De standaardwaarde is True. De eigenschap Sounds correspondeert met de optie Geluiden maken onder De Office-assistent gebruiken op het tabblad Opties van het dialoogvenster Office-assistent. Als op de computer geen geluidskaart is geïnstalleerd, heeft deze eigenschap geen effect.

Voorbeeld

In dit voorbeeld wordt een Office-assistent weergegeven die beweegt en geluiden maakt.

With Assistant
    .Visible = True
    .On = True
    If Not Sounds Then Sounds = True
    .Animation = msoAnimationGreeting
End With


State, eigenschap

De eigenschap State zoals die van toepassing is op objecten van het type CommandBarButton.

Met deze eigenschap wordt het uiterlijk van het besturingselement voor een knop op de opdrachtbalk als resultaat gegeven of ingesteld. MsoButtonState, lezen/schrijven.

MsoButtonState kan een van de volgende MsoButtonState-constanten zijn.
msoButtonDown
msoButtonMixed
msoButtonUp

expressie.State

expressie Vereist. Een expressie die een CommandBarButton-object als resultaat geeft.

De eigenschap State zoals die van toepassing is op objecten van het type HTMLProject.

Met deze eigenschap wordt de huidige status van een HTMLProject-object als resultaat gegeven. MsoHTMLProjectState, alleen-lezen.

MsoHTMLProjectState kan een van de volgende MsoHTMLProjectState-constanten zijn.
msoHTMLProjectStateDocumentLocked
msoHTMLProjectStateDocumentProjectUnlocked
msoHTMLProjectStateProjectLocked

expressie.State

expressie Vereist. Een expressie die een HTMLProject-object als resultaat geeft.

Voorbeeld

De eigenschap zoals die van toepassing is op het CommandBarButton-object.

In dit voorbeeld wordt een opdrachtbalk met de naam Custom gemaakt en worden aan de opdrachtbalk twee lege knoppen toegevoegd. Vervolgens wordt de linkerknop ingesteld op msoButtonUp en de rechterknop op msoButtonDown.

Set myBar = CommandBars _
    .Add(Name:="Custom", Position:=msoBarTop, _
    Temporary:=True)
With myBar
    .Controls.Add Type:=msoControlButton, ID:=1
    .Controls.Add Type:=msoControlButton, ID:=2
    .Visible = True
End With
Set myControl1 = CommandBars("Custom").Controls(1)
myControl1.State = msoButtonUp
Set myControl2 = CommandBars("Custom").Controls(2)
myControl2.State = msoButtonDown


Style, eigenschap

De eigenschap Style zoals die van toepassing is op het CommandBarButton-object.

Met deze eigenschap wordt de weergave van een knop op een opdrachtbalk als resultaat gegeven of ingesteld. MsoButtonStyle. Lezen/schrijven.

MsoButtonStyle kan een van de volgende MsoButtonStyle-constanten zijn.
msoButtonAutomatic
msoButtonCaption
msoButtonIcon
msoButtonIconAndCaption
msoButtonIconAndCaptionBelow
msoButtonIconAndWrapCaption
msoButtonIconAndWrapCaptionBelow
msoButtonWrapCaption

De eigenschap Style zoals die van toepassing is op het CommandBarComboBox-object.

Met deze eigenschap wordt de manier waarop een keuzelijst met invoervak op een opdrachtbalk wordt weergegeven, als resultaat gegeven of ingesteld. De waarde van deze eigenschap kan een van de volgende MsoComboStyle-constanten zijn: msoComboLabel of msoComboNormal. MsoComboStyle. Lezen/schrijven.

MsoComboStyle kan een van de volgende MsoComboStyle-constanten zijn.
msoComboLabel
msoComboNormal

Voorbeeld

In dit voorbeeld wordt een snelmenu gemaakt dat een knop en een keuzelijst met invoervak bevat, en wordt de stijl van beide besturingselementen ingesteld.

Set myBar = CommandBars _
    .Add(Name:="Custom1", Position:=msoBarPopup, Temporary:=False)
With myBar
    .Controls.Add Type:=msoControlButton, Id:=3
    .Controls(1).Style = msoButtonCaption
    .Controls.Add Type:=msoControlComboBox
    With .Controls(2)
        .Style = msoComboLabel
        .AddItem "vanilla"
        .AddItem "chocolate"
        .AddItem "cookie dough"
    End With
End With
myBar.ShowPopup


Table, eigenschap

Deze eigenschap resulteert in een String die staat voor de naam van de tabel binnen het gegevensbestand dat de records voor Afdruk samenvoegen bevat. De retourwaarde is mogelijk leeg als de tabelnaam onbekend is of niet van toepassing op het huidige gegevensbestand. Alleen-lezen.

expressie.Table

expressie Vereist. Een expressie waarmee een van de objecten in de lijst Van toepassing op als resultaat wordt gegeven.

Voorbeeld

In het volgende voorbeeld wordt de naam van de tabel ingesteld als de huidige tabelnaam leeg is.

Sub OfficeTest()

    Dim appOffice As OfficeDataSourceObject

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    If appOffice.Table = "" Then
        appOffice.Table = "Employees"
    End If

End Sub


Tag, eigenschap

Met deze eigenschap wordt informatie over een opdrachtbalk-besturingselement als resultaat gegeven of ingesteld. Deze informatie kan bijvoorbeeld bestaan uit gegevens die als argument kunnen worden gebruikt in procedures of uit gegevens die een unieke aanduiding van het besturingselement vormen. String. Lezen/schrijven.

expressie.Tag

expressie Vereist. Een expressie waarmee een van de objecten in de lijst Van toepassing op als resultaat wordt gegeven.

Aanvullende informatie

Om identieke calls van dezelfde klasse te vermijden wanneer deze worden geactiveerd met gebeurtenissen, definieer de eigenschap Tag die uniek is voor die gebeurtenissen. Het volgende voorbeeld toont dit concept met twee modules.

Public WithEvents oBtn As CommandBarButton

Private Sub oBtn_click(ByVal ctrl As Office.CommandBarButton, CancelDefault As Boolean)
    MsgBox "Clicked " & ctrl.Caption

End Sub

Dim oBtns As New Collection

Sub Use_Tag()

    Dim oEvt As CBtnEvent
    Set oBtns = Nothing

    For i = 1 To 5
        Set oEvt = New CBtnEvent
        Set oEvt.oBtn = Application.CommandBars("Worksheet Menu Bar").Controls.Add(msoControlButton)
        With oEvt.oBtn
            .Caption = "Btn" & i
            .Style = msoButtonCaption
            .Tag = "Hello" & i
        End With
        oBtns.Add oEvt
    Next

End Sub

Voorbeeld

In dit voorbeeld wordt de tag voor de knop op de aangepaste werkbalk ingesteld op 'Spelling Button' en wordt de tag in een berichtvenster weergegeven.

CommandBars("Custom").Controls(1).Tag = "Spelling Button"
MsgBox (CommandBars("Custom").Controls(1).Tag)


Text, eigenschap

Mogelijk is een deel van dit onderwerp niet van toepassing op bepaalde talen.

Met deze eigenschap wordt voor het BalloonLabel- of het BalloonCheckbox-object de tekst als resultaat gegeven of ingesteld die wordt weergegeven naast het opgegeven selectievakje of de opgegeven label in de ballon van de Office-assistent. String, Lezen/schrijven.

Met deze eigenschap wordt voor het Balloon-object de tekst als resultaat gegeven of ingesteld die in de ballon van de Office-assistent na de kop maar voor de labels of selectievakjes wordt weergegeven. String, Lezen/schrijven.

Met deze eigenschap wordt voor het CommandBarComboBox-object de tekst als resultaat gegeven of ingesteld in het weergave- of bewerkingsgebied van de keuzelijst met invoervak op de opdrachtbalk. String, Lezen/schrijven.

Met deze eigenschap wordt voor het HTMLProjectItem-object de HTML-tekst in de HTML-editor als resultaat gegeven of ingesteld. String, Lezen/schrijven.

expressie.Text

expressie Vereist. Een expressie die een van de objecten in de lijst Van toepassing op retourneert.

Opmerkingen

Voor Balloon-, BalloonLabel- en BalloonCheckbox-objecten kunt u opgeven welke afbeelding moet worden weergegeven met de volgende syntaxis: {type locatie breedtefactor}, waarbij type staat voor bmp (bitmap-bestand) of wmf (Windows-metabestand), locatie staat voor de bron-id, ofwel het pad en de naam van het bestand, en breedtefactor staat voor de breedte van het Windows-metabestand (de breedtefactor wordt weggelaten voor bmp-bestanden).

In het Balloon-object kan ook onderstreepte tekst en tekst in een van de 16 systeemkleuren worden gebruikt. Als u onderstreepte tekst wilt weergeven, gebruikt u de syntaxis {ul} of {ul 1}. Gebruik {ul 0} om de onderstreping uit te schakelen. Als u de kleur van de tekst wilt wijzigen, laat u de tekst voorafgaan door de tekenreeks {cf nummer}, waarbij nummer een nummer van een systeemkleur is. In de volgende tabel worden de nummers van de systeemkleuren weergegeven.

Systeemkleurnummer | Kleur
0 | Zwart
1 | Kastanjebruin
2 | Groen
3 | Olijfgroen
4 | Marineblauw
5 | Paars
6 | Groenblauw
7 | Lichtgrijs
248 | Grijs
249 | Rood
250 | Lichtgroen
251 | Geel
252 | Blauw
253 | Lila
254 | Lichtblauw
255 | Wit

Als u een ander nummer opgeeft dan de nummers van de systeemkleuren die in deze tabel zijn aangegeven, wordt de tekst in de ballon van de Office-assistent als zwarte tekst weergegeven.

Voorbeeld

In dit voorbeeld wordt een nieuwe opdrachtbalk met de naam 'Custom' gemaakt waaraan een keuzelijst met invoervak wordt toegevoegd die vier keuzelijstitems bevat. Vervolgens wordt de eigenschap Text gebruikt om Item 3 in te stellen als het standaarditem in de keuzelijst.

Set myBar = CommandBars _
    .Add(Name:="Custom", Position:=msoBarTop, _
    Temporary:=True)
With myBar
    .Controls.Add Type:=msoControlComboBox, ID:=1
    .Visible = True
End With
Set testComboBox = CommandBars("Custom").Controls(1)
With testComboBox
    .AddItem "Item 1", 1
    .AddItem "Item 2", 2
    .AddItem "Item 3", 3
    .AddItem "Item 4", 4
    .Text = "Item 3"
End With

In dit voorbeeld wordt een nieuwe ballon van de Office-assistent gemaakt met een kop, een tekst en drie keuzemogelijkheden. De eigenschap Text wordt gebruikt om de gebruiker instructies te geven met betrekking tot de inhoud van de ballon en een label voor elk tekstvak.

With Assistant.NewBalloon
    .Heading = "Regional Sales Data"
    .Text = "Select a region"
    For i = 1 To 3
        .CheckBoxes(i).Text = "Region " & i
    Next
    .Show
End With

In dit voorbeeld wordt een nieuwe ballon van de Office-assistent gemaakt die een onderstreepte koptekst, rode tekst en blauwe, onderstreepte tekst bevat.

With Assistant.NewBalloon
    .Heading = "Underlined {ul 1}Heading{ul 0}"
    .Text = "Some {cf 249}Red{cf 0} text and some " & _
    "underlined {cf 252}{ul 1}Blue{ul 0}{cf 0} text."
    .Show
End With

In dit voorbeeld wordt een nieuwe ballon voor de Office-assistent gemaakt. Deze ballon bevat een Windows-metabestand.

With Assistant.NewBalloon
    .Heading = "Underlined {ul 1}Heading{ul 0}"
    .Text ="{WMF ""C:\Favorites\MyPicture.WMF""}"
    .Show
End With


TextOrProperty, eigenschap

Met deze eigenschap wordt het woord of de woordgroep waarnaar tijdens de zoekbewerking in de tekst of de eigenschappen van een bestand moet worden gezocht, als resultaat gegeven of ingesteld. Het woord of de woordgroep kan de jokertekens * (sterretje) of ? (vraagteken) bevatten. String. Lezen/schrijven.

Aanvullende informatie

Het jokerteken ? vervangt één willekeurig teken in het woord of de woordgroep. Als u bijvoorbeeld gr?p typt, worden alle bestanden gevonden waarin 'grip' of 'grap' ten minste eenmaal voorkomt.

Het jokerteken * vervangt een willekeurig aantal tekens in het woord of de woordgroep. Als u bijvoorbeeld San* typt, worden alle bestanden gevonden waarin ten minste eenmaal een woord voorkomt dat met 'San' begint.

Voorbeeld

In dit voorbeeld wordt in de map C:\My Documents en in alle submappen van deze map gezocht naar bestanden waarvan de tekst of de eigenschappen een of meerdere woorden bevatten die met 'San' beginnen. Met de eigenschap TextOrProperty stelt u het te zoeken woord in en beperkt u de zoekbewerking tot de tekst van het bestand of de bestandseigenschappen.

With Application.FileSearch
    .NewSearch
    .LookIn = "C:\My Documents"
    .SearchSubFolders = True
    .TextOrProperty = "San*"
    .FileType = msoFileTypeAllFiles
End With


TipOfDay, eigenschap

Mogelijk is een deel van dit onderwerp niet van toepassing op bepaalde talen.

Deze eigenschap is True als de Office-assistent een speciale tip weergeeft wanneer de Office-toepassing wordt geopend. Boolean. Lezen/schrijven.

Aanvullende informatie

De standaardwaarde is False. De eigenschap TipOfDay komt overeen met de optie Tip van de dag weergeven bij starten onder Tips weergeven op het tabblad Opties in het dialoogvenster Office-assistent.

Voorbeeld

In dit voorbeeld wordt de Office-assistent op een specifieke locatie weergegeven en worden verschillende opties ingesteld voordat de Office-assistent zichtbaar wordt gemaakt.

With Assistant
    .On = True
    .Visible = True
    .Left = 400
    .MoveWhenInTheWay = True
    If Not TipOfDay Then TipOfDay = True
    .Animation = msoAnimationGreeting
End With


Title, eigenschap

Met deze eigenschap wordt de titel van een bestandsdialoogvenster dat wordt weergegeven met behulp van het FileDialog-object als resultaat gegeven of ingesteld. String, lezen/schrijven.

expressie.Title

expressie Vereist. Een expressie waarmee een van de objecten in de lijst Van toepassing op als resultaat wordt gegeven.

Voorbeeld

In het volgende voorbeeld wordt een dialoogvenster voor het kiezen van bestanden weergegeven met behulp van het FileDialog-object. Vervolgens wordt elk geselecteerd bestand weergegeven in een berichtvak.

Sub main()

    'Declare a variable as a FileDialog object.
    Dim fd As FileDialog

    'Create a FileDialog object as a File Picker dialog box.
    Set fd = Application.FileDialog(msoFileDialogFilePicker)

    'Declare a variable to contain the path
    'of each selected item. Even though the path is a String,
    'the variable must be a Variant because For Each...Next
    'routines only work with Variants and Objects.
    Dim vrtSelectedItem As Variant

    'Use a With...End With block to reference the FileDialog object.
    With fd

        'Change the title of the dialog
        .Title = "Archive"

        'Use the Show method to display the file picker dialog and return the user's action.
        'If the user presses the action button...
        If .Show = -1 Then

            'Step through each string in the FileDialogSelectedItems collection.
            For Each vrtSelectedItem In .SelectedItems

                'vrtSelectedItem is a String that contains the path of each selected item.
                'You can use any file I/O functions that you want to work with this path.
                'This example simply displays the path in a message box.
                MsgBox "Selected item's path: " & vrtSelectedItem

            Next vrtSelectedItem
        'If the user presses Cancel...
        Else
        End If
    End With

    'Set the object variable to Nothing.
    Set fd = Nothing

End Sub


TooltipText, eigenschap

Met deze eigenschap wordt de tekst die wordt weergegeven in de scherminfo van een besturingselement op een opdrachtbalk, als resultaat gegeven of ingesteld. String. Lezen/schrijven.

Aanvullende informatie

De waarde van de eigenschap Caption wordt standaard gebruikt als scherminfo.

Voorbeeld

In dit voorbeeld wordt scherminfo toegevoegd aan het laatste besturingselement op de actieve menubalk.

Set myMenuBar = CommandBars.ActiveMenuBar
Set lastCtrl = myMenuBar _
   .Controls(myMenuBar.Controls.Count)
lastCtrl.BeginGroup = True
lastCtrl.TooltipText = "Click for help on UI feature"


Top, eigenschap

Bepaalde inhoud in dit onderwerp is mogelijk niet van toepassing op sommige talen.

De eigenschap Top zoals die van toepassing is op objecten van het type Assistent en CommandBar.

Met deze eigenschap wordt de afstand (in punten) vanaf de bovenkant van de Office-assistent of vanaf de bovenrand van de opgegeven opdrachtbalk tot de bovenrand van het scherm als resultaat gegeven of ingesteld. Voor opdrachtbalken die zich in een dok bevinden, wordt met deze eigenschap de afstand vanaf de opdrachtbalk tot de bovenkant van het dokgebied als resultaat gegeven of ingesteld. Long, lezen/schrijven.

expressie.Top

expressie Vereist. Een expressie die een van de bovenstaande objecten als resultaat geeft.

De eigenschap Top zoals die van toepassing is op objecten van het type CommandBarButton, CommandBarComboBox, CommandBarControl en CommandBarPopup.

Deze eigenschap resulteert in de afstand (in pixels) vanaf de bovenrand van het opgegeven besturingselement voor de opdrachtbalk tot de bovenrand van het scherm. Long, alleen-lezen.

expressie.Top

expressie Vereist. Een expressie die een van de bovenstaande objecten als resultaat geeft.

Voorbeeld

De eigenschap zoals die van toepassing is op objecten van het type Assistant en CommandBar.

In dit voorbeeld wordt de Office-assistent naar een andere positie verplaatst. Hierna wordt de eigenschap Top van de assistent ingesteld voor de volgende keren dat de assistent verschijnt.

With Assistant
    .On = True
    .Visible = True
    .Sounds = True
    .Animation = msoAnimationBeginSpeaking
End With
Assistant.Top = 100
MsgBox "Click OK to move the Assistant to a " & _
         "new location."
Assistant.Top = 500

In dit voorbeeld wordt de linkerbovenhoek van de zwevende opdrachtbalk met de naam Custom op 140 pixels vanaf de linkerrand van het scherm en op 100 pixels vanaf de bovenrand van het scherm geplaatst.

Set myBar = CommandBars("Custom")
myBar.Position = msoBarFloating
With myBar
    .Left = 140
    .Top = 100
End With


Type, eigenschap

De eigenschap Type zoals die van toepassing is op objecten van het type CommandBar.

Met deze eigenschap wordt het type opdrachtbalk als resultaat gegeven. MsoBarType, alleen-lezen.

MsoBarType kan een van de volgende MsoBarType-constanten zijn.
msoBarTypeMenuBar
msoBarTypeNormal
msoBarTypePopup

expressie.Type

expressie Vereist. Een expressie die een CommandBar-object als resultaat geeft.

De eigenschap Type zoals die van toepassing is op objecten van het type CommandBarButton, CommandBarComboBox, CommandBarControl en CommandBarPopup.

Met deze eigenschap wordt het type besturingselement voor de opdrachtbalk als resultaat gegeven. MsoControlType, alleen-lezen.

MsoControlType kan een van de volgende MsoControlType-constanten zijn.
msoControlActiveX
msoControlAutoCompleteCombo
msoControlButton
msoControlButtonDropdown
msoControlButtonPopup
msoControlComboBox
msoControlCustom
msoControlDropdown
msoControlEdit
msoControlExpandingGrid
msoControlGauge
msoControlGenericDropdown
msoControlGraphicCombo
msoControlGraphicDropdown
msoControlGraphicPopup
msoControlGrid
msoControlLabel
msoControlLabelEx
msoControlOCXDropdown
msoControlPane
msoControlPopup
msoControlSpinner
msoControlSplitButtonMRUPopup
msoControlSplitButtonPopup
msoControlSplitDropdown
msoControlSplitExpandingGrid
msoControlWorkPane

expressie.Type

expressie Vereist. Een expressie die een van de bovenstaande objecten als resultaat geeft.

De eigenschap Type zoals die van toepassing is op objecten van het type SearchScope.

Deze eigenschap resulteert in een waarde die overeenkomt met het type SearchScope-object. Het type geeft het gebied aan waarin door de methode Execute van het FileSearch-object naar bestanden wordt gezocht. MsoSearchIn, alleen-lezen.

MsoSearchIn kan een van de volgende MsoSearchIn-constanten zijn.
msoSearchInCustom
msoSearchInMyComputer
msoSearchInMyNetworkPlaces
msoSearchInOutlook

expressie.Type

expressie Vereist. Een expressie die een SearchScope -object als resultaat geeft.

De eigenschap Type zoals die van toepassing is op objecten van het type DocumentProperty.

Met deze eigenschap wordt het eigenschapstype van het document als resultaat gegeven of ingesteld. Alleen-lezen voor ingebouwde documenteigenschappen. Lezen/schrijven voor aangepaste documenteigenschappen.

expressie.Type

expressie Vereist. Een expressie die een DocumentProperty-object als resultaat geeft.

Opmerkingen

Het resultaat is een MsoDocProperties-constante.

MsoDocProperties kan een van de volgende MsoDocProperties-constanten zijn.
msoPropertyTypeBoolean
msoPropertyTypeDate
msoPropertyTypeFloat
msoPropertyTypeNumber
msoPropertyTypeString

Voorbeeld

De eigenschap zoals die van toepassing is op objecten van het type CommandBar.

In dit voorbeeld wordt gezocht naar het eerste besturingselement op de opdrachtbalk Custom. Vervolgens wordt met behulp van de eigenschap Type vastgesteld of het besturingselement een knop is. Als het besturingselement een knop is, wordt het knopvlak van de knop Copy (op de werkbalk Standard) gekopieerd en vervolgens op het besturingselement geplakt.

Set oldCtrl = CommandBars("Custom").Controls(1)
If oldCtrl.Type = msoControlButton Then
    Set newCtrl = CommandBars.FindControl(Type:= _
        MsoControlButton, ID:= _
        CommandBars("Standard").Controls("Copy").ID)
    NewCtrl.CopyFace
    OldCtrl.PasteFace
End If

De eigenschap zoals die van toepassing is op objecten van het type DocumentProperty.

In dit voorbeeld worden de naam, het type en de waarde van een documenteigenschap weergegeven. U moet een geldig DocumentProperty-object aan de procedure doorgeven.

Sub DisplayPropertyInfo(dp As DocumentProperty)
    MsgBox "value = " & dp.Value & Chr(13) & _
        "type = " & dp.Type & Chr(13) & _
        "name = " & dp.Name
End Sub


Value, eigenschap

De eigenschap Value zoals die van toepassing is op objecten van het type DocumentProperty.

Met deze eigenschap wordt de waarde van een documenteigenschap als resultaat gegeven of ingesteld. Variant, lezen/schrijven.

expressie.Value

expressie Vereist. Een expressie die een DocumentProperty-object als resultaat geeft.

Opmerkingen

Als door de containertoepassing geen waarde is gedefinieerd voor een van de ingebouwde documenteigenschappen, treedt er een fout op wanneer de eigenschap Value voor die documenteigenschap wordt gelezen.

De eigenschap Value zoals die van toepassing is op objecten van het type PropertyTest.

Deze eigenschap resulteert in de waarde van een eigenschapstest voor het zoeken naar bestanden. Variant, alleen-lezen.

expressie.Value

expressie Vereist. Een expressie die een PropertyTest-object als resultaat geeft.

Voorbeeld

De eigenschap zoals die van toepassing is op het DocumentProperty-object.

In dit voorbeeld worden de naam, het type en de waarde van een documenteigenschap weergegeven. Het element dp moet een geldig DocumentProperty-object zijn.

Sub DisplayPropertyInfo(dp As DocumentProperty)
    MsgBox "value = " & dp.Value & Chr(13) & _
        "type = " & dp.Type & Chr(13) & _
        "name = " & dp.Name
End Sub

De eigenschap zoals die van toepassing is op het PropertyTest-object.

In het volgende voorbeeld wordt (indien aanwezig) de waarde van de zoekcriteria weergegeven in een berichtvenster. Als er geen tweede waarde bestaat, wordt een ander bericht weergegeven in het voorbeeld.

With Application.FileSearch.PropertyTests(1)
    If .Value = "" Then
       MsgBox "You haven't specified a value."
    Else
        MsgBox "The value you've set is: " _
            & .Value
    End If
End With


Visible, eigenschap

Mogelijk is een deel van dit onderwerp niet van toepassing op bepaalde talen.

Deze eigenschap is True als het opgegeven object zichtbaar is. Boolean, Lezen/schrijven.

expressie.Visible

expressie Vereist. Een expressie die een van de objecten in de lijst Van toepassing op retourneert.

Opmerkingen

De eigenschap Visible van nieuw gemaakte aangepaste opdrachtbalken is standaard ingesteld op False.

De eigenschap Enabled van een opdrachtbalk moet op True worden ingesteld voordat de eigenschap Visible op True wordt ingesteld.

Voorbeeld

In dit voorbeeld wordt de collectie opdrachtbalken stapsgewijs doorlopen en wordt gezocht naar de opdrachtbalk 'Forms'. Als de opdrachtbalk 'Forms' wordt gevonden, wordt de opdrachtbalk zichtbaar gemaakt en wordt de dokstatus beveiligd.

foundFlag = False
For Each cmdbar In CommandBars
    If cmdbar.Name = "Forms" Then
        cmdbar.Protection = msoBarNoChangeDock
        cmdbar.Visible = True
        foundFlag = True
    End If
Next
If Not foundFlag Then
    MsgBox "'Forms'command bar is not in the collection."
End If

In dit voorbeeld wordt de Office-assistent zichtbaar gemaakt en de animatie van de Office-assistent ingesteld.

With Application.Assistant
    .Visible = True
    .Sounds = True
    .Animation = msoAnimationBeginSpeaking
End With


Width, eigenschap

Met deze eigenschap wordt de breedte (in pixels) van de opgegeven opdrachtbalk of het opgegeven besturingselement voor de opdrachtbalk als resultaat gegeven of ingesteld. Integer, lezen/schrijven.

expressie.Width

expressie Vereist. Een expressie waarmee een van de objecten in de lijst Van toepassing op als resultaat wordt gegeven.

Voorbeeld

In dit voorbeeld wordt een aangepast besturingselement toegevoegd aan de opdrachtbalk Custom. De hoogte van het aangepaste besturingselement wordt ingesteld op twee maal de hoogte van de opdrachtbalk. De breedte wordt ingesteld op vijftig pixels. De opdrachtbalk zal zich aan het besturingselement aanpassen en automatisch hoger worden.

Set myBar = CommandBars("Custom")
barHeight = myBar.Height
Set myControl = myBar.Controls _
    .Add(Type:=msoControlButton, _
    Id:= CommandBars("Standard").Controls("Save").Id, _
     Temporary:=True)
With myControl
    .Height = barHeight * 2
    .Width = 50
End With
myBar.Visible = True


Change, gebeurtenis

Deze gebeurtenis vindt plaats als de eindgebruiker de inhoud van een keuzelijst met invoervak op een opdrachtbalk wijzigt.

Private Sub CommandBarComboBox_Change

(ByVal Ctrl As CommandBarComboBox)

Aanvullende informatie

De gebeurtenis Change wordt herkend door het CommandBarComboBox-object. Als u de gebeurtenis Change voor een bepaald besturingselement CommandBarComboBox als resultaat wilt geven, gebruikt u het sleutelwoord WithEvents om een variabele te declareren en stelt u de variabele vervolgens in op het besturingselement CommandBarComboBox. Als de gebeurtenis Change wordt geactiveerd, wordt de macro of code uitgevoerd die u met de eigenschap OnAction van het besturingselement hebt opgegeven.

Voorbeeld

In het volgende voorbeeld wordt een opdrachtbalk met een besturingselement CommandBarComboBox gemaakt. Deze keuzelijst met invoervak bevat vier keuzemogelijkheden en reageert met de gebeurtenis CommandBarComboBox_Change op de keuze die de gebruiker maakt.

Private ctlComboBoxHandler As New ComboBoxHandler
Sub AddComboBox()

    Set HostApp = Application

    Dim newBar As Office.CommandBar
    Set newBar = HostApp.CommandBars.Add(Name:="Test CommandBar", Temporary:=True)
    Dim newCombo As Office.CommandBarComboBox
    Set newCombo = newBar.Controls.Add(msoControlComboBox)
    With newCombo
        .AddItem "First Class", 1
        .AddItem "Business Class", 2
        .AddItem "Coach Class", 3
        .AddItem "Standby", 4
        .DropDownLines = 5
        .DropDownWidth = 75
        .ListHeaderCount = 0
    End With
    ctlComboBoxHandler.SyncBox newCombo
    newBar.Visible = True

End Sub

Het voorafgaande voorbeeld steunt op de volgende code die in een klassenmodule in het VBA-project is opgeslagen.

Private WithEvents ComboBoxEvent As Office.CommandBarComboBox
Public Sub SyncBox(box As Office.CommandBarComboBox)
    Set ComboBoxEvent = box
    If Not box Is Nothing Then
        MsgBox "Synced " & box.Caption & " ComboBox events."
    End If

End Sub

Private Sub Class_Terminate()
    Set ComboBoxEvent = Nothing
End Sub

Private Sub ComboBoxEvent_Change(ByVal Ctrl As Office.CommandBarComboBox)
    Dim stComboText As String

    stComboText = Ctrl.Text

        Select Case stComboText
        Case "First Class"
            FirstClass
        Case "Business Class"
            BusinessClass
        Case "Coach Class"
            CoachClass
        Case "Standby"
            Standby
    End Select

End Sub
Private Sub FirstClass()
    MsgBox "You selected First Class reservations"
End Sub
Private Sub BusinessClass()
    MsgBox "You selected Business Class reservations"
End Sub
Private Sub CoachClass()
    MsgBox "You selected Coach Class reservations"
End Sub
Private Sub Standby()
    MsgBox "You chose to fly standby"
End Sub


Click, gebeurtenis

Deze gebeurtenis vindt plaats als de gebruiker op een CommandBarButton-object klikt.

Private Sub CommandBarButton_Click

(ByVal Ctrl As CommandBarButton,

ByVal CancelDefault As Boolean)

De syntaxis van de gebeurtenis Click bevat de twee argumenten die in de volgende tabel worden beschreven.

Argument | beschrijving
Ctrl | CommandBarButton, vereist. Dit argument verwijst naar het besturingselement CommandBarButton dat de gebeurtenis heeft gestart.
CancelDefault | Boolean, vereist. Dit argument is False als de standaardactie wordt uitgevoerd die aan het besturingselement CommandBarButton is gekoppeld, tenzij de standaardactie door een ander proces of door een invoegtoepassing wordt geannuleerd.

Aanvullende informatie

De gebeurtenis Click wordt herkend door het CommandBarButton-object. Als u de gebeurtenis Click voor een bepaald besturingselement CommandBarButton als resultaat wilt geven, gebruikt u het sleutelwoord WithEvents om een variabele te declareren en stelt u de variabele vervolgens in op het besturingselement.

Voorbeeld

In het volgende voorbeeld wordt in het menu File van de hosttoepassing een nieuwe opdrachtbalkknop gemaakt waarmee de gebruiker een werkmap als een bestand met door komma's gescheiden waarden kan opslaan. (U kunt dit voorbeeld in alle andere toepassingen gebruiken. U dient het dan echter aan te passen omdat alleen in Microsoft Excel bestanden als csv-bestanden kunnen worden opgeslagen.)

Private HostApp As Object

Sub createAndSynch()
    Dim iIndex As Integer
    Dim iCount As Integer
    Dim fBtnExists As Boolean

    Dim obCmdBtn As Object
    Dim btnSaveAsCSVHandler as new Class1

    On Error GoTo errHandler

    Set HostApp = Application

    Dim barHelp As Office.CommandBar
    Set barHelp = Application.CommandBars("File")
    fBtnExists = False
    iCount = barHelp.Controls.Count
    For iIndex = 1 To iCount
        If barHelp.Controls(iIndex).Caption = "Save As CSV (Comma Delimited)" Then fBtnExists = True

    Next
    Dim btnSaveAsCSV As Office.CommandBarButton
    If fBtnExists Then
        Set btnSaveAsCSV = barHelp.Controls("Save As CSV (Comma Delimited)")
    Else
        Set btnSaveAsCSV = barHelp.Controls.Add(msoControlButton)
        btnSaveAsCSV.Caption = "Save As CSV (Comma Delimited)"
    End If

    btnSaveAsCSV.Tag = "btn1"
    btnSaveAsCSVHandler.SyncButton btnSaveAsCSV
    Exit Sub

errHandler:
    ' Insert error handling code here
End Sub


EnvelopeHide, gebeurtenis

Deze gebeurtenis treedt op wanneer de gebruikersinterface (UI) van het MsoEnvelope-object is verborgen.

Private Sub object_EnvelopHide()

object Een variabele die verwijst naar een een object van het type MsoEnvelope dat met gebeurtenissen in een klassenmodule wordt gedeclareerd.

Voorbeeld

In het volgende voorbeeld worden de routines ingesteld voor de verwerking van gebeurtenissen voor het MsoEnvelope-object.

Public WithEvents env As MsoEnvelope

Private Sub Class_Initialize()
    Set env = Application.ActiveDocument.MailEnvelope
End Sub

Private Sub env_EnvelopeShow()
    MsgBox "The MsoEnvelope UI is showing."
End Sub

Private Sub env_EnvelopeHide()
    MsgBox "The MsoEnvelope UI is hidden."
End Sub


EnvelopeShow, gebeurtenis

Deze gebeurtenis treedt op wanneer de gebruikersinterface (UI) van het MsoEnvelope-object wordt weergegeven.

Private Sub object_EnvelopShow()

object Een variabele die verwijst naar een object van het type MsoEnvelope dat met gebeurtenissen in een klassenmodule wordt gedeclareerd.

Voorbeeld

In het volgende voorbeeld worden de routines ingesteld voor de verwerking van gebeurtenissen voor het MsoEnvelope-object.

Public WithEvents env As MsoEnvelope

Private Sub Class_Initialize()
    Set env = Application.ActiveDocument.MailEnvelope
End Sub

Private Sub env_EnvelopeShow()
    MsgBox "The MsoEnvelope UI is showing."
End Sub

Private Sub env_EnvelopeHide()
    MsgBox "The MsoEnvelope UI is hidden."
End Sub


OnUpdate, gebeurtenis

Deze gebeurtenis vindt plaats als er een wijziging wordt aangebracht in een opdrachtbalk.

Private Sub CommandBars_OnUpdate()

Aanvullende informatie

De gebeurtenis OnUpdate wordt herkend door het CommandBar-object en alle besturingselementen op een opdrachtbalk. De gebeurtenis wordt geactiveerd als een opdrachtbalk of een besturingselement op een opdrachtbalk wordt gewijzigd, of als de status van deze items wordt gewijzigd. Deze wijzigingen kunnen worden veroorzaakt doordat er een bepaalde tekst of cel wordt geselecteerd. Aangezien er ook bij normaal gebruik veel OnUpdate-gebeurtenissen kunnen voorkomen, moeten ontwikkelaars voorzichtig zijn bij het gebruik van deze gebeurtenis. Deze gebeurtenis wordt voornamelijk aanbevolen als u wilt controleren of een aangepaste opdrachtbalk is toegevoegd of verwijderd door een COMAddIn.


Verborgen taalelement

U hebt Help-informatie opgevraagd voor een verborgen taalelement. Dit element is daarom niet toegankelijk voor het programma.


Ballonnen maken en wijzigen

Mogelijk is een deel van dit onderwerp niet van toepassing op bepaalde talen.

U kunt de ballon van de Office-assistent gebruiken om informatie voor de gebruiker weer te geven. De informatie in de ballon kan bestaan uit een eenvoudig bericht, een verzoek om meer informatie of een lijst met keuzemogelijkheden. Ballonnen van de Office-assistent worden tijdens runtime gemaakt, weergegeven, gesloten en gewijzigd.

De volgende tabel bevat veelgebruikte eigenschappen en methoden waarmee het uiterlijk of de functie van een pas gemaakte (lege) ballon of een bestaande ballon kan worden gewijzigd. Met de methode Show kunt u ballonnen weergeven of vernieuwen. Wijzigingen die u aanbrengt, worden daarom pas van kracht als u de methode Show gebruikt.

Eigenschap of methode | beschrijving
Heading | Hiermee geeft u de vetgedrukte titel op die bovenaan in de ballon van de Office-assistent verschijnt.
Text | Hiermee geeft u de tekst op die in de ballon van de Office-assistent wordt weergegeven. Deze tekst verschijnt na de titel en vóór eventuele selectievakjes, labels of knoppen.
Labels | Deze eigenschap geeft de collectie labels in de ballon als resultaat. De opmaak van de labels wordt bepaald met de eigenschap BalloonType. Labels verschijnen na de ballontekst. De lijst met labels kan worden weergegeven met nummers of met opsommingstekens. De lijst kan ook bestaan uit knoppen. Anders dan in een collectie selectievakjes, wordt in een lijst met knoppen de keuze van de gebruiker al geregistreerd zodra deze op een knop klikt.
CheckBoxes | Deze eigenschap geeft de collectie selectievakjes in de ballon als resultaat. Als de gebruiker het selectievakje inschakelt en vervolgens op de juiste knop onder in de ballon klikt (bijvoorbeeld op OK of Volgende), wordt de keuze geregistreerd.
Close | Hiermee kunt u een niet-modusgebonden ballon sluiten en van het scherm verwijderen zonder de objectvariabele vrij te geven. De aan de ballon toegewezen objectvariabele blijft geldig. U kunt de ballon opnieuw weergegeven of deze wijzigen en later weergeven. U kunt de methode Close alleen gebruiken bij niet-modusgebonden ballonnen.
Show | Hiermee maakt u de ballon en alle objecten daarin zichtbaar voor de gebruiker. Pas deze methode alleen toe bij Balloon-objecten. Assistant-objecten worden weergegeven met de eigenschap Visible.

In het volgende voorbeeld wordt een ballon gemaakt die de gebruiker helpt bij het kiezen van een printer. Er is een selectievakje opgenomen om gebruikers de gelegenheid te geven de informatie in de ballon over te slaan.

Set bln = Assistant.NewBalloon
With bln
    .Heading = "Instructions for Choosing a Printer."
    .Text = "Click OK when you've chosen a printer."
    lblTxt = "From the File menu, choose Print."
    .Labels(1).Text = lblTxt
    .Labels(2).Text = "Click Setup."
    .Labels(3).Text = "Select the name of the printer."
    .CheckBoxes(1).Text = "Skip this information."
    .BalloonType = msoBalloonTypeNumbers
    .Mode = msoModeModal
    .Button = msoButtonSetOK
    .Show
End With

Ballonnen maken

Als u een nieuwe ballon wilt maken, gebruikt u de eigenschap NewBalloon van het Assistant-object. Een nieuwe ballon is leeg. U kunt de ballon voorzien van een titel met de eigenschap Heading. Tekst voegt u toe aan de ballon met de eigenschap Text. Als de gewenste eigenschappen van de ballon zijn ingesteld, kunt u de ballon weergeven met de methode Show. Aangezien u met de methode Show de ballon weergeeft zoals die er op dat moment uitziet, moet u deze methode pas toepassen als alle eigenschappen zijn ingesteld. In het volgende voorbeeld wordt een nieuwe ballon gemaakt. Vervolgens worden de titel en de ballontekst ingesteld, waarna drie selectievakjes worden toegevoegd die de gebruiker kan in- of uitschakelen.

With Assistant.NewBalloon
    .Button = msoButtonSetOkCancel
    .Heading = "Regional Sales Data"
    .Text = "Select a region"
    For i = 1 To 3
        .CheckBoxes(i).Text = "Region " & i
    Next
    .Show
End With

Meerdere ballonnen beheren

De Office-assistent heeft geen Balloons-collectie. Als u meerdere ballonnen wilt beheren, kunt u voor iedere afzonderlijke ballon die u maakt een objectvariabele instellen en vervolgens naar deze objectvariabele verwijzen. U kunt ook een matrix met Balloon-objectvariabelen maken en aan elk van deze objectvariabelen een ballon toewijzen. In het volgende voorbeeld wordt een matrix gemaakt waaraan drie lege Balloon-objecten worden toegevoegd.

Dim myBalloonArray(3) As Balloon

With Assistant
    For i = 1 To 3
        Set myBalloonArray(i) = .NewBalloon
    Next
End With


Help voor Macintosh-sleutelwoorden

U hebt Help opgevraagd voor een Visual Basic-sleutelwoord dat alleen op Macintosh-computers wordt gebruikt. Raadpleeg de Help voor de Visual Basic-taal die bij de Macintosh-editie van Microsoft Office wordt geleverd.


Ballonnen wijzigen tijdens runtime

Mogelijk is een deel van dit onderwerp niet van toepassing op bepaalde talen.

Nadat u een ballon voor de Office-assistent hebt gemaakt, kunt u deze aanpassen door bitmaps, pictogrammen of Windows-metabestanden toe te voegen aan de titel of de tekst van de ballon. U kunt de ballon ook voorzien van besturingselementen, zoals selectievakjes of knoppen, zodat u kunt reageren als de gebruiker op een element in de ballon klikt. Bovendien kunt u tekstkenmerken, zoals kleur en onderstreping gebruiken om bepaalde delen van de tekst te benadrukken.

Pictogrammen en bitmaps aan ballonnen toevoegen

Als u een pictogram wilt toevoegen, wijst u een MsoIconType-constante toe aan de eigenschap Icon van het Balloon-object. Als u een bitmap of een Windows-metabestand wilt toevoegen aan de tekst van een ballon van de Office-assistent, geeft u het type, de locatie en de schaalfactor (indien van toepassing) op voor de eigenschap Text van een titel, tekst, selectievakje of label. In het volgende voorbeeld wordt in de tekst van een ballon een Windows-bitmapbestand ingevoegd.

myBmp = "{bmp c:\Windows\circles.gif}"
myText1 = "This is before the picture, "
myText2 = " and this is after the picture"
Set bln = Assistant.NewBalloon
With bln
    .Heading = "Instructions for Choosing a Bitmap."
    .Text = myText1 & myBmp & myText2
    .Show
End With

Besturingselementen aan ballonnen toevoegen

Aan een ballon kunnen twee soorten besturingselementen worden toegevoegd: selectievakjes en knoppen. Een nieuwe ballon bevat standaard vijf onzichtbare selectievakjes. U maakt een afzonderlijk selectievakje zichtbaar door tekst voor dit besturingselement op te geven. Nieuwe ballonnen (mits van het type msoBalloonTypeButtons) bevatten ook vijf onzichtbare labelknoppen, die u op dezelfde wijze zichtbaar maakt als selectievakjes. Probeert u meer dan vijf selectievakjes of meer dan vijf labelknoppen aan een ballon toe te voegen, dan treedt er een fout op.

U wijzigt het uiterlijk van een besturingselement in een ballon door de eigenschap Text van dit besturingselement te wijzigen. Ook de functie van een selectievakje of labelknop kan worden gewijzigd. In dat geval geeft u een andere procedure op die na het inschakelen van het selectievakje of het klikken op de labelknop moet worden uitgevoerd.

In het volgende voorbeeld wordt een ballon met een titel, een tekst en drie keuzemogelijkheden gemaakt. Als de gebruiker een selectievakje inschakelt en vervolgens op OK klikt, wordt de bijbehorende procedure opgeroepen. (De gebruiker kan ook meerdere selectievakjes inschakelen en zo de bijbehorende procedures oproepen.)

With Assistant.NewBalloon
    .Heading = "Regional Sales Data"
    .Text = "Select your region"
    For i = 1 To 3
        .CheckBoxes(i).Text = "Region " & i
    Next
    .Button = msoButtonSetOkCancel
    .Show
    If .CheckBoxes(1).Checked Then
        runregion1
    End If
    If .CheckBoxes(2).Checked Then
        runregion2
    End If
    If .CheckBoxes(3).Checked Then
        runregion3
    End If
End With

Tekst in ballonnen onderstrepen en een kleur geven

Aan de tekst in een ballon kunt u twee tekstkenmerken toevoegen: kleur en onderstreping. Er zijn zestien ondersteunde systeemkleuren die u kunt gebruiken om bepaalde tekst met behulp van kleur te benadrukken. U kunt tekst in een ballon ook accentueren door bepaalde woorden of gedeelten te onderstrepen. De tekstkenmerken zijn in de tekst van de ballon ingesloten en staan tussen accolades in de code. In het volgende voorbeeld wordt een nieuwe ballon van de Office-assistent gemaakt met een onderstreepte titel, rode tekst en onderstreepte, blauwe tekst.

With Assistant.NewBalloon
    .Heading = "Underlined {ul 1}Heading{ul 0}"
    .Text = "Some {cf 249}Red{cf 0} text and some " & _
    "underlined {cf 252}{ul 1}Blue{ul 0}{cf 0} text."
    .Show
End With


Een object uit een collectie als resultaat geven

Met de eigenschap Item kunt u een afzonderlijk object uit een collectie als resultaat geven. In het volgende voorbeeld wordt de variabele cmdbar ingesteld op een CommandBar-object dat de eerste opdrachtbalk in de CommandBars-collectie vertegenwoordigt.

Set cmdbar = CommandBars.Item(1)

De eigenschap Item is de standaardeigenschap van de meeste collecties. U kunt de bovenstaande instructie daarom compacter maken door het sleutelwoord Item weg te laten.

Set cmdbar = CommandBars(1)

Als u meer informatie wilt hebben over een bepaalde collectie, zoekt u naar het Help-onderwerp voor de collectie of naar het Help-onderwerp voor de eigenschap Item van de collectie.


Werken met de Office-assistent

Mogelijk is een deel van dit onderwerp niet van toepassing op bepaalde talen.

De Office-assistent verschijnt gewoonlijk met een tekstballon waarin berichten en Help-teksten worden weergegeven en biedt op die manier hulp aan de gebruiker die bezig is met uw toepassing. De Office-assistent kan echter ook behulpzaam zijn zonder zijn ballonnetje. U kunt met de assistent zelf de aandacht van de gebruiker trekken door de eigenschap Animation van de assistent in te stellen. Bovendien kunt u met de overige eigenschappen van het Assistant-object de manier aanpassen waarop de standaard Help van Office wordt weergegeven.

Elke eigenschap op het tabblad Opties van het dialoogvenster Office-assistent correspondeert met een eigenschap van de assistent die u tijdens runtime kunt instellen. De eigenschappen in de volgende tabel worden vaak gebruikt om de Office-assistent te wijzigen.

Eigenschap | beschrijving
Animation | Met deze eigenschap brengt u de Office-assistent tot leven. Sommige animaties kunnen ononderbroken worden uitgevoerd, andere animaties zijn slechts eenmalig.
FileName | Met deze eigenschap geeft u de bestandsnaam voor de Office-assistent op, met inbegrip van de bestandsextensie. De bestandsnaam voor de Office-assistent Snuffel is bijvoorbeeld Rocky.acs.
Name | Deze eigenschap geeft de naam van de Office-assistent als resultaat. Als u wilt bijhouden welk type Office-assistent de gebruiker selecteert, gebruikt u deze eigenschap.
Visible | Met deze eigenschap bepaalt u of de assistent zichtbaar of verborgen is.

In het volgende voorbeeld wordt Snuffel geselecteerd als Office-assistent. De assistent wordt actief en zichtbaar gemaakt en krijgt een animatie toegewezen. Ook worden verschillende Help-eigenschappen ingesteld.

With Assistant
    .On = True
    .FileName = "Rocky.acs"
    .Animation = msoAnimationBeginSpeaking
    .AssistWithHelp = True
    .GuessHelp = True
    .FeatureTips = False
    .Visible = True
End With

Er zijn zes verschillende Office-assistenten die u samen met Microsoft Office kunt installeren. Er kan slechts één assistent tegelijk actief zijn. U kunt de gebruiker een assistent laten selecteren uit de galerie of zelf een assistent voor de gebruiker selecteren tijdens het maken van het programma. Het is niet mogelijk om de geïnstalleerde assistent-bestanden te wijzigen. Ook kan er in plaats van de geleverde bestanden geen eigen assistent-bestand worden gebruikt.


Help-onderwerp niet beschikbaar

Het Help-onderwerp kan niet worden weergegeven omdat de Help van Visual Basic for Applications niet is geïnstalleerd of is verwijderd.

De Help van Visual Basic for Applications installeren

  1. Dubbelklik in Configuratiescherm op Software.
  2. Klik op het tabblad Programma's wijzigen of verwijderen op de editie van Microsoft Office die is geïnstalleerd en klik vervolgens op Wijzgen.
  3. Klik op Onderdelen toevoegen/verwijderen en ga vervolgens in de lijst met onderdelen naar Gedeelde onderdelen van Office en vouw deze uit.
  4. Vouw Visual Basic for Applications uit in de lijst onderdelen en klik vervolgens op het pictogram naast Visual Basic Help om de installatieopties weer te geven.
  5. Klik op Uitvoeren vanaf deze computer of Uitvoeren vanaf het netwerk en klik vervolgens op Bijwerken.


Niet-ondersteund taalelement

U hebt Help-informatie opgevraagd voor een taalelement dat niet wordt ondersteund.


Add, methode (Microsoft Word)

In Microsoft Word wordt het argument Temporary van de methode Add (CommandBarControls-object) altijd genegeerd. Als u derhalve een knop toevoegt aan een menu op een opdrachtbalk, blijft deze aanwezig in de sjabloon Normal.dot, ongeacht of u het argument Temporary instelt op True. Als u overbodige menu-items wilt verwijderen uit de sjabloon Normal.dot, kunt u een van de volgende methoden gebruiken.

  1. Normal.dot verwijderen. Hierdoor moet Word de standaardsjabloon Normal opnieuw maken. Andere wijzigingen die zijn aangebracht in de sjabloon Normal, zoals werkbalken, worden echter eveneens verwijderd. Aangezien alle Word-documenten zijn gebaseerd op de sjabloon Normal, moet u de sjabloon handmatig verwijderen. U kunt de sjabloon dus niet programmatisch verwijderen.
  2. Opdrachtbalken instellen op beginwaarden. U kunt een procedure maken waarbij de beginwaarden voor alle opdrachtbalken of voor een enkele opgegeven opdrachtbalk worden hersteld. In het volgende voorbeeld worden de beginwaarden van alle opdrachtbalken hersteld, inclusief menubalken en werkbalken.
    Sub ResetAllCommandBars()
    Dim mnu As CommandBar

    'Error handler skips over custom toolbars,
    'which can't be reset
    On Error Resume Next

    For Each mnu In Application.CommandBars
        mnu.Reset
    Next mnu
End Sub
    In dit voorbeeld worden alleen de beginwaarden voor de items op de menubalk hersteld (en niet die voor alle werkbalken in Word).
    Sub ResetMenuBar()
    Dim mnu As CommandBar
    For Each mnu In Application.CommandBars
        If mnu.Name = "Menu Bar" Then
            mnu.Reset
        End If
    Next mnu
End Sub


Context, eigenschap

In Microsoft Word is de eigenschap Context alleen-lezen. Hiermee wordt de volledige naam (en het volledige pad) van de sjabloon die is gekoppeld aan het document met het opgegeven CommandBar-object als resultaat gegeven.


Nieuwe gebeurtenissen

 Nieuwe methoden

 Nieuwe objecten

 Nieuwe eigenschappen (alfabetische lijst)

 Nieuwe eigenschappen (per object)


CommandBarComboBox, object


CommandBarButton, object


MsoEnvelope, object
EnvelopeShow, gebeurtenis


MsoEnvelope, object
EnvelopeHide, gebeurtenis


CommandBars, collectieobject


Nieuwe methoden

 Nieuwe objecten

 Nieuwe eigenschappen (alfabetische lijst)

 Nieuwe eigenschappen (per object)

 Nieuw voor Microsoft Office-ontwikkelaars


Ballonnen wijzigen tijdens runtime

 Office-assistent: overzicht


Snelmenu's toevoegen en weergeven

 Werkbalken toevoegen en wijzigen

 Werken met opdrachtbalken


Assistant, object

 Balloon, object

 Ballonnen maken en wijzigen

 Office-assistent: overzicht


Animation, eigenschap

 Ballonnen maken en wijzigen

 FileName, eigenschap

 Objecten van Microsoft Office


Snelmenu's toevoegen en weergeven

 Menubalken en menuopdrachten toevoegen en beheren

 Werkbalken toevoegen en wijzigen

 Objecten van Microsoft Office


BalloonCheckBoxes, collectieobject

 BalloonLabels, collectieobject

 CommandBarControls, collectieobject

 CommandBars, collectieobject

 DocumentProperties, collectieobject

 PropertyTests, collectieobject


Menubalken en menuopdrachten toevoegen en beheren

 Werkbalken toevoegen en wijzigen

 Werken met opdrachtbalken


Snelmenu's toevoegen en weergeven

 Menubalken en menuopdrachten toevoegen en beheren

 Werken met opdrachtbalken


Assistant, object

 Ballonnen maken en wijzigen

 Ballonnen wijzigen tijdens runtime

 Objecten van Microsoft Office


Assistant, object


AnswerWizardFiles, collectieobject

 CommandBarControls, collectieobject

 CommandBars, collectieobject

 DocumentProperties, collectieobject

 FileDialogFilters, collectie

 FileTypes, collectie

 NewFile, object

 ODSOFilters, object

 PropertyTests, collectieobject

 Scripts-collectie, object

 SearchFolders-collectie

 SignatureSet, collectie
CommandBars, collectieobject

 DocumentProperties, collectieobject

 Objecten van Microsoft Office
Add, methode (Microsoft Word)


ScopeFolder, object
Add, methode


OfficeDataSourceObject, object


CommandBarComboBox, object

 FileDialogFilters, collectie
AddItem, methode

 CommandBarComboBox, object

 Enabled, eigenschap


AnswerWizard, object


Balloon, object


SignatureSet, collectie


CommandBarButton, object

 CommandBarComboBox, object

 CommandBarControl, object

 CommandBarPopup, object


AnswerWizardFiles, collectieobject

 CommandBar, object

 CommandBarButton, object

 CommandBarComboBox, object

 CommandBarControl, object

 CommandBarPopup, object

 DocumentProperty, object

 FileDialogFilters, collectie

 ODSOFilters, object

 Script, object

 Scripts-collectie, object

 Signature, object


CommandBarButton, object

 CommandBarComboBox, object

 CommandBarControl, object

 CommandBarPopup, object

 FileDialog, object

 FileSearch, object


FindControls, methode


COMAddIns-collectie, object

 FileDialogFilters, collectie

 FileDialogSelectedItems, collectie

 HTMLProjectItems-collectie, object

 ODSOColumns, object

 ODSOFilters, object

 Scripts-collectie, object


HTMLProjectItem, object


Assistant, object

 CommandBarButton, object

 CommandBarComboBox, object

 CommandBarControl, object

 CommandBarPopup, object

 OfficeDataSourceObject, object


FileSearch, object
FileSearch, object


HTMLProject, object

 HTMLProjectItem, object

 OfficeDataSourceObject, object


HTMLProject, object


FileSearch, object


CommandBars, collectieobject
SetFocus, methode


FileTypes, collectie

 NewFile, object

 PropertyTests, collectieobject

 SearchFolders-collectie


ResetTips, methode


Assistant, object
Reset, methode


Balloon, object

 FileDialog, object
BalloonCheckBoxes, collectieobject

 Ballonnen maken en wijzigen

 Execute, methode

 NewBalloon, eigenschap


CommandBar, object


Assistant, object
ActivateWizard, methode

 Assistant, object

 Ballonnen maken en wijzigen

 EndWizard, methode

 Ballonnen wijzigen tijdens runtime

 Office-assistent: overzicht


COMAddIns-collectie, object


Nieuwe gebeurtenissen

 Nieuwe objecten

 Nieuwe eigenschappen (alfabetische lijst)

 Nieuwe eigenschappen (per object)

 Nieuw voor Microsoft Office-ontwikkelaars


ClearFileList, methode

 ResetFileList, methode
Application, eigenschap

 Creator, eigenschap

 Files, eigenschap

 Parent, eigenschap


Add, methode

 Delete, methode
Application, eigenschap

 Count, eigenschap

 Creator, eigenschap

 Item, eigenschap

 Parent, eigenschap


Animation, eigenschap

 Application, eigenschap

 AssistWithAlerts, eigenschap

 AssistWithHelp, eigenschap

 AssistWithWizards, eigenschap

 BalloonError, eigenschap

 Creator, eigenschap

 FeatureTips, eigenschap

 FileName, eigenschap

 GuessHelp, eigenschap

 HighPriorityTips, eigenschap

 Item, eigenschap

 KeyboardShortcutTips, eigenschap

 Left, eigenschap

 MouseTips, eigenschap

 MoveWhenInTheWay, eigenschap

 Name, eigenschap

 NewBalloon, eigenschap

 On, eigenschap

 Parent, eigenschap

 Reduced, eigenschap

 SearchWhenProgramming, eigenschap

 Sounds, eigenschap

 TipOfDay, eigenschap

 Top, eigenschap

 Visible, eigenschap


Animation, eigenschap

 Application, eigenschap

 BalloonType, eigenschap

 Button, eigenschap

 Callback, eigenschap

 Checkboxes, eigenschap

 Creator, eigenschap

 Heading, eigenschap

 Icon, eigenschap

 Labels, eigenschap

 Mode, eigenschap

 Name, eigenschap

 Parent, eigenschap

 Private, eigenschap

 Text, eigenschap
Objecten van Microsoft Office


Objecten van Microsoft Office


Objecten van Microsoft Office
BalloonLabels, collectieobject


Application, eigenschap

 Connect, eigenschap

 Creator, eigenschap

 Description, eigenschap

 Guid, eigenschap

 Object, eigenschap

 Parent, eigenschap

 ProgId, eigenschap
COMAddIns-collectie, object


Item, methode

 Update, methode
Application, eigenschap

 Count, eigenschap

 Creator, eigenschap

 Parent, eigenschap


AdaptiveMenu, eigenschap

 Application, eigenschap

 BuiltIn, eigenschap

 Context, eigenschap

 Controls, eigenschap

 Creator, eigenschap

 Enabled, eigenschap

 Height, eigenschap

 Id, eigenschap

 Index, eigenschap

 Left, eigenschap

 Name, eigenschap

 NameLocal, eigenschap

 Parent, eigenschap

 Position, eigenschap

 Protection, eigenschap

 RowIndex, eigenschap

 Top, eigenschap

 Type, eigenschap

 Visible, eigenschap

 Width, eigenschap
Objecten van Microsoft Office
CommandBars, collectieobject


Click, gebeurtenis
Copy, methode

 CopyFace, methode

 Delete, methode

 Execute, methode

 Move, methode

 PasteFace, methode

 Reset, methode

 SetFocus, methode
Application, eigenschap

 BeginGroup, eigenschap

 BuiltIn, eigenschap

 BuiltInFace, eigenschap

 Caption, eigenschap

 Creator, eigenschap

 DescriptionText, eigenschap

 Enabled, eigenschap

 FaceId, eigenschap

 Height, eigenschap

 HelpContextId, eigenschap

 HelpFile, eigenschap

 HyperlinkType, eigenschap

 Id, eigenschap

 Index, eigenschap

 IsPriorityDropped, eigenschap

 Left, eigenschap

 Mask, eigenschap

 OLEUsage, eigenschap

 OnAction, eigenschap

 Parameter, eigenschap

 Parent, eigenschap

 Picture, eigenschap

 Priority, eigenschap

 ShortcutText, eigenschap

 State, eigenschap

 Style, eigenschap

 Tag, eigenschap

 TooltipText, eigenschap

 Top, eigenschap

 Type, eigenschap

 Visible, eigenschap

 Width, eigenschap
Objecten van Microsoft Office


Change, gebeurtenis
AddItem, methode

 Clear, methode

 Copy, methode

 Delete, methode

 Execute, methode

 Move, methode

 RemoveItem, methode

 Reset, methode

 SetFocus, methode
Application, eigenschap

 BeginGroup, eigenschap

 BuiltIn, eigenschap

 Caption, eigenschap

 Creator, eigenschap

 DescriptionText, eigenschap

 DropDownLines, eigenschap

 DropDownWidth, eigenschap

 Enabled, eigenschap

 Height, eigenschap

 HelpContextId, eigenschap

 HelpFile, eigenschap

 Id, eigenschap

 Index, eigenschap

 IsPriorityDropped, eigenschap

 Left, eigenschap

 List, eigenschap

 ListCount, eigenschap

 ListHeaderCount, eigenschap

 ListIndex, eigenschap

 OLEUsage, eigenschap

 OnAction, eigenschap

 Parameter, eigenschap

 Parent, eigenschap

 Priority, eigenschap

 Style, eigenschap

 Tag, eigenschap

 Text, eigenschap

 TooltipText, eigenschap

 Top, eigenschap

 Type, eigenschap

 Visible, eigenschap

 Width, eigenschap


Application, eigenschap

 BeginGroup, eigenschap

 BuiltIn, eigenschap

 Caption, eigenschap

 Creator, eigenschap

 DescriptionText, eigenschap

 Enabled, eigenschap

 Height, eigenschap

 HelpContextId, eigenschap

 HelpFile, eigenschap

 Id, eigenschap

 Index, eigenschap

 IsPriorityDropped, eigenschap

 Left, eigenschap

 OLEUsage, eigenschap

 OnAction, eigenschap

 Parameter, eigenschap

 Parent, eigenschap

 Priority, eigenschap

 Tag, eigenschap

 TooltipText, eigenschap

 Top, eigenschap

 Type, eigenschap

 Visible, eigenschap

 Width, eigenschap
Objecten van Microsoft Office
CommandBarControls, collectieobject


Add, methode
Application, eigenschap

 Count, eigenschap

 Creator, eigenschap

 Item, eigenschap

 Parent, eigenschap
Objecten van Microsoft Office


Application, eigenschap

 BeginGroup, eigenschap

 BuiltIn, eigenschap

 Caption, eigenschap

 CommandBar, eigenschap

 Controls, eigenschap

 Creator, eigenschap

 DescriptionText, eigenschap

 Enabled, eigenschap

 Height, eigenschap

 HelpContextId, eigenschap

 HelpFile, eigenschap

 Id, eigenschap

 Index, eigenschap

 IsPriorityDropped, eigenschap

 Left, eigenschap

 OLEMenuGroup, eigenschap

 OLEUsage, eigenschap

 OnAction, eigenschap

 Parameter, eigenschap

 Parent, eigenschap

 Priority, eigenschap

 Tag, eigenschap

 TooltipText, eigenschap

 Top, eigenschap

 Type, eigenschap

 Visible, eigenschap

 Width, eigenschap
Objecten van Microsoft Office


OnUpdate, gebeurtenis
Add, methode

 FindControl, methode

 FindControls, methode

 ReleaseFocus, methode
ActionControl, eigenschap

 ActiveMenuBar, eigenschap

 AdaptiveMenus, eigenschap

 Application, eigenschap

 Count, eigenschap

 Creator, eigenschap

 DisableAskAQuestionDropdown, eigenschap

 DisableCustomize, eigenschap

 DisplayFonts, eigenschap

 DisplayKeysInTooltips, eigenschap

 DisplayTooltips, eigenschap

 Item, eigenschap

 LargeButtons, eigenschap

 MenuAnimationStyle, eigenschap

 Parent, eigenschap
Objecten van Microsoft Office


Delete, methode
Application, eigenschap

 Creator, eigenschap

 LinkSource, eigenschap

 LinkToContent, eigenschap

 Name, eigenschap

 Parent, eigenschap

 Type, eigenschap

 Value, eigenschap
Objecten van Microsoft Office


AllowMultiSelect, eigenschap

 Application, eigenschap

 ButtonName, eigenschap

 Creator, eigenschap

 DialogType, eigenschap

 FilterIndex, eigenschap

 Filters, eigenschap

 InitialFileName, eigenschap

 InitialView, eigenschap

 Item, eigenschap

 Parent, eigenschap

 SelectedItems, eigenschap

 Title, eigenschap


Application, eigenschap

 Creator, eigenschap

 Description, eigenschap

 Extensions, eigenschap

 Parent, eigenschap
FileDialog, object

 FileDialogFilters, collectie

 FileDialogSelectedItems, collectie


Add, methode

 Clear, methode

 Delete, methode

 Item, methode
Application, eigenschap

 Count, eigenschap

 Creator, eigenschap

 Parent, eigenschap
FileDialog, object

 FileDialogFilter, object

 FileDialogSelectedItems, collectie


Item, methode


Application, eigenschap

 Creator, eigenschap

 FileName, eigenschap

 FileType, eigenschap

 FileTypes, eigenschap

 FoundFiles, eigenschap

 LastModified, eigenschap

 LookIn, eigenschap

 MatchAllWordForms, eigenschap

 MatchTextExactly, eigenschap

 PropertyTests, eigenschap

 SearchFolders, eigenschap

 SearchScopes, eigenschap

 SearchSubFolders, eigenschap

 TextOrProperty, eigenschap
FileTypes, collectie

 FoundFiles, eigenschap

 PropertyTest, object

 PropertyTests, eigenschap

 ScopeFolder, object

 ScopeFolders, collectie

 SearchFolders-collectie

 SearchScope, object

 SearchScopes, collectie


Add, methode

 Remove, methode
Application, eigenschap

 Count, eigenschap

 Creator, eigenschap

 Item, eigenschap
FileName, eigenschap

 FileSearch, object

 FileType, eigenschap

 FileTypes, eigenschap

 SearchFolders-collectie

 SearchScopes, collectie


Open, methode

 RefreshDocument, methode

 RefreshProject, methode
Application, eigenschap

 Creator, eigenschap

 HTMLProjectItems, eigenschap

 Parent, eigenschap

 State, eigenschap


LoadFromFile, methode

 Open, methode

 SaveCopyAs, methode
Application, eigenschap

 Creator, eigenschap

 IsOpen, eigenschap

 Name, eigenschap

 Parent, eigenschap

 Text, eigenschap


Application, eigenschap

 Creator, eigenschap

 LanguageID, eigenschap

 LanguagePreferredForEditing, eigenschap

 Parent, eigenschap


EnvelopeHide, gebeurtenis

 EnvelopeShow, gebeurtenis
CommandBars, eigenschap

 Introduction, eigenschap

 Item, eigenschap

 Parent, eigenschap


Add, methode

 Remove, methode
Application, eigenschap

 Creator, eigenschap


Application, eigenschap

 Creator, eigenschap

 Index, eigenschap

 Name, eigenschap

 Parent, eigenschap

 Value, eigenschap
ODSOColumns, object

 ODSOFilter, object

 ODSOFilters, object

 OfficeDataSourceObject, object


Application, eigenschap

 Column, eigenschap

 CompareTo, eigenschap

 Comparison, eigenschap

 Conjunction, eigenschap

 Creator, eigenschap

 Index, eigenschap

 Parent, eigenschap


Add, methode

 Delete, methode

 Item, methode
Application, eigenschap

 Count, eigenschap

 Creator, eigenschap

 Parent, eigenschap
ODSOColumn, object

 ODSOColumns, object

 ODSOFilter, object

 OfficeDataSourceObject, object


ApplyFilter, methode

 Move, methode

 Open, methode

 SetSortOrder, methode
ODSOColumns, object

 ODSOFilters, object
Columns, eigenschap

 ConnectString, eigenschap

 DataSource, eigenschap

 Filters, eigenschap

 RowCount, eigenschap

 Table, eigenschap
ODSOColumn, object

 ODSOColumns, object

 ODSOFilter, object

 ODSOFilters, object


PropertyTests, collectieobject


AddToSearchFolders, methode


Application, eigenschap

 Count, eigenschap

 Creator, eigenschap

 Item, eigenschap
FileSearch, object

 SearchFolders-collectie

 SearchScopes, collectie


Delete, methode
Application, eigenschap

 Creator, eigenschap

 Extended, eigenschap

 Id, eigenschap

 Language, eigenschap

 Location, eigenschap

 Parent, eigenschap

 ScriptText, eigenschap

 Shape, eigenschap
Scripts-collectie, object


Add, methode

 Delete, methode

 Item, methode
Application, eigenschap

 Count, eigenschap

 Creator, eigenschap

 Parent, eigenschap


FileSearch, object

 FileTypes, collectie

 LookIn, eigenschap

 ScopeFolder, object

 ScopeFolders, collectie

 SearchFolders, eigenschap

 SearchScopes, collectie


Application, eigenschap

 Creator, eigenschap

 ScopeFolder, eigenschap

 Type, eigenschap
FileSearch, object

 ScopeFolder, object

 SearchScopes, collectie


Delete, methode
Application, eigenschap

 AttachCertificate, eigenschap

 Creator, eigenschap

 ExpireDate, eigenschap

 IsCertificateExpired, eigenschap

 IsCertificateRevoked, eigenschap

 IsValid, eigenschap

 Issuer, eigenschap

 Parent, eigenschap

 SignDate, eigenschap

 Signer, eigenschap


Add, methode

 Commit, methode
Application, eigenschap

 Count, eigenschap

 Creator, eigenschap

 Item, eigenschap

 Parent, eigenschap


Application, eigenschap

 Creator, eigenschap

 FixedWidthFont, eigenschap

 FixedWidthFontSize, eigenschap

 ProportionalFont, eigenschap

 ProportionalFontSize, eigenschap
WebPageFonts-collectie, object


Application, eigenschap

 Count, eigenschap

 Creator, eigenschap

 Item, eigenschap


Nieuwe gebeurtenissen

 Nieuwe methoden

 Nieuwe eigenschappen (alfabetische lijst)

 Nieuwe eigenschappen (per object)

 Nieuw voor Microsoft Office-ontwikkelaars


FileDialog, object


Assistant, object

 Balloon, object
Assistant, object

 FileName, eigenschap

 Office-assistent: overzicht

 Visible, eigenschap


AnswerWizard, object

 AnswerWizardFiles, collectieobject

 Assistant, object

 Balloon, object

 BalloonCheckBox, object

 BalloonCheckBoxes, collectieobject

 BalloonLabel, object

 BalloonLabels, collectieobject

 COMAddIn, object

 COMAddIns-collectie, object

 CommandBar, object

 CommandBarButton, object

 CommandBarComboBox, object

 CommandBarControl, object

 CommandBarControls, collectieobject

 CommandBarPopup, object

 CommandBars, collectieobject

 DocumentProperties, collectieobject

 DocumentProperty, object

 FileDialog, object

 FileDialogFilter, object

 FileDialogFilters, collectie

 FileDialogSelectedItems, collectie

 FileSearch, object

 FileTypes, collectie

 FoundFiles, object

 HTMLProject, object

 HTMLProjectItem, object

 HTMLProjectItems-collectie, object

 LanguageSettings, object

 NewFile, object

 ODSOColumn, object

 ODSOColumns, object

 ODSOFilter, object

 ODSOFilters, object

 PropertyTest, object

 PropertyTests, collectieobject

 ScopeFolder, object

 ScopeFolders, collectie

 Script, object

 Scripts-collectie, object

 SearchFolders-collectie

 SearchScope, object

 SearchScopes, collectie

 Signature, object

 SignatureSet, collectie

 WebPageFont, object

 WebPageFonts-collectie, object


Signature, object


Werken met opdrachtbalken


CommandBar, object

 CommandBarButton, object

 CommandBarComboBox, object

 CommandBarControl, object

 CommandBarPopup, object
CommandBar, object

 CommandBarControl, object

 FaceId, eigenschap

 PasteFace, methode

 Werken met opdrachtbalken


Balloon, object
Snelmenu's toevoegen en weergeven

 Menubalken en menuopdrachten toevoegen en beheren

 Werkbalken toevoegen en wijzigen

 BuiltIn, eigenschap

 BuiltInFace, eigenschap

 Ballonnen maken en wijzigen

 FaceId, eigenschap

 PasteFace, methode

 Show, methode

 Werken met opdrachtbalken


Balloon, object
Balloon, object

 BalloonCheckBox, object

 BalloonLabel, object

 Checked, eigenschap

 Ballonnen maken en wijzigen

 Ballonnen wijzigen tijdens runtime

 Office-assistent: overzicht

 Show, methode


CommandBarButton, object

 CommandBarComboBox, object

 CommandBarControl, object

 CommandBarPopup, object
CommandBarControl, object

 DescriptionText, eigenschap

 Enabled, eigenschap

 TooltipText, eigenschap


BalloonCheckBox, object


ODSOFilter, object


CommandBarPopup, object


MsoEnvelope, object


PropertyTest, object
NewSearch, methode


COMAddIn, object


PropertyTest, object


CommandBar, object
Snelmenu's toevoegen en weergeven

 Menubalken en menuopdrachten toevoegen en beheren

 Werkbalken toevoegen en wijzigen

 Werken met opdrachtbalken
Context, eigenschap


AnswerWizardFiles, collectieobject

 BalloonCheckBoxes, collectieobject

 BalloonLabels, collectieobject

 COMAddIns-collectie, object

 CommandBarControls, collectieobject

 CommandBars, collectieobject

 DocumentProperties, collectieobject

 FileDialogFilters, collectie

 FileDialogSelectedItems, collectie

 FileTypes, collectie

 FoundFiles, object

 HTMLProjectItems-collectie, object

 ODSOColumns, object

 ODSOFilters, object

 PropertyTests, collectieobject

 ScopeFolders, collectie

 Scripts-collectie, object

 SearchFolders-collectie

 SearchScopes, collectie

 SignatureSet, collectie

 WebPageFonts-collectie, object


COMAddIn, object

 FileDialogFilter, object


CommandBarButton, object

 CommandBarComboBox, object

 CommandBarControl, object

 CommandBarPopup, object
Caption, eigenschap

 DisplayKeysInTooltips, eigenschap

 DisplayTooltips, eigenschap


CommandBar, object

 CommandBarButton, object

 CommandBarComboBox, object

 CommandBarControl, object

 CommandBarPopup, object
Snelmenu's toevoegen en weergeven

 Menubalken en menuopdrachten toevoegen en beheren

 Werkbalken toevoegen en wijzigen

 Werken met opdrachtbalken


Script, object


FileDialogFilter, object


Assistant, object

 FileSearch, object
Animation, eigenschap

 Office-assistent: overzicht

 Werken met de Office-assistent


FileDialog, object

 OfficeDataSourceObject, object


WebPageFont, object


Assistant, object
Office-assistent: overzicht


Controls, eigenschap


CommandBarButton, object

 CommandBarComboBox, object

 CommandBarControl, object

 CommandBarPopup, object
Help, methode

 HelpFile, eigenschap


CommandBarButton, object

 CommandBarComboBox, object

 CommandBarControl, object

 CommandBarPopup, object
Help, methode

 HelpContextId, eigenschap


CommandBar, object

 CommandBarButton, object

 CommandBarComboBox, object

 CommandBarControl, object

 CommandBarPopup, object

 Script, object


CommandBar, object

 CommandBarButton, object

 CommandBarComboBox, object

 CommandBarControl, object

 CommandBarPopup, object

 ODSOColumn, object

 ODSOFilter, object


Signature, object
IsCertificateRevoked, eigenschap


Signature, object
IsCertificateExpired, eigenschap


AnswerWizardFiles, collectieobject

 Assistant, object

 BalloonCheckBox, object

 BalloonCheckBoxes, collectieobject

 BalloonLabel, object

 BalloonLabels, collectieobject

 CommandBarControls, collectieobject

 CommandBars, collectieobject

 DocumentProperties, collectieobject

 FileDialog, object

 FileTypes, collectie

 FoundFiles, object

 MsoEnvelope, object

 PropertyTests, collectieobject

 ScopeFolders, collectie

 SearchFolders-collectie

 SearchScopes, collectie

 SignatureSet, collectie

 WebPageFonts-collectie, object


LanguageSettings, object


FileSearch, object
NewSearch, methode


Top, eigenschap


DocumentProperty, object
LinkToContent, eigenschap


DocumentProperty, object
LinkSource, eigenschap


CommandBarButton, object
Picture, eigenschap


Assistant, object

 Balloon, object

 BalloonCheckBox, object

 BalloonCheckBoxes, collectieobject

 BalloonLabel, object

 BalloonLabels, collectieobject

 CommandBar, object

 DocumentProperty, object

 HTMLProjectItem, object

 ODSOColumn, object

 PropertyTest, object

 ScopeFolder, object
NameLocal, eigenschap


CommandBar, object
Name, eigenschap


AnswerWizard, object

 AnswerWizardFiles, collectieobject

 Assistant, object

 Balloon, object

 BalloonCheckBox, object

 BalloonCheckBoxes, collectieobject

 BalloonLabel, object

 BalloonLabels, collectieobject

 COMAddIn, object

 COMAddIns-collectie, object

 CommandBar, object

 CommandBarButton, object

 CommandBarComboBox, object

 CommandBarControl, object

 CommandBarControls, collectieobject

 CommandBarPopup, object

 CommandBars, collectieobject

 DocumentProperties, collectieobject

 DocumentProperty, object

 FileDialog, object

 FileDialogFilter, object

 FileDialogFilters, collectie

 FileDialogSelectedItems, collectie

 HTMLProject, object

 HTMLProjectItem, object

 HTMLProjectItems-collectie, object

 LanguageSettings, object

 MsoEnvelope, object

 ODSOColumn, object

 ODSOColumns, object

 ODSOFilter, object

 ODSOFilters, object

 Script, object

 Scripts-collectie, object

 Signature, object

 SignatureSet, collectie


ScopeFolder, object


CommandBarButton, object
Mask, eigenschap


SearchScope, object


PropertyTest, object
Value, eigenschap


CommandBarButton, object
Office-assistent: overzicht


CommandBarButton, object

 HTMLProject, object


CommandBarButton, object

 CommandBarComboBox, object


FindControl, methode


Balloon, object

 BalloonCheckBox, object

 BalloonLabel, object

 CommandBarComboBox, object

 HTMLProjectItem, object
Ballonnen maken en wijzigen

 Heading, eigenschap

 Office-assistent: overzicht

 Show, methode


CommandBarButton, object

 CommandBarComboBox, object

 CommandBarControl, object

 CommandBarPopup, object
Caption, eigenschap

 DescriptionText, eigenschap


Left, eigenschap


CommandBar, object

 CommandBarButton, object

 CommandBarComboBox, object

 CommandBarControl, object

 CommandBarPopup, object

 DocumentProperty, object

 SearchScope, object
Werken met opdrachtbalken


DocumentProperty, object

 ODSOColumn, object

 PropertyTest, object


Assistant, object

 CommandBar, object

 CommandBarButton, object

 CommandBarComboBox, object

 CommandBarControl, object

 CommandBarPopup, object
Office-assistent: overzicht

 Werken met de Office-assistent


Nieuwe gebeurtenissen

 Nieuwe methoden

 Nieuwe objecten

 Nieuwe eigenschappen (per object)

 Nieuw voor Microsoft Office-ontwikkelaars


Nieuwe gebeurtenissen

 Nieuwe methoden

 Nieuwe objecten

 Nieuwe eigenschappen (alfabetische lijst)

 Nieuw voor Microsoft Office-ontwikkelaars


Height, eigenschap


Ballonnen maken en wijzigen

 Opdrachtbalken: overzicht

 Office-assistent: overzicht

 Werken met opdrachtbalken

 Werken met de Office-assistent


INDEX~TEXT
seealso~"Zie&nbsp;ook"
appliesto~"Is&nbsp;van&nbsp;toepassing&nbsp;op&nbsp;&nbsp;"
elements~"Elementen"
properties~"Eigenschappen"
methods~"Methoden"
events~"Gebeurtenissen"
example~"Voorbeeld"
specifics~"Bijzonderheden"
show~"Beschrijving&nbsp;weergeven&nbsp;&nbsp;"
hide~"Beschrijving&nbsp;verbergen&nbsp;&nbsp;"